inherit "/classes/Script"; 

#include <macros.h>
#include <database.h>
#include <attributes.h>
#include <access.h>
#include <database.h>

array(string) __sanction = _SECURITY->get_sanction_strings();

private static array(object)
get_sanction_new(string str, mapping vars)
{
    array(object) sanctions = ({ });
    string ustr;
    object  obj;
    int     oid;
    
    if ( stringp(ustr=vars["sanction_new_"+str]) ) {
        ustr += "\0";	
	LOG("Initial String is: " + sprintf("%O",ustr));
	while ( sscanf(ustr, str+"_%d\0%s", oid, ustr) > 0 ) {
	    LOG("Found " + oid + " new: " + ustr + " Result:");
	    obj = find_object(oid);
	    if ( objectp(obj) ) 
		sanctions += ({ obj });
	}
	LOG("Last Result was on " + ustr + " str="+str);
    }    
    return sanctions;
}

static array(object)
get_selected_users_and_groups(mapping vars)
{
    array(object) groups = ({ });
    array(string) res;
    string grp;
    object obj;

    if ( stringp(vars["sanction_new_user"]) && 
	 strlen(vars["sanction_new_user"]) > 0 )
    {
	res = vars["sanction_new_user"] / "\0";
	if ( arrayp(res) && sizeof(res) > 0 ) {
	    foreach(res, grp) {
		obj = find_object((int)grp);
		if ( objectp(obj) ) groups += ({ obj });
		LOG("Selection found: " + grp + " ?"+(objectp(obj) ? "yes":"no"));
	    }
	}
    }
    if ( stringp(vars["sanction_new_group"]) && 
	 strlen(vars["sanction_new_group"]) > 0 )
    {
	res = vars["sanction_new_group"] / "\0";
	if ( arrayp(res) && sizeof(res) > 0 ) {
	    foreach(res, grp) {
		obj = find_object((int)grp);
		if ( objectp(obj) ) groups += ({ obj });
	    }
	}
    }
    return groups;
}

private static mapping 
sanction_status(mapping vars)
{
    int        acc, oid, aid;
    string            access;
    object               obj;
    string         key, ustr;
    string             value;
    mapping sanction = ([ ]);
    object       user, group;
    
    array(string) keys = indices(vars);
    array(object) users, groups;
    
    users = get_sanction_new("user", vars);
    groups = get_sanction_new("group", vars);
    
    foreach(users, user) sanction[user] = 0;
    foreach(groups, group) sanction[group] = 0;

    foreach(keys, key) {
	if ( sscanf(key, "user_%d", oid) == 1 ) {
	    obj = find_object(oid);
	    if ( objectp(obj) ) sanction[obj] = 0;
	}
    }

    foreach(keys, key) {
	if ( sscanf(key, "%d_%s", oid, access) == 2 ) {
	    aid = search(__sanction, access);
	    if ( aid >= 0 ) {
		value = vars[key];
		if  ( value == "+" )
		    acc = 1<<aid;
		else if ( value == "-" )
		    acc = (1<<aid)<<SANCTION_SHIFT_DENY; // negative
		else
		    continue;
		LOG("Status for " + oid + ": " +sanction[obj] +":"+access + 
		    " Value on " + key + " :"+value);
		    
		obj = find_object(oid);
		if ( objectp(obj) ) {
		    sanction[obj] |= acc;
		}
	    }
	}
	else if ( sscanf(key, "sanction_user_%s", access) > 0 ) {
	    aid = search(__sanction, access);
	    if ( aid >= 0 ) {
		value = vars[key];
		if  ( value == "+" )
		    acc = 1<<aid;
		else if ( value = "-" )
		    acc = (1<<aid)<<SANCTION_SHIFT_DENY; // negative
		else
		    continue;
		acc = 1 << aid;
		foreach(users, user) sanction[user] |= acc;
	    }
	}
	else if ( sscanf(key, "sanction_group_%s", access) > 0 ) {
	    aid = search(__sanction, access);
	    if ( aid >= 0 ) {
		value = vars[key];
		if  ( value == "+" )
		    acc = 1<<aid;
		else if ( value == "-" )
		    acc = (1<<aid)<<SANCTION_SHIFT_DENY; // negative
		else
		    continue;
		acc = 1 << aid;
		foreach(groups, group) sanction[group] |= acc;
	    }
	}
    }
    return sanction;
}

static mapping status_update(mapping vars)
{
    mapping sanction = ([ ]);
    int                  aid;

    array(object) objects;
    objects = get_objects(vars, "objects");
    foreach(objects, object o) {
	sanction[o] = 0;
    }
    aid = -1;
    foreach(__sanction, string sanc) {
	aid++;
	if ( sanc == "free" ) continue;
	LOG("Sanction: "+sanc+ " is bit="+(1<<aid));
	objects = get_objects(vars, sanc);
	foreach(objects, object obj )
	    sanction[obj] |= (1<<aid);
    }
    return sanction;
}

string
execute(mapping vars)
{
    int oid = (int)vars["object"];
    object                    obj;
    object                      o;
    mapping              sanction;
    array(object)       selection;
    string                 action;

    if ( oid == 0 ) return "";

    LOG(sprintf("Vars:\n%O\n", mkmapping(indices(vars), values(vars))));
    
    obj = find_object(oid);
    action = vars["_action"];
    
    switch ( action ) {
    case "add_acl_add": 
        if (!(vars["toadd"])) {
          werror("access.pike - add_acl_add : object to add not specified\n");
          break;
        }
        object buddy = find_object((int)vars["toadd"]);
        if (!objectp(buddy)) {
          werror("access.pike - add_acl_add : cant find object to add with id"+vars["toadd"]+"\n");
          break;
        }
        array(object) bl;
        bl = obj->query_attribute("OBJ_ACL_ADDS");
        if (!arrayp(bl)) bl = ({});
        if (search(bl, buddy) <0) {
          bl += ({buddy});
          obj->set_attribute("OBJ_ACL_ADDS", bl);
        }
        break;
    case "remove_acl_add":
        if (!(vars["toremove"])) {
          werror("access.pike - remove_acl_add : add to remove not specified\n");
          break; 
        }
        object removeacladd = find_object((int)vars["toremove"]);
        if (!objectp(removeacladd)) {
          werror("access.pike - remove_acl_add : cant find object to remove with id="+vars["toremove"]+"\n");
          break;
        }
        obj->sanction_object(removeacladd, 0);
        array(object) blist;
        blist = obj->query_attribute("OBJ_ACL_ADDS");
        if (!arrayp(blist)) blist = ({});
        if (search(blist, removeacladd) >= 0) {
          blist -= ({removeacladd});
          obj->set_attribute("OBJ_ACL_ADDS", blist);
        }
      break;
    case "acq_environment":
	obj->set_acquire(obj->get_environment);
	break;
    case "acq_nothing":
	obj->set_acquire(0);
	break;
    case "update":
	sanction = status_update(vars);
	foreach(indices(sanction), object sobj) {
	    LOG("On " + sobj->get_identifier() + ": "+sanction[sobj]);
	    if ( sanction[sobj] == 0 ) {
            array(object) myacl;
            myacl = obj->query_attribute("OBJ_ACL_ADDS");
            if (!arrayp(myacl)) myacl = ({});
            if (search(myacl, sobj) < 0 ) {
              myacl += ({sobj});
              obj->set_attribute("OBJ_ACL_ADDS", myacl);
            }
		obj->sanction_object(sobj, 0);
            }
	    else {
            array(object) myacl;
            myacl = obj->query_attribute("OBJ_ACL_ADDS");
            if (!arrayp(myacl)) myacl = ({});
            if (search(myacl, sobj) >= 0 ) {
              myacl -= ({sobj});
              obj->set_attribute("OBJ_ACL_ADDS", myacl);
            }
		  obj->sanction_object(sobj, (sanction[sobj]));
      if ( sanction[sobj] & SANCTION_SANCTION )
        obj->sanction_object_meta(sobj, SANCTION_ALL);
          }
	}
	break;
    default:
	sanction = sanction_status(vars);
	foreach(indices(sanction), object sobj) {
	    LOG("On " + sobj->get_identifier() + ": "+sanction[sobj]);
	    if ( sanction[sobj] == 0 )
		obj->sanction_object(sobj, 0);
	    else 
		obj->sanction_object(sobj, (sanction[sobj]));
	}
	break;
    }
    return "<html><head><meta http-equiv=\"refresh\" content=\"0;URL="+
	"navigate.pike?object="+oid+"&type=access&mode="+vars["mode"]+"\"/>"+
	"</head></html>\n";   
}
 
