inherit "/classes/Script";
inherit "/base/xml_data";

#include <macros.h>
#include <database.h>
#include <access.h>
#include <attributes.h>
#include <types.h>
#include <classes.h>
#include <events.h>
#include <config.h>

#define _XML _Server->get_module("Converter:XML")

#define RES(e,g) ([ "german":g, "english":e, ])
#define RES_MSG(e,g,l) RES(e,g)[l]

string execute(mapping vars)
{
    object                            obj, user;
    string                                 html;
    string                                  xml;
    mixed                            err, m_err;
    string action = vars["_action"];

    mapping client_map = identify_browser(
    vars["__internal"]["client"],
    vars["__internal"]["request_headers"]);
    string client_prefix = "";
    if ( client_map->language != "english" &&
         client_map->language != "german" )
             client_map["language"] = "english";

    user = this_user();

    string l = user->query_attribute(USER_LANGUAGE);
    if (!stringp(l)) l = client_map->language;
    client_map->language = l;

    user = this_user();

    try_event(EVENT_EXECUTE, CALLER, this_object());
    
    object xsl = _FILEPATH->path_to_object("/stylesheets/accessibility.xsl");
  
    xml = _XML->get_xml(this(), xsl, vars, 0);
    
    if ( vars["source"] == "true" ) {
        xml = (((xml/"<")*"&lt;")/">")*"&gt;";
        return "<html><body><pre>\n"+xml+"\n</pre></body></html>\n";
    }
    
    vars["host"] = _Server->query_config(CFG_WEBSERVER);
    vars["port_ftp"] = (string)_Server->query_config(CFG_WEBPORT_FTP);
    vars["port_http"] = (string)_Server->query_config(CFG_WEBPORT_HTTP);
    vars["user_name"] = (string)(objectp(user)?user->get_identifier():
               "none");
    vars["version"] = STEAM_VERSION;
    vars["user_id"] = (string)(objectp(user) ? user->get_object_id(): "0");
    vars["selection"] = (string)(objectp(user)? (
        arrayp(user->query_attribute("USER_SELECTION"))?
        sizeof(user->query_attribute("USER_SELECTION")):"0") : "0");
    vars->inmemory = (string)master()->get_in_memory();
    vars->swapped  = (string)master()->get_swapped();
    vars->webversion = get_module("package:web")->get_version();
    vars->libxsltversion = get_module("libxslt")->get_version();

    vars |= client_map;
    
   	html = _Server->get_module("libxslt")->run(xml, xsl, vars);
  
    run_event(EVENT_EXECUTE, CALLER, this_object());
    return html;
}
