inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>
#include <web.h>
#include <exception.h>
#include <types.h>

string|int
execute(mapping vars)
{
    mixed err;
    object user = this_user();

    try_event(EVENT_EXECUTE, CALLER, this_object());

    string ticket = user->get_ticket();
    object xsl = _FILEPATH->path_to_object("/chat/chat.xsl");

    string xml = "<chat/>";

    vars["nick"] = this_user()->get_identifier();
    vars["pass"] = ticket;
    mapping client_map = identify_browser(
	vars["__internal"]["client"],
	vars["__internal"]["request_headers"]);
    vars |= client_map;
    
    // make sure chat is on url /chat on the presentation port
    catch(OBJ("/chat")->set_attribute("url", "/chat"));
    
    vars["web_port"] = _Server->query_config("http_port");
    vars["web_server"] = _Server->get_server_name();
    vars["sport"] = _Server->query_config("sport");
    vars["port"] = _Server->query_config("port");
    string use_ssl = _Server->query_config("chat_use_ssl");
    if (stringp(use_ssl) && use_ssl == "true") vars["use_ssl"] = "true";
    else                   vars["use_ssl"] = "false";
    string html = _Server->get_module("libxslt")->run(xml, xsl, vars);
    
    run_event(EVENT_EXECUTE, CALLER, this_object());

    return html;
}
