inherit "/classes/Object";
inherit "/base/xml_data";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>
#include <types.h>

#define _XMLCONVERTER _Server->get_module("Converter:XML")
#define _SABLOTRON _Server->get_module("sablotron")

/**
 *
 *  
 * @param 
 * @return 
 * @author Thomas Bopp (astra@upb.de) 
 * @see 
 */
string 
execute(mapping vars)
{
    int oid = (int)vars["object"];
    mapping               configs;
    string              html, xml;
    object                    obj;

    if ( oid == 0 ) {
	obj = _Server;
    }
    else {
	obj = find_object(oid);
    }
    
    if ( (int)vars["change.x"] > 0 ) {
	foreach(indices(vars), string index) {
	    if ( sscanf(index, "var_%s", index) == 1 ) {
		mixed val;
		if ( sscanf(vars[index], "%d", val) != 1 )
		    val = vars[index];
		obj->set_config(index, val);
	    }
	}
    }
    
    configs = obj->get_configs();
    vars["title"] = "Server Configuration";
    xml = "<config>\n"+	compose(configs)+"</config>";
    object xsl = _FILEPATH->path_to_object("/stylesheets/configure.xsl");
    html = _SABLOTRON->run(xml, xsl, vars);
    return "<html>" + html + "</body></html>";
}

