inherit "/classes/Script";

#include <macros.h>
#include <attributes.h>
#include <database.h>
#include <classes.h>

static object create_cont(string name, object env, object urlMod)
{
    object factory = _Server->get_factory(CLASS_CONTAINER);
    object cont = factory->execute( ([ "name": name, ]) );
    cont->move(env);
    cont->set_attribute("url", urlMod->object_to_path(env) + "/" + name);
    return cont;
}

mixed execute(mapping vars)
{
    string html = "";
    string      path;
    object       obj;
    object    urlMod;
    bool       isDoc;

    string fp = vars["fp"];
    if ( !stringp(fp) )
	fp = "filepath:tree";

    urlMod = _Server->get_module(fp);

    path = vars["path"];

    array(string) tokens = path / "/";
    for ( int i = sizeof(tokens) - 1; i >= 0; i-- ) {
	path = (tokens[..i]*"/");
	obj = urlMod->path_to_object(path);
	if ( objectp(obj) ) {
	    object factory, created, env;
	    string           fname, fext;

	    // create the path !
	    for ( int j = i+1; j < sizeof(tokens) - 1; j++ ) {
		if ( !stringp(tokens[j])  || strlen(tokens[j]) == 0 )
		    continue;
		obj = create_cont(tokens[j], obj, urlMod);
	    }

	    fname = basename(vars->path);
	    if ( sscanf(fname, "%*s.%s", fext) >= 2 ) {
		factory = _Server->get_factory(CLASS_DOCUMENT);
		isDoc = true;
	    }
	    else {
		factory = _Server->get_factory(CLASS_CONTAINER);
		isDoc = false;
	    }
	    created = factory->execute( ([ "name": fname,  ]) );
	    created->move(obj->this());
	    created->set_attribute("url", vars["path"]);
	    if ( isDoc )
		return redirect("/scripts/edit.pike?object="+created->get_object_id()+"&amp;_perform=new_document");

	    return result_page("Successfully created the Container '<b>"+
			       vars["path"] + "</b>'.",
			       "/scripts/show.pike?object="+
			       created->get_object_id());
	}
    }
    return result_page("Failed to create the path '"+vars["path"]+"'.",
		       "JavaScript:history.back();");
}
