inherit "/classes/Script";

import httplib;

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#define USAGE_TXT\
"Usage:<BR />"+\
"Use the edit.pike script with the following parameters:<BR/>"+\
"<ul><li>object - the object to edit</li>"+\
"</ul>"

string execute(mapping vars){
    object obj = find_object((int)vars["object"]);
    string back; // vars["back"];
    string type;
    string content;
    string editsubject;
    string editname;
    string editmimetype;
    string editattachment;
    string doc_mimetype;


    mapping client = identify_browser(vars["__internal"]["client"],
                                  vars["__internal"]["request_headers"]);
    string l = this_user()->query_attribute(USER_LANGUAGE);

    if (arrayp(vars["type"])) vars["type"] = ((array)vars["type"])[0];    
 	     type = (string)vars["type"];
    
    if ( stringp(l) )
        client->language = l; 
        vars|=client;
    if ( !stringp(back) ) {
        back = vars["__internal"]["request_headers"]["referer"];
        vars["back"] = back;
    }

    string action_msg = "";    
                
                //checking if the object is a valid text file
        if( type != "annotcreate" ) {
            if ( !objectp(obj) ) {
                    return result_page(
                        "The object "+vars["object"]+" was not found.<BR />"+USAGE_TXT,
                        "JavaScript:history.back();");
            }
            else if ( !(obj->get_object_class() & CLASS_DOCUMENT) || (search(obj->query_attribute(DOC_MIME_TYPE), "text") < 0 && (obj->query_attribute(DOC_MIME_TYPE) != "source/pike") && (obj->query_attribute(DOC_MIME_TYPE) != "application/x-javascript")))
                    return result_page(
                        "The given object is not a text document. <BR />"+USAGE_TXT,
                        "JavaScript:history.back();");
        }   
 //it is a valid textfile: proceed    
                string msg;
    msg = "";
    switch(vars["_action"]) {
    case "edit":
        if ( vars["_action2"] && vars["_action2"] == "preview_back")
        { //do nothing
        }
        else {
	        content = vars["content"];
          if ( obj->query_attribute(DOC_ENCODING) == "iso-8859-1") {
            content = utf8_to_string(content);
            if ( String.width(content) != 8 ) {
              error("Invalid string width when converting to ISO");
            }
          } else {
            // if encoding is not utf-8 set it to utf-8 because edit window
            // submits content as utf-8
            if (lower_case(stringp(obj->query_attribute(DOC_ENCODING)) ? obj->query_attribute(DOC_ENCODING):"") != "utf-8")
              obj->set_attribute(DOC_ENCODING, "utf-8");
          }
          obj->set_content(content);
          if(type == "annotation") {
              editsubject = vars["editsubject"];
              obj->set_attribute(OBJ_NAME, editsubject);
              doc_mimetype = vars["doc_mimetype"];
              obj->set_attribute(DOC_MIME_TYPE, doc_mimetype);
          } else {
              if (vars["editname"] && vars["editname"] != "")
                editname = vars["editname"];
              else 
                editname = vars["editsubject"];
              obj->set_attribute(OBJ_NAME, editname);
          }
          action_msg = "Content Saved!";
          msg = "";
//          if ( obj->query_attribute(DOC_MIME_TYPE) == "text/wiki" )
//            return redirect(_FILEPATH->object_to_filename(obj));
           if ( vars["_perform"] == "new_document" )
            return redirect(_FILEPATH->object_to_filename(obj));
          return "<HTML><SCRIPT LANGUAGE=\"javascript\">self.opener.location.reload(); self.close();</SCRIPT></HTML>";
        }
        break;        
    case "preview":
        content = vars["content"];
        editsubject = vars["editsubject"];
        editmimetype = vars["doc_mimetype"];
        editattachment = vars["annotfile.filename"];
        editname = obj->query_attribute(OBJ_NAME);
        break;      
    default:
        if(type != "annotcreate") {
            content = obj->get_content();
            editsubject = obj->query_attribute(OBJ_NAME); 
            editname = obj->query_attribute(OBJ_NAME);
            if(editsubject == "") editsubject = editname;
        }    
    }      
    if (vars["_action2"]) {
      if ( vars["_action2"] == "preview_back")
      {
        content = vars["content"];
        editsubject = vars["editsubject"];
        editmimetype = vars["doc_mimetype"];
        editattachment = vars["annotfile.filename"];
      }
    }
    
    if ( !stringp(content) )
        content = "";
    if ( !stringp(editsubject) )
        editsubject = "";
    if ( !stringp(editname) )
        editname = "";
    if ( !stringp(editmimetype) )
        editmimetype = "";
    if ( !stringp(editattachment) )
        editattachment = "";    
    string encoding;
    encoding = obj->query_attribute(DOC_ENCODING);
    if ( !stringp(encoding) ) {
        if ( search(content, "charset=iso-8859-1") >= 0 ||
             search(content, "charset=ISO-8859-1") >= 0)
            encoding = "iso-8859-1";
        else
            encoding = "utf-8";
    }
    if ( encoding == "iso-8859-1" || !xml.utf8_check(content) ) {
        content = string_to_utf8(content);
        obj->set_attribute(DOC_ENCODING, "iso-8859-1");
    }
    //build xml string    
    string mtype = obj->query_attribute(DOC_MIME_TYPE);

    vars["content"] = content;
    vars["edit_editsubject"] = editsubject;
    vars["edit_editmime-type"] = mtype;
    vars["edit_editname"] = editname;
    vars["edit_editpath"] = _FILEPATH->object_to_path(obj);
    vars["edit_editmimetype"] = editmimetype;
    vars["edit_editattachment"] = editattachment;

    object xsl = OBJ("/stylesheets/edit.xsl");
    string xml = _Server->get_module("Converter:XML")->get_xml(this(), xsl, vars, 0);

    if (stringp(vars["source"]) && vars["source"] == "true")
      return xml;

    string htmlpage = get_module("libxslt")->run(xml, xsl, vars);
    return htmlpage;
}
