inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <access.h>
#include <attributes.h>
#include <types.h>
#include <classes.h>
#include <events.h>
#include <exception.h>


mixed execute(mapping vars)
{
    object obj, user;
    mixed     result;
    mixed   err, acq;

    user = this_user();

    try_event(EVENT_EXECUTE, CALLER, this_object());

    if ( !stringp(vars->script) )
      return error_page("No value for script has been set - unable to execute !", "JavaScript:history.back();");

    obj = find_object((int)vars["script"]);
    
    // calling functions in objects !
    string func = vars->function;
    if ( stringp(func) ) {
      function f = obj->find_function(func);
      if ( functionp(f) ) {
	mixed params = vars;
	if ( stringp(vars->param) )
	  params = vars->param;
	result = f(params);
	return redirect(vars->__internal->request_headers->referer, 0);
      }
      steam_error("Unable to find function " + func);
    }


    if ( objectp(obj) ) {
	if ( obj->get_object_class() & CLASS_DOCLPC) {
	    // create instance and delete again!
	    object o;

	    array(object) instances = obj->get_instances();
	    if ( arrayp(instances) )
		instances -= ({ 0 });
	    if ( !arrayp(instances) || sizeof(instances) == 0 ) {
		object e = master()->ErrorContainer();
		master()->set_inhibit_compile_errors(e);
		mixed err = catch {
		    o = obj->execute((["name":"temp", ]));
		    o->set_acquire(obj);
		};
		master()->set_inhibit_compile_errors(0);
		if ( err != 0 ) {
		    return error_page("Error while creating Script<BR/>"+
				      e->get() + "<BR/>"+
				      err[0]+"<BR/>"+sprintf("%O",err[1]),
				      "JavaScript:history.back();");
		}
	    }
	    else {
		o = instances[0];
		
		if (  o->query_attribute(OBJ_CREATION_TIME) <
		      obj->query_attribute(DOC_LAST_MODIFIED) )
		{
		    LOG("Upgrading program..."+ctime(o->query_attribute(OBJ_CREATION_TIME)) + ctime(obj->query_attribute(DOC_LAST_MODIFIED)));
		    program __prog = master()->
			lookup_program("/DB:#"+obj->get_object_id()+".pike");
		    int res = master()->upgrade(__prog);
		    o->set_attribute(OBJ_CREATION_TIME, time());
		}
	    }
	    
	    err = catch {
		result = o->execute(vars);
	    };
	    if ( err != 0 ) {
		if ( arrayp(err) && sizeof(err) >= 3 && (err[2] & E_ACCESS) ) {
		    for ( int i = 1; i < sizeof(err[1]); i++ )
			if ( err[1][i-1][0] == o ) {
			    mixed bt = err[1][i];
			    return result_page
				("Access denied on script calling "+
				 function_name(bt[2])+":"+bt[1],
				 "JavaScript:history.back();");
			}
		    
		}
		throw(err);
	    }
	    if ( intp(result) || result == 0 ) {
		result = "Script executed, but no result.<br/>";
	    }
	    run_event(EVENT_EXECUTE, CALLER, this_object());
	    return result;
	    
	}
	run_event(EVENT_EXECUTE, CALLER, this_object());
	return obj->execute(vars);
    }
    run_event(EVENT_EXECUTE, CALLER, this_object());
    return error_page("Requested Script was not found !", 
		      "JavaScript:history.back();");
		      
}
