inherit "/classes/Script";

#include <macros.h>
#include <attributes.h>
#include <classes.h>
#include <database.h>

string get_folders(mapping vars) 
{
    string result = "<Folders>\n";
    object cont = vars->folder;
    foreach(cont->get_inventory(), object obj) {
	if ( obj->get_object_class() & CLASS_CONTAINER )
	    result += sprintf("<Folder name='%s' />\n", obj->get_identifier());
    }
    result += "</Folders>\n";
    return result;
}

string get_files(mapping vars)
{
    string result = "";

    result += get_folders(vars);
    result += "<Files>\n";
    object cont = vars->folder;

    foreach(cont->get_inventory(), object obj) {
	if ( obj->get_object_class() & CLASS_DOCUMENT )
	    if ( search(obj->query_attribute(DOC_MIME_TYPE), "image") >= 0 )
		result += sprintf("<File name='%s' size='%d'/>\n", 
				  obj->get_identifier(),
				  obj->get_content_size());
    }
    result += "</Files>\n";
    return result;
}

string upload_file(mapping vars)
{
    object cont = vars->folder;
    object factory = get_factory(CLASS_DOCUMENT);
    object img = factory->execute( ([ "name": vars["NewFile.filename"], ]) );
    img->set_content(vars->NewFile);

    img->move(cont);
    return "<script type='text/javascript'>"+
	"window.parent.frames['frmUpload'].OnUploadCompleted('200','"+
	vars["NewFile.filename"]+"');</script>\n";
}

string create_folder(mapping vars)
{
    string path = vars->path;
    object cont = vars->fp->path_to_object(path);
    object factory = get_factory(CLASS_CONTAINER);
    object folder = factory->execute( ([ "name": vars->NewFolderName, ]) );
    folder->move(cont);
    return "<Error number='0' originalNumber='0' originalDescription='ok'/>\n";
}

string createXML(string cmd, string rtype, string folder, string content)
{
    return sprintf("<?xml version='1.0' encoding='utf-8' ?>\n"+
		   "<Connector command='%s' resourceType='%s'>\n"+
		   " <CurrentFolder path='%s' url='%s' />\n%s\n</Connector>",
		   cmd, rtype, folder, folder, content);
		   
}

mixed execute(mapping vars)
{
    string result;

    if ( !stringp(vars->CurrentFolder) )
	vars->CurrentFolder = "";
    if ( !stringp(vars->ServerPath) )
	vars->ServerPath = "";
    
    string path;
    if ( strlen(vars->ServerPath) > 0 && 
	 strlen(vars->CurrentFolder) > 0 && 
	 vars->CurrentFolder == "/" )
    {
	vars->CurrentFolder = vars->CurrentFolder[1..];
	path = combine_path(vars->ServerPath, vars->CurrentFolder);
    }
    else
	path = vars->CurrentFolder;
    
    vars->path = path;
    object fp = vars->fp;
    if ( !objectp(fp) )
	fp = _FILEPATH;
    vars->folder = fp->path_to_object(path);

    switch ( vars->Command ) {
    case "GetFolders":
	result = get_folders(vars);
	break;
    case "CreateFolder":
	result = create_folder(vars);
	break;
    case "GetFoldersAndFiles":
	result = get_files(vars);
	break;
    case "FileUpload":
	return upload_file(vars);
	break;
    }

    return ({ 
	createXML(vars->Command, vars->Type, vars->path, result), 
	    "text/xml" });
}
