inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <config.h>
#include <events.h>

// Macros for internationalization
#define RES(e,g) ([ "german":g, "english":e, "chinese":e, ])
#define RES_MSG(e,g,l) RES(e,g)[l]

void send_infoemail(object user)
{
  seteuid(USER("root"));
  string language = user->query_attribute(USER_LANGUAGE);
  if (search(({"english", "german"}), language) < 0) language = "english";
  string servername =  _Server->query_config("machine") +(stringp(_Server->query_config("domain"))?"."+_Server->query_config("domain"):"");
  string adminreply = "admin@" + servername;
  string pw = user->get_ticket(time() + 3600); // one hour
  int https = _Server->query_config(CFG_WEBPORT_HTTP);
  string subject = RES_MSG("Your account information for "+servername, "Ihre Account Daten für "+servername, language);
  string username = ""; 
  username = ((stringp(user->query_attribute(USER_FIRSTNAME)))?user->query_attribute(USER_FIRSTNAME):"");
  username += ((stringp(user->query_attribute(USER_FULLNAME)) && user->query_attribute(USER_FULLNAME)!= "")?" "+user->query_attribute(USER_FULLNAME):"");

  string link = "https://"+user->get_user_name()+":"+
      pw+"@"+
      _Server->query_config(CFG_WEBSERVER)+
      (https!=443?":"+query_config(CFG_WEBPORT_HTTP):"")+
      _Server->query_config(CFG_WEBMOUNT)+
      "register/forgot_change.html";
  string message = RES_MSG( "Dear "+username+",<br /><br /> you requested this email to be able to set a new password for your account \""+user->get_user_name()+"\" on \""+servername+"\".<br />For this reason we sent you this email.<br /><br />Please use the following link below to login to change your password. The given link is valid for one hour:<br /><a href=\""+link+"\">"+link+"</a><br /><br /><br /><i>Please note: if you dont requested this e-mail by yourself it might be that someone else did this. If that is the case please ignore this e-mail.</i>", "Sehr geehrte/r "+username+",<br /><br />Sie haben diese E-Mail angefordert um das Passwort für Ihren Account \""+user->get_user_name()+"\" auf dem sTeam Server \""+servername+"\" neu setzen zu können.<br />Bitte folgen Sie dem untenstehenden Link, dieser ist für 1 Stunde gültig.<br /><a href=\""+link+"\">"+link+"</a><br /><br /><br /><i>Sollten Sie diese E-Mail nicht angefordert so können Sie diese E-Mail ignorieren.</i>", language);

//  werror("forgot_pw.pike:send_infoemail(): login="+user->get_user_name()+" server="+servername+" message="+message+"\r\n\r\n");
// use user->mail() to respect forward settings
  user->mail(message, subject, adminreply, "text/html");

//  _Server->get_module("smtp")->send_mail( user->query_attribute(USER_EMAIL), subject, message, adminreply, adminreply, "text/html");
}

string
execute(mapping vars)
{
    string name, email, action;
    string nameoremail = vars["nameoremail"];

    action   = vars["_action"];
    if ( stringp(action) && action == "change" ) {
      try_event(EVENT_EXECUTE, CALLER, this_object());
      string pw = vars["user_pw"];
      string confirm = vars["user_pw_confirm"];
      if ( pw != confirm )
          return "<html><body>The passwords dont match.</body></html>";
      this_user()->set_user_password(pw);
      run_event(EVENT_EXECUTE, CALLER, this_object());
      int http = _Server->query_config("web_port");
      string startlink = "http://" + _Server->query_config(CFG_WEBSERVER)+
      (http!=80?":"+query_config("web_port"):"")+
      _Server->query_config(CFG_WEBMOUNT);
      
      return "<html><body>The password for \""+this_user()->get_user_name()+"\" has been changed successfully.<br /><br /><a href="+startlink+">To the startpage</a></body></html>";
    }
    array(object) users = ({ });
    object directuser = MODULE_USERS->lookup(nameoremail);
    if ( !objectp(directuser) && (search(nameoremail, "@") > 0) ) {
      foreach(_STEAMUSER->get_members(), object u) {
        if ( u->query_attribute(USER_EMAIL) == nameoremail ) {
          users += ({ u });
        }
      }
    } else users = ({ directuser });
    mixed err = catch {
      foreach(users, object user) {
        if (objectp(user)) {
          send_infoemail(user);
        }
      }
    };
    if ( err != 0 ) {
      seteuid(USER("root"));
      FATAL("err=%s\n%O\n", err[0], err[1]);
      int errid = time();
      string btname = "html_backtrace_"+errid;
      object bt = 
      _Server->insert_backtrace(btname, 
              "<html><body><b>forgot_pw.pike->execute(): </b>"+
              replace(err[0],({"<",">","\n" }), 
                ({"&lt;","&gt;","<br/>"}))+
              backtrace_html(err[1]) + "<br/><br/>"+
              replace(sprintf("%O", vars), "\n", "<br/>")+
              "</body></html>");
      return result_page("There was an error sending the information you need. Please contact the administrator of this server.<br />(The error id is \""+btname+"\")","JavaScript:history.back();");
    }
    return result_page("An e-mail containing a link which allows you to reset your password has been sent to your account.","JavaScript:history.back();");
}
