inherit "/classes/Object";

#include <macros.h>
#include <database.h>
#include <functions.h>
#include <classes.h>


/**
 * Execute the functions.pike script to generate xml and send
 * results through the xsl processor.
 *  
 * @param vars - the variables received by http
 * @return html result 
 * @author <a href="mailto:astra@upb.de">Thomas Bopp</a>) 
 */
string
execute(mapping vars)
{
    program                   prg;
    object                    obj;
    int oid = (int)vars["object"];
    string    xml = "<functions>";

    if ( stringp(vars["program"]) && strlen(vars["program"]) > 0 ) {
	prg = (program)vars["program"];
    }
    else {
	obj = find_object(oid);
	if ( !objectp(obj) ) 
	    obj = _ROOTROOM;
	obj = obj->get_object();
	if ( obj->get_object_class() & CLASS_FACTORY ) {
	    prg = (program)("/classes/"+obj->get_class_name()+".pike");
	}
	else {
	    prg = object_program(obj);
	}
    }


    if ( objectp(obj) )
	xml += _Server->get_module("Converter:XML")->get_basic_xml(obj) + "\n";
    object xsl = _FILEPATH->path_to_object("/stylesheets/functions.xsl");
    if ( !objectp(xsl) ) 
	return "";
    xml += _Server->get_functions_xml(prg);

    xml += "</functions>\n";
    object xslt = _Server->get_module("libxslt");
    string html = xslt->run(xml, xsl, vars);

    return "<html><body>\n"+html+"<!--"+xml+"\n-->\n</body></html>\n";
}

