inherit "/classes/Script";

#include <macros.h>
#include <classes.h>
#include <database.h>
#include <types.h>
#include <events.h>
#include <attributes.h>

#define _XML _Server->get_module("Converter:XML")
#define _SABLOTRON _Server->get_module("libxslt")


mixed 
execute(mapping vars)
{
    int     oid, id;
    object user = this_user();
    

    try_event(EVENT_EXECUTE, CALLER, this_object());

   
    vars["host"] = _Server->query_config(CFG_WEBSERVER);
    vars["port_ftp"] = (string)_Server->query_config(CFG_WEBPORT_FTP);
    vars["port_http"] = (string)_Server->query_config(CFG_WEBPORT_HTTP);
    vars["user_name"] = (string)(objectp(user)?user->get_identifier():"none");
    vars["user_id"] = (string)(objectp(user) ? user->get_object_id(): "0");
    vars["selection"] = (string)(objectp(user)? (
	arrayp(user->query_attribute("USER_SELECTION"))?
	sizeof(user->query_attribute("USER_SELECTION")):"0") : "0");    

    object xsl = _FILEPATH->path_to_object("/stylesheets/groups.xsl");
    //xsl->set_xml_structure(groupsXML);

    string xml = _XML->get_xml(user,xsl, vars,0);

    if ( vars->source == "true" ) {
	xml = replace(xml, ({ "<", ">" }), ({ "&lt;", "&gt;" }));
	return "<html><body><pre>"+xml+"</pre></body></html>";
    }

    mapping client_map = identify_browser(
	vars["__internal"]["client"],
	vars["__internal"]["request_headers"]);

    string l = this_user()->query_attribute(USER_LANGUAGE);
    if ( stringp(l) )
	client_map->language = l;

    vars += client_map;
    
    string html = _SABLOTRON->run(xml, xsl, vars);
    run_event(EVENT_EXECUTE, CALLER, this_object());
    return html;
}


int get_object_class() 
{
  return ::get_object_class() | CLASS_CONTAINER;
}


bool insert_obj(object obj)
{
  steam_error("empty group script !");
}

bool remove_obj(object obj)
{
  steam_error("empty group script !");
}

array(object) get_inventory()
{
  return ({ });
}

array(object) get_inventory_by_class() 
{
  return ({ });
}

object get_object_byname(string obj_name)
{
  return get_module("groups")->lookup(obj_name);
}
