inherit "/classes/Object";

#include <macros.h>
#include <database.h>
#include <attributes.h>
#include <access.h>

array(string) __sanction = _SECURITY->get_sanction_strings();

private static mapping 
sanction_status(mapping vars)
{
    int        acc, oid, aid;
    string            access;
    object               obj;
    string         key, ustr;
    mapping sanction = ([ ]);
    
    array(string) keys = indices(vars);
    
    foreach(keys, key) {
	if ( sscanf(key, "%d_%s", oid, access) == 2 ) {
	    aid = search(__sanction, access);
	    if ( aid >= 0 ) {
		acc = 1<<aid;
		obj = find_object(oid);
		if ( objectp(obj) ) {
		    sanction[obj] |= acc;
		    LOG("Status for " + oid + ": " + sanction[obj]);
		}
	    }
	}
    }
    foreach(keys, key) {
	if ( sscanf(key, "object_%d", oid) == 1 ) {
	    obj = find_object(oid);
	    if ( objectp(obj) && sanction[obj] == 0 )
		sanction[obj] = -1;
	}
    }
    return sanction;
}

string
execute(mapping vars)
{
    int oid = (int)vars["object"];
    object                    grp;

    if ( oid == 0 ) return "";

    grp = find_object(oid);
    mapping sanction = sanction_status(vars);
    foreach(indices(sanction), object sobj) {
	LOG("On " + sobj->get_identifier() + ": "+sanction[sobj]);
	if ( sanction[sobj] == -1 )
	    sobj->sanction_object(grp, 0);
	else
	    sobj->sanction_object(grp, sanction[sobj]);
    }
    return "<html><head><meta http-equiv=\"refresh\" content=\"0;URL="+
	"navigate.pike?object="+oid+"\"/></head></html>\n";   
}


