inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>
#include <web.h>
#include <exception.h>
#include <types.h>

/**
 * execute - execute the script
 *  
 * @param vars - variables
 * @return the html representation for an object
 * @author Thomas Bopp (astra@upb.de) 
 */
string|int
execute(mapping vars)
{
    object                      obj;   

    obj = _Server->get_module("icons");
    try_event(EVENT_EXECUTE, CALLER, this_object());
    
    mixed type;
    if ( sscanf(vars["type"], "%d", type) != 1 )
	type = vars["type"];

    int     oid;
    object icon;
    if ( sscanf(vars["icon"], "%d", oid) == 1 )
	icon = find_object(oid);
    else
	icon = _FILEPATH->path_to_object(vars["icon"]);
    obj->set_icon(type, icon);
    return redirect("navigate.pike?object="+obj->get_object_id()+"&room="+
		    vars["room"]);
}

