inherit "/classes/Script";

string get_inherits(string dir) 
{
    array(string) files;
    string     dot = "";
    string        fname;

    files = get_dir(dir);
    foreach(files, string file) {
	if ( file == "server.pike" )
	    continue;
	object fstat = file_stat(dir + file);
	if ( !objectp(fstat) ) continue;
	if ( fstat[1] == -2 ) {
	    dot += get_inherits(dir + file + "/");
	}
	else if ( sscanf(file, "%s.pike", fname) > 0 ) {
	    program p;

	    fname = dir + fname;
	    mixed err = catch {
		p = (program)(fname+".pike");
	    };
	    if ( !programp(p) ) continue;
	    dot +="\""+fname+".pike\" [shape=box,bgcolor=lightgray,style=filled]\n";
	    foreach(Program.inherit_list(p), program prg) {
		if ( !programp(prg) ) continue;
		string pname = master()->describe_program(prg);
		if ( !stringp(pname) || pname == "0" || pname == "" ) continue;
		if ( pname[0] != '/' ) pname = "/"+pname;
		dot +="\""+pname+"\" -> \""+fname+".pike\"\n";
	    }
	}
    }
    return dot;
}

/**
 * Execute the functions.pike script to generate xml and send
 * results through the xsl processor.
 *  
 * @param vars - the variables received by http
 * @return html result 
 * @author <a href="mailto:astra@upb.de">Thomas Bopp</a>) 
 */
string
execute(mapping vars)
{
    program                   prg;
    object                    obj;
    int oid = (int)vars["object"];
    string               dot = "";

    string dir = "/";

    array(string) files;
    string        fname;

    files = get_dir(dir);

    foreach(files, fname) {
	mixed fstat = file_stat("/"+fname);
	if ( objectp(fstat) && fstat[1] == -2 ) {
	    dot = "diGraph G {\n";
	    dot += get_inherits("/"+fname+"/");
	    dot += "}";
	    object f = Stdio.File(fname+".dot", "wct");
	    f->write(dot);
	    f->close();
	}
    }
    return "OK";
}
