inherit "/classes/Script";

#include <attributes.h>
#include <database.h>
#include <macros.h>
#include <classes.h>

/**
 *
 *  
 * @param 
 * @return 
 * @author <a href="mailto:astra@upb.de">Thomas Bopp</a>) 
 * @see 
 */
array(object) get_selected(mapping vars, array(string)|void sels)
{
    array(object) selected = ({ });
    
    array(string) index = ({ });
    if ( !arrayp(sels) ) sels = ({ "objsel", "roomsel", "gateobjsel" });
    
    if ( stringp(vars["popup_id"]) && strlen(vars["popup_id"]) > 0 &&
	(int)vars["popup_id"] != 0 )
	return ({ find_object((int)vars["popup_id"]) });
    
    foreach ( sels, string sel ) {
      LOG("Selecting: "+ sel);
	if ( stringp(vars[sel]) )
	    index += (vars[sel]/"\0");
	else if ( arrayp(vars[sel]) ) {
	  LOG("direct array selection !");
	  index += vars[sel];
	}
    }

    foreach(index, string key) {
	int     oid;
	object  obj;
	if ( sscanf(key, "%d", oid) == 1 && objectp(obj=find_object(oid)) )
	{
	    LOG("Selection of " + oid);
	    selected += ({ obj });
	}
    }
    return selected;
}

mixed execute(mapping vars)
{
    object obj;
    array(object) selection = get_selected(vars);
    
    
    switch(vars["_action"]) {
    case "set_documentstatus":
	string str = "";
	string status = 0;
	if ( vars["tutorials_status"] == "1" )
	    status = "processed";
	foreach(selection, obj) {
	    obj->set_attribute("lecture:status", status);
	    str += "setze: "+obj->get_identifier()+" auf bearbeitet! <BR />";
	}
	return result_page(str, "");
	break;
    case "upload":
	object                    factory; 
	array(object)               group;
	string      content = vars["URL"];
	string                drive, path;
	string                        ext;
	string                   mimetype;
	string url = vars["URL.filename"];
	
	if ( sscanf(url, "%*s.%s", ext) > 0 )
	    mimetype = _TYPES->query_mime_type(lower_case(ext));
	else
	    mimetype = "text/plain";
	
	object tutor = find_object((int)vars["tutorials_selecttutor"]);
	if ( !objectp(tutor) )
	    return result_page(
		"bungsgruppenleiter fr die Abgabe nicht gefunden.",
		"JavaScript:history.back();");
		
	group = ({ });
	
	if ( stringp(vars["name"]) && strlen(vars["name"]) > 0 )
	    url = vars["name"];
	
	string mtnr1= vars["tutorial_mno1"];
	string mtnr2= vars["tutorial_mno2"];
	string mtnr3= vars["tutorial_mno3"];
	string mtnr4= vars["tutorial_mno4"];
	if ( (int)mtnr1 == 0 || (int)mtnr2 == 0 ||(int)mtnr3 == 0 )
	    return result_page(
		"Das bungsblatt muss mit mindestens 3 Personen bearbeitet "
		"werden !", "JavaScript:history.back();");
	
	array(string) numbers = ({ mtnr1, mtnr2, mtnr3 });
	if ( (int) mtnr4 != 0 ) numbers += ({ mtnr4 });
	
	array users = _STEAMUSER->get_members();
	foreach(users, object u) {
	    if ( search(numbers, u->query_attribute("MatrikelNr")) >= 0 )
	    {
		if ( search(group, u) >= 0 ) 
		    return result_page(
			"Der Benutzer '"+u->get_identifier()+
			"' wurde mehrfach gefunden!",
			"JavaScript:history.back();");
		group += ({ u });
		numbers -= ({ u->query_attribute("MatrikelNr") });
	    }
	}
	if ( sizeof(numbers) != 0 )
	    return result_page("Die Matrikel Nummer(n) "+(numbers*",") +
			       " wurden nicht gefunden !",
			       "JavaScript:history.back();");

	LOG("URL="+url);
	LOG("Creating new object !");
	factory = _Server->get_factory(CLASS_DOCUMENT);
	obj = factory->execute((["name":url,"mimetype":mimetype,]));
	LOG("environment="+vars["id"]);
	LOG("moving...?");
	object e = find_object((int)vars["id"]);
	if ( objectp(e) ) obj->move(e);

	LOG("Upload of " + strlen(content) + " bytes !");
	function f = obj->receive_content(strlen(content));
	f(content);
	f(0);
	obj->set_attribute(OBJ_DESC, vars["objdesc"]);
	obj->set_attribute("lecture:group", group);
	obj->set_attribute("lecture:tutor", tutor);
	break;
    }
    return "<html><head><meta http-equiv=\"refresh\" content=\"0;URL="+
	"navigate.pike?object="+vars["id"]+"\"/></head></html>";
}
