inherit "/classes/Script";

#include <macros.h>
#include <config.h>
#include <events.h>
#include <database.h>
#include <exception.h>

private static mapping mLogin = ([ ]);

string loginStr = "";

string redirect_url(string url) 
{
    string redirect = "<html><head>"+
	"<meta http-equiv=\"Cache-Control\" content=\"no-cache\">"+
	"<meta http-equiv=\"refresh\" content=\"0;"+	"URL=" + url + "\"/>"+
	"<meta http-equiv=\"expires\" content=\"0\"></head></html>\n";    
    return redirect;
}

/**
 *
 *  
 * @param 
 * @return 
 * @author Thomas Bopp (astra@upb.de) 
 * @see 
 */
mixed execute(mapping vars)
{
    string      remote = vars["__internal"]->remoteaddr;
    array(string) referer = vars["__internal"]->referer;
    string redirect;
    int port = _Server->query_config(CFG_WEBPORT_HTTP);
    string server =  _Server->query_config(CFG_WEBSERVER);
    string serverurl = server + ":"+ port;
    
    if ( port == 443 )
	serverurl = server;

    // if the server is different from our later redirections
    // we should redirect first before asking for any login stuff

    serverurl = vars->__internal->request_headers->host;

#if 0
    if ( vars["__internal"]["request_headers"]["host"] != serverurl )
    {
	return ({ redirect_url("https://"+serverurl+"/scripts/login.pike"),
		      "text/html", time() });
    }
#endif
    if ( this_user() == _GUEST )
	return -1;

    if ( mLogin[remote] == this_user() )
	return -1;

    if ( !objectp(mLogin[remote]) ) {
	mLogin[remote] = this_user();
	return -1;
    }

#if 0
    if ( arrayp(referer) && sizeof(referer) > 0 ) {
	redirect = referer[0];
    }
    else
	redirect = "";
#endif
    redirect = serverurl;


    if ( sscanf(redirect, "%*s:%d/%*s", port) == 0 || 
	 (string)port != CFG_WEBPORT_HTTP)
    {
	redirect = "https://"+serverurl+"/home/"+
	    this_user()->get_identifier();
        loginStr +="Redirecting to " + redirect+"\n";
    }
    
    redirect = redirect_url(redirect);

    m_delete(mLogin, remote);
    return ({ redirect, "text/html", time() });
}



