inherit "/classes/Object";

#include <macros.h>
#include <database.h>

string show_dependents(int iOID)
{
    object pOID;

    pOID = find_object(iOID);

    if (pOID->status() <= PSTAT_DISK)
    {
	return "<html><body> Object("+iOID+")"+PSTAT(pOID->status())+
	    "</body></html>";
    }

    string res = "<html><body> dependents of "+
	master()->describe_object(pOID->get_object())+
	"<ul>";
    foreach(master()->dependents(object_program(pOID->get_object())),
	    program prog) {
	res += "<li>" + master()->describe_program(prog) + "</li>";
	LOG("master()->describe_program(prog)");
    }

    return res + "</ul><body><html>";
}

string do_upgrade(int iOID)
{
    object pOID;

    pOID = find_object(iOID);

    if (pOID->status() <= PSTAT_DISK)
	return "<html><body> Use Load instead </body></html>";

    mixed res = master()->upgrade(object_program(pOID->get_object()));

    if (intp(res) && res>=0)
	return "<html><head><meta http-equiv=\"refresh\" content=\"1;URL="+
	    "masterlist.pike\"></head></html>";
    else
	return "<html><body>\n" + res + "</body></html>";
}

string
execute(mapping vars)
{
    int iOID;

    if ((iOID=(int)vars["loadobject"])>0)
	find_object(iOID)->get_identifier();

    if ((iOID=(int)vars["dependents"])>0)
	return show_dependents(iOID);

    if ((iOID=(int)vars["upgrade"])>0)
	return do_upgrade(iOID);
    
    string erg;
    array(array(string)) tmp;
    int i;
    erg = "<html><body>The List<form action=\"run.pike\" method=post>"+
   "<table>"+
	"<tr>\n"+
        "  <th></th><th>OID</th> <th align=left>Class</th> "+
	"<th align=left>Name</th> <th align=left>Status</th>\n"+
        "<th>load</th></tr>";

    tmp = master()->p_list();
    for (i = 0;i<sizeof(tmp);i++)
    {
	erg += "<tr>"+
	    "<td>" + "<input type=\"checkbox\" name=\"select"+
	    tmp[i][0]+"\"/> </td>"+
	    "<td>" +tmp[i][0] +"</td>"+
	    "<td>" +tmp[i][1] +"</td>"+
	    "<td> <a href=\"navigate.pike?object="+tmp[i][0]+"\">"
	    + tmp[i][2] +"</a></td>"+
	    "<td>" + tmp[i][3] + "</td>" +
	    "<td> <a href=\"masterlist.pike?loadobject="
	    +tmp[i][0]+"\">load</a></td>"+
	    "<td> <a href=\"masterlist.pike?dependents="
	    +tmp[i][0]+"\">dependents</a></td>"+
	    "<td> <a href=\"masterlist.pike?upgrade="
	    +tmp[i][0]+"\">upgrade</a></td>"+
	    "</tr>\n";
  
    }
    erg += "</table><input type=\"image\" src=\"get.pike?objectpath=/design/buttons/delete.gif\" name=\"delete\" value=\"delete\"/> <input type=\"image\" src=\"get.pike?objectpath=/design/buttons/select.gif\" name=\"select\" value=\"select\"/></form>"+
	"</body></html>\n";

    return erg;
}

