inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <attributes.h>
#include <access.h>

object errors = _FILEPATH->path_to_object("/stylesheets/notfound.xsl");


string execute(mapping vars)
{
    string html = "";
    object xsl, cont;

    object fp = _Server->get_module(vars["fp"]);
    string path = vars["url"];
    if ( !stringp(path) )
	return "";
    array tokens = path / "/";

    xsl = errors;
    for ( int i = sizeof(tokens)-1; i >= 1; i-- )
    {
	path = tokens[..i]*"/";
	cont = fp->path_to_object(path);
	if ( objectp(cont) ) {
	    catch(xsl = cont->query_attribute("xsl:notfound"));
	    if ( !objectp(xsl) )
		xsl = errors;
	    break;
	}
    }
    if ( !objectp(cont) )
	cont = _ROOTROOM;

    string xml =  "<?xml version='1.0' encoding='iso-8859-1'?>\n"+
	"<error><actions/>"+
	"<message><![CDATA[The Document '"+vars["url"]+"' was not found on the "+
	"Server.]]></message>\n"+
	"<orb>"+vars["fp"]+"</orb>\n"+
	"<url>"+vars["url"]+"</url>\n"+
	"<user>"+this_user()->get_identifier()+"</user>\n"+
	"<container>"+_Server->get_module("Converter:XML")->show(cont)+
	_Server->get_module("Converter:XML")->get_basic_access(cont)+
	"</container>\n"+
	"</error>";
    html = _Server->get_module("libxslt")->run(xml, xsl, vars);
    html += "\n<!--"+xml+"-->\n";
    return html;
}
