inherit "/classes/Script" : steamObj;

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>


#define UPD_NONE     0
#define UPD_LOGIN    1
#define UPD_PROGRESS 2
#define UPD_FINISHED 3

#define UPDATE_MSG(a) \
"<![CDATA[<form name=\"update-web\" action=\"package.pike\"><input type=\"hidden\" name=\"action\" value=\""+a+"\"/><input type=\"hidden\" name=\"server\" value=\""+vars["server"]+"\"/><input type=\"hidden\" name=\"port\" value=\""+vars["port"]+"\"/><input type=\"hidden\" name=\"object\" value=\""+vars["object"]+"\"/>"


static int iFinished = UPD_NONE;
static mapping mDiffs = ([ ]);
static string sResult = "";
static object oClient = new("/base/client_base");

int handle_error(mixed err)
{
    return 0;
}

string check_if_new(object obj, mapping comps)
{
    string msg = "";
    if ( !objectp(obj) )
	return "";
    LOG("check_if_new("+obj->get_identifier()+")");
    if ( obj->get_object_class() & CLASS_CONTAINER && 
	 !(obj->get_object_class() & CLASS_MODULE) ) // no home module
    {
	array inv = ({ });
	mixed err = catch {
	    inv = oClient->send_cmd(obj, "get_inventory");
	};
	foreach(inv, object o)
	    msg += check_if_new(o, comps);
    }
    if ( obj->get_object_class() & CLASS_DOCUMENT ) {
	string path = oClient->send_cmd(
	    oClient->get_variable("filepath:tree"), 
	    "object_to_path",
	    obj);
	path += obj->get_identifier();
	if ( !comps[path] )
	    msg += "<tr><td><INPUT type=\"checkbox\" name=\"add\" value=\""+
		obj->get_object_id()+"\" checked=\"true\"></td><td>"+
		path+"</td><td colspan=2>New!</td></tr>";
    }
    return msg;
}

void update_web(object obj, mapping vars)
{
    mapping                   comps;
    object                      web;
    mixed                       err;

    string msg = 
	UPDATE_MSG("do-update")+
	"<table cellpadding=\"1\" cellspacing=\"1\">"+
	"<tr class=\"bginfotext\"><td></td><td><b>Component</b></td>"+
	"<td><b>Modified on Update-Server</b></td><td><b>&nbsp;&nbsp;"+
	"Modified locally</b></td><td>Diff</td></tr>";
    mDiffs = ([ ]);
    if( oClient->connect_server(vars["server"], (int)vars["port"]) ) 
    {
	LOG("Connected to update server !");
	sleep(1);
	oClient->login(vars["login"], vars["password"], 0);
	LOG("Logged in !");
	web = oClient->send_cmd(0, "get_module", "package:web");
	comps = obj->get_components();
	foreach(indices(comps), string comp) {
	    err = catch {
		object o = oClient->send_cmd(
		    oClient->get_variable("filepath:tree"),
		    "path_to_object", comp);
		if ( objectp(o) ) {
		    int t = oClient->send_cmd(
			o, 
			"query_attribute", 
			DOC_LAST_MODIFIED);
		    string diffs = diff_obj(comp);
		    if ( strlen(diffs) > 0 ) 
		    {
			mDiffs[comp] = diffs;
			string ti1, ti2;
			sscanf(ctime(t), "%s\n", ti1);
			sscanf(ctime(comps[comp]->
				     query_attribute(DOC_LAST_MODIFIED)),
			       "%s\n", ti2);
			
			msg += 
			    "<tr><td><INPUT type=\"checkbox\" name=\"update\""+
			    " value=\""+comp+"\" checked=\"true\"/></td><td>" +
			    "<a href=\""+get_identifier()+
			    "?action=diff&object="+vars["object"]+
			    "&diff_obj="+comp+"&server="+
			    vars["server"]+"&port="+vars["port"]+"\">"+comp + 
			    "</a></td><td>"+ti1+"</td><td>"+
			    ti2 + "</td><td>"+strlen(diffs)+" bytes</td></tr>";
		    }
		}
	    };
	    if ( err != 0 ) {
		//msg += "<tr><td/><td>"+comp+"</td><td>Error on reading</td>"+
		//  "<td colspan=\"2\"></td></tr>";
	    }
	}
	array(object) inv = ({ });
	err = catch {
	    inv = oClient->send_cmd(
		oClient->get_variable("rootroom"),
		"get_inventory");
	};
	if ( err != 0 ) 
	    msg += "<tr><td colspan=\"5\">Failed to read root-rooms inventory"+
		" on target server !</td></tr>";

	foreach(inv, object newo) {
	    msg += check_if_new(newo, comps);
	}
	mapping mtypes = oClient->send_cmd(
	    oClient->get_variable("types"), "query_types");
	object types = _Server->get_module("types");
	mapping mmtypes = types->query_types();
	
	foreach(indices(mtypes), string mtype) {
	    string doc_class, mime, desc;
	    [doc_class, mime, desc] = mtypes[mtype];
	    
	    if ( !arrayp(mmtypes[mtype]) ) {
		msg += "<tr><td colspan=\"4\"><li> Mime Type "+ mtype + 
		    " not found - registering ...</li></td></tr>";
		types->register_class(mtype, doc_class, mime, desc);
	    }
	    else if ( doc_class != mmtypes[mtype][0] || 
		      mime != mmtypes[mtype][1] || 
		      desc != mmtypes[mtype][2] )
	    {
		msg += "<tr><td colspan=\"4\"><li> Mime Type "+ mtype + 
		    " registration information differ"+
		    "- re-registering</li></td></tr>\n";
		types->register_class(mtype, doc_class, mime, desc);
	    }
	}
	
	msg += "</table><BR/><BR/><INPUT type=\"submit\" value=\"&gt;&gt; Update Components from Update-Server\"/></form>]]>";
	oClient->logout();
	sResult = result_page(msg, "JavaScript:history.back();");
    }
    else {
	sResult = result_page("Failed to connect to " + 
			      vars["server"] + ":"+vars["port"],
			      "JavaScript:history.back();");
    }
    iFinished = UPD_FINISHED;
}

string diff_obj(string f)
{
    mixed err = catch {
	object diff_obj = _FILEPATH->path_to_object(f);
	string fname = replace(f, "/", "_");

	object diff_obj_dist = oClient->send_cmd(
	    oClient->get_variable("filepath:tree"), 
	    "path_to_object",
	    f);
	string diff_content = oClient->send_cmd(
	    diff_obj_dist,
	    "get_content");
	object f2 = Stdio.File(fname+"_new", "wct");
	f2->write(diff_content);
	f2->close();
	object f1 = Stdio.File(fname+"_local", "wct");
	f1->write(diff_obj->get_content());
	f1->close();
	string msg = Process.popen("diff "+fname+"_local "+fname+"_new");
	rm(fname+"_new");
	rm(fname+"_local");
	return msg;
    };
    werror("Error on diff:\n"+sprintf("%O", err));
    return "";
}

/**
 * execute - execute the script
 *  
 * @param vars - variables
 * @return the html representation for an object
 * @author Thomas Bopp (astra@upb.de) 
 */
string|array
execute(mapping vars)
{
    int   oid = (int)vars["object"];
    object                      obj;
    mixed                  err, xsl;
    object                     user;
    string      type = vars["type"];
    mapping                   comps;
    object                      web;
    string                      msg;

    LOG("Executing package.pike:" + sprintf("%O", vars));
 
    try_event(EVENT_EXECUTE, CALLER, this_object());
    obj = _Database->find_object(oid);
    LOG("Going on...");

    
    switch( vars["action"] ) {
    case "uninstall":
	LOG("Uninstalling...("+oid+")\n");
	LOG("obj:"+master()->describe_object(obj));
	if ( objectp(obj) && obj->get_object_class() & CLASS_PACKAGE )
	    obj->pck_uninstall();
	break;
    case "update":
	switch(iFinished) {
	case UPD_NONE:
	    iFinished = UPD_LOGIN;
	    return 
		result_page(UPDATE_MSG("update")+"<BR/>&nbsp;&nbsp;"+
			    "<b>Name: </b><input type=\"text\" name=\"login\""+
			    " value=\"web-update\"/><BR/><BR/>&nbsp;&nbsp;"+
			    "<b>Password: </b><input type=\"password\" "+
			    "name=\"password\" value=\"updateAJ\"/>"+
			    "<BR/><input type=\"submit\" value=\"Update!\"/>"+
			    "</form>]]>", "");
	case UPD_LOGIN:
	    iFinished = UPD_PROGRESS;
	    start_thread(update_web, obj, vars);
	case UPD_PROGRESS:
	    return 
		result_page("Update in progress, please wait ...",
			    "", "Web Update", 
			    "<meta http-equiv=\"refresh\" content=\"10;URL="+
			    get_identifier()+"?object="+
			    vars["object"]+"&action=update\">");
	    break;
	case UPD_FINISHED:
	    iFinished = 0;
	    return sResult;
	    break;
	}
	break;
    case "diff":
	if( oClient->connect_server(vars["server"], (int)vars["port"]) ) {
	    sleep(1);
	    oClient->login("web-update", "updateAJ", 0);
	    return ({ mDiffs[vars["diff_obj"]], "text/plain" });
	}
	break;
    case "do-update":
	LOG("Connecting to " + vars["server"]+":"+vars["port"]);
	if( oClient->connect_server(vars["server"], (int)vars["port"]) ) {
	    msg = "<ul><li>Connection to server established</li>";
	    sleep(1);
	    oClient->login("web-update", "updateAJ", 0);
	    msg += "<li>Logged in as user web-update</li>";
	    web = oClient->send_cmd(0, "get_module", "package:web");
	    obj = _Server->get_module("package:web");
	    comps = obj->get_components();
	    if ( stringp(vars["update"]) )
		vars["update"] = ({ vars["update"] });
	    
	    if ( arrayp(vars["update"]) ) {
		foreach(vars["update"], string compo) {
		    object update = oClient->send_cmd(oClient->get_variable("filepath:tree"),
					     "path_to_object", compo);
		    string content = oClient->send_cmd(update, "get_content");
		    msg += "<li>Updated content of "+ compo + "</li>";
		    comps[compo]->set_content(content);
		}
	    }
	    if ( !arrayp(vars["add"]) )
		vars["add"] = ({ vars["add"] });
	    foreach(vars["add"], string id) {
		object toadd = oClient->send_cmd(1, "find_object", (int)id);
		if ( !objectp(toadd) )
		    continue;
		string newcontent = oClient->send_cmd(toadd, "get_content");
		object factory = _Server->get_factory(
		    toadd->get_object_class());
		object added = factory->execute(
		    (["name":toadd->get_identifier(),]));
		string path =  oClient->send_cmd(
		    oClient->get_variable("filepath:tree"),
		    "object_to_path", toadd);
		object pfad = _FILEPATH->path_to_object(path);
		added->set_content(newcontent);
		added->move(pfad);
		obj->add_component(path, added, added->get_identifier());
		msg += "<li> Added new file " + 
		    path + added->get_identifier()+"</li>\n";
	    }
	    msg += "</ul>";
	    oClient->logout();
	}
	else {
	    msg = "Failed to connect to update server !";
	}
	return result_page(msg, "JavaScript:history.back();");
	break;
    }
    run_event(EVENT_EXECUTE, CALLER, this_object());
    return "<html><head><meta http-equiv=\"refresh\" content=\"3;URL="+
	"navigate.pike?object=nil\"></head></body></html>";
}


mixed stat() { 
    return steamObj::stat();
}

