inherit "/classes/Object";
inherit "/base/xml_data";

#include <types.h>
#include <access.h>

#define _XMLCONVERTER _Server->get_module("Converter:XML")

private static mapping mCache = ([ ]);
private static string xmlheader ="<?xml version=\"1.1\"?>\n";
private static string entities = 
" <!DOCTYPE questionaire [\n <!ENTITY auml \"&#228;\">\n <!ENTITY ouml \"&#246;\">\n  <!ENTITY uuml \"&#252;\">\n  <!ENTITY szlig \"&#223;\">\n  <!ENTITY Auml \"&#196;\">\n  <!ENTITY Ouml \"&#214;\">\n  <!ENTITY Uuml \"&#220;\">\n]>\n\n";


#include <macros.h>
#include <database.h>
#include <attributes.h>
#include <classes.h>

int get_oid(string str)
{
  int oid;
  
  if ( !stringp(str) )
    return 0;
  else if ( sscanf(str, "%d.%*s", oid) >= 1 )
    return oid;
  else
    return (int)str;
}

int sum_users(mixed data, int block, int question, int compare)
{
    int s=0;
    foreach(indices(data), object user)
    {
        s+=(data[user][block][question]==compare?1:0);
    }
    return s;
}

array(string)|int execute(mapping vars)
{
    int oid = get_oid(vars["object"]);
    string  path = vars["objectpath"];
    string                       html;
    object                        obj;
    object                         ss;
    
    LOG("Getting object="+oid);
    
    LOG(sprintf("Vars:\n%O\n", mkmapping(indices(vars), values(vars))));
    
    if ( stringp(path) && strlen(path) > 0 ) {
        if ( !objectp(obj = mCache[path]) ) {
            obj = _FILEPATH->path_to_object(path);
            mCache[path] = obj;
        }
    }
    else {	
        if ( oid == 0 ) 
            return ({"<html><body><h1>No object found to get!</h1></body></html>",
                     "text/html" });
        obj = find_object(oid);
    }
    if ( !objectp(obj) ) 
        return -2;
    
    if ( obj->get_object_class() & CLASS_USER )
        obj = obj->query_attribute(OBJ_ICON);
    
    if ( arrayp(obj->describe_attribute("xsl:document")) &&
         objectp(ss=obj->query_attribute("xsl:document")) )
    {
        int q,s;
        int i,j;
        array qv;
        mapping data = obj->query_attribute("questionaire:data");
        if (q=(int)vars["questions"]) // we have data to store
        {
            qv = allocate(q);
            for(i=1;i<=q;i++)
            {
                qv[i-1]=(int)vars["q"+i];
                write(qv[i-1]+",");
            }
            if (!data) data = ([]);
            if (!data[this_user()]) data[this_user()]=({});
            while (sizeof(data[this_user()])<(int)vars["q-block"])
                data[this_user()]+=({ 0 });
            data[this_user()][((int)vars["q-block"])-1]=qv;
            obj->set_attribute("questionaire:data", data);
            vars["q-block"]=(string)((int)vars["q-block"]+1);
        }

        if ((vars["result"]=="true") && vars["q-block"] && sizeof(data))
        {
            array(string) fidec_titles=
            ({ "Fr mich ist der Computer ein ntzliches Arbeitsmittel.",
               "Die Arbeit am Computer ist oft frustrierend, weil ich diese"+
               "Maschine nicht verstehe.",
               "Der Computer bereichert meine Freizeit.",
               "Fr mich ist der Unterhaltungswert des Computers generell "+
               "gering, weil man dabei viel zu viel technischen rger hat.",
               "Die staatliche Untersttzung der Computertechnologie in der "+
               "Arbeitswelt und im Bildungsbereich ist fr den "+
               "gesellschaftlichen Fortschritt sehr wichtig.",
               "Der Einsatz von Computern im Bildungsbereich und in der "+
               "Arbeitswelt zerstrt zwischenmenschliche Beziehungen.",
               "Die elektronischen Kommunikationsmedien werden die Menschen "+
               "strker miteinander in Kontakt bringen.",
               "Durch die groe Beliebtheit von Computerspielen verblden die "+
               "Leute." });


            int qblock = (int) vars["q-block"];

            string html= "<html><!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 "+
                "Transitional//EN\""+
                " \"http://www.w3.org/TR/REC-html40/loose.dtd\"><BODY>"+
                fidec_titles[qblock-1]+
                "<table>";
            
            mixed row = data[indices(data)[0]][qblock-1];
            float overall=0;
            float avg=0;
            for(i=0;i<sizeof(row);i++)
            {
                html+="<tr>";
                s=0;
                for (j=4;j>=0;j--)
                {
                    s+=sum_users(data, qblock-1, i, j)*j;
                    html+="<td>"+sum_users(data, qblock-1, i, j)+"</td>";
                }
                avg = (float)s/sizeof(data);
                overall += avg;
                html+="<td>|"+(string)avg+"</td>";
                html+="</tr>\n";
            }
            html+="<tr>"+("<td></td>"*5)+
                "<td>"+(string)((float)overall/sizeof(row))+"</td>\n"+"</tr>\n";
            html += "</table></body></html>";
            return ({html,"text/html"});
        }
                /*            qv = allocate(7, allocate(sizeof(row),0));
            foreach (indices(data), object user)
            {
                for (i=0;i<sizeof(row);i++)
                    qv[data[user][qblock][i]][i]++;
            }
            for (i=0;i<sizeof(row);i++)
            {
                s=0;
                for(j=0; j<5; j++)
                    s+=qv[i][j];
                qv[i][6]=(float)s/sizeof(data);
            }
            s=0;
            for (i=0;i<sizeof(row);i++)
                s+=qv[i][6];
            
            qv = ({ (string)((float)s/sizeof(row)), qv });
            } else */
        
        if (mappingp(data) && arrayp(data[this_user()])
            && sizeof(data[this_user()])>= (int)vars["q-block"])
        {
            qv = data[this_user()][(int)vars["q-block"]-1];
            for (i=1;i<=sizeof(qv);i++)
            {
                qv[i-1]=(int)qv[i-1];
                vars["q"+i]=qv[i-1];
            }
        }

        object user = this_user();
        vars["user_name"] = (string)(objectp(user)?user->get_identifier():"none");
        vars["user_id"] = (string)(objectp(user) ? user->get_object_id(): "0");

        int admin=(_SECURITY->
                   get_user_permissions(_Server->get_factory(CLASS_DOCUMENT),
                                        user,
                                        SANCTION_EXECUTE)& SANCTION_EXECUTE);
        
        object mbox = user->query_attribute(USER_MAILBOX);
        
        string xml = xmlheader + entities +
            "<root>\n"+obj->get_content()+
            "<paramdata "+(vars["result"]=="true"?"result=\"true\"":"")+">\n"+
                           compose(qv)+"\n</paramdata>\n"+
            "<user id=\""+user->get_object_id()+
            "\" name=\""+vars["user_name"]+"\" icon=\""+
            this_user()->query_attribute(OBJ_ICON)->get_object_id()+"\">\n"+
            "   <access admin=\""+(admin?"true":"false")+
            "\" author=\""+(_ADMIN->is_member(user)?"true":"false")+"\"/>\n"+
            "   <mailbox id=\""+mbox->get_object_id()+"\""+
            " size=\""+sizeof(mbox->get_inventory())+"\"/>\n"+
            "</user>\n"+
            //            _XMLCONVERTER->get_xml(obj,
            "</root>";

        if ( vars["source"] == "true" ) {
            
            xml = (((xml/"<")*"&lt;")/">")*"&gt;";
            return ({ "<html><body><pre>\n"+xml + "\n</pre></body></html>",
                      "text/html" });
        }
        LOG("Running XSL Processor...");
        vars["document"]=(string)obj->get_object_id();
        html = _Server->get_module("libxslt")->run(xml, 
                                                   ss, vars);
        return ({ "<html>"+html+"</html>\n", "text/html" });
        
    }
    if ( obj->get_object_class() & CLASS_IMAGE ) {
        if (  (int)vars["xsize"] > 0 ) 
        {
            return ({
                obj->get_thumbnail((int)vars["xsize"],(int)vars["ysize"], true),
                obj->query_attribute(DOC_MIME_TYPE)
            });
        }
    }
    return ({ obj->get_content(), obj->query_attribute(DOC_MIME_TYPE) });
}

