inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>
#include <web.h>
#include <exception.h>
#include <types.h>

string html_show_annotations(array(object) annotations)
{
    array(object) next_annotations;
    string html = "<UL>\n";
    
    foreach ( annotations, object annotation ) {
	if ( !objectp(annotation) ) continue;
	    
	next_annotations = annotation->get_annotations();
	html += "<LI><strong>"+annotation->query_attribute(OBJ_NAME)+"</strong> by "+
	    "<i><a href=\"JavaScript:open_userdetails('" + 
	    annotation->get_creator()->get_object_id() +"');\">"+
	    annotation->get_creator()->get_identifier() + "</a>"+
	    "</i> on "+
	    ctime(annotation->query_attribute(OBJ_CREATION_TIME))+
	    "<BR/>\n";
	switch ( annotation->query_attribute(DOC_MIME_TYPE) ) {
	case "text/plain":
	case "text/html":
	    html += annotation->get_content();
	    break;
	case "image/jpeg":
	case "image/gif":
	    html += "<image src=\"get.pike?object="+annotation->get_object_id()+"\"/>\n";
	    break;
	default:
	    html += "<a href=\"get.pike?object="+annotation->get_object_id()+"\">"+annotation->get_identifier()+"</a>\n";
	    break;
	}
	
	html += "</LI>\n";
	    annotation->get_content()+"</LI>\n";
	html += html_show_annotations(next_annotations);
    }
    html += "</UL>\n";
    return html;
}

string|int
execute(mapping vars)
{
    int   oid = (int)vars["object"];
    object                      obj;
    string                     html;
    mixed                  err, xsl;
    mapping                  xslMap;
    object                     user;
    array(object)            groups;
    string      type = vars["type"];

    obj = find_object(oid);
    
    html = "<html><head>"+
	"<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"/gui_js/main.js\" TYPE=\"text/javascript\"></SCRIPT>"+
	"<meta content=\"text/html; charset=utf-8\" http-equiv=\"Content-Type\"/>"+
	"<body><h3>Liste der Annotationen zu "+
	obj->get_identifier()+"</h3><BR/><BR/>";
    
    array(object) annotations = obj->get_annotations();
    html += html_show_annotations(annotations);
    html += "</body>\n</html>\n";
    return html;
}


