inherit "/classes/Script"; 

#include <macros.h>
#include <events.h>
#include <exception.h>
#include <attributes.h>

array execute(mapping vars)
{
    string saltxt = "";

    try_event(EVENT_EXECUTE, CALLER, this_object());

    object obj;
    
    if ( vars["object"] ) {
      obj = find_object((int)vars["object"]);
      if (!objectp(obj))
        THROW("Failed to find object.", E_ERROR);
    } else {
      if ( vars["file"] ) {
        obj = _Server->get_module("filepath:tree")->path_to_object((string)vars["file"]);
        if (!objectp(obj))
         THROW("Failed to find object.", E_ERROR);
      } else THROW("Parameter object is undefined and parameter file is undefined", E_ERROR);
    } 
    
    array extensions = get_module("types")->
	query_mimetype_extensions(obj->query_attribute(DOC_MIME_TYPE));

    saltxt = "userName = "+this_user()->get_identifier()+"\n"
             "objectID = "+obj->get_object_id() + "\n"
             "fileName = "+obj->get_identifier()+"\n"
             "hostname = "+_Server->get_server_name()+"\n"
             "usedPort = "+_Server->query_config("port") + "\n"
             "usedSecurePort = "+_Server->query_config("sport") + "\n"
             "fileExt = " + (sizeof(extensions)>0 ? extensions[0] : "")+"\n";

    run_event(EVENT_EXECUTE, CALLER, this_object());    
    return ({ saltxt, "application/steam-launcher" });
}


