inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <types.h>

mixed
execute(mapping vars)
{
  
    if ( stringp(vars->mode) && vars->mode == "emptydocument" ) {
      vars["URL.filename"] = "";
      vars["URL"] = "";
    }

    string html;
    string url = vars["URL.filename"];
    int empty = 0;
    
    LOG("Uploading a file !!! !!!");
    foreach(indices(vars), string index) {
	LOG("index="+index);
    }
        
    if ( !stringp(url) ) {
	html = "<html><body><form action=\"upload.pike\" "+
	"METHOD=\"PUT\" enctype=\"multipart/form-data\">\n"+
	    "<img src=\"get.pike?objectpath=/design/STEAMLEISTE.gif\"/>\n"+
	    "<p>Send a file to steam: <input type=\"hidden\" name=\"path\""+
	    " value=\""+vars["path"]+"\"/></p>";
	html += "<table><tr><td><b>File:</b></td><td>\n";
	html += "<input type=\"file\" size=50 maxlength=\"50000000\" "+
	    "name=\"Content\"></td></tr><tr>\n"+
	    "<td><b>Name:</b></td><td>"+
	    "<input type=\"text\" name=\"URL\" value=\"\"/></td></tr></table>"+
	    "<br/><input type=\"submit\" value=\"upload!\"/>\n";
	html += "</form></body></html>\n";
	return html;
    }
    else {
	object obj, factory; 
	string content = vars["URL"];
	string drive, path;
	string ext;
	string mimetype;
	
	check_variables(([ "URL.filename": CMD_TYPE_STRING, 
			 "environment":CMD_TYPE_INT,]), vars);

	if ( stringp(vars["name"]) && strlen(vars["name"]) > 0 ) {
	    //url = basename(vars["name"]);
	    url = basename(vars->name);
	}
	
	LOG("URL="+url);
	object e = find_object((int)vars["environment"]);
	if ( !objectp(e) )
	    return result_page("Unable to find environment ("+
			       vars->environment+") !", "");
  obj = e->get_object_byname(url);
  if ( objectp(obj) && obj->get_object_class() & CLASS_LINK )
    obj = obj->get_link_object();

  if ( objectp(obj) && !(obj->get_object_class() & CLASS_DOCUMENT) ) {
	  return result_page("Cannot upload content into non-Document !", "JavaScript:history.back();");
	}
	if ( !objectp(obj) )
	{

	    // additional check, if mimetype is set to auto-detect
	    // then mimetype should be taken from URL.filename, because
	    // the other name might have no extension

	    if ( vars->mimetype == "auto-detect" ) {
		string _name = basename(vars["URL.filename"]);
		string _ext = (_name/".")[-1];
		if ( stringp(_ext) && strlen(_ext) > 0 )
		    vars->mimetype=get_module("types")->query_mime_type(_ext);
	    }
	    
	    factory = _Server->get_factory(CLASS_DOCUMENT);
	    if ( sscanf(url, "http://%s", url) ) {
		string fname;
		if ( sscanf(url, "%s?%*s", fname) == 0 )
		    fname = url;
		obj = factory->execute( (["name": basename(fname), 
					 "externURL": "http://"+url, 
					 "mimetype": vars->mimetype,
					 ]));
	    }
	    else
		obj = factory->execute( (["name":url,
					 "mimetype":vars->mimetype,
					 ]));

	    if ( stringp(vars["objdesc"]) ) {
		string desc = vars->objdesc;
		sscanf(desc, "%s\0%*s", desc);
		obj->set_attribute(OBJ_DESC, desc);
	    }
	    LOG("environment="+vars["environment"]);
	    LOG("moving...?");

	    if ( objectp(e) ) obj->move(e);
	}

	LOG("Upload of " + strlen(content) + " bytes !");
	function f = obj->receive_content(strlen(content));
	if ( !functionp(f) ) {
	  return error_page("Failed to find upload function in " + master()->describe_program(object_program(obj->get_object())), "");
	}
	f(content);
	if ( functionp(f) )
	    f(0);
	
	return "<html><script language=\"javascript\">function doClose() { window.opener.location.reload(); window.close(); }</script><body onLoad=\"doClose()\"></body></html>";
    }
}
