<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="host"/>
<xsl:param name="https_port"/>

<xsl:output method="xml" encoding="utf-8" indent="yes"/>

<xsl:template match="Object">
<rdf:RDF 
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:dc="http://purl.org/dc/elements/1.1/">
   <rdf:Description rdf:about="{path/path}">

      	<dc:creator><xsl:choose><xsl:when test="authors!=0"><xsl:value-of select="authors" /></xsl:when><xsl:otherwise><xsl:value-of select="owner/firstname"/><xsl:text> </xsl:text> <xsl:value-of select="owner/lastname" /></xsl:otherwise></xsl:choose></dc:creator>
     	<dc:title><xsl:value-of select="name"/></dc:title>
     	<dc:description><xsl:value-of select="description"/></dc:description> 
      	<dc:subject><xsl:value-of select="keywords/array/string" /></dc:subject>
	<dc:publisher><xsl:value-of select="owner/firstname"/><xsl:text> </xsl:text><xsl:value-of select="owner/lastname" /></dc:publisher>
	<dc:contributor><xsl:value-of select="contributor/firstname" /> <xsl:value-of select="contributor/lastname" /></dc:contributor>
	<dc:type><xsl:choose>
	<xsl:when test="substring-before(content/mime-type,'/')='text'">Text</xsl:when>
	<xsl:when test="substring-before(content/mime-type,'/')='image'">Image</xsl:when>
	<xsl:when test="@type='DocExtern'">URL</xsl:when>
	<xsl:when test="@type='Container'">Collection</xsl:when>
	<xsl:when test="@type='Room'">Collection</xsl:when>
	<xsl:otherwise>Object</xsl:otherwise></xsl:choose></dc:type>
	<dc:format><xsl:value-of select="content/mime-type"/></dc:format>
	<dc:identifier><xsl:value-of select="id"/></dc:identifier>
	<dc:source><xsl:choose><xsl:when test="/Object/@type='Document'">https://<xsl:value-of select="$host" />:<xsl:value-of select="$https_port" /><xsl:value-of select="path/path" /></xsl:when><xsl:otherwise><xsl:value-of select="url"/></xsl:otherwise></xsl:choose></dc:source>
	<dc:language><xsl:choose><xsl:when test="language='german'">de</xsl:when><xsl:otherwise>en</xsl:otherwise></xsl:choose></dc:language>
	<dc:relation />
	<dc:coverage><xsl:value-of select="environment/object/id"/></dc:coverage>
	<dc:rights/>
	<dc:audience/>
      <dc:date><xsl:value-of select="created" /></dc:date>
   </rdf:Description> 
</rdf:RDF>
</xsl:template>


</xsl:stylesheet>

