<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>      <!-- legt fest, welche image map für die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">navigation</xsl:param>      <!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="mode">common</xsl:param>        <!-- bei common werden allgemeine rechte, bei advanced erweiterte rechte angezeigt -->
<xsl:param name="bottomnavi">access</xsl:param>      <!-- legt fest, welche navigationsleist + image map in navigationsleiste2.xsl benutzt wird -->
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="editicon">no</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav">off</xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="language"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:template name="show_acquiring_help">
<!--  <a href="javascript:open_popup(400,400,'sTeam','{ACCESS_BASIC_ACQUIRE_HELP_LONG}')"><img alt="{HELP}" title="{ACCESS_BASIC_ACQUIRE_HELP_SHORT}" src="/images/icon_hilfe_klein.gif" /></a>
-->
<!--
  <xsl:call-template name="print_helptext">
    <xsl:with-param name="short">{ACCESS_BASIC_ACQUIRE_HELP_SHORT}</xsl:with-param>
    <xsl:with-param name="long"><xsl:text><![CDATA[{ACCESS_BASIC_ACQUIRE_HELP_LONG}]]></xsl:text></xsl:with-param>
  </xsl:call-template>
-->
</xsl:template>

<!-- zeigt optionen zur vererbung an -->
<xsl:template name="show_acquiring_options">
<!--<p>
    <xsl:call-template name="show_acquiring_help"/>
</p>-->
<p>
<xsl:choose>
  <xsl:when test="/Object/acquires/*/id=/Object/environment/object/id">
    {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESFROM} {ACCESS_BASIC_ACQUIRE_ENVIRONMENT} <a href="/scripts/navigate.pike?object={/Object/acquires/*/id}&amp;type=access&amp;mode=common"><xsl:value-of select="/Object/environment/object/name"/></a>.
  </xsl:when>
  <xsl:when test="/Object/acquires/*/id='0'">
    {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESNOT}
  </xsl:when>
  <xsl:otherwise>
    {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESFROM} <a href="/scripts/navigate.pike?object={/Object/acquires/*/id}&amp;type=access"><xsl:value-of select="/Object/acquires/*/name"/></a>.
  </xsl:otherwise>
</xsl:choose>
</p>
<p>
  {ACCESS_BASIC_ACQUIRE_USEACQUIRE}?
  <xsl:choose>
    <xsl:when test="count(/Object/environment/object) > 0 and /Object/user-access/permission[@type='write'] = 1 and /Object/user-access/permission[@type='sanction'] = 1">
      <xsl:choose>
        <xsl:when test="/Object/acquires/*/id=/Object/environment/object/id">
          <input type="radio" id="acq_environment" name="access_category" value="acq_environment" checked="checked" />
          <label class="spaceafter" for="acq_environment">{YES}</label>
          <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing"  onclick="javascript:run_action(document.accessform,'acq_nothing');" />
          <label for="acq_nothing">{NO}</label>
        </xsl:when>
        <xsl:otherwise>
          <input type="radio" id="acq_environment" name="access_category" value="acq_environment" onclick="javascript:run_action(document.accessform,'acq_environment');" />
          <label class="spaceafter" for="acq_environment">{YES}</label>
          <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing" checked="checked" />
          <label for="acq_nothing">{NO}</label>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="/Object/acquires/*/id=/Object/environment/object/id">
          <input type="radio" id="acq_environment" name="access_category" value="acq_environment" checked="checked" disabled="true"/>
          <label class="spaceafter" for="acq_environment">{YES}</label>
          <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing" disabled="true"  onclick="javascript:run_action(document.accessform,'acq_nothing');" />
          <label for="acq_nothing">{NO}</label>
        </xsl:when>
        <xsl:otherwise>
          <input type="radio" id="acq_environment" name="access_category" value="acq_environment" disabled="true" onclick="javascript:run_action(document.accessform,'acq_environment');" />
          <label class="spaceafter" for="acq_environment">{YES}</label>
          <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing" checked="checked" disabled="true" />
          <label for="acq_nothing">{NO}</label>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
  <span class="helpicon" id="help_rights_icon_open"><a href="javascript:show('help_rights')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  <span class="helpicon" id="help_rights_icon_close" style="display:none;"><a href="javascript:hide('help_rights')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
</p>
<div class="help" id="help_rights">
  <div>{HELP}: {ACCESS_BASIC_ACQUIRE_HELP_LONG_HEADING}</div>
  <p>{ACCESS_BASIC_ACQUIRE_HELP_LONG}</p>
  <p><a href="javascript:hide('help_rights')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
</div>
</xsl:template>

<!-- zeigt die "hinzufuegen"- optionen an -->
<xsl:template name="show_add_options">
<p>
  <label class="off" for="toadd">{ACCESS_ADDOPTIONS_ADD_HEADER}:</label>
  <select id="toadd" name="toadd">
    <optgroup label="{ACCESS_ADDOPTIONS_PLEASECHOOSE_GROUP}">
      <xsl:for-each select="/Object/user_groups/array/object">
        <xsl:sort select="name"/>
        <option value="{id}"><xsl:value-of select="name"/></option>
      </xsl:for-each>
      <option value="{/Object/everyone/id}"><xsl:value-of select="/Object/everyone/name"/></option>
    </optgroup>
    <xsl:if test="count(/Object/buddylist/array/object) > 0">
      <optgroup label="{ACCESS_ADDOPTIONS_PLEASECHOOSE_BUDDY}">
        <xsl:for-each select="/Object/buddylist/array/object">
          <xsl:sort select="name"/>
          <option value="{id}"><xsl:value-of select="name"/></option>
        </xsl:for-each>
      </optgroup>
    </xsl:if>
  </select>
  <input type="submit" value="{ACCESS_ADDOPTIONS_ADD}" onclick="run_action(accessform,'add_acl_add')" />
</p>

<fieldset class="grid">
  <p>
    <label class="grid" for="keywords_acladd">{ACCESS_ADDOPTIONS_ADD_SEARCHUSERS}:</label>
    <input type="text" size="15" id="keywords_acladd" name="keywords_acladd" />
    <input type="checkbox" id="longsearch" name="quicksearch" value="longsearch" title="{ACCESS_ADDOPTIONS_QUICKSEARCH_HELP}"/>
    <label for="longsearch" class="checkbox">{ACCESS_ADDOPTIONS_QUICKSEARCH}</label><br />
    <input type="button" value="{ACCESS_ADDOPTIONS_ADD_SEARCH}" onclick="check_acladd(accessform);" style="margin-top:5px;"/>
  </p>
</fieldset>
</xsl:template>

<!-- zeigt die gesetzten (und vererbten) Berechtigungen an -->
<xsl:template name="show_all_permissions">
  <table id="accessrights" cellspacing="0" summary="{ACCESS_RIGHTS_TABLE_SUMMARY}">
    <thead>
      <xsl:call-template name="show_access_header"/>
    </thead>

    <tbody>
      <xsl:call-template name="show_acquired_access"/>
      <xsl:for-each select="/Object/access/Object[@type='Group']">
        <xsl:sort select="name"/>
        <xsl:call-template name="show_permissions_for_group"/>
      </xsl:for-each>      
      <xsl:for-each select="/Object/access/Object[@type='User']">
        <xsl:sort select="name"/>
        <xsl:call-template name="show_permissions_for_group"/>
      </xsl:for-each>
    </tbody>
  </table>
</xsl:template>

<!-- Haupt-template zum Anzeigen des Rechtedialoges -->
<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/access.js" type="text/javascript"></script>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
    <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>  
  </title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="access" onload="setFocusById('acq_environment');">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <xsl:choose>
        <xsl:when test="name=''"><h1>*No Description*</h1></xsl:when>
      </xsl:choose>
      <xsl:call-template name="show_trail"/>
    </div>

    <xsl:call-template name="nav2"/>
  
    <div id="maincontent">
      <form name="accessform" action="/scripts/access.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="object" value="{$object}"/>
          <input type="hidden" name="room" value="{$room}"/>
          <input type="hidden" name="_action" value=""/>
          <input type="hidden" name="mode" value="{$mode}"/>
          <input type="hidden" name="room" value="{$room}"/>
          <input type="hidden" name="_perform" value=""/>
        </fieldset>

        <xsl:call-template name="show_access_dialog"/>
      </form>
    </div>    
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>


<!-- Stellt den Rechtedialoges dar -->
<xsl:template name="show_access_dialog">
<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{COM_BASICACCESSRIGHTS} 
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_DESCRIPTION}
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/>
		</xsl:otherwise>
	</xsl:choose>
</h2>

<p class="helptext">{ACCESS_BASIC_GROUPRIGHTS_HELP}</p>

<xsl:call-template name="show_acquiring_options"/>

<xsl:call-template name="show_all_permissions"/>

<xsl:if test="1=1 or /Object/displayaccess/sanctionable/@user != 'false'">
  <p class="right"><input type="submit" value="{UPDATE_RIGHTS}" onclick="update_permissions(document.accessform);"/>
  </p>
</xsl:if>
<xsl:if test="1=1 or /Object/displayaccess/sanctionable/@user != 'false'">
  <h2>{ACCESS_ADDOPTIONS_ADD_HEADER}</h2>
  <xsl:call-template name="show_add_options"/>
</xsl:if>
</xsl:template>

<!-- zeigt eine Spalte pro Gruppe zum setzen der Rechte -->
<xsl:template name="show_permissions_for_group">
<xsl:variable name="id"><xsl:value-of select="id"/></xsl:variable>
  <tr>
    <td scope="row" class="rowheader">
      <input type="hidden" name="objects" value="{id}"/>
      <xsl:choose>
        <xsl:when test="@type='Group'">
          <a href="/scripts/navigate.pike?object={id}&amp;room={$room}">
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:when>
        <xsl:otherwise>
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}">
          <!--<a href="javascript:open_userdetails('{id}')">-->
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td>(<a href="/scripts/access.pike?object={$object}&amp;_action=remove_acl_add&amp;toremove={id}" title="{ACCESS_REMOVE_TOOLTIP}">-</a>)</td>
    <xsl:choose>
      <xsl:when test="count(/Object/access/Object[id=$id])>0">
        <xsl:apply-templates select="/Object/access/Object[id=$id]/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="/Object/zeroaccess/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>
  </tr>
</xsl:template>

<!-- Listet die einzelnen Benutzer und Gruppen auf und deren Rechte an diesem Objekt -->
<xsl:template name="show_special_right">
  <xsl:param name="id"/>
  <xsl:param name="ptype">0</xsl:param>
  <xsl:param name="position"/>
  <xsl:param name="edit">true</xsl:param>
  <xsl:choose>  <!-- falls man rechte veraendern darf -->
    <xsl:when test="$edit='true' and /Object/user-access/permission[@type='sanction']!='0' and /Object/user-access-meta/permission[@type=$ptype]!='0'">   
      <xsl:choose><!-- wenn recht geerbt wird und gesetzt ist -->
      <xsl:when test="count(/Object/acquired-access/Object[id=$id])>0 and /Object/acquired-access/Object[id=$id]/basic/permission[@type=$ptype]!='0'">
          <xsl:if test="$position='gerade'">
            <td class="checkbox odd" title="{ACCESS_THISIS_ACQUIRED}"><input type="checkbox" name="invalid" value="{$id}" checked="checked"/></td>
          </xsl:if>
          <xsl:if test="$position='ungerade'">
            <td class="checkbox even" title="{ACCESS_THISIS_ACQUIRED}"><input type="checkbox" name="invalid" value="{$id}" checked="checked"/></td>
          </xsl:if>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="permission[@type=$ptype]!='0'">
              <xsl:if test="$position='gerade'">
                <td class="checkbox odd"><input type="checkbox" name="{$ptype}" value="{$id}" checked="checked"/></td>
              </xsl:if>
              <xsl:if test="$position='ungerade'">
                <td class="checkbox even"><input type="checkbox" name="{$ptype}" value="{$id}" checked="checked"/></td>
              </xsl:if>
            </xsl:when>
            <xsl:otherwise>
              <xsl:if test="$position='gerade'">
                <td class="checkbox odd"><input type="checkbox" name="{$ptype}" value="{$id}"/></td>
              </xsl:if>
              <xsl:if test="$position='ungerade'">
                <td class="checkbox even"><input type="checkbox" name="{$ptype}" value="{$id}" /></td>
              </xsl:if>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="permission[@type=$ptype]!='0'">
          <xsl:if test="$position='gerade'">
            <td class="checkbox odd"><img src="/images/icon_marked.png" alt="{ACCESS_RIGHTS_CHECKED_TOOLTIP}"/></td>
          </xsl:if>
          <xsl:if test="$position='ungerade'">
            <td class="checkbox even"><img src="/images/icon_marked.png" alt="{ACCESS_RIGHTS_CHECKED_TOOLTIP}"/></td>
          </xsl:if>
        </xsl:when>
        <xsl:otherwise>
          <xsl:if test="$position='gerade'">
            <td class="checkbox odd">&#160;</td>
          </xsl:if>
          <xsl:if test="$position='ungerade'">
            <td class="checkbox even">&#160;</td>
          </xsl:if>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- Schreibt Rechte nacheinander hin -->
<xsl:template match="basic">
<xsl:param name="id"/>
  <xsl:param name="edit">true</xsl:param>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">read</xsl:with-param><xsl:with-param name="position">ungerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">write</xsl:with-param><xsl:with-param name="position">gerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">execute</xsl:with-param><xsl:with-param name="position">ungerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">move</xsl:with-param><xsl:with-param name="position">gerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">insert</xsl:with-param><xsl:with-param name="position">ungerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">annotate</xsl:with-param><xsl:with-param name="position">gerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
      <xsl:call-template name="show_special_right"><xsl:with-param name="ptype">sanction</xsl:with-param><xsl:with-param name="position">ungerade</xsl:with-param><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit"><xsl:value-of select="$edit"/></xsl:with-param></xsl:call-template>
</xsl:template>

<!-- zweigt tabellen- header mit Rechtebeschriftung an -->
<xsl:template name="show_access_header">
<tr>
  <th scope="col">{ACCESS_BASIC_ACQUIRE_GROUPNAME}</th>
  <th/>
  <th scope="col" title="{ACCESS_RIGHTS_READ_TOOLTIP}"><em>{ACCESS_RIGHTS_READ_FIRST}</em>{ACCESS_RIGHTS_READ_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_WRITE_TOOLTIP}"><em>{ACCESS_RIGHTS_WRITE_FIRST}</em>{ACCESS_RIGHTS_WRITE_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_EXECUTE_TOOLTIP}"><em>{ACCESS_RIGHTS_EXECUTE_FIRST}</em>{ACCESS_RIGHTS_EXECUTE_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_MOVE_TOOLTIP}"><em>{ACCESS_RIGHTS_MOVE_FIRST}</em>{ACCESS_RIGHTS_MOVE_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_INSERT_TOOLTIP}"><em>{ACCESS_RIGHTS_INSERT_FIRST}</em>{ACCESS_RIGHTS_INSERT_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_ANNOTATE_TOOLTIP}"><em>{ACCESS_RIGHTS_ANNOTATE_FIRST}</em>{ACCESS_RIGHTS_ANNOTATE_LAST}</th>
  <th scope="col" title="{ACCESS_RIGHTS_SANCTION_TOOLTIP}"><em>{ACCESS_RIGHTS_SANCTION_FIRST}</em>{ACCESS_RIGHTS_SANCTION_LAST}</th>
</tr>
</xsl:template>

<!-- Listet die Gruppen und deren Rechte auf, die sie aufgrund der Rechtevererbung erworben haben -->
<xsl:template name="show_acquired_access">
<xsl:for-each select="/Object/acquired-access/Object">
  <xsl:variable name="id"><xsl:value-of select="id"/></xsl:variable>
  <tr>
    <td scope="row" class="rowheader" colspan="2">
      <xsl:choose>
        <xsl:when test="@type='Group'">
          <a href="/scripts/navigate.pike?object={id}">
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:when>
        <xsl:otherwise>
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}">
          <!--<a href="javascript:open_userdetails('{id}')">-->
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:otherwise>
      </xsl:choose>
      <span class="info">({ACCESS_ACCESSACQUIRED_FROM}&#160;<a href="/scripts/navigate.pike?object={from/object/id}&amp;type=access"><xsl:value-of select="from/object/name"/></a>)</span>
    </td>
    <xsl:apply-templates select="basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param><xsl:with-param name="edit">false</xsl:with-param></xsl:apply-templates>
  </tr>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>