<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map"/>      <!-- legt fest, welche image map für die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi"/>      <!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="mode"/>        <!-- bei common werden allgemeine rechte, bei advanced erweiterte rechte angezeigt -->
<xsl:param name="bottomnavi"/>      <!-- legt fest, welche navigationsleist + image map in navigationsleiste2.xsl benutzt wird -->
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="editicon">no</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav">off</xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="language"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/access.js" type="text/javascript"></script>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{ACCESSIBILITY_STATEMENT} | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="accessibility">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

<xsl:call-template name="header"><xsl:with-param name="shownavigation">true</xsl:with-param></xsl:call-template>

  <hr />
  <div id="content">

    <div id="position">
      <h1>{ACCESSIBILITY_STATEMENT}</h1>
    </div>

    <div id="maincontent">
      <p><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{ACCESSIBILITY_INTRO}</p>

      <h2>{ACCESSIBILITY_ACCESS_KEYS}</h2>

      <p>{ACCESSIBILITY_ACCESS_KEYS_INTRO}</p>

      <dl>
        <dt>{ACCESSIBILITY_ACCESS_KEY} {ACCESSIBILITY_ACCESS_KEY_1}</dt>
        <dd>{ACCESSIBILITY_ACCESS_KEY_1_DESC}</dd>
        <dt>{ACCESSIBILITY_ACCESS_KEY} {ACCESSIBILITY_ACCESS_KEY_2}</dt>
        <dd>{ACCESSIBILITY_ACCESS_KEY_2_DESC}</dd>
        <dt>{ACCESSIBILITY_ACCESS_KEY} {ACCESSIBILITY_ACCESS_KEY_3}</dt>
        <dd>{ACCESSIBILITY_ACCESS_KEY_3_DESC}</dd>
        <dt>{ACCESSIBILITY_ACCESS_KEY} {ACCESSIBILITY_ACCESS_KEY_4}</dt>
        <dd>{ACCESSIBILITY_ACCESS_KEY_4_DESC}</dd>
      </dl>

      <h2>{ACCESSIBILITY_QUICK_NAV}</h2>

      <p>{ACCESSIBILITY_QUICK_NAV_DESC}</p>

      <h2>{ACCESSIBILITY_STANDARDS}</h2>

      <p>{ACCESSIBILITY_STANDARDS_DESC_1}</p>

      <p>{ACCESSIBILITY_STANDARDS_DESC_2}</p>
    </div>
  </div>
  
  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

</xsl:stylesheet>