<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="prev">undefined</xsl:param>
<xsl:param name="active"><xsl:value-of select="Object/annotations/thread/id"/></xsl:param>
<xsl:param name="room"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="type"/>
<xsl:param name="msg"/>
<xsl:param name="nav">Functions</xsl:param>
<xsl:param name="language"/>

<xsl:param name="message">no action</xsl:param>
<xsl:param name="error">ok</xsl:param>


<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:variable name="AnnDesc">
	<xsl:if test="/Object/@type='Messageboard'">Message</xsl:if>
	<xsl:if test="/Object/@type!='Messageboard'">Annotation</xsl:if>
</xsl:variable>

<xsl:template match="Object">
<HTML>
<HEAD>
    <!-- setting variable language for use in javascript- code - internationalisation of .js sources is now possible -->
    <SCRIPT LANGUAGE="Javascript" type="text/javascript">var language='<xsl:value-of select="$language"/>';</SCRIPT>
	<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
	<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/annotations.js" TYPE="text/javascript"/>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
	<META http-equiv="expires" content="0"/>
	<TITLE>Functions for <xsl:value-of select="name"/> | sTeam</TITLE>
	<xsl:call-template name="browsercss"/>
</HEAD>
<BODY BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#000000" ALINK="#000000">
	<xsl:call-template name="header"/>
	<MAP NAME="subnav1">
		<AREA SHAPE="poly" COORDS="356,19,413,19,424,2,370,2" HREF="{path/path}?room={$room}&amp;browse=details" ALT="Inhalt"/>
		<AREA SHAPE="poly" COORDS="415,19,526,19,538,2,427,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=common" ALT="Eigenschaften"/>
		<AREA SHAPE="poly" COORDS="529,19,611,19,621,2,541,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=actions&amp;room=/&amp;" ALT="Aktionen"/>
		<AREA SHAPE="poly" COORDS="614,19,712,19,725,2,624,2" HREF="/scripts/navigate.pike?object={id}&amp;type=annotations&amp;room={$room}" CLASS="topnavurl1"  ALT="Kommentare"/>
		<AREA SHAPE="poly" COORDS="715,19,784,19,784,2,728,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=access&amp;room=/&amp;mode=common" ALT="Rechte"/>
	</MAP>
	<FORM name="browser" action="browser.pike" ENCTYPE="multipart/form-data" METHOD="POST" CLASS="nomargin">
		<INPUT type="hidden" name="id" value="{$object}"/>
		<INPUT type="hidden" name="active" value="{$active}"/>
		<INPUT type="hidden" name="room" value="{$room}"/>
		<INPUT type="hidden" name="_action" value="function"/>
		<INPUT type="hidden" name="treenodes" value=""/>
		<INPUT type="hidden" name="type" value="actions"/>
		<INPUT type="hidden" name="todelete" value=""/>
		<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER">
			<TR>
				<TD>
					<SPAN CLASS="text2bb">
						<xsl:choose>
							<xsl:when test="name=''">*No Description*</xsl:when>
						</xsl:choose>
					</SPAN>
					&nbsp;&nbsp;
					<table>
						<tr>
							<xsl:for-each select="user/trail/array/object">
								<xsl:if test="position()!=last()">
									<td>
										<table width="80">
											<tr>
												<td><IMG SRC="/images/feet_small.gif" WIDTH="30" HEIGHT="13" BORDER="0"/></td>
												<td valign="top"><a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a></td>
											</tr>
										</table>
										&#160;
									</td>
								</xsl:if>
							</xsl:for-each>
							<td WIDTH="40" ALIGN="center">
								<IMG SRC="/images/feet_small_stop.gif" WIDTH="13" HEIGHT="17" BORDER="0"/>
							</td>
							<td>
								<B><FONT SIZE="+2"><xsl:value-of select="name"/></FONT></B>
								<BR/>
								<SPAN CLASS="text0sc">
									{PATH}: 
									<xsl:for-each select="path/object">
										<xsl:choose>
											<xsl:when test="name=''"><a href="/">/root-path</a></xsl:when>
											<xsl:otherwise><a href="/scripts/navigate.pike?object={id}"><xsl:value-of select="name"/></a>/</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
									<xsl:value-of select="URL"/>
								</SPAN>
							</td>
						</tr>
					</table>
					<BR/>
				</TD>
			</TR>
			<TR BGCOLOR="#F5F5F5">
				<TD COLSPAN="2">{NAV2}</TD>
			</TR>
		</TABLE>
		<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser">
	<TR VALIGN="TOP">
		<TD CLASS="bgbrowser">
			<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" CLASS="bgbrowser">
				<TR CLASS="tabhead" VALIGN="bottom">
					<TD CLASS="header" WIDTH="392"><BR/>&nbsp;{ADV_ATTRIB}</TD>
					<TD CLASS="header" WIDTH="393"><BR/>&nbsp;{ADV_EDITOBJICON}</TD>
				</TR>
				<TR VALIGN="TOP">
					<TD>
<BR/>


									<B>{COM_OBJFUNC}:</B>
									<BR/><BR/>
									<INPUT TYPE="BUTTON" VALUE="{COM_OBJFUNC_TAKE}" CLASS="formbutton1" OnClick="commit_ext_action('get_objects');"/>
									&#160;&#160;
									<INPUT TYPE="BUTTON" VALUE="{COM_OBJFUNC_TAKECP}" CLASS="formbutton1" OnClick="commit_ext_action('copy_objects');"/>
									&#160;&#160;
									<INPUT TYPE="BUTTON" VALUE="{COM_OBJFUNC_TAKELNK}" CLASS="formbutton1" OnClick="commit_ext_action('link_objects');"/>
									&#160;&#160;
									<INPUT TYPE="BUTTON" VALUE="{COM_OBJFUNC_DEL}" CLASS="formbutton1" OnClick="commit_ext_action('delete_objects');"/>
									<BR/><BR/><BR/>
						{COM_LSTCMD}: &gt; 
						<I>
							<xsl:choose>
								<xsl:when test="$error='ok'">
									<xsl:value-of select="$message"/>
								</xsl:when>
								<xsl:otherwise>
									<font color="#FF0000"><A href="#" onClick="show_error('{$error}');"><xsl:value-of select="$message"/></A></font>
								</xsl:otherwise>
							</xsl:choose>
						</I> &lt;


						<BR/><BR/>
						<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" WIDTH="380">
							<xsl:if test="@type='Document'">
								<TR>
									<TD>MIME-Type:</TD>
									<TD><INPUT TYPE="TEXT" NAME="attr_DOC_MIME_TYPE" SIZE="35" MAXLENGTH="255" VALUE="{attributes/attribute[key/string='DOC_MIME_TYPE']/data/string}" CLASS="formtext"/></TD>
								</TR>
								<xsl:if test="substring-before(attributes/attribute[key/string='DOC_MIME_TYPE']/data/string,'/')='image'">
									<TR>
										<TD>{ADV_ROTATION}</TD>
										<TD><INPUT type="text" name="attr_DOC_IMAGE_ROTATION" size="3" MAXLENGTH="3" value="{attributes/attribute[key/string='DOC_IMAGE_ROTATION']/data/int}"/></TD>
									</TR>
								</xsl:if>
							</xsl:if>
							<xsl:if test="@type='Container' or @type='Room'">
								<TR>
									<TD>{ADV_CONT}:</TD>
									<TD><INPUT TYPE="TEXT" NAME="attr_html:index" SIZE="31" MAXLENGTH="255" VALUE="{/Object/content/index}" CLASS="formtext"/></TD>
								</TR>
								<TR>
									<TD>{ADV_SORTOPT}:</TD>
									<TD ALIGN="RIGHT">
										<b>{ADV_EXIT}:</b>
										&#160;&#160;
										<xsl:value-of select="/Object/attributes/attribute[key/string='web:sort:exits']/value/string"/>
										<SELECT name="attr_web:sort:exits">
											<xsl:choose>
												<xsl:when test="/Object/attributes/attribute[key/string='web:sort:exits']/data/string='name'">
													<OPTION value="name" selected="true">Name</OPTION>
													<OPTION value="last-modified/time">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0">{ADV_SORT_NONE}</OPTION>
												</xsl:when>
												<xsl:when test="/Object/attributes/attribute[key/string='web:sort:exits']/data/string='last-modified/time'">
													<OPTION value="name">Name</OPTION>
													<OPTION value="last-modified/time" selected="true">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0">{ADV_SORT_NONE}</OPTION>
												</xsl:when>
												<xsl:otherwise>
													<OPTION value="name">Name</OPTION>
													<OPTION value="last-modified/time" selected="true">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0" selected="true">{ADV_SORT_NONE}</OPTION>
												</xsl:otherwise>
											</xsl:choose>
										</SELECT>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD ALIGN="RIGHT">
										<B>{ADV_OBJ}:</B>
										&#160;&#160;
										<SELECT name="attr_web:sort:objects">
											<xsl:choose>
												<xsl:when test="/Object/attributes/attribute[key/string='web:sort:objects']/data/string='name'">
													<OPTION value="name" selected="true">Name</OPTION>
													<OPTION value="last-modified/time">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0">{ADV_SORT_NONE}</OPTION>
												</xsl:when>
												<xsl:when test="/Object/attributes/attribute[key/string='web:sort:objects']/data/string='last-modified/time'">
													<OPTION value="name">Name</OPTION>
													<OPTION value="last-modified/time" selected="true">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0">{ADV_SORT_NONE}</OPTION>
												</xsl:when>
												<xsl:otherwise>
													<OPTION value="name">Name</OPTION>
													<OPTION value="last-modified/time" selected="true">{ADV_SORT_LSTMOD}</OPTION>
													<OPTION value="0" selected="true">{ADV_SORT_NONE}</OPTION>
												</xsl:otherwise>
											</xsl:choose>
										</SELECT>
									</TD>
								</TR>
							</xsl:if>
							<xsl:if test="/Object/@type='Container' or /Object/@type='Room'">
								<TR>
									<TD>{ADV_EXHTMLLNK}:</TD>
									<TD>
										<xsl:choose>
											<xsl:when test="number(attributes/attribute[key/string='CONT_EXCHANGE_LINKS']/data/int)=1">
												<INPUT type="checkbox" name="link_exchange" checked="true"/>
											</xsl:when>
											<xsl:otherwise>
												<INPUT type="checkbox" name="link_exchange"/>
											</xsl:otherwise>
										</xsl:choose>
									</TD>
								</TR>
							</xsl:if>
							<xsl:if test="/Object/@type='Group'">
								<TR>
									<TD>{ADV_EXCLSUBGRP}:</TD>
									<TD>
										<xsl:choose>
											<xsl:when test="number(attributes/attribute[key/string='GROUP_EXCLUSIVE_SUBGROUPS']/data/int)=1">
												<INPUT type="checkbox" name="exclusive_subgroups" checked="true"/>
											</xsl:when>
											<xsl:otherwise>
												<INPUT type="checkbox" name="exclusive_subgroups"/>
											</xsl:otherwise>
										</xsl:choose>
									</TD>
								</TR>
							</xsl:if>
							<xsl:if test="/Object/@type='DocExtern'">
								<TR>
									<TD>URI:</TD>
									<TD><b><xsl:value-of select="attributes/attribute[key/string='DOC_EXTERN_URL']/data/string"/></b></TD>
								</TR>
							</xsl:if>
							<xsl:if test="content/mime-type='text/xml'">
								<TR>
									<TD>XSL Stylesheet:</TD>
									<TD><INPUT TYPE="TEXT" NAME="attr_xsl:document" SIZE="35" MAXLENGTH="255" VALUE="{attributes/attribute[key/string='xsl:document']/data/object/path}" CLASS="formtext"/></TD>
								</TR>
							</xsl:if>
							<xsl:if test="attributes/attribute[key/string='DOC_MIME_TYPE']/data/string='text/xsl'">
								<TR>
									<TD><BR/>XML/XSL:</TD>
									<TD><BR/><INPUT TYPE="BUTTON" VALUE="{ADV_RELOADXMLSTRUCT}" CLASS="formtext2" OnClick="_action.value='reload_xml';submit();"/></TD>
								</TR>
							</xsl:if>
							<TR>
								<TD COLSPAN="2" ALIGN="RIGHT">
									<BR/><BR/>
									<INPUT TYPE="BUTTON" VALUE="&nbsp;&nbsp;{COM_UPDMAINATTRIB}&nbsp;&nbsp;" onClick="update_main_attr(this.form);" CLASS="formbutton4"/>
								</TD>
							</TR>
						</TABLE>
						<BR/><BR/><BR/>
						<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" WIDTH="380">
							<TR>
								<TD>
									<B>{ADV_KEYWORDS}:</B>
									<BR/><BR/><SPAN CLASS="text0sc">{ADV_ENTER_KEYWORDS}<BR/><BR/></SPAN>
									<INPUT type="TEXT" NAME="keyword_new" size="15" maxlength="40" VALUE="" CLASS="formtext"/>
									&nbsp;&nbsp;
									<INPUT type="TEXT" NAME="keyword_new" size="15" maxlength="40" VALUE="" CLASS="formtext"/>
									&nbsp;&nbsp;
									<INPUT type="TEXT" NAME="keyword_new" size="15" maxlength="40" VALUE="" CLASS="formtext"/>
									<BR/>
									<xsl:for-each select="attributes/attribute[key/string='OBJ_KEYWORDS']/data/array/string">
										<INPUT type="TEXT" NAME="keyword_{position()}" size="15" maxlength="40" VALUE="{.}" CLASS="formtext"/>
										&nbsp;&nbsp;
										<xsl:if test="position() mod 3=0"><BR/></xsl:if>
									</xsl:for-each>
									<BR/>
									<P ALIGN="RIGHT">
										<INPUT TYPE="BUTTON" VALUE="&nbsp;&nbsp;{ADV_UPD_KEYWORDS}&nbsp;&nbsp;" onClick="update_keywords(this.form);" CLASS="formbutton4"/>
									</P>
								</TD>
							</TR>
						</TABLE>
					</TD>
					<TD CLASS="bgbrowser2">
						<BR/>
						<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" WIDTH="95%">
							<TR>
								<TD>{ADV_CURRICON}:</TD>
								<TD><img src="/scripts/get.pike?object={/Object/attributes/attribute[key=OBJ_ICON]/data/object/id}" WIDTH="32" HEIGHT="32"/></TD>
							</TR>
							<TR>
								<TD>{ADV_NEWICON}:</TD>
								<TD><INPUT TYPE="FILE" SIZE="15" MAXLENGTH="50000" NAME="icon_image" ACCEPT="image/gif,image/png" CLASS="formtext"/></TD>
							</TR>
							<TR>
								<TD COLSPAN="2">
									<BR/>
									<SPAN CLASS="text0sc"><B>{ADV_PLEASENOTE}:</B> {ADV_NEWICONHINT}</SPAN>
									<BR/>
									<P ALIGN="RIGHT"><INPUT type="hidden" name="editicon" value="no"/>
										<INPUT TYPE="BUTTON" VALUE="{ADV_UPLOADICON}" CLASS="formbutton4" OnClick="document.browser.editicon.value='yes'; document.browser.submit();"/>
									</P>
								</TD>
							</TR>
						</TABLE>
						<BR/><BR/>
						<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
							<TR CLASS="tabhead" VALIGN="bottom">
								<TD CLASS="header"><BR/>&nbsp;{ADV_STYLESHEETSEDIT}</TD>
							</TR>
						</TABLE>
						<BR/>
						<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" WIDTH="95%">
							<TR>
								<TD COLSPAN="2">&nbsp;<SPAN CLASS="text0sc">{ADV_STYLESHEETPATH}:</SPAN><BR/><BR/></TD>
							</TR>
							<xsl:for-each select="groups/array/object">
								<xsl:call-template name="show_stylesheets">
									<xsl:with-param name="groupid"><xsl:value-of select="id"/></xsl:with-param>
								</xsl:call-template>
							</xsl:for-each>
							<TR>
								<TD COLSPAN="2" ALIGN="RIGHT">
									<BR/><BR/>
									&nbsp;
									<INPUT TYPE="BUTTON" VALUE="&nbsp;&nbsp;{ADV_UPDSTYLESHEETS}&nbsp;&nbsp;" onClick="update_stylesheets(this.form);" CLASS="formbutton4"/>
									<BR/><BR/><BR/><BR/><BR/>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>	


		</TABLE>
	</FORM>
</BODY>
</HTML>
</xsl:template>


<xsl:template name="show_image">
	<xsl:param name="id"/>
	<xsl:text></xsl:text>
	<A HREF="navimage.pike?object={id}&amp;type=image"><IMG SRC="get.pike?object={id}&amp;xsize=80&amp;ysize=80" ALT="{name}" ALIGN="LEFT" HSPACE="8"/></A>
</xsl:template>


<xsl:template name="show_stylesheets">
	<xsl:param name="groupid">0</xsl:param>
	<TR>
		<TD>&#160;<B><xsl:value-of select="name"/></B>&#160;&#160;</TD>
		<TD><INPUT TYPE="TEXT" SIZE="24" MAXLENGTH="255" NAME="stylesheet_xsl:content_{$groupid}" VALUE="{/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path}" CLASS="formtext"/></TD>
	</TR>
</xsl:template>


<xsl:template match="instances">
	<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" CLASS="bgbrowser" ALIGN="CENTER">
		<TR CLASS="tabhead" VALIGN="bottom"><TD CLASS="header" WIDTH="380"><BR/>&#160;{ADV_INSTANCES}</TD></TR>
		<TR>
			<TD>
				<BR/><SPAN CLASS="text2bb">&#160;Current Errors:</SPAN>
				<xsl:for-each select="/Object/errors/array/string">
					<xsl:value-of select="."/><BR/>
				</xsl:for-each>
			</TD>
		</TR>
	</TABLE>
	<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser">
		<TR>
			<TD>
				<BR/>
				<SPAN CLASS="text2bb">&#160; {ADV_LISTINSTANCES} 
					<A HREF="browser.pike?id={$object}&amp;_action=upgrade&amp;type=details&amp;room={$room}">{ADV_LISTINSTANCESHERE}</A>
					 {ADV_UPGRADEINSTANCES}<BR/><BR/>
				</SPAN>
			</TD>
		</TR>
	</TABLE>
	<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser">
		<TR VALIGN="BOTTOM" CLASS="tabhead">
			<TD CLASS="header" WIDTH="25"><BR/>&#160;</TD>
			<TD CLASS="header" WIDTH="55">{ADV_ATTRIB2}</TD>
			<TD CLASS="header" WIDTH="75">{ADV_ACCESS}</TD>
			<TD CLASS="header">Name</TD>
			<TD CLASS="header">{ADV_CREATEDMODBY}</TD>
			<TD CLASS="header">Status</TD>
		</TR>
		<xsl:for-each select="Object">
			<xsl:sort select="name"/>
			<xsl:call-template name="show_my_object"/>
		</xsl:for-each>
		<TR>
			<TD COLSPAN="6">
				<BR/>&#160;
				<INPUT type="text" name="name" CLASS="formtext" SIZE="30" MAXLENGTH="255"/>
				&#160;&#160;
				<INPUT type="button" value="{ADV_CREATENEWINSTANCE}" onClick="do_create(document.browser);" CLASS="formbutton3"/>
				<BR/><BR/><BR/>
			</TD>
		</TR>
	</TABLE>
</xsl:template>
</xsl:stylesheet>








