<?xml version="1.0" encoding="utf-8"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="nav">admin</xsl:param>
<xsl:param name="active"/>
<xsl:param name="room"/>
<xsl:param name="version"/>
<xsl:param name="webversion"/>
<xsl:param name="libxsltversion"/>
<xsl:param name="language"/>
<xsl:param name="portnumber">none</xsl:param>
<xsl:param name="mode"/>
<xsl:param name="showlanguagedetails">none</xsl:param>
<xsl:param name="showportdetails">none</xsl:param>
<xsl:param name="showconfigurationdetails">false</xsl:param>
<xsl:param name="jump">0</xsl:param>

<xsl:param name="inmemory"/>
<xsl:param name="swapped"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:output method="html" encoding="utf-8"/>
<xsl:preserve-space elements="text"/>

<xsl:variable name="general_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'general']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="memory_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'memory']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="config_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'config']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="mail_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'mail']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="vhosts_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'vhosts']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="ports_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'ports']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="threads_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'threads']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="callouts_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'callouts']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="services_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'services']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="modules_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'modules']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="reginfo_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'reginfo']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>


<xsl:template match="Object">
<HEAD>
    <!-- setting variable language for use in javascript- code - internationalisation of .js sources is now possible -->
    <SCRIPT LANGUAGE="Javascript" type="text/javascript">var language='<xsl:value-of select="$language"/>';</SCRIPT>
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/admin.js" TYPE="text/javascript"/>
	<TITLE>sTeam (<xsl:value-of select="/Object/configs/config[@name='machine']"/>) | Admin</TITLE>
    <xsl:call-template name="browsercss"/>
    
    <style type="text/css">
      #maincontent td
      {
        font-size: 1em;
      }
    </style>
    
</HEAD>
  <xsl:choose>
    <xsl:when test="$mode='showportdetails'">
      <xsl:call-template name="show_portdetails"/>
    </xsl:when>
    <xsl:when test="$mode='showconfigurationdetails'">
      <xsl:call-template name="show_configurationdetails"/>
    </xsl:when>
    <xsl:when test="$mode='showtools'">
      <xsl:call-template name="show_tools"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="common"/>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>


<xsl:template name="common">
<body id="admin">
<div id="container">

<xsl:call-template name="header"><xsl:with-param name="reiter">ADMIN</xsl:with-param></xsl:call-template>

<div id="content">
<div id="maincontent">

<FORM NAME="browser" ACTION="/scripts/browser.pike" CLASS="nomargin">
<TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" ALIGN="CENTER" CLASS="bgbrowser3">
<INPUT type="hidden" name="_action" value="server_config"/>
<INPUT type="hidden" name="_script" value="admin.pike"/>
<INPUT type="hidden" name="removealias" value=""/>
<INPUT type="hidden" name="removehost"  value=""/>
<input type="hidden" name="jump" value="{$jump}" />

<fieldset class="hidden">
  <input type="hidden" id="wilayout_admin_general" name="wilayout_admin_general" value="{$general_display}"/>
  <input type="hidden" id="wilayout_admin_memory" name="wilayout_admin_memory" value="{$memory_display}"/>
  <input type="hidden" id="wilayout_admin_config" name="wilayout_admin_config" value="{$config_display}"/>
  <input type="hidden" id="wilayout_admin_mail" name="wilayout_admin_mail" value="{$mail_display}"/>
  <input type="hidden" id="wilayout_admin_vhosts" name="wilayout_admin_vhosts" value="{$vhosts_display}"/>
  <input type="hidden" id="wilayout_admin_ports" name="wilayout_admin_ports" value="{$ports_display}"/>
  <input type="hidden" id="wilayout_admin_threads" name="wilayout_admin_threads" value="{$threads_display}"/>
  <input type="hidden" id="wilayout_admin_callouts" name="wilayout_admin_callouts" value="{$callouts_display}"/>
  <input type="hidden" id="wilayout_admin_services" name="wilayout_admin_services" value="{$services_display}"/>
  <input type="hidden" id="wilayout_admin_modules" name="wilayout_admin_modules" value="{$modules_display}"/>
  <input type="hidden" id="wilayout_admin_reginfo" name="wilayout_admin_reginfo" value="{$reginfo_display}"/>
</fieldset>


<TR VALIGN="TOP"><TD WIDTH="20"/><TD><BR/><B><FONT SIZE="+1">{ADMIN_SERVERADMINISTRATION}&nbsp;<xsl:value-of select="/Object/configs/config[@name='web_server']"/>
</FONT><br/>
(server <xsl:value-of select="$version"/>, web <xsl:value-of select="$webversion"/>, <xsl:value-of select="$libxsltversion"/>, <xsl:value-of select="/Object/pikeversion"/>)</B><BR/><BR/></TD></TR>
</TABLE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER">
<TR CLASS="bgbrowser3" VALIGN="TOP">
<TD>

  <!-- Allg. Serverinformationen -->
  <xsl:variable name="general_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'general']/value/string = 'none' and  $jump !='general'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="general_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'general']/value/string = 'none' and  $jump !='general'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="general" />
<div id="general_scale_link_hide" style="display:{$general_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'general_scale');" title="{HIDE}: {ADMIN_SERVERINFORMATION}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_SERVERINFORMATION}</a></h2></div>

<div id="general_scale_link_show" style="display:{$general_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'general_scale');" title="{SHOW}: {ADMIN_SERVERINFORMATION}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_SERVERINFORMATION}</a></h2><br /></div>    
	  
<div id="general_scale" style="display:{$general_scale_display}">
     <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
       <TR>
         <TD height="10" colspan="2">
           &nbsp;
         </TD>
       </TR>
           <xsl:for-each select="configs/config[@name='account_email' or @name='cachesize' or @name='domain' or @name='ip' or @name='machine' or @name='mail_server' or @name='server' or @name='web_server']">
           <xsl:sort select="@name"/>
             <TR>
               <TD><xsl:value-of select="@name"/></TD>
               <TD>
                 <xsl:value-of select="."/>
               </TD>
             </TR>
           </xsl:for-each>
       <TR>
         <TD height="5" colspan="2">
           &nbsp;
         </TD>
       </TR>
       <TR>
         <TD>
           {LAST_REBOOT}
         </TD>
         <TD>
            <SCRIPT LANGUAGE="Javascript" TYPE="text/javascript">print_transformed_date('<xsl:value-of select="/Object/reboot/date"/>');</SCRIPT>
         </TD>
       </TR>
       <TR>
         <TD>
           {CURRENT_TIME}
         </TD>
         <TD>
            <SCRIPT LANGUAGE="Javascript" TYPE="text/javascript">print_transformed_date('<xsl:value-of select="/Object/localtime/date"/>');</SCRIPT>
         </TD>
       </TR>
       <TR>
         <TD>
           {UPTIME}
         </TD>
         <TD TITLE="{round(  (number(/Object/localtime/time)-number(/Object/reboot/time)) div 86400  )} {ADMIN_DAYS}">
           <xsl:value-of select="substring-before(string((number(/Object/localtime/time)-number(/Object/reboot/time))div3600),'.')"/> {ADMIN_HOURS}
         </TD>
       </TR>
       <TR>
         <TD colspan="2">
           <BR/>
           <a href="/scripts/browser.pike?_action=restart">{RESTART}</a>
        </TD>
       </TR>
     </TABLE>
</div>
<!-- Speicherverbrauch -->
  <xsl:variable name="memory_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'memory']/value/string = 'none' and  $jump !='memory'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="memory_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'memory']/value/string = 'none' and  $jump !='memory'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="memory" />
<div id="memory_scale_link_hide" style="display:{$memory_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'memory_scale');" title="{HIDE}: {ADMIN_MEMORY_MEMORYUSAGE}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_MEMORY_MEMORYUSAGE}</a></h2></div>

<div id="memory_scale_link_show" style="display:{$memory_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'memory_scale');" title="{SHOW}: {ADMIN_MEMORY_MEMORYUSAGE}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_MEMORY_MEMORYUSAGE}</a></h2><br /></div>    
	  
<div id="memory_scale" style="display:{$memory_scale_display}">
   <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
<!--
     <TR CLASS="tabhead">
       <TD COLSPAN="3" VALIGN="bottom" CLASS="header">
         <h2>{ADMIN_MEMORY_MEMORYUSAGE}</h2>
       </TD>
     </TR>
-->
    <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_OBJECTSINMEMORY}:&nbsp;
       </TD>
       <TD>
         <xsl:value-of select="$inmemory"/> {ADMIN_OBJECTSINMEMORY_THEREFORE} <xsl:value-of select="$swapped"/> {ADMIN_OBJECTSINMEMORY_SWAPPED}
       </TD>
     </TR>
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD>
         &nbsp;
       </TD>
       <TD align="right">
         <strong>{ADMIN_MEMORY_COUNT}</strong>
       </TD>
       <TD align="right">
         <strong>{ADMIN_MEMORY_MEMORYUSAGE} [{ADMIN_KBYTE}]</strong>
       </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_MEMORY_STRINGS}
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/strings/num"/>
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/strings/bytes"/>
       </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_MEMORY_MAPPINGS}
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/mappings/num"/>
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/mappings/bytes"/>
       </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_MEMORY_ARRAYS}
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/arrays/num"/>
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/arrays/bytes"/>
       </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_MEMORY_OBJECTS}
       </TD>
       <TD align="right">
         <xsl:value-of select="/Object/debug/memory/objects/num"/>
       </TD>
       <TD align="right">
        <xsl:value-of select="/Object/debug/memory/objects/bytes"/>
      </TD>
     </TR>
     <TR>
       <TD>
         {ADMIN_MEMORY_WHOLEMEMORY}
       </TD>
       <TD align ="right" COLSPAN="2">
         <xsl:value-of select="sum(/Object/debug/memory/*/bytes) div 1024"/>&nbsp;{ADMIN_MBYTE}
       </TD>
     </TR>
     <TR>
       <TD COLSPAN="2">
         <em>
           Garbage Collector on <xsl:value-of select="/Object/debug/gc/last_gc/date"/> &#160; Ratio: <xsl:value-of select="/Object/debug/gc/last_garbage_ratio" /> &#160; Projected: <xsl:value-of select="/Object/debug/gc/projected_garbage"/>
         </em>
       </TD>
     </TR>
   </TABLE>
</div>
<!-- Allg. Konfigurationsdaten -->
  <xsl:variable name="config_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'config']/value/string = 'none' and  $jump !='config'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="config_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'config']/value/string = 'none' and  $jump !='config'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="config" />
<div id="config_scale_link_hide" style="display:{$config_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'config_scale');" title="{HIDE}: {CONFIGS}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{CONFIGS}</a></h2></div>

<div id="config_scale_link_show" style="display:{$config_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'config_scale');" title="{SHOW}: {CONFIGS}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{CONFIGS}</a></h2><br /></div>    
	  
<div id="config_scale" style="display:{$config_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0"  CLASS="bgbrowser">
     <TR>
       <TD COLSPAN="2">
         <BR/>
         <a href="/scripts/admin.pike?mode=showconfigurationdetails&amp;nonavi=true">{ADMIN_SHOWCONFIGURATIONDETAILS}</a>
       </TD>
     </TR>
	   <TR>
	     <TD colspan="2">
         <BR />
          <a href="/packages">{ADMIN_SHOWPACKAGES}</a>
	     </TD>
	   </TR>
     <TR>
       <TD COLSPAN="2">
         <BR/>
         <a href="/scripts/browser.pike?_action=show_all_urls">{ADMIN_FEATURES_SHOWURLS}</a>
       </TD>
     </TR>
	   <TR>
	     <TD colspan="2">
         <BR />
          <a href="/scripts/admin.pike?mode=showtools&amp;nonavi=true">{ADMIN_SHOWHOUSEKEEPING}</a>
	     </TD>
	   </TR>
     <xsl:if test="count(/Object/admintoolsmodule/object) > 0">
       <TR>
         <TD colspan="2">
           <BR />
            <a href="/packages/admintools/">{ADMIN_SHOWADMINTOOLS}</a>
         </TD>
       </TR>
    </xsl:if>
   </TABLE>
</div>
<!-- Globale Mail- Aliasse -->
  <xsl:variable name="mail_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'mail']/value/string = 'none' and  $jump !='mail'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="mail_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'mail']/value/string = 'none' and  $jump !='mail'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="mail" />
<div id="mail_scale_link_hide" style="display:{$mail_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'mail_scale');" title="{HIDE}: {ADMIN_ALIASES}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_ALIASES}</a></h2></div>

<div id="mail_scale_link_show" style="display:{$mail_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'mail_scale');" title="{SHOW}: {ADMIN_ALIASES}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_ALIASES}</a></h2><br /></div>    
	  
<div id="mail_scale" style="display:{$mail_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0"  CLASS="bgbrowser">
    <TR>
      <TD height="10" colspan="3">
         &nbsp;
      </TD>
    </TR>
    <TR>
      <TD>
        <b>{ADMIN_ALIASES_ALIAS}</b>
      </TD>
      <TD>
        <b>{ADMIN_ALIASES_DESTINATION}</b>
      </TD>
      <TD>
        <!-- Spalte fuer den Eigenschaften- Button -->
      </TD>
    </TR>
    <xsl:for-each select="/Object/aliases/alias">
      <xsl:sort select="name"/>
      <TR>
        <TD height="10" colspan="3">
           &nbsp;
        </TD>
      </TR>
      <TR>
        <TD CLASS="bgbrowser">
          <xsl:value-of select="name"/>
        </TD>
        <TD CLASS="bgbrowser">
          <xsl:for-each select="destinations/destination">
            <xsl:value-of select="."/>
            <xsl:if test="position() != last()">,&#160;</xsl:if>
          </xsl:for-each>
        </TD>
        <TD CLASS="bgbrowser">
          <INPUT TYPE="BUTTON" VALUE="{ADMIN_ALIASES_REMOVEALIAS}" CLASS="formbutton3" onClick="jump.value='mail'; remove_alias(browser, '{name}');"/>
        </TD>
      </TR>
    </xsl:for-each>
    <TR>
      <TD CLASS="bgbrowser">
        <INPUT type="text" name="newalias" value="" size="20" maxlength="128" CLASS="formtext"/>
      </TD>
      <TD CLASS="bgbrowser">
        <INPUT type="text" name="newaliasdestination" value="" size="20" maxlength="128" CLASS="formtext"/>
      </TD>
      <TD CLASS="bgbrowser">          
        <INPUT TYPE="BUTTON" VALUE="{ADMIN_ALIASES_ADDALIAS}" CLASS="formbutton3" onClick="jump.value='mail'; add_alias(browser);"/>
      </TD>
    </TR>
  </TABLE>
</div>
<!-- Virtuelle Hosts -->
  <xsl:variable name="vhosts_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'vhosts']/value/string = 'none' and  $jump !='vhosts'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="vhosts_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'vhosts']/value/string = 'none' and  $jump !='vhosts'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="vhosts" />
<div id="vhosts_scale_link_hide" style="display:{$vhosts_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'vhosts_scale');" title="{HIDE}: {ADMIN_HOSTS}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_HOSTS}</a></h2></div>

<div id="vhosts_scale_link_show" style="display:{$vhosts_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'vhosts_scale');" title="{SHOW}: {ADMIN_HOSTS}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_HOSTS}</a></h2><br /></div>    
	  
<div id="vhosts_scale" style="display:{$vhosts_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0"  CLASS="bgbrowser">
    <TR>
      <TD height="10" colspan="3">
         &nbsp;
      </TD>
    </TR>
    <TR>
      <TD>
        <b>{ADMIN_HOSTS_HOST}</b>
      </TD>
      <TD>
        <b>{ADMIN_HOSTS_DESTINATION}</b>
      </TD>
      <TD>
        <!-- Spalte fuer den Eigenschaften- Button -->
      </TD>
    </TR>
    <xsl:for-each select="/Object/virtual_hosts/struct/member">
      <xsl:sort select="key/string"/>
      <TR>
        <TD height="10" colspan="3">
           &nbsp;
        </TD>
      </TR>
      <TR>
        <TD CLASS="bgbrowser">
          <xsl:value-of select="key/string"/>
        </TD>
        <TD CLASS="bgbrowser">
          <xsl:value-of select="value/string"/>
        </TD>
        <TD CLASS="bgbrowser">
          <INPUT TYPE="BUTTON" VALUE="{ADMIN_HOSTS_REMOVEHOST}" CLASS="formbutton3" onClick="jump.value='vhosts';remove_host(browser, '{key/string}');"/>
        </TD>
      </TR>
    </xsl:for-each>
    <TR>
      <TD CLASS="bgbrowser">
        <INPUT type="text" name="newhost" value="" size="20" maxlength="128" CLASS="formtext"/>
      </TD>
      <TD CLASS="bgbrowser">
        <INPUT type="text" name="newhostdestination" value="" size="20" maxlength="128" CLASS="formtext"/>
      </TD>
      <TD CLASS="bgbrowser">          
        <INPUT TYPE="BUTTON" VALUE="{ADMIN_HOSTS_ADDHOST}" CLASS="formbutton3" onClick="jump.value='vhosts';add_host(browser);"/>
      </TD>
    </TR>
  </TABLE>
</div>
<!-- Porteinstellungen -->
  <xsl:variable name="ports_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'ports']/value/string = 'none' and  $jump !='ports'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="ports_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'ports']/value/string = 'none' and  $jump !='ports'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="ports" />
<div id="ports_scale_link_hide" style="display:{$ports_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'ports_scale');" title="{HIDE}: {ADMIN_PORTS_HEADER}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_PORTS_HEADER}</a></h2></div>

<div id="ports_scale_link_show" style="display:{$ports_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'ports_scale');" title="{SHOW}: {ADMIN_PORTS_HEADER}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_PORTS_HEADER}</a></h2><br /></div>    
	  
<div id="ports_scale" style="display:{$ports_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
       <TD height="10" COLSPAN="2">
         &nbsp;
       </TD>
     </TR>
    <TR>
      <TD>
        <xsl:call-template name="show_ports"/>
      </TD>
    </TR>
    <TR>
      <TD HEIGTH="10">
        &nbsp;
      </TD>
    </TR>
  </TABLE>
</div>

<!-- Registrierungsoptionen -->
  <xsl:variable name="reginfo_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'reginfo']/value/string = 'none' and  $jump !='reginfo'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="reginfo_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'reginfo']/value/string = 'none' and  $jump !='reginfo'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="reginfo" />
<div id="reginfo_scale_link_hide" style="display:{$reginfo_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'reginfo_scale');" title="{HIDE}: {ADMIN_REGISTER_REGISTER}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_REGISTER_REGISTER}</a></h2></div>

<div id="reginfo_scale_link_show" style="display:{$reginfo_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'reginfo_scale');" title="{SHOW}: {ADMIN_REGISTER_REGISTER}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_REGISTER_REGISTER}</a></h2><br /></div>    
	  
<div id="reginfo_scale" style="display:{$reginfo_scale_display}">
   <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0"  CLASS="bgbrowser">
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
           <TR>
             <TD><BR/><BR/>
               <xsl:choose>
                 <xsl:when test="/Object/register/Object/denied!='0'">
                   <INPUT type="checkbox" name="register_denied" checked="1"/>
                 </xsl:when>
                 <xsl:otherwise><INPUT type="checkbox" name="register_denied"/>
                 </xsl:otherwise>
               </xsl:choose>
               {LOGIN_CREATION}
               <BR/>
               <xsl:choose>
                 <xsl:when test="/Object/register/Object/no_email='1'">
                   <INPUT type="checkbox" name="register_no_email" checked="1"/>
                 </xsl:when>
                 <xsl:otherwise><INPUT type="checkbox" name="register_no_email"/>
                 </xsl:otherwise>
               </xsl:choose>
               {NOTIFICATION}
               <BR/>
               <xsl:choose>
                 <xsl:when test="/Object/register/Object/activate='1'">
                   <INPUT type="checkbox" name="register_activate" checked="1"/>
                 </xsl:when>
                 <xsl:otherwise>
                   <INPUT type="checkbox" name="register_activate"/>
                 </xsl:otherwise>
               </xsl:choose>
	         {LOGIN}
               <BR/><BR/>
             </TD>
           </TR>
           <TR>
             <TD COLSPAN="2">
               <BR/>
               <input type="submit" value="{CHANGE_CONFIGURATION}" />
             </TD>
           </TR>
   </TABLE>
</div>
<!-- Threads -->
  <xsl:variable name="threads_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'threads']/value/string = 'none' and  $jump !='threads'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="threads_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'threads']/value/string = 'none' and  $jump !='threads'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="threads" />
<div id="threads_scale_link_hide" style="display:{$threads_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'threads_scale');" title="{HIDE}: {ADMIN_THREADS_THREADS}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_THREADS_THREADS}</a></h2></div>

<div id="threads_scale_link_show" style="display:{$ports_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'threads_scale');" title="{SHOW}: {ADMIN_THREADS_THREAD}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_THREADS_THREADS}</a></h2><br /></div>    
	  
<div id="threads_scale" style="display:{$threads_scale_display}">
   <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD>
	   <TABLE WIDTH="100%">
           <xsl:for-each select="/Object/debug/threads/thread">
             <xsl:sort select="function"/>
             <TR>
               <TD WIDTH="10">&nbsp;</TD>
               <TD>
                 <xsl:value-of select="function"/>
               </TD>
             </TR>
	     </xsl:for-each>
	   </TABLE>
       </TD>
     </TR>
   </TABLE>
</div>
<!-- Hintergrundprozesse -->
  <xsl:variable name="callouts_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'callouts']/value/string = 'none' and  $jump !='threads'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="callouts_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'callouts']/value/string = 'none' and  $jump !='threads'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="callouts" />
<div id="callouts_scale_link_hide" style="display:{$callouts_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'callouts_scale');" title="{HIDE}: {ADMIN_CALLOUTS_CALLOUTS}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_CALLOUTS_CALLOUTS}</a></h2></div>

<div id="callouts_scale_link_show" style="display:{$callouts_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'callouts_scale');" title="{SHOW}: {ADMIN_CALLOUTS_CALLOUTS}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_CALLOUTS_CALLOUTS}</a></h2><br /></div>    
	  
<div id="callouts_scale" style="display:{$callouts_scale_display}">
   <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD height="10">
         &nbsp;
       </TD>
     </TR>
     <TR>
       <TD>
	   <TABLE WIDTH="100%">
           <xsl:for-each select="/Object/debug/call_outs/callout">
             <xsl:sort select="function"/>
             <TR>
               <TD WIDTH="10">&nbsp;</TD>
               <TD>
                 <xsl:value-of select="function"/>
               </TD>
	       <TD>
	          in <xsl:value-of select="t"/>
	       </TD>
             </TR>
	     </xsl:for-each>
	   </TABLE>
       </TD>
     </TR>
   </TABLE>
</div>
<!-- Services (only visible if server supports services)-->
  <xsl:variable name="services_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'services']/value/string = 'none' and  $jump !='services'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="services_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'services']/value/string = 'none' and  $jump !='services'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="services" />
<div id="services_scale_link_hide" style="display:{$services_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'services_scale');" title="{HIDE}: {ADMIN_SERVICES_HEADER}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_SERVICES_HEADER}</a></h2></div>

<div id="services_scale_link_show" style="display:{$services_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'services_scale');" title="{SHOW}: {ADMIN_SERVICES_HEADER}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_SERVICES_HEADER}</a></h2><br /></div>    
	  
<div id="services_scale" style="display:{$services_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0"  CLASS="bgbrowser">
    <TR>
      <TD height="10" colspan="3">
         &nbsp;
      </TD>
    </TR>
    <TR>
      <TD>
        <b>{ADMIN_SERVICES_SERVICE}</b>
      </TD>
    </TR>
    <xsl:choose>
      <xsl:when test="count(/Object/services/struct/member) > 0">        
        <xsl:for-each select="/Object/services/struct/member">
        <xsl:sort select="key/string"/>
          <TR>
            <TD CLASS="bgbrowser">
              <xsl:value-of select="key/string"/>
            </TD>
          </TR>
        </xsl:for-each>
      </xsl:when>
      <xsl:otherwise>
        ---
      </xsl:otherwise>
    </xsl:choose>
  </TABLE>
</div>
<!-- Geladene Module -->
  <xsl:variable name="modules_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'modules']/value/string = 'none' and  $jump !='modules'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="modules_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'modules']/value/string = 'none' and  $jump !='modules'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="modules" />
<div id="modules_scale_link_hide" style="display:{$modules_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'modules_scale');" title="{HIDE}: {STEAM_MODULES}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{STEAM_MODULES}</a></h2></div>

<div id="modules_scale_link_show" style="display:{$modules_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'modules_scale');" title="{SHOW}: {STEAM_MODULES}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{STEAM_MODULES}</a></h2><br /></div>    
	  
<div id="modules_scale" style="display:{$modules_scale_display}">
     <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
      <TR>
        <TD>
          <BR/>&nbsp;<B>
           <A HREF="masterlist.pike">{ALL_OBJECTS}</A>&nbsp;<A HREF="/scripts/admin.pike?_action=show_errors">{ADMIN_SHOWERRORS}</A>
           </B><BR/><BR/><BR/>
           <xsl:for-each select="modules/Object">
             <xsl:sort select="name"/>
             <B><INPUT TYPE="RADIO" NAME="upgrade" VALUE="{id}"/>
             <A HREF="navigate.pike?object={id}&amp;room={$room}">
                  <xsl:value-of select="name"/>
             </A><BR/></B>
           </xsl:for-each>
           <BR/>&nbsp;
           <INPUT TYPE="BUTTON" VALUE="{UPGRADE}" onClick="jump.value='modules';upgrade_module(document.browser)"/>
           <BR/><BR/>
        </TD>
      </TR>
<!-- In /Object/classes/array/program habe ich noch nie einen Wert stehen sehen, daher erstmal auskommentiert
      <TR>
      <TD>
        <xsl:for-each select="/Object/classes/array/program">
          <xsl:if test="starts-with(.,'/classes/')">
            &nbsp;<INPUT type="radio" name="upgrade" value="{.}"/><xsl:value-of select="."/>
          </xsl:if>
        </xsl:for-each>
        <input type="button" value="{UPGRADE_CLASS}" onClick="_action.value='upgrade';submit();"/>
      </TD>
    </TR>
-->
    <TR>
      <TD HEIGTH="20">
        &nbsp;
      </TD>
    </TR>
  </TABLE>
</div>
</TD>
</TR>
<TR CLASS="bgbrowser3"><TD COLSPAN="4" HEIGHT="20"></TD>
</TR>
</TABLE>
</FORM>
</div>
</div>
</div>
</body>
</xsl:template>

<!-- Zeigt alle Konfigurationsparameter an -->
<xsl:template name="show_configurationdetails">
<body id="admin">
<div id="container">

<xsl:call-template name="header"><xsl:with-param name="reiter">ADMIN</xsl:with-param></xsl:call-template>
<div id="content">
<div id="maincontent">
<FORM NAME="browser" ACTION="/scripts/browser.pike" CLASS="nomargin">
<TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER" CLASS="bgbrowser3">
<INPUT type="hidden" name="_action" value="server_config"/>
<INPUT type="hidden" name="_script" value="admin.pike"/>
<INPUT type="hidden" name="todelete" value="none"/>
<INPUT type="hidden" name="mode" value="{$mode}"/>

<TR VALIGN="TOP"><TD><BR/><B><FONT SIZE="+1">{ADMIN_SERVERADMINISTRATION}&nbsp;<xsl:value-of select="/Object/configs/config[@name='web_server']"/>
</FONT></B><BR/><BR/></TD></TR>
     <TR>
       <TD>
         <a href="/scripts/admin.pike">{ADMIN_SHOWCONFIG_BACK}</a>
       </TD>
     </TR>
</TABLE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER">
<TR CLASS="bgbrowser3" VALIGN="TOP">
<TD>
<!-- Allg. Konfigurationsdaten -->
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
        <TD><h2>{CONFIGS}</h2></TD>
     </TR>
     <TR>
       <TD>
         <TABLE>
           <xsl:for-each select="configs/config[@name!='database']">
           <xsl:sort select="@name"/>
             <TR>
               <TD><xsl:value-of select="@name"/></TD>
               <TD>
                 <INPUT type="text" name="config_{@name}" value="{.}"><xsl:if test="@changeable='false'"><xsl:attribute name="disabled">true</xsl:attribute><xsl:attribute name="title">{ADMIN_CONFIGURATIONDETAILS_DISABLED}</xsl:attribute></xsl:if></INPUT>
                 <xsl:if test="@changeable='false'">
                   &#160;*
                 </xsl:if>
               </TD>
               <TD>
                 <xsl:if test="@changeable='true'">
                  <INPUT TYPE="BUTTON" VALUE="{ADMIN_CONFIGURATIONDETAILS_DELETE}" onClick="delete_config(browser, '{@name}')"/>
                </xsl:if>
               </TD>
             </TR>
           </xsl:for-each>
           <TR>
             <TD COLSPAN="2"><BR/>{ADMIN_CONFIGURATIONDETAILS_MANUALKEY}</TD>
           </TR>
           <TR>
             <TD><INPUT type="text" name="variable_config_key" value=""/></TD>
             <TD><INPUT type="text" name="variable_config_value" value=""/></TD>
           </TR>
           <TR>
             <TD COLSPAN="2">
               <BR/>
               <INPUT TYPE="SUBMIT" VALUE="{CHANGE_CONFIGURATION}"/>
               <xsl:if test="count(configs/config[@changeable='false'])>0">
                 <BR/><BR/>
                 *&#160;<SPAN CLASS="text0sc">{ADMIN_CONFIGURATIONDETAILS_DISABLED}<BR/><BR/></SPAN>
               </xsl:if>
             </TD>
           </TR>
         </TABLE>
       </TD>
     </TR>
   </TABLE>
 </TD>
</TR>
<TR CLASS="bgbrowser3"><TD COLSPAN="4" HEIGHT="20"></TD>
</TR>
</TABLE>
</FORM>
</div>
</div>
</div>
</body>
</xsl:template>

<!-- zur Darstellung der port- konfiguration -->
<xsl:template name="show_ports">
  <TABLE width="100%">
    <TR>
      <TD>
        <b>{ADMIN_PORTS_PORTPROTOCOL}</b>
      </TD>
      <TD>
        <b>{ADMIN_PORTS_PORTNUMBER}</b>
      </TD>
      <TD>
      </TD>
    </TR>
    <xsl:for-each select="/Object/allports/array/string">
      <TR>
        <TD>
           <xsl:value-of select="current()"/>
        </TD>
        <TD>
           <xsl:choose>
             <xsl:when test="count(/Object/ports/port[name=current()]/@nr)=0">
               {ADMIN_PORTS_INACTIVE}
             </xsl:when>
             <xsl:otherwise>
               <xsl:value-of select="/Object/ports/port[name=current()]/@nr"/>
             </xsl:otherwise>
           </xsl:choose>
        </TD>
        <TD>
          <INPUT TYPE="BUTTON" VALUE="{ADMIN_PORTS_SHOWPORTDETAILS}" onClick="JavaScript:open_portdetails('{current()}','{/Object/ports/port[name=current()]/@nr}');"/>
        </TD>
      </TR>
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template name="show_portdetails">
<BODY CLASS="subdialogue" BGCOLOR="#F5F5F5" onLoad="center_frame(); request_focus();">
  <FORM NAME="browser" ACTION="/scripts/admin.pike" METHOD="POST" enctype="multipart/form-data">
    <INPUT type="hidden" name="_action" value="update_portdetails"/>
    <INPUT type="hidden" name="_script" value="admin.pike"/>
    <INPUT type="hidden" name="portname" value="{$showportdetails}"/>
    <INPUT type="hidden" name="oldportnumber" value="{$portnumber}"/>
    <xsl:variable name="relatedconfigbuffer">
      <xsl:value-of select="/Object/ports/port[@nr=$portnumber and @name=$showportdetails]/configname"/>
    </xsl:variable>
    <INPUT type="hidden" name="relatedconfig" value="{$relatedconfigbuffer}"/>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" CLASS="bginfotext">
      <TR VALIGN="BOTTOM" CLASS="tabhead">
        <TD CLASS="header">
          <BR/>
          {ADMIN_PORTDETAILS_HEADER}&nbsp;<xsl:value-of select="$showportdetails"/>-{ADMIN_PORTDETAILS_HEADER2}
        </TD>
      </TR>
  <xsl:choose>
    <xsl:when test="count(/Object/ports/port[name=$showportdetails]/@nr)=0">
      <TR VALIGN="TOP">
        <TD CLASS="bgbrowser">
          <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" CLASS="bgbrowser">
            <TR>
              <TD>{ADMIN_PORTS_PORTNAME}</TD>
              <TD><xsl:value-of select="$showportdetails"/></TD>
            </TR>
            <TR>
              <TD COLSPAN="2" ALIGN="RIGHT">
                <INPUT TYPE="BUTTON" VALUE="{ADMIN_PORTDETAILS_START}" onClick="JavaScript:start_port(document.browser);"/>
              </TD>
            </TR>
          </TABLE>
        </TD>
      </TR>
    </xsl:when>
    <xsl:otherwise>
      <TR VALIGN="TOP">
        <TD CLASS="bgbrowser">
          <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" CLASS="bgbrowser">
            <TR>
              <TD>{ADMIN_PORTS_PORTNAME}</TD>
              <TD><xsl:value-of select="$showportdetails"/></TD>
            </TR>
            <TR>
              <TD>{ADMIN_PORTDETAILS_PORTDESCRIPTION}</TD>
              <TD><xsl:value-of select="/Object/ports/port[@nr=$portnumber and @name=$showportdetails]/description"/></TD>
            </TR>
            <TR>
              <TD>{ADMIN_PORTS_PORTNUMBER}</TD>
              <TD>
                <INPUT TYPE="TEXT" NAME="newportnumber" SIZE="33" MAXLENGTH="255" VALUE="{/Object/ports/port[@nr=$portnumber and @name=$showportdetails]/@nr}" CLASS="formtext"/>
              </TD>
            </TR>
            <TR>
              <TD COLSPAN="2" ALIGN="RIGHT">
                <INPUT TYPE="BUTTON" VALUE="{ADMIN_PORTDETAILS_UPDATE}" onClick="JavaScript:update_portdetails(document.browser);"/>
              </TD>
            </TR>
          </TABLE>
        </TD>
      </TR>
      <TR VALIGN="TOP">
        <TD CLASS="bgbrowser">
          <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" CLASS="bgbrowser">
            <TR>
              <TD>{ADMIN_PORTDETAILS_ACTIONS}</TD>
              <TD ALIGN="LEFT">
                <INPUT TYPE="BUTTON" VALUE="{ADMIN_PORTDETAILS_RESTART}" onClick="JavaScript:restart_port(document.browser);"/>
              </TD>
            <TR>
              <TD>
                &nbsp;
              </TD>
              <TD ALIGN="LEFT">
                <INPUT TYPE="BUTTON" VALUE="{ADMIN_PORTDETAILS_STOP}" onClick="JavaScript:stop_port(document.browser);"/>
              </TD>
            </TR>
            </TR>
          </TABLE>
        </TD>
      </TR>
    </xsl:otherwise>
  </xsl:choose>
    </TABLE>
  </FORM>
</BODY>
</xsl:template>

<!-- Zeigt alle Konfigurationsparameter an -->
<xsl:template name="show_tools">

<xsl:variable name="loglevel_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'loglevel']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="housekeeping_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'housekeeping']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<body id="admin">
<div id="container">

<xsl:call-template name="header"><xsl:with-param name="reiter">ADMIN</xsl:with-param></xsl:call-template>
<div id="content">
<div id="maincontent">
<FORM NAME="browser" ACTION="/scripts/browser.pike" CLASS="nomargin">
<TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER" CLASS="bgbrowser3">
<INPUT type="hidden" name="_action" value="set_loglevel"/>
<INPUT type="hidden" name="_script" value="admin.pike"/>
<INPUT type="hidden" name="mode" value="{$mode}"/>

<fieldset class="hidden">
  <input type="hidden" id="wilayout_admin_loglevel" name="wilayout_admin_loglevel" value="{$loglevel_display}"/>
  <input type="hidden" id="wilayout_admin_housekeeping" name="wilayout_admin_housekeeping" value="{$housekeeping_display}"/>
</fieldset>

<TR VALIGN="TOP"><TD><BR/><B><FONT SIZE="+1">{ADMIN_TOOLS_HEADER}</FONT></B><BR/><BR/></TD></TR>
     <TR>
       <TD>
         <a href="/scripts/admin.pike">{ADMIN_SHOWCONFIG_BACK}</a>
       </TD>
     </TR>
</TABLE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER">
<TR CLASS="bgbrowser3" VALIGN="TOP">
<TD>
<!-- Loglevel -->
  <xsl:variable name="loglevel_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'loglevel']/value/string = 'none' and  $jump !='loglevel'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="loglevel_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'loglevel']/value/string = 'none' and  $jump !='loglevel'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="loglevel" />
<div id="loglevel_scale_link_hide" style="display:{$loglevel_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'loglevel_scale');" title="{HIDE}: {ADMIN_TOOLS_LOGLEVEL_HEADER}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_TOOLS_LOGLEVEL_HEADER}</a></h2></div>

<div id="loglevel_scale_link_show" style="display:{$loglevel_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'loglevel_scale');" title="{SHOW}: {ADMIN_TOOLS_LOGLEVEL_HEADER}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_TOOLS_LOGLEVEL_HEADER}</a></h2><br /></div>    
	  
<div id="loglevel_scale" style="display:{$loglevel_scale_display}">
  <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
     <TR>
       <TD>
       <p class="desc">{ADMIN_TOOLS_LOGLEVEL_DESCRIPTION}</p>
       </TD>
     </TR>
     <TR>
       <TD>
         <TABLE>
           <TR>
             <TD>
               HTTP:
             </TD>
             <TD>
               <select name="http">
                 <xsl:call-template name="show_logleveloptions"><xsl:with-param name="actlevel"><xsl:value-of select="/Object/loglevel_http"/></xsl:with-param></xsl:call-template>
               </select>
             </TD>
           </TR>
           <TR>
             <TD>
               SMTP:
             </TD>
             <TD>
               <select name="smtp">
                 <xsl:call-template name="show_logleveloptions"><xsl:with-param name="actlevel"><xsl:value-of select="/Object/loglevel_smtp"/></xsl:with-param></xsl:call-template>
               </select>
             </TD>
           </TR>
           <TR>
             <TD>
               Events:
             </TD>
             <TD>
               <select name="events">
                 <xsl:call-template name="show_logleveloptions"><xsl:with-param name="actlevel"><xsl:value-of select="/Object/loglevel_events"/></xsl:with-param></xsl:call-template>
               </select>
             </TD>
           </TR>       
           <TR>
             <TD>
               Security:
             </TD>
             <TD>
               <select name="security">
                 <xsl:call-template name="show_logleveloptions"><xsl:with-param name="actlevel"><xsl:value-of select="/Object/loglevel_security"/></xsl:with-param></xsl:call-template>
               </select>
             </TD>
           </TR>           
         </TABLE>
       </TD>
     </TR>
     <TR>
       <TD ALIGN="LEFT">
         <INPUT TYPE="SUBMIT" VALUE="{ADMIN_TOOLS_LOGLEVEL_SUBMIT}"/>
       </TD>
     </TR>
   </TABLE>
</div>
<xsl:if test="count(/Object/housekeepingmodule/object) > 0">
  <!-- Housekeeping -->
  <xsl:variable name="housekeeping_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'housekeeping']/value/string = 'none' and  $jump !='housekeeping'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="housekeeping_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'admin']/value/struct/member[key/string = 'housekeeping']/value/string = 'none' and  $jump !='housekeeping'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="housekeeping" />
  <div id="housekeeping_scale_link_hide" style="display:{$housekeeping_scale_display}"><h2><a href="javascript:hide_div_persistent('admin', 'housekeeping_scale');" title="{HIDE}: {ADMIN_TOOLS_LOGLEVEL_HEADER}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADMIN_TOOLS_HOUSEKEEPING_HEADER}</a></h2></div>
  
  <div id="housekeeping_scale_link_show" style="display:{$housekeeping_scale_display_alt}"><h2><a href="javascript:show_div_persistent('admin', 'housekeeping_scale');" title="{SHOW}: {ADMIN_TOOLS_LOGLEVEL_HEADER}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADMIN_TOOLS_HOUSEKEEPING_HEADER}</a></h2><br /></div>    
      
  <div id="housekeeping_scale" style="display:{$housekeeping_scale_display}">
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
       <TR>
         <TD>
           {ADMIN_HOUSEKEEPING_SECURITY_CACHE}
         </TD>
         <TD>
           <INPUT TYPE="BUTTON" value="{ADMIN_HOUSEKEEPING_SECURITY_CACHE_BUTTON}" onCLick="clear_security_cache(browser);"/>
         </TD>
       </TR>
       <TR>
         <TD>
           {ADMIN_HOUSEKEEPING_INTEGRITY}
         </TD>
         <TD id="replaceme">
           <INPUT TYPE="BUTTON" value="{ADMIN_HOUSEKEEPING_INTEGRITY_BUTTON}" onCLick="list_broken_users(browser);"/>
         </TD>
       </TR>
     </TABLE>
  </div>
  <div id="housekeeping_brokenusers_nobrokenusers" style="display:none">
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
       <TR>
         <TD>
         </TD>
         <TD>
           {ADMIN_HOUSEKEEPING_NOBROKENUSERS}
         </TD>
       </TR>
     </TABLE>
  </div>
  <div id="housekeeping_brokenusers" style="display:none">
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bgbrowser">
       <TR>
         <TD valign="top">
           {ADMIN_HOUSEKEEPING_BROKENUSERS}
         </TD>
         <TD id="broken_users">
         </TD>
       </TR>
       <TR>
         <TD>
           {ADMIN_HOUSEKEEPING_RECOVERUSERS}
         </TD>
         <TD>
           <INPUT TYPE="BUTTON" value="{ADMIN_HOUSEKEEPING_RECOVERUSERS_BUTTON}" onCLick="recover_users(browser);"/>
         </TD>
       </TR>
     </TABLE>
  </div>
</xsl:if>
 </TD>
</TR>
<TR CLASS="bgbrowser3"><TD COLSPAN="4" HEIGHT="20"></TD>
</TR>
</TABLE>
</FORM>
</div>
</div>
</div>
</body>
</xsl:template>

<xsl:template name="show_logleveloptions">
<xsl:param name="actlevel">0</xsl:param>
  <option>
    <xsl:attribute name="name">LOG_LEVEL_NONE</xsl:attribute>
    <xsl:attribute name="value">0</xsl:attribute>
    <xsl:if test="$actlevel = 0"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
     {ADMIN_TOOLS_LOGLEVEL_NONE} (LOG_LEVEL_NONE)
  </option>
  <option>
    <xsl:attribute name="name">LOG_LEVEL_ERROR</xsl:attribute>
    <xsl:attribute name="value">1</xsl:attribute>
    <xsl:if test="$actlevel = 1"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
    {ADMIN_TOOLS_LOGLEVEL_ERROR} (LOG_LEVEL_ERROR)
  </option>  
  <option>
    <xsl:attribute name="name">LOG_LEVEL_WARNING</xsl:attribute>
    <xsl:attribute name="value">2</xsl:attribute>
    <xsl:if test="$actlevel = 2"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
    {ADMIN_TOOLS_LOGLEVEL_WARNING} (LOG_LEVEL_WARNING)
  </option>  
  <option>
    <xsl:attribute name="name">LOG_LEVEL_INFO</xsl:attribute>
    <xsl:attribute name="value">3</xsl:attribute>
    <xsl:if test="$actlevel = 3"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
    {ADMIN_TOOLS_LOGLEVEL_INFO} (LOG_LEVEL_INFO)
  </option>
  <option>
    <xsl:attribute name="name">LOG_LEVEL_DEBUG</xsl:attribute>
    <xsl:attribute name="value">4</xsl:attribute>
    <xsl:if test="$actlevel = 4"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>
    {ADMIN_TOOLS_LOGLEVEL_DEBUG} (LOG_LEVEL_DEBUG)
  </option>
</xsl:template>


</xsl:stylesheet>
