<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="prev">undefined</xsl:param>
<xsl:param name="active"><xsl:value-of select="/Object/annotations/thread/id"/></xsl:param>
<xsl:param name="map">navigation</xsl:param>      <!-- legt fest, welche image map für die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">navigation</xsl:param>      <!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="bottomnavi">            <!-- legt fest, welche navigationsleist + image map in navigationsleiste2.xsl benutzt wird -->
  <xsl:if test="/Object/@type='Messageboard'">content</xsl:if>
  <xsl:if test="/Object/@type!='Messageboard'">annotations</xsl:if>
</xsl:param>
<xsl:param name="room"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="type">annotations</xsl:param>
<xsl:param name="msg"/>
<xsl:param name="nav">Annotations</xsl:param>
<xsl:param name="language"/>
<xsl:param name="script">/scripts/navigate.pike</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/annotated"/></xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/annotation.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<xsl:template name="show_pages_bynumber">
<xsl:param name="show_itemsperpage"/>
<xsl:param name="show_blockno" select="0"/>
<xsl:variable name="show_blockmod_from" select="($show_itemsperpage * $show_blockno) + 1"/>
<xsl:variable name="show_blockmod_to" select="$show_itemsperpage * ($show_blockno + 1)"/>

<xsl:if test="($show_blockno + 1) > 1"> | </xsl:if>

<xsl:choose>
  <xsl:when test="$show_blockmod_from = $from_obj">
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <xsl:value-of select="$show_blockmod_from"/>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemscount"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <a href="{$script}?object={$object}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type=annotations&amp;room={$room}"><xsl:value-of select="$show_blockmod_from"/></a>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <a href="{$script}?object={$object}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type=annotations&amp;room={$room}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemscount"/></a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{$script}?object={$object}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$show_blockmod_to}&amp;type=annotations&amp;room={$room}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/></a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:otherwise>
</xsl:choose>

<xsl:if test="$itemscount > $show_itemsperpage * ($show_blockno + 1)">
  <xsl:call-template name="show_pages_bynumber">
    <xsl:with-param name="show_itemsperpage" select="$show_itemsperpage"/>
    <xsl:with-param name="show_blockno" select="$show_blockno + 1"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script type="text/javascript" src="/gui_js/main.js" />
  <script type="text/javascript" src="/gui_js/annotations.js" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="expires" content="0" />
  <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{ANNOTATIONS_BROWSER_TITLE} {CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			{ANNOTATIONS_BROWSER_TITLE} <xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>
  </title>
  
  <link rel="alternate" type="application/rss+xml" title="{/Object/name}" href="/scripts/rss.pike?feed={$object}"/>
  <xsl:call-template name="browsercss"/>
</head>


<body id="annotations">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />

  <div id="content">

    <div id="position">
      <xsl:choose>
        <xsl:when test="name=''"><h1>*No Description*</h1></xsl:when>
      </xsl:choose>
      <xsl:call-template name="show_trail"/>
    </div>

    <xsl:call-template name="nav2"/>

    <div id="maincontent">
      <h2>
        <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>
        <xsl:value-of select="$itemscount"/>&#160;
        <xsl:choose>
          <xsl:when test="$itemscount=1">
            <xsl:if test="/Object/@type='Messageboard'">{ANNOTATIONS_ENTRIES_SINGLE_MESSAGEBOARD}</xsl:if>
            <xsl:if test="/Object/@type!='Messageboard'">{ANNOTATIONS_ENTRIES_SINGLE_OTHER}</xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <xsl:if test="/Object/@type='Messageboard'">{ANNOTATIONS_ENTRIES_MESSAGEBOARD}</xsl:if>
            <xsl:if test="/Object/@type!='Messageboard'">{ANNOTATIONS_ENTRIES_OTHER}</xsl:if>
          </xsl:otherwise>
        </xsl:choose>
        in '
			<xsl:choose>
				<xsl:when test="@type='Trashbin'">
					{CONTENT_TRASHBIN_DESCRIPTION}
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="name"/>
				</xsl:otherwise>
			</xsl:choose>
		'
      </h2>

      <form name="browser" action="browser.pike" enctype="multipart/form-data" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{$object}" />
          <input type="hidden" name="active" value="{$active}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="_action" value="annotation" />
          <input type="hidden" name="treenodes" value="" />
          <input type="hidden" name="type" value="annotations" />
          <input type="hidden" name="todelete" value="" />
        </fieldset>

        <xsl:apply-templates select="annotations">
          <xsl:with-param name="script"><xsl:value-of select="$script"/></xsl:with-param>
        </xsl:apply-templates>

        <xsl:if test="$itemscount > $itemsperpage">
          <p><xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/><xsl:with-param name="type" select="mailbox"/></xsl:call-template></p>
        </xsl:if>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template name="show_image">
  <xsl:param name="id"/>
  <xsl:text></xsl:text>
  <a href="navimage.pike?object={id}&amp;type=image"><img src="/scripts/get.pike?object={id}&amp;xsize=80&amp;ysize=80" alt="{name}" align="left" hspace="8"/></a>
</xsl:template>

</xsl:stylesheet>