<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="utf-8" indent="no"
	doctype-public="-//W3C//Dtd XHTML 1.0 Strict//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/Dtd/xhtml1-strict.dtd"  />

<!-- type of calendar view -->
<xsl:variable name="cal_view">test</xsl:variable>


<xsl:param name="prev">undefined</xsl:param>
<xsl:param name="map">calendar</xsl:param>      <!-- legt fest, welche image map für die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">calendar</xsl:param>      <!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="bottomnavi">content</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="type">calendar</xsl:param>
<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="topnavi">{NAV1}</xsl:param>
<xsl:param name="bottomnavi">content</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:choose><xsl:when test="starts-with(/Object/path/path,'/void')">/home/<xsl:value-of select="/Object/user/username"/> </xsl:when><xsl:otherwise><xsl:value-of select="/Object/path/path"/></xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="editgates">no</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="language"/>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="msg"/>
<xsl:param name="nav">calendar</xsl:param>
<xsl:param name="language"/>
<xsl:param name="script">/scripts/navigate.pike</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
	<!-- für die Tooltips -->
	<script language="JavaScript" type="text/javascript" src="/packages/calendar/gui_js/wz_tooltip.js"></script>
	<script language="JavaScript" type="text/javascript" src="/packages/calendar/gui_js/calendar.js"></script>
  <script type="text/javascript" src="/gui_js/main.js" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="expires" content="0" />
  <title>sTeam: <xsl:value-of select="name"/></title>
  <link rel="alternate" type="application/rss+xml" title="{/Object/name}" href="/scripts/rss.pike?feed={$object}"/>
  <xsl:call-template name="browsercss"/>
</head>

<body id="annotations">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />

  <div id="content">

    <div id="position">
      <xsl:choose>
        <xsl:when test="name=''"><h1>*No Description*</h1></xsl:when>
      </xsl:choose>
      <xsl:call-template name="show_trail"/>
    </div>
    
    <div id="maincontent">
      <h2>
        <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>
        Kalender
      </h2>

      <form name="browser" action="browser.pike" enctype="multipart/form-data" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{$object}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="_action" value="not-defined" />
          <input type="hidden" name="type" value="$type" />
        </fieldset>

        <xsl:call-template name="show_calendar_content"/>

      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template name="show_calendar_content">
<!-- this is a calendar! -->


	<!-- diese tabelle hat zwei spalten: eine für week/dayview und eine für die month-box -->
	<TABLE border="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="CENTER" CLASS="bgbrowser2">
<!--
		<TR CLASS="bgbrowser3">
			<td ALIGN="left" COLSPAN="2"><xsl:call-template name="nav2"/></td>
		</TR>
-->
		<TR VALIGN="TOP">
			<td CLASS="bgbrowser3">

				<xsl:choose>


					<xsl:when test="$browse='icons'">
					</xsl:when>

					<!--inventory headerzeile-->
					<xsl:otherwise>

					<!-- diese table beinhaltet direkt die week- und day-view -->
						<TABLE border="0" CELLPADDING="0" CELLSPACING="0" WIDTH="650" CLASS="bgbrowser3">


							<xsl:if test="$itemscount > 0">

								<TR>
									<td align="center">
									
										<!-- Content-Spalte -->
										<xsl:call-template name="week_view"/>
										<br/><br/><br/>
										<xsl:call-template name="day_view"/>

									</td>
								</TR>
							</xsl:if>
						</TABLE>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td class="bgbrowser3">
				<!-- rechte Spalte -->
				<xsl:call-template name="month_box"/>

				<br/>

				<!-- Config_Button -->
				<div align="center">
					<form>
						<input name="button" type="button" onClick="MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=config&amp;popup=yes&amp;object={$object}','','width=420,height=200,resizable=yes')" value="Einstellungen"/>
					</form>
				</div>
				<br/>
				<!-- goto bereich -->
				<TABLE width="157" border="0" cellPadding="1" cellSpacing="1" bgcolor="#CCCCCC">

                      <TR class="tabhead" vAlign="bottom">
                        <td colspan="8" class="header"><div align="center">Gehe zu: </div></td>
                      </TR>

                      <TR>
                        <td align="center" valign="middle" id="cellPrivate" bgcolor="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;"><a href="?object={/Object/id}&amp;type=calendar" class="view" style="color:#CC0000;"><b>Heute</b></a></td>
                      </TR>

						<xsl:for-each select="/Object/entries/year/month/week/day[@isCurrentDay=1]">
							<xsl:variable name="prev_day_ts" select="@timestamp - 86400"/> <!-- calculates ts previous day (86400s = 1 day) -->
							<xsl:variable name="next_day_ts" select="@timestamp + 86400"/> <!-- calculates ts of next day (86400s = 1 day) -->
			
								  <TR>
									<td align="center" valign="middle" id="cellPrivate" bgcolor="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;"><a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_day_ts}" class="view">Morgen</a></td>
								  </TR>
								  <TR>
									<td align="center" valign="middle" id="cellPrivate" bgcolor="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;"><a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_day_ts}" class="view">Gestern</a></td>
								  </TR>
								  
						</xsl:for-each>

						<xsl:for-each select="/Object/entries/year/month/week[@isCurrentWeek=1]">
							<xsl:variable name="prev_week_ts" select="@start - 604800"/> <!-- calculates ts of previous week (604800s = 1 week) -->
							<xsl:variable name="next_week_ts" select="@start + 604800"/> <!-- calculates ts of next week (604800s = 1 week) -->

							  <TR>
								<td align="center" valign="middle" id="cellPrivate" bgcolor="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;"><a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_week_ts}" class="view">Nächste Woche</a></td>
							  </TR>
							  <TR>
								<td align="center" valign="middle" id="cellPrivate" bgcolor="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;"><a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_week_ts}" class="view">Vorige Woche</a></td>
							  </TR>

						</xsl:for-each>

                  </TABLE>

				  <!-- End of goto-bereich -->

				<br/>
				
				<!-- Groups box -->
				<TABLE width="157" border="0" cellPadding="1" cellSpacing="1" bgcolor="#CCCCCC">

                    <TR class="tabhead" vAlign="bottom">
						<td class="header">
                        	<DIV align="center">Groups:</DIV>
						</td>
					</TR>

					<xsl:variable name="private_id" select="/Object/user/id"/>
					


                    <TR>
						<td style="BACKGROUND-COLOR: #ffffff" vAlign="middle" align="left">
							<div style="border-style:solid; margin-top:2px; border-width:1px; margin:4px; border-color:#000000; background-color:#862D2D; display:inline"><img src="/packages/calendar/images/leer.gif" width="12" height="12" /></div>
							<input type="checkbox" checked="checked" onClick="show_hide('group_{$private_id}')"/>&nbsp;Meine Termine
						</td>
                    </TR>


				<xsl:for-each select="/Object/groups/array/object">
					<xsl:variable name="group_id" select="id"/>
					
					<!-- Zuordnung der Farben zu den Gruppen -->
					<xsl:variable name="group_color">
						<xsl:choose>
							<xsl:when test="$group_id = 'a67'"><xsl:value-of select="'#862D2D'"/></xsl:when>
							<xsl:when test="$group_id = 'a55'"><xsl:value-of select="'#86862D'"/></xsl:when>
							<xsl:when test="$group_id = 'a98'"><xsl:value-of select="'#2D5986'"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="'#555555'"/></xsl:otherwise>
						</xsl:choose>
					</xsl:variable>		
					
                    <TR>
						<td style="BACKGROUND-COLOR: #ffffff" vAlign="middle" align="left">
							<div style="border-style:solid; margin-top:2px; border-width:1px; margin:4px; border-color:#000000; background-color:{$group_color}; display:inline"><img src="/packages/calendar/images/leer.gif" width="12" height="12" /></div>
							<input type="checkbox" checked="checked" onClick="show_hide('group_{$group_id}')"/>&nbsp;<xsl:value-of select="name/text()"/>
						</td>
                    </TR>
				</xsl:for-each>
<!--
                    <TR>
						<td style="BACKGROUND-COLOR: #ffffff" vAlign="middle" align="left">
							<div style="border-style:solid; margin-top:2px; border-width:1px; margin:4px; border-color:#000000; background-color:#5A7DE7; display:inline"><img src="/images/leer.gif" width="12" height="12" /></div>
							<input type="checkbox" checked="checked" onClick="show_hide('group_10')"/>&nbsp;debug! [hardcoded group_id=10]
						</td>
                    </TR>
-->
				</TABLE>
				<!-- End of Groups box -->


			</td>
		</TR>
	</TABLE>
</xsl:template>




<!-- ab hier die CALENDAR templates -->




<!-- week_view -->
<xsl:template name="week_view">
										
<TABLE cellSpacing="1" cellPadding="1" width="640" bgColor="#cccccc" border="0">
		<TR class="tabhead" vAlign="bottom">
		  <td class="header" colSpan="8"><DIV align="center">
		  		<xsl:for-each select="/Object/entries/year/month/week[@isCurrentWeek=1]">
					<xsl:variable name="prev_week_ts" select="@start - 604800"/> <!-- calculates ts of previous week (604800s = 1 week) -->
					<xsl:variable name="next_week_ts" select="@start + 604800"/> <!-- calculates ts of next week (604800s = 1 week) -->
					<a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_week_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_leftarrow.gif"/></a>				
					
					<!-- hier werden die richtigen Monate für eine Woche gesetzt -->
					<xsl:variable name="start_month">
					<xsl:choose>
						<xsl:when test="(day[1]/@isInMonth = '0')"><xsl:value-of select="/Object/entries/year/month/@no - '1'"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="/Object/entries/year/month/@no"/></xsl:otherwise>
					</xsl:choose>
					</xsl:variable>					
					
					<xsl:variable name="end_month">
					<xsl:choose>
						<xsl:when test="(day[7]/@isInMonth = '0')"><xsl:value-of select="/Object/entries/year/month/@no + '1'"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="/Object/entries/year/month/@no"/></xsl:otherwise>
					</xsl:choose>
					</xsl:variable>					


					Woche von  <xsl:value-of select="day[1]/@dayInMonth"/>.<xsl:value-of select="$start_month"/> bis
					<xsl:value-of select="day[7]/@dayInMonth"/>.<xsl:value-of select="$end_month"/><!-- .<xsl:value-of select="/Object/entries/year/@no"/> -->
					(KW <xsl:value-of select="@no"/>)
					<a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_week_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_rightarrow.gif"/></a>
					

				</xsl:for-each>
			</DIV></td>
		</TR>
		<TR bgColor="#cccccc">
		  <td width="9%">&nbsp;</td><!-- die kleine Zelle links oben -->

			<xsl:for-each select="/Object/entries/year/month/week[@isCurrentWeek=1]/day">
				  <td width="13%" align="center"><DIV>
					<A href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
						<xsl:choose>
							<xsl:when test="@dayInWeek=1 and @isCurrentDay=1"><b>Montag</b></xsl:when>
							<xsl:when test="@dayInWeek=1 and @isCurrentDay=0">Montag</xsl:when>
							<xsl:when test="@dayInWeek=2 and @isCurrentDay=1"><b>Dienstag</b></xsl:when>
							<xsl:when test="@dayInWeek=2 and @isCurrentDay=0">Dienstag</xsl:when>
							<xsl:when test="@dayInWeek=3 and @isCurrentDay=1"><b>Mittwoch</b></xsl:when>
							<xsl:when test="@dayInWeek=3 and @isCurrentDay=0">Mittwoch</xsl:when>
							<xsl:when test="@dayInWeek=4 and @isCurrentDay=1"><b>Donnerstag</b></xsl:when>
							<xsl:when test="@dayInWeek=4 and @isCurrentDay=0">Donnerstag</xsl:when>
							<xsl:when test="@dayInWeek=5 and @isCurrentDay=1"><b>Freitag</b></xsl:when>
							<xsl:when test="@dayInWeek=5 and @isCurrentDay=0">Freitag</xsl:when>
							<xsl:when test="@dayInWeek=6 and @isCurrentDay=1"><b>Samstag</b></xsl:when>
							<xsl:when test="@dayInWeek=6 and @isCurrentDay=0">Samstag</xsl:when>
							<xsl:when test="@dayInWeek=7 and @isCurrentDay=1"><b>Sonntag</b></xsl:when>
							<xsl:when test="@dayInWeek=7 and @isCurrentDay=0">Sonntag</xsl:when>
						</xsl:choose>
						</A>
						
						<!-- hier wird der monat gefixt -->
						<xsl:variable name="fixed_month">
						<xsl:choose>
							<xsl:when test="(@dayInMonth &lt; '8') and (@isInMonth = '0')"><xsl:value-of select="/Object/entries/year/month/@no + '1'"/></xsl:when>
							<xsl:when test="(@dayInMonth &gt; '22') and (@isInMonth = '0')"><xsl:value-of select="/Object/entries/year/month/@no - '1'"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="/Object/entries/year/month/@no"/></xsl:otherwise>
						</xsl:choose>
						</xsl:variable>
						
					<BR/>
						<A href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
							<xsl:choose>
								<xsl:when test="@isCurrentDay=1"><b><xsl:value-of select="@dayInMonth"/>.<xsl:value-of select="$fixed_month"/></b></xsl:when>
								<xsl:otherwise><xsl:value-of select="@dayInMonth"/>.<xsl:value-of select="$fixed_month"/></xsl:otherwise>
							</xsl:choose>
						</A>
					</DIV>
				</td>
			</xsl:for-each>

		</TR>

	</TABLE>

	<TABLE cellSpacing="1" cellPadding="1" width="640" bgColor="#cccccc" border="0">

			<xsl:for-each select="/Object/entries/year/month/week[@isCurrentWeek=1]">

			<!-- hier wird geprüft, ob in der aktuellen Woche Tagestermine sind und baut für den Fall eine neue Zeile auf -->
				<xsl:if test="count(/Object/entries/year/month/week[@isCurrentWeek=1]/day/DATE[DATE_TYPE='diurnal']) &gt; 0"> <!-- mehr als 0 Tagestermine? -->
	
					<TR>
						<td width="9%" align="center" valign="middle" bgColor="#ffffff"><img src="/packages/calendar/images/diamond.gif"/></td>
						<xsl:for-each select="day">	
							<td width="13%" bgColor="#ffffff" valign="top">
								<xsl:for-each select="DATE">
									<xsl:choose>
										<xsl:when test="DATE_TYPE='diurnal'">

											<!-- hier werden Tagestermine dargestellt -->

											<xsl:variable name="title" select="DATE_TITLE/text()"/>
											<xsl:variable name="description" select="DATE_DESCRIPTION/text()"/>
											<xsl:variable name="date_id" select="ID"/>
											<xsl:variable name="group_id" select="DATE_CALENDAR/ID"/>
											
											<!-- Zuordnung der Farben zu den Gruppen -->
											<xsl:variable name="group_color">
												<xsl:choose>
													<xsl:when test="$group_id = 'a67'"><xsl:value-of select="'#862D2D'"/></xsl:when>
													<xsl:when test="$group_id = 'a55'"><xsl:value-of select="'#86862D'"/></xsl:when>
													<xsl:when test="$group_id = 'a98'"><xsl:value-of select="'#2D5986'"/></xsl:when>
													<xsl:otherwise><xsl:value-of select="'#555555'"/></xsl:otherwise>
												</xsl:choose>
											</xsl:variable>													
											
											<div id="group_{$group_id}" width="100%" onmouseover="this.T_WIDTH=200; this.T_TITLE='{$title}'; this.style.cursor='hand'; return escape('&lt;B&gt;Beschreibung:&lt;/B&gt; {$description}')" style="display:block; z-index:1; border-style:dashed; padding-left:5px; padding-right:5px; margin-top:2px; border-width:1px; border-color:#000066; background-color:{$group_color}; color:#FFFFFF; cursor:pointer">
												<a href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=delete_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=420,height=150',resizable=yes)"><img style="position:relative; top:0px; right:0px" align="right" hspace="0" vspace="0" src="/packages/calendar/images/date_trash.gif" border="0"/></a>
												<a class="date" href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=edit_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=480,height=420,resizable=yes')"><xsl:call-template name="DisplayShortName"><xsl:with-param name="Name" select="DATE_TITLE/text()"/><xsl:with-param name="MaxLength">3</xsl:with-param></xsl:call-template><!-- (<xsl:value-of select="DATE_START_TIME"/>-<xsl:value-of select="DATE_END_TIME"/>) --></a>
											</div>

										</xsl:when>
										<xsl:otherwise><!-- kein Tagestermin --> </xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</td>
						</xsl:for-each>
					</TR>
	
				</xsl:if>

				<!-- schaltet die Morgenzeiten ein/aus -->
				
				<xsl:if test="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START != 0">
				<TR>
					<td width="9%" bgColor="#eeeeee" align="center"><A href="javascript:blocking('week_morning');">...</A></td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
					<td width="13%" bgColor="#eeeeee">&nbsp;</td>
				</TR>
				</xsl:if>
				
			</xsl:for-each>

	</TABLE>



			<xsl:for-each select="/Object/entries/year/month/week[@isCurrentWeek=1]">
				<!-- ab hier die Aufrufe der week_loop -->
					
				<!-- Morgenzeit -->
				<div id="week_morning" style="display:none">
					<TABLE cellSpacing="1" cellPadding="1" width="640" bgColor="#cccccc" border="0">
						<xsl:call-template name="week_loop">
							<xsl:with-param name="bgcolor" select="'#eeeeee'"/>
							<xsl:with-param name="repeat" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
							<xsl:with-param name="current_time" select="'0'"/>
							<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
						</xsl:call-template>
					</TABLE>	
				</div>
				<!-- Kernzeit -->
					<TABLE cellSpacing="1" cellPadding="1" width="640" bgColor="#cccccc" border="0">
						<xsl:call-template name="week_loop">
							<xsl:with-param name="bgcolor" select="'#ffffff'"/>
							<xsl:with-param name="repeat" select="(/Object/entries/calendarSettings/CALENDAR_TIMETABLE_END - /Object/entries/calendarSettings/CALENDAR_TIMETABLE_START) div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
							<xsl:with-param name="current_time" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START"/>
							<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
						</xsl:call-template>

						<!-- schaltet die Abendzeiten ein/aus -->
						<xsl:if test="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_END != 1440">
						<TR>
							<td width="9%" bgColor="#eeeeee" align="center"><A href="javascript:blocking('week_evening');">...</A></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
							<td width="13%" bgColor="#eeeeee"></td>
						</TR>
						</xsl:if>
						
				</TABLE>
				<!-- Abendzeit -->
				<div id="week_evening" style="display:none">
					<TABLE cellSpacing="1" cellPadding="1" width="640" bgColor="#cccccc" border="0">
						<xsl:call-template name="week_loop">
							<xsl:with-param name="bgcolor" select="'#eeeeee'"/>
							<xsl:with-param name="repeat" select="(1440 - /Object/entries/calendarSettings/CALENDAR_TIMETABLE_END) div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
							<xsl:with-param name="current_time" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_END"/>
							<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
						</xsl:call-template>
					</TABLE>
				</div>
				<!-- Ende Aufrufe der week_loop -->
			</xsl:for-each>







<!-- <xsl:value-of select="$cal_view"/> -->
</xsl:template>
<!-- End of week_view -->



<!-- week_loop -->
<xsl:template name="week_loop">
		<xsl:param name="bgcolor"/>
		<xsl:if test="number($repeat) &gt;= 1">
		

	<TR>
			<td align="center" valign="top" width="9%" bgColor="{$bgcolor}"><xsl:value-of select="floor($current_time div 60)"/>.<xsl:value-of select='format-number($current_time mod 60, "#00")'/> <!--(<xsl:value-of select="$current_time"/>)--></td>
			<xsl:for-each select="day">	
			

				<xsl:variable name="year" select="/Object/entries/year/@no"/>
				<xsl:variable name="month" select='format-number(/Object/entries/year/month/@no, "#00")'/>
				<xsl:variable name="day" select='format-number(@dayInMonth, "#00")'/>
				<xsl:variable name="hh" select="floor($current_time div 60)"/>
				<xsl:variable name="mm" select='format-number($current_time mod 60, "#00")'/>
				<xsl:variable name="end_hh" select="$hh + 1"/> <!-- defaultdauer eines termins: 1h -->
				
				

			<!-- Hier wird geprüft, ob in der aktuellen Zelle Date-Elemente drin sind.
				 Falls ja, wird ein alternatives <td> aufgebaut, ohne onClick Event,
				 um nicht mit dem Date-Popup zu kollidieren	-->

				<xsl:variable name="rotation" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
				<xsl:variable name="negative_rotation" select="'-1' * /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
        
        
				<xsl:variable name="popup_block">
				<xsl:choose>
					<xsl:when test="(($current_time + $rotation) &gt;= DATE/DATE_START_TIME) and ((($current_time - DATE/DATE_START_TIME) &gt; $negative_rotation) and ($current_time - DATE/DATE_START_TIME) &lt;= '0')">1</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
				</xsl:variable>
				
					<!-- hier wird der monat gefixt -->
					<xsl:variable name="fixed_month">
					<xsl:choose>
						<xsl:when test="(@dayInMonth &lt; '8') and (@isInMonth = '0')"><xsl:value-of select='format-number(/Object/entries/year/month/@no + "1","#00")'/></xsl:when>
						<xsl:when test="(@dayInMonth &gt; '22') and (@isInMonth = '0')"><xsl:value-of select='format-number(/Object/entries/year/month/@no - "1","#00")'/></xsl:when>
						<xsl:otherwise><xsl:value-of select='format-number(/Object/entries/year/month/@no,"#00")'/></xsl:otherwise>
					</xsl:choose>
					</xsl:variable>
					
				<td width="13%" bgColor="{$bgcolor}" valign="top" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='{$bgcolor}';return true;" onclick="MM_openBrWindow('{$popup_block}','/packages/calendar/scripts/calendar.pike?object={$object}&amp;mode=new_date&amp;name_default=&amp;description_default=&amp;popup=yes&amp;startdate_default={$day}.{$fixed_month}.{$year}&amp;enddate_default={$day}.{$fixed_month}.{$year}&amp;starttime_hour_default={$hh}&amp;starttime_minute_default={$mm}&amp;endtime_hour_default={$end_hh}&amp;endtime_minute_default={$mm}','','width=480,height=420,resizable=yes');">
				<!-- <xsl:value-of select="$popup_block"/> -->
				

					<!-- hier werden die einzelnen dates aufgelistet -->
					<xsl:for-each select="DATE[DATE_TYPE != 'diurnal']"> <!-- Alle Termine, die keine Tagestermine sind -->
						
						<xsl:if test="(($current_time + $rotation) &gt;= DATE_START_TIME) and ((($current_time - DATE_START_TIME) &gt; $negative_rotation) and ($current_time - DATE_START_TIME) &lt;= '0')">
							<!-- variablen für das JS Tooltip -->
							<xsl:variable name="title" select="DATE_TITLE/text()"/>
							<xsl:variable name="description" select="DATE_DESCRIPTION/text()"/>
							<xsl:variable name="date_start_hh" select="floor(DATE_START_TIME div 60)"/>
							<xsl:variable name="date_id" select="ID"/>
							<xsl:variable name="group_id" select="DATE_CALENDAR/ID"/>
							<xsl:variable name="date_start_mm" select='format-number((DATE_START_TIME mod 60), "#00")'/>
							<xsl:variable name="date_end_hh" select="floor(DATE_END_TIME div 60)"/>
							<xsl:variable name="date_end_mm" select='format-number((DATE_END_TIME mod 60), "#00")'/>
							<xsl:variable name="date_duration" select='format-number(((DATE_END_TIME - DATE_START_TIME) div 60), "##.#")'/>							
							<!-- <xsl:variable name="date_duration" select="(DATE_END_TIME - DATE_START_TIME) div 60"/> -->	

							<!-- Zuordnung der Farben zu den Gruppen -->
							<xsl:variable name="group_color">
								<xsl:choose>
									<xsl:when test="$group_id = 'a67'"><xsl:value-of select="'#862D2D'"/></xsl:when>
									<xsl:when test="$group_id = 'a55'"><xsl:value-of select="'#86862D'"/></xsl:when>
									<xsl:when test="$group_id = 'a98'"><xsl:value-of select="'#2D5986'"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="'#555555'"/></xsl:otherwise>
								</xsl:choose>
							</xsl:variable>		


							<!-- Datum-Eintrag -->
							<div id="group_{$group_id}" onmouseover="this.T_WIDTH=200; this.T_TITLE='{$title}'; return escape('&lt;B&gt;Beginn:&lt;/B&gt; {$date_start_hh}.{$date_start_mm} Uhr&lt;BR/&gt;&lt;B&gt;Ende:&lt;/B&gt; {$date_end_hh}.{$date_end_mm} Uhr&lt;br/&gt;&lt;B&gt;Dauer:&lt;/B&gt; {$date_duration}h&lt;br/&gt;&lt;B&gt;Beschreibung:&lt;/B&gt; {$description}')" style="display:block; z-index:1; border-style:solid; padding-left:5px; padding-right:5px; margin-top:2px; border-width:1px; border-color:#000066; background-color:{$group_color}; color:#FFFFFF; cursor:pointer">
								<!--(<xsl:value-of select="DATE_START_TIME"/>-<xsl:value-of select="DATE_END_TIME"/>)-->
								<a href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=delete_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=420,height=150,resizable=yes')"><img style="position:relative; top:0px; right:0px" align="right" hspace="0" vspace="0" src="/packages/calendar/images/date_trash.gif" border="0"/></a>
								<a class="date" href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=edit_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=480,height=420,resizable=yes')"><xsl:call-template name="DisplayShortName"><xsl:with-param name="Name" select="DATE_TITLE/text()"/><xsl:with-param name="MaxLength">5</xsl:with-param></xsl:call-template></a>
							</div>


								<!--
								<xsl:value-of select="DATE_END_TIME div 60"/>.<xsl:value-of select='format-number((DATE_END_TIME mod 60), "#00")'/>
								-->

								<!-- debugging -->
								<!--
								current: <xsl:value-of select="$current_time"/>,
								start: <xsl:value-of select="DATE_START_TIME"/>,
								end: <xsl:value-of select="DATE_END_TIME"/>,
								title: <xsl:value-of select="DATE_TITLE/text()"/>
								-->


						</xsl:if>
					</xsl:for-each>
				</td>
			</xsl:for-each>
	</TR>

			<xsl:call-template name="week_loop"> <!-- hier wird die Schleife rekursiv aufgerufen -->
				<xsl:with-param name="bgcolor" select="$bgcolor"/>
				<xsl:with-param name="current_time" select="$current_time + $timetable_interval"/> <!-- diese Parameter werden immer mitgegeben -->
				<xsl:with-param name="timetable_interval" select="$timetable_interval"/>
				<xsl:with-param name="repeat" select="$repeat - 1"/>
			</xsl:call-template>

		</xsl:if>
</xsl:template>
<!-- end of week_loop -->




<!-- day_view (head & template call) -->
<xsl:template name="day_view">

  <TABLE cellSpacing="1" cellPadding="1" width="644" bgColor="#cccccc" border="0">
	<TR class="tabhead" vAlign="bottom">
	  <td class="header" colSpan="2"><DIV align="center">

		<xsl:for-each select="/Object/entries/year/month/week/day[@isCurrentDay=1]">

			<xsl:variable name="prev_day_ts" select="@timestamp - 86400"/> <!-- calculates ts previous day (86400s = 1 day) -->
			<xsl:variable name="next_day_ts" select="@timestamp + 86400"/> <!-- calculates ts of next day (86400s = 1 day) -->

			<a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_day_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_leftarrow.gif"/></a>
			<xsl:choose>
				<xsl:when test="@dayInWeek=1">Montag, </xsl:when>
				<xsl:when test="@dayInWeek=2">Dienstag, </xsl:when>
				<xsl:when test="@dayInWeek=3">Mittwoch, </xsl:when>
				<xsl:when test="@dayInWeek=4">Donnerstag, </xsl:when>
				<xsl:when test="@dayInWeek=5">Freitag, </xsl:when>
				<xsl:when test="@dayInWeek=6">Samstag, </xsl:when>
				<xsl:when test="@dayInWeek=7">Sonntag, </xsl:when>
			</xsl:choose>
			
			<xsl:value-of select="@dayInMonth"/>.<xsl:value-of select="/Object/entries/year/month/@no"/>.<xsl:value-of select="/Object/entries/year/@no"/>
			<a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_day_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_rightarrow.gif"/></a>
	  </xsl:for-each>

	  </DIV></td>
	</TR>

		<!-- Tagestermin -->
		<xsl:for-each select="/Object/entries/year/month/week/day[@isCurrentDay=1]/DATE[DATE_TYPE='diurnal']">
		<TR>
			<td width="7%" bgColor="#ffffff" align="center"><img src="/packages/calendar/images/diamond.gif"/></td>
			<td width="93%" bgColor="#ffffff">
			
				<!-- hier werden Tagestermine dargestellt -->

				<xsl:variable name="title" select="DATE_TITLE/text()"/>
				<xsl:variable name="description" select="DATE_DESCRIPTION/text()"/>
				<xsl:variable name="date_id" select="ID"/>
				<xsl:variable name="group_id" select="DATE_CALENDAR/ID"/>

				<!-- Zuordnung der Farben zu den Gruppen -->
				<xsl:variable name="group_color">
					<xsl:choose>
						<xsl:when test="$group_id = 'a67'"><xsl:value-of select="'#862D2D'"/></xsl:when>
						<xsl:when test="$group_id = 'a55'"><xsl:value-of select="'#86862D'"/></xsl:when>
						<xsl:when test="$group_id = 'a98'"><xsl:value-of select="'#2D5986'"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="'#555555'"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>		

									
				<div id="group_{$group_id}" width="100%" onmouseover="this.T_WIDTH=200; this.T_TITLE='{$title}'; return escape('&lt;B&gt;Beschreibung:&lt;/B&gt; {$description}')" style="display:block; z-index:1; border-style:dashed; padding-left:5px; padding-right:5px; margin-top:2px; border-width:1px; border-color:#000066; background-color:{$group_color}; color:#FFFFFF; cursor:pointer">
					<a href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=delete_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=420,height=150,resizable=yes')"><img style="position:relative; top:0px; right:0px" align="right" hspace="0" vspace="0" src="/packages/calendar/images/date_trash.gif" border="0"/></a>
					<a class="date" href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=edit_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=480,height=420,resizable=yes')"><xsl:call-template name="DisplayShortName"><xsl:with-param name="Name" select="DATE_TITLE/text()"/><xsl:with-param name="MaxLength">40</xsl:with-param></xsl:call-template><!-- (<xsl:value-of select="DATE_START_TIME"/>-<xsl:value-of select="DATE_END_TIME"/>) --></a>
				</div>
			
			</td>
		</TR>
		</xsl:for-each>

		<!-- schaltet die Morgenzeiten ein/aus -->
		<xsl:if test="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START != 0">
		<TR>
			<td width="7%" bgColor="#eeeeee" align="center"><A href="javascript:blocking('day_morning');">...</A></td>
			<td width="93%" bgColor="#eeeeee"></td>
		</TR>
		</xsl:if>

	</TABLE>

	<xsl:for-each select="/Object/entries/year/month/week/day[@isCurrentDay=1]">

		<!-- Zeit zwischen 0 Minuten und CALENDAR_TIMETABLE_START -->
			<div id="day_morning" style="display:none">
				<TABLE cellSpacing="1" cellPadding="1" width="644" bgColor="#cccccc" border="0">
					<xsl:call-template name="day_loop">
						<xsl:with-param name="bgcolor" select="'#eeeeee'"/>
						<xsl:with-param name="repeat" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
						<xsl:with-param name="current_time" select="'0'"/>
						<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
					</xsl:call-template>
				</TABLE>
			</div>
	
	 <TABLE cellSpacing="1" cellPadding="1" width="644" bgColor="#cccccc" border="0">
		<!-- KERNZEIT (zwischen CALENDAR_TIMETABLE_START und CALENDAR_TIMETABLE END) -->
		<xsl:call-template name="day_loop">
			<xsl:with-param name="bgcolor" select="'#ffffff'"/>
			<xsl:with-param name="repeat" select="(/Object/entries/calendarSettings/CALENDAR_TIMETABLE_END - /Object/entries/calendarSettings/CALENDAR_TIMETABLE_START) div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
			<xsl:with-param name="current_time" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_START"/>
			<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
		</xsl:call-template>

		<!-- schaltet die Abendzeiten ein/aus -->
		<TR>
			<td width="7%" bgColor="#eeeeee" align="center"><A href="javascript:blocking('day_evening');">...</A></td>
			<td width="93%" bgColor="#eeeeee"></td>
		</TR>

	</TABLE>		
		
	<div id="day_evening" style="display:none">
		 <TABLE cellSpacing="1" cellPadding="1" width="644" bgColor="#cccccc" border="0">
			<!-- Zeit zwischen CALENDAR_TIMETABLE_END und 1440 Minuten -->
			<xsl:call-template name="day_loop">
				<xsl:with-param name="bgcolor" select="'#eeeeee'"/>
				<xsl:with-param name="repeat" select="(1440 - /Object/entries/calendarSettings/CALENDAR_TIMETABLE_END) div /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
				<xsl:with-param name="current_time" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_END"/>
				<xsl:with-param name="timetable_interval" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
			</xsl:call-template>
		</TABLE>		
	</div>

	</xsl:for-each>
	
</xsl:template>
<!-- end of day_view template -->


<!-- day_loop -->
<xsl:template name="day_loop">
	<xsl:param name="bgcolor"/>
	<!--<xsl:param name="repeat">0</xsl:param>-->
	<xsl:if test="number($repeat) &gt;= 1"> <!-- Schleife wird 1 bis $repeat wiederholt -->

		<xsl:variable name="year" select="/Object/entries/year/@no"/>
		<xsl:variable name="month" select='format-number(/Object/entries/year/month/@no, "#00")'/>
		<xsl:variable name="day" select='format-number(@dayInMonth, "#00")'/>

		<xsl:variable name="hh" select="floor($current_time div 60)"/>

		<xsl:variable name="mm" select='format-number($current_time mod 60, "#00")'/>
		<xsl:variable name="end_hh" select="$hh + 1"/> <!-- defaultdauer eines termins: 1h -->
		
		<TR>
		  <td width="7%" bgColor="{$bgcolor}" valign="top"><a href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?object={$object}&amp;mode=new_date&amp;name_default=&amp;description_default=&amp;popup=yes&amp;startdate_default={$day}.{$month}.{$year}&amp;enddate_default={$day}.{$month}.{$year}&amp;starttime_hour_default={$hh}&amp;starttime_minute_default={$mm}&amp;endtime_hour_default={$end_hh}&amp;endtime_minute_default={$mm}','','width=480,height=420,resizable=yes');"><xsl:value-of select="$hh"/>.<xsl:value-of select='format-number($current_time mod 60, "#00")'/><!--(<xsl:value-of select="$current_time"/>)--></a></td>
		  <td width="93%" bgColor="{$bgcolor}">
					<xsl:for-each select="DATE[DATE_TYPE!='diurnal']">

						<xsl:variable name="rotation" select="/Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>
						<xsl:variable name="negative_rotation" select="'-1' * /Object/entries/calendarSettings/CALENDAR_TIMETABLE_ROTATION"/>

						<xsl:if test="(($current_time + $rotation) &gt;= DATE_START_TIME) and ((($current_time - DATE_START_TIME) &gt; $negative_rotation) and ($current_time - DATE_START_TIME) &lt;= '0')">
						
							<!-- variablen für das JS Tooltip -->
							<xsl:variable name="title" select="DATE_TITLE/text()"/>
							<xsl:variable name="description" select="DATE_DESCRIPTION/text()"/>
							<xsl:variable name="date_start_hh" select="floor(DATE_START_TIME div 60)"/>
							<xsl:variable name="date_id" select="ID"/>
							<xsl:variable name="group_id" select="DATE_CALENDAR/ID"/>
							<xsl:variable name="date_start_mm" select='format-number((DATE_START_TIME mod 60), "#00")'/>
							<xsl:variable name="date_end_hh" select="floor(DATE_END_TIME div 60)"/>
							<xsl:variable name="date_end_mm" select='format-number((DATE_END_TIME mod 60), "#00")'/>
							<xsl:variable name="date_duration" select='format-number(((DATE_END_TIME - DATE_START_TIME) div 60), "##.#")'/>

							<!-- Zuordnung der Farben zu den Gruppen -->
							<xsl:variable name="group_color">
								<xsl:choose>
									<xsl:when test="$group_id = '67'"><xsl:value-of select="'#862D2D'"/></xsl:when>
									<xsl:when test="$group_id = '55'"><xsl:value-of select="'#86862D'"/></xsl:when>
									<xsl:when test="$group_id = '98'"><xsl:value-of select="'#2D5986'"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="'#555555'"/></xsl:otherwise>
								</xsl:choose>
							</xsl:variable>		

							<!-- Date Eintrag -->
							<div id="group_{$group_id}" onmouseover="this.T_WIDTH=200; this.T_TITLE='{$title}'; return escape('&lt;B&gt;Beginn:&lt;/B&gt; {$date_start_hh}.{$date_start_mm} Uhr&lt;BR/&gt;&lt;B&gt;Ende:&lt;/B&gt; {$date_end_hh}.{$date_end_mm} Uhr&lt;br/&gt;&lt;B&gt;Dauer:&lt;/B&gt; {$date_duration}h&lt;br/&gt;&lt;B&gt;Beschreibung:&lt;/B&gt; {$description}')" style="display:block; border-style:solid; padding-left:5px; padding-right:5px; margin-top:2px; border-width:1px; border-color:#000066; background-color:{$group_color}; color:#FFFFFF; cursor:pointer">
								<a href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=delete_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=420,height=150,resizable=yes')"><img style="position:relative; top:0px; right:0px" align="right" hspace="0" vspace="0" src="/packages/calendar/images/date_trash.gif" border="0"/></a>
								
								
								<a class="date" href="javascript:MM_openBrWindow('0','/packages/calendar/scripts/calendar.pike?mode=view_date&amp;popup=yes&amp;date_id={$date_id}&amp;object={$object}','','width=420,height=350,resizable=yes')">
									(<xsl:value-of select="floor(DATE_START_TIME div 60)"/>.<xsl:value-of select='format-number((DATE_START_TIME mod 60), "#00")'/> - <xsl:value-of select="floor(DATE_END_TIME div 60)"/>.<xsl:value-of select='format-number((DATE_END_TIME mod 60), "#00")'/>)
									<xsl:call-template name="DisplayShortName"><xsl:with-param name="Name" select="DATE_TITLE/text()"/><xsl:with-param name="MaxLength">40</xsl:with-param></xsl:call-template><!-- <xsl:value-of select="DATE_TITLE/text()"/> -->
								</a>

								<!-- debugging -->
								<!--
								current: <xsl:value-of select="$current_time"/>,
								start: <xsl:value-of select="DATE_START_TIME"/>,
								end: <xsl:value-of select="DATE_END_TIME"/>,
								title: <xsl:value-of select="DATE_TITLE/text()"/>
								-->
							</div>

						</xsl:if>
					</xsl:for-each>

		</td>
		
		</TR>
		<!-- Loop Iteration: <xsl:value-of select="$repeat"/> -->
		<!-- current minutes: <xsl:value-of select="$current_time"/> -->
		<xsl:call-template name="day_loop"> <!-- hier wird die Schleife rekursiv aufgerufen -->
			<xsl:with-param name="bgcolor" select="$bgcolor"/>
			<xsl:with-param name="current_time" select="$current_time + $timetable_interval"/> <!-- diese Parameter werden immer mitgegeben -->
			<xsl:with-param name="timetable_interval" select="$timetable_interval"/>

			<xsl:with-param name="repeat" select="$repeat - 1"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>
<!-- end of day_loop -->


<!-- month_box -->
<xsl:template name="month_box">
<TABLE width="30" border="0" cellPadding="1" cellSpacing="1" bgcolor="#CCCCCC">
	<TBODY>

	  <TR class="tabhead" vAlign="bottom">
	  	<td rowspan="2" class="header" align="center" valign="middle">KW</td>
	  	<td colspan="8" class="header" align="center">

			<xsl:variable name="prev_year_ts" select="/Object/entries/year/@prev_year"/>
			<a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_year_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_leftarrow.gif"/></a>
			<xsl:value-of select="/Object/entries/year/@no"/>
			<xsl:variable name="next_year_ts" select="/Object/entries/year/@next_year"/>
			<a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_year_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_rightarrow.gif"/></a>

		</td>
	</TR>
	<TR class="tabhead" vAlign="bottom">
		<td colspan="8" class="header">
			<div align="center">

				<xsl:for-each select="/Object/entries/year/month">
				
					<xsl:variable name="prev_month_ts" select="@prev_month"/>

					<a href="?object={/Object/id}&amp;type=calendar&amp;start={$prev_month_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_leftarrow.gif"/></a>

					<xsl:choose>
						<xsl:when test="@no=1">Januar </xsl:when>
						<xsl:when test="@no=2">Februar </xsl:when>
						<xsl:when test="@no=3">März </xsl:when>
						<xsl:when test="@no=4">April </xsl:when>
						<xsl:when test="@no=5">Mai </xsl:when>
						<xsl:when test="@no=6">Juni </xsl:when>
						<xsl:when test="@no=7">Juli </xsl:when>
						<xsl:when test="@no=8">August </xsl:when>
						<xsl:when test="@no=9">September </xsl:when>
						<xsl:when test="@no=10">Oktober </xsl:when>
						<xsl:when test="@no=11">November </xsl:when>
						<xsl:when test="@no=12">Dezember </xsl:when>
					</xsl:choose>

				</xsl:for-each>

				<xsl:variable name="next_month_ts" select="/Object/entries/year/month/@next_month"/>
				<a href="?object={/Object/id}&amp;type=calendar&amp;start={$next_month_ts}"><img hspace="5" border="0" src="/packages/calendar/images/WiP_rightarrow.gif"/></a>
				
			</div>
		</td>
	</TR>
		  
	<!-- Kalenderwoche -->
	<xsl:for-each select="/Object/entries/year/month/week">
		<TR>
			<xsl:choose> <!-- Wie soll die KW-Zahl dargestellt werden? -->

				<!-- Die KW ist gerade ausgewählt -->
				<xsl:when test="@isCurrentWeek=1">
					<td bgcolor="808080">
						<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@start}&amp;end={@end}"><span style="color:#FFFFFF"><xsl:value-of select="@no"/></span></a>
					</td>
				</xsl:when>
				
				<!-- Die KW ist gerade nicht ausgewählt -->
				<xsl:otherwise>
					<td>
						<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@start}&amp;end={@end}"><xsl:value-of select="@no"/></a>
					</td>
				</xsl:otherwise>
			  </xsl:choose>

			<!-- Monatstag -->
			<xsl:for-each select="day">
				<xsl:choose>

					<!-- der Tag ist ist der heutige Tag, aber gerade nicht ausgewählt -->
					<xsl:when test="(@isInMonth=1 and @isToday=1) and @isCurrentDay=0">
						<td align="center" valign="middle" bgcolor="#FFFFFF" color="#000000" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;">
							<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
								<span style="color:#CC0000;"><b><xsl:value-of select="@dayInMonth"/></b></span>
							</a>
						</td>
					</xsl:when>

					<!-- der Tag ist im aktuellen Monat und ist der heutige Tag -->
					<xsl:when test="(@isInMonth=1 and @isToday=1) and @isCurrentDay=1">
						<td align="center" valign="middle" bgcolor="#CC0000" color="#FFFFFF" onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#CC0000';return true;">
							<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
								<span style="color:#FFFFFF;"><b><xsl:value-of select="@dayInMonth"/></b></span>
							</a>
						</td>
					</xsl:when>

					<!-- der Tag ist im aktuellen Monat und nicht der heutige Tag -->
					<xsl:when test="(@isInMonth=1 and @isToday=0) and @isCurrentDay=0">
						<td align="center" valign="middle" bgcolor="#FFFFFF"  onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#FFFFFF';return true;">
							<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
								<xsl:value-of select="@dayInMonth"/>
							</a>
						</td>
					</xsl:when>

					<!-- der Tag ist im aktuellen Monat, nicht der heutige Tag, aber gerade ausgewählt -->
					<xsl:when test="(@isInMonth=1 and @isToday=0) and @isCurrentDay=1">
						<td align="center" valign="middle" bgcolor="#808080"  onmouseover="this.bgColor='#808080'; return true;" onmouseout="this.bgColor='#808080';return true;">
							<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
								<span style="color:#FFFFFF;"><xsl:value-of select="@dayInMonth"/></span>
							</a>
						</td>
					</xsl:when>

					<!-- der Tag ist nicht im aktuellen Monat -->
					<xsl:when test="@isInMonth=0">
						<td align="center" valign="middle" bgcolor="#EEEEEE"  onmouseover="this.bgColor='#CCDAFF'; return true;" onmouseout="this.bgColor='#EEEEEE';return true;">
							<a class="month" href="?object={/Object/id}&amp;type=calendar&amp;start={@timestamp}">
								<xsl:value-of select="@dayInMonth"/>
							</a>
						</td>
					</xsl:when>

				</xsl:choose>
			</xsl:for-each>
		  </TR>
		</xsl:for-each>
	
	</TBODY>
</TABLE>
</xsl:template>
<!-- month_box -->


<xsl:template name="DisplayShortName">
	<xsl:param name="Name"/> <!-- Text, der gekürzt werden soll -->
	<xsl:param name="MaxLength"/> <!-- auf welche Länge? -->
	<xsl:choose>
		<xsl:when test="string-length($Name)>$MaxLength">
			<xsl:value-of select="substring($Name,1,$MaxLength)"/>...
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$Name"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


</xsl:stylesheet>
