<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/>
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="back">no</xsl:param>
<xsl:param name="client">undefined</xsl:param>

<xsl:output method="html" encoding="utf-8"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:template match="Object">
<HTML>
<HEAD>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
	<TITLE><xsl:value-of select="title"/></TITLE>
	<xsl:value-of select="head" disable-output-escaping="yes"/>
    <xsl:call-template name="browsercss"/>
</HEAD>
<BODY BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#000000" ALINK="#000000">
<FORM name="exec" action="/scripts/execute.pike">
<INPUT type="hidden" name="script" value="{id}"/>
<INPUT type="hidden" name="function" value="build_connection"/>
<INPUT type="hidden" name="param" value="server"/>
<xsl:call-template name="header"/>

<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bginfotext">
<TR VALIGN="TOP"><TD><BR/>
<xsl:call-template name="servers"/>
<BR/></TD></TR>
</TABLE>
</FORM>
</BODY>
</HTML>
</xsl:template>


<xsl:template name="servers">
<TABLE>
<TR><TD><B>Server</B></TD><TD><B>Host</B></TD></TR>
<xsl:for-each select="servers/array/struct">
<TR>
    <TD><xsl:value-of select="member[key/string='name']/value/string"/></TD>
    <TD><xsl:value-of select="member[key/string='hostname']/value/string"/></TD>
    <TD>
<xsl:choose>
<xsl:when test="member[key/string='connected']/value/int=0">
<INPUT type="button" onClick="document.exec.param.value='{member[key/string='name']/value/string}'; document.exec.submit();" value="Connect Server"/>
</xsl:when>
<xsl:otherwise>
Connection established
</xsl:otherwise>
</xsl:choose>
</TD>
</TR>
</xsl:for-each>
</TABLE>
</xsl:template>

</xsl:stylesheet>









