<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message"/>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="topnavi">navigation</xsl:param>
<xsl:param name="bottomnavi">content</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="error"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="editgates">no</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="language"/>


<xsl:variable name="awareness_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'awareness']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="gates_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'gates']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="rucksack_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'rucksack']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="actions_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'actions']/value/string = 'none'">
      none
    </xsl:when>
    <xsl:otherwise>inline</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="ftp">
  <xsl:choose> 
    <xsl:when test="$os = 'windows nt'">0</xsl:when>
    <xsl:when test="$os = 'linux'">0</xsl:when>
    <xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="sort_name">
  <xsl:choose>
    <xsl:when test="$sort='name'">reverse-name</xsl:when>
    <xsl:otherwise>name</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_namesymbol">
  <xsl:choose>
    <xsl:when test="$sort='name'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!--<xsl:when test="$sort='name'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when>-->
    <xsl:when test="$sort='reverse-name'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-name'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_size">
  <xsl:choose>
    <xsl:when test="$sort='size'">reverse-size</xsl:when>
    <xsl:otherwise>size</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_sizesymbol">
  <xsl:choose>
    <xsl:when test="$sort='size'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='size'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when> -->
    <xsl:when test="$sort='reverse-size'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-size'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modified">
  <xsl:choose>
    <xsl:when test="$sort='modified'">reverse-modified</xsl:when>
    <xsl:otherwise>modified</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modifiedsymbol">
  <xsl:choose>
    <xsl:when test="$sort='modified'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='modified'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when> -->
    <xsl:when test="$sort='reverse-modified'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-modified'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/browse.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<xsl:template name="sort_objectlist">
  <xsl:variable name="mysort"><xsl:choose><xsl:when test="starts-with($sort , 'reverse')"><xsl:value-of select="substring-after($sort, 'reverse-')" /></xsl:when><xsl:otherwise><xsl:value-of select="$sort" /></xsl:otherwise></xsl:choose></xsl:variable>
  <xsl:variable name="myorder"><xsl:choose><xsl:when test="starts-with($sort , 'reverse')">descending</xsl:when><xsl:otherwise>ascending</xsl:otherwise></xsl:choose></xsl:variable>
  <xsl:if test="/Object/@type!='Room'">
    <xsl:for-each select="Object[@type='Exit' or @type='Room']">
      <xsl:sort select="*[local-name()=$mysort]" order="{$myorder}"/>
      <xsl:call-template name="show_object"/>
    </xsl:for-each>
  </xsl:if>
  <xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
    <xsl:sort select="*[local-name()=$mysort]" order="{$myorder}"/>

    <xsl:call-template name="show_container"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
    <xsl:sort select="*[local-name()=$mysort]" order="{$myorder}"/>
    <xsl:call-template name="show_document"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Script']|Object[@type='Date']|Object[@type='Calendar']">
    <xsl:sort select="*[local-name()=$mysort]" order="{$myorder}"/>
    <xsl:call-template name="show_object"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="show_objectlist">
  <xsl:if test="/Object/@type!='Room'">
    <xsl:for-each select="Object[@type='Exit' or @type='Room']">
      <xsl:sort select="*[local-name()=/Object/sort-exits]"/>
      <xsl:call-template name="show_object"/>
    </xsl:for-each>
  </xsl:if>
  <xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_container"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_document"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Script']|Object[@type='Date']|Object[@type='Calendar']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_object"/>
  </xsl:for-each>
</xsl:template>

<!-- displays a small page only containing the svg-view of the container or room -->
<xsl:template name="show_map">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>  
  </title>
  <link rel="alternate" type="application/rss+xml" title="{/Object/name}" href="/scripts/rss.pike?feed={$object}"/>
  <!--<link rel="shortcut icon" href="/favicon.ico" />-->
  <xsl:call-template name="browsercss"/>
</head>

<body id="browsemap">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

  <div id="content">

    <div id="position">
      <xsl:call-template name="show_trail_mapview"/>
    </div>

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}"/>
          <input type="hidden" name="_action" value="browser.pike"/>
          <input type="hidden" name="room" value="{$room}"/>
        </fieldset>

        <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{INVENTORY_VIEWMODE_MAP}</h2>

        <xsl:value-of select="/Object/mapview" disable-output-escaping="yes"/>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>



<xsl:template match="Object">
<xsl:variable name="color" select='"#F4F5F1"' />
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:choose>
<xsl:when test="$browse='map'">
  <xsl:call-template name="show_map"/>
</xsl:when>
<xsl:otherwise>
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
    <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>  
  </title>
  <link rel="alternate" type="application/rss+xml" title="{/Object/name}" href="/scripts/rss.pike?feed={$object}"/>
  <!--<link rel="shortcut icon" href="/favicon.ico" />-->
  <xsl:call-template name="browsercss"/>
</head>

<body id="browse">

<xsl:if test="/Object/@type='Room'">
  <xsl:attribute name="class">awareness</xsl:attribute>
</xsl:if>

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
      <xsl:if test="/Object/@type='Room'">
        <li><a href="#awareness">{SKIP_AWARENESS}</a></li>
      </xsl:if>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <xsl:choose>
        <xsl:when test="name=''"><h1>{CONTENT_NODESCRIPTION}</h1></xsl:when>
      </xsl:choose>
      <xsl:call-template name="show_trail"/>
    </div>

    <xsl:call-template name="nav2"/>

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}"/>
          <input type="hidden" name="_action" value="browser.pike"/>
          <input type="hidden" name="room" value="{$room}"/>
        </fieldset>
        
        <fieldset class="hidden">
          <input type="hidden" id="wilayout_content_awareness" name="wilayout_content_awareness" value="{$awareness_display}"/>
          <input type="hidden" id="wilayout_content_gates" name="wilayout_content_gates"     value="{$gates_display}"/>
          <input type="hidden" id="wilayout_content_actions" name="wilayout_content_actions"   value="{$actions_display}"/>
          <input type="hidden" id="wilayout_content_rucksack" name="wilayout_content_rucksack"  value="{$rucksack_display}"/>
        </fieldset>
        <xsl:choose>
          <xsl:when test="/Object/@type='Date'">
            <xsl:call-template name="show_date_content" />
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="inventory"/>
          </xsl:otherwise>
        </xsl:choose>

        <xsl:if test="types!=0">
        <p>You can show this page as:
          <xsl:for-each select="types/struct/member">
            <a href="{$room}?room={$room}&amp;style={value/object/id}"><xsl:value-of select="key/object/name"/></a>
            |
          </xsl:for-each>
        </p>
        </xsl:if>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template match="inventory">
<xsl:if test="/Object/@type='Room'">
  <xsl:variable name="gates_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'gates']/value/string = 'none'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="gates_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'gates']/value/string = 'none'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  
  <div id="inventorywrapper">
    <!-- h2 generell, dann darunter nochmal table-header für gate-edit. so kann die Überschrift 
    auch zum Auf- und Zuklappen genutzt werden, in spans zwei Varianten. Eine mit Link Gate editieren
    und eine mit Link um aus dem edit-modus zu kommen  -->
    <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>
    <div id="gates_scale_link_hide" style="display:{$gates_scale_display}"><h2><a href="javascript:hide_div_persistent('content', 'gates_scale');" title="{HIDE}: {GATES}">{GATES}</a></h2></div>
	<div id="gates_scale_link_show" style="display:{$gates_scale_display_alt}"><h2><a href="javascript:show_div_persistent('content', 'gates_scale');" title="{SHOW}: {GATES}">{GATES}</a></h2></div>    
	  
    <div id="gates_scale" style="display:{$gates_scale_display}">
    <xsl:choose>
	<xsl:when test="$editgates='no'">
		<span>
			<xsl:choose>
				<xsl:when test="$language='german'"><xsl:attribute name="id">gates_de</xsl:attribute></xsl:when>
				<xsl:when test="$language='chinese'"><xsl:attribute name="id">gates_zn</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="id">gates_en</xsl:attribute></xsl:otherwise>
			</xsl:choose>
			[<a href="{/Object/path/path}?editgates=yes" title="{GATES}: {CONTENT_EDIT}">{CONTENT_EDIT}</a>]
		</span>
	</xsl:when>
	<xsl:when test="$editgates='yes'">
		<span>
			<xsl:choose>
				<xsl:when test="$language='german'"><xsl:attribute name="id">gates_de</xsl:attribute></xsl:when>
				<xsl:when test="$language='chinese'"><xsl:attribute name="id">gates_zn</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="id">gates_en</xsl:attribute></xsl:otherwise>
			</xsl:choose>
			[<a href="{/Object/path/path}?editgates=no" title="{GATES}: {CONTENT_EDITOFF}">{CONTENT_EDITOFF}</a>]
		</span>
	</xsl:when>
	</xsl:choose>
    <xsl:choose>
      <xsl:when test="$editgates='yes'">
        <table id="editgates" cellspacing="0" summary="{CONTENT_EDITGATES_TABLE_SUMMARY}">
          <thead>
            <tr>
              <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
              <th scope="col"><br /></th>
              <th scope="col">{GATES}<!-- [<a href="{/Object/path/path}?editgates=no">{CONTENT_EDITOFF}</a>]--></th>
              <th scope="col">{SIZE}</th>
              <th scope="col">{ATTRIBUTESCREATE}</th>
              <th scope="col">{TAB_EXTFUNCT}</th>
            </tr>
          </thead>
          <xsl:if test="count(Object[@type='Room']|Object[@type='Exit']) > 1">
            <tfoot>
              <tr>
                <td><input type="checkbox" name="gatecheckall" id="gatecheckall" onclick="checkallgate_handle(document.browser);" /></td>
                <td colspan="5" class="checkall"><label for="gatecheckall">{CONTENT_SELECTALLGATES}</label></td>
              </tr>
            </tfoot>
          </xsl:if>
          <tbody>
            <tr>
              <td><br /></td>
              <td class="objecticon">
                <a href="{/Object/user/workroom/Object/path}/">
                  <img class="gate_link" src="/images/nach_hause.gif" alt="" />
                  <!-- <img src="/images/nach_hause.gif" width="32" height="32" alt="{CONTENT_HOME}" /> -->
                </a>
              </td>
              <td><a class="objectname" href="{/Object/user/workroom/Object/path}/">{CONTENT_HOME}</a></td>
              <td><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></td>
              <td><img src="/images/lines.gif" alt="{OBJECT_NEVER}" class="lines" /></td>
              <td><img src="/images/lines.gif" alt="{OBJECT_NODETAILS}" class="lines" /></td>
            </tr>
            <xsl:if test="/Object/environment/Object/id>0">
              <tr>
                <td><br /></td>
                <td class="objecticon">
                  <a href="{substring-before(/Object/path/path,/Object/URL)}">
                    <img class="gate_link" src="/images/doctypes/type_gate_lnk.gif" alt="" />
                    <!-- <img src="/images/doctypes/type_gate_lnk.gif" width="32" height="32" alt="" /> -->
                  </a>
                </td>
                <td>
                  <a class="objectname" href="{/Object/environment/Object/path/path}">
                    <xsl:value-of select="/Object/environment/Object/name"/><br />
                    ({CONTENT_ENVIRONMENT})
                  </a>
                </td>
              <td><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></td>
              <td><img src="/images/lines.gif" alt="{OBJECT_NEVER}" class="lines" /></td>
              <td><img src="/images/lines.gif" alt="{OBJECT_NODETAILS}" class="lines" /></td>
              </tr>
            </xsl:if>
            <xsl:call-template name="show_gates_expanded"/>
          </tbody>
        </table>

        <!-- grauen Balken für Aktionen, wenn Dateien vorhanden -->
        <xsl:if test="$itemscount	> 0" >					<!-- Falls Dokumente vorhanden -->
          <h2>{ACTION_DIVISION}</h2>
        </xsl:if>

        <xsl:if test="count(Object[@type='Room']|Object[@type='Exit']) > 0">
          <p class="lastgateaction">
            <xsl:call-template name="takegate"/>
            <xsl:if test="$message!=''">
            <br/>
            <label class="lastgateaction" for="lastgateaction">{COMMAND}:</label>
            <span id="lastgateaction">
              <xsl:choose>
                <xsl:when test="$error=''">									<!-- $error='ok' -->
                  <xsl:value-of select="$message"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$message"/><br/><span class="error">{CONTENT_ERROR}<xsl:value-of select="$error"/></span>
                  <!--<a class="error" href="#" onclick="show_error('{$error}');"><xsl:value-of select="$message"/></a>-->
                </xsl:otherwise>
              </xsl:choose>
            </span>
            </xsl:if>
          </p>
        </xsl:if>

        <div id="gates">
           <xsl:call-template name="display_createoptions_gates"/>
        </div>

        <hr />
      </xsl:when>

      <xsl:otherwise>
        <!--<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{GATES} [<a href="{/Object/path/path}?editgates=yes">{CONTENT_EDIT}</a>]</h2>-->

        <div id="gates">
          
          <div id="listofgates">
          <xsl:call-template name="display_createoptions_gates"/>
          <div class="gate">
            <a href="{/Object/user/workroom/Object/path}/" class="imagelink">
              <img class="gate_link" src="/images/nach_hause.gif" alt="" />
              <br />
              <span class="linkunderline">{CONTENT_HOME}</span>
              </a>
          </div>

          <xsl:if test="/Object/environment/Object/id>0">
            <div class="gate">
              <a href="{/Object/environment/Object/path/path}" class="imagelink">
                <img class="gate_link" src="/images/doctypes/type_gate_lnk.gif" alt="" />
                <br />
                <span class="linkunderline">
                  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                  print_shortername_max("</xsl:text><xsl:value-of select="/Object/environment/Object/name"/><xsl:text disable-output-escaping="yes">", 13);
                  //]]&gt;&lt;/script&gt;</xsl:text><br />
                ({CONTENT_ENVIRONMENT})</span>
                </a>
            </div>
          </xsl:if>          
          <xsl:call-template name="show_gates"/>
          </div>
        </div>

        <hr />
      </xsl:otherwise>
    </xsl:choose>
	</div>
	<div style="font-size:2px; height:2px;">&#160;</div>

    <xsl:choose>
      <xsl:when test="$browse='icons'">
        <h2>{CONTENT_ICONS_OBJECTS} <xsl:value-of select="/Object/name"/></h2>

        <div id="icons">
          <xsl:for-each select="Object[@type='Calendar']|Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']|Object[@type='Script']">
            <xsl:sort select="name"/>
            <div class="icon">
              <xsl:choose>
                <xsl:when test="@type='Document' and substring-before(content/mime-type, '/') = 'image'">
                  <a href="/scripts/navimage.pike?object={id}&amp;type=image">
                    <img class="listicon" src="/scripts/get.pike?object={id}" alt="" /><br />
                    <!--<img src="/scripts/get.pike?object={id}&amp;xsize=32&amp;ysize=32" alt="{name}" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                  </a>
                </xsl:when>
                <xsl:when test="@type='Document'">
                  <a href="/scripts/get.pike?object={id}">
                    <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" /><br />
                    <!--<img src="/scripts/get.pike?object={icon/object/id}&amp;xsize=32&amp;ysize=32" alt="{name}" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                  </a>
                </xsl:when>
                <xsl:otherwise>
                  <a href="/scripts/navigate.pike?object={id}">
                    <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" /><br />
                    <!--<img src="/scripts/get.pike?object={icon/object/id}" alt="{name}" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                  </a>
                </xsl:otherwise>
              </xsl:choose>
            </div>
          </xsl:for-each>
        </div>
        <xsl:if test="$itemscount > $itemsperpage">
          <p class="right pages">
          <xsl:choose>
              <xsl:when test="$sort='name'">
                <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
              </xsl:otherwise>
            </xsl:choose>
          </p>
        </xsl:if>

        <xsl:if test="$itemscount=0">
          <p>{NO_DOCUMENTS_YET}</p>
        </xsl:if>
        
        <xsl:call-template name="show_action_division" />
        
        <xsl:call-template name="drop"/>
      </xsl:when>


      <xsl:otherwise>
        <table id="roominventory" cellspacing="0" summary="{CONTENT_ROOMINVENTORY_TABLE_SUMMARY}">
          <thead>
            <tr>
              <th scope="col"><br /></th>
              <th scope="col"><br /></th>
              <th scope="col">
                <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_name}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_NAME}">{NAME}</a><xsl:copy-of select="$sort_namesymbol"/>
              </th>
              <th scope="col">
                <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_size}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_SIZE}">{SIZE}</a>
                  <xsl:copy-of select="$sort_sizesymbol"/>
              </th>
              <th scope="col">
                <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_modified}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_ATTRIBUTESCREATE}">{ATTRIBUTESCREATE}</a><xsl:copy-of  select="$sort_modifiedsymbol"/>
              </th>
              <th scope="col">{TAB_EXTFUNCT}</th>
            </tr>
          </thead>

          <xsl:if test="$itemscount > 1">
            <tfoot>
              <tr>
                <td><input type="checkbox" name="objcheckall" id="objcheckall" onclick="checkallobj_handle(document.browser);"/></td>
                <td colspan="5" class="checkall"><label for="objcheckall">{CONTENT_SELECTALLOBJ}</label></td>
              </tr>

              <xsl:if test="$itemscount > $itemsperpage">
                <tr>
                  <td colspan="6" class="pages">
                    {CONTENT_PAGES}:
                    <xsl:choose>
                      <xsl:when test="$sort='name'">
                        <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                      </xsl:otherwise>
                    </xsl:choose>
                  </td>
                </tr>
              </xsl:if>
            </tfoot>
          </xsl:if>

          <tbody>
            <xsl:if test="$itemscount=0">
              <tr>
                <td colspan="6" class="nodocsyet">{NO_DOCUMENTS_YET}</td>
              </tr>
            </xsl:if>
            <xsl:if test="$itemscount > 0">
              <xsl:choose>
                <xsl:when test="$sort='name' or $sort='reverse-name' or $sort='size' or $sort='reverse-size' or $sort='modified' or $sort='reverse-modified'">
                    <xsl:call-template name="sort_objectlist"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="show_objectlist"/>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:if>
          </tbody>
        </table>

        <xsl:call-template name="show_action_division" />
        
        <xsl:if test="/Object/id!=/Object/user/id">
          <xsl:call-template name="drop"/>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </div>
  <xsl:call-template name="show_userlist"/>
</xsl:if>

<xsl:if test="/Object/@type!='Room'">
  <xsl:choose>
    <xsl:when test="$browse='icons'">
      <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{CONTENT_ICONS_OBJECTS} <xsl:value-of select="/Object/name"/></h2>

      <div id="icons">
        <xsl:for-each select="Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']|Object[@type='Script']">
          <xsl:sort select="name"/>
          <div class="icon">
            <xsl:choose>
              <xsl:when test="@type='Document' and substring-before(content/mime-type, '/') = 'image'">
                <a href="/scripts/navimage.pike?object={id}&amp;type=image">
                  <img class="listicon" src="/scripts/get.pike?object={id}" alt="" /><br />
                  <!--<img src="/scripts/get.pike?object={id}&amp;xsize=32&amp;ysize=32" alt="{name}" width="80" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                </a>
              </xsl:when>
              <xsl:when test="@type='Document'">
                <a href="/scripts/get.pike?object={id}">
                  <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" /><br />
                  <!--<img src="/scripts/get.pike?object={icon/object/id}&amp;xsize=32&amp;ysize=32" alt="{name}" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                </a>
              </xsl:when>
              <xsl:otherwise>
                <a href="/scripts/navigate.pike?object={id}">
                  <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" /><br />
                  <!--<img src="/scripts/get.pike?object={icon/object/id}" alt="{name}" /><br />-->
                    <xsl:call-template name="iconview_name_breaks">
					  <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
                    <!--<xsl:value-of select="name"/>-->
                </a>
              </xsl:otherwise>
            </xsl:choose>
          </div>
        </xsl:for-each>
      </div>

      <xsl:if test="$itemscount > $itemsperpage">
        <p class="right pages">
          <xsl:choose>
            <xsl:when test="$sort='name'">
              <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </p>
      </xsl:if>

      <xsl:call-template name="display_viewmode"/>

      <xsl:if test="$itemscount=0">
        <xsl:choose>
          <xsl:when test="/Object/@type!='Trashbin'">
            <p>{NO_DOCUMENTS_YET}</p>
          </xsl:when>
          <xsl:otherwise>
            <p>{CONTENT_TRASHBIN_EMPTY}</p>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>

      <xsl:if test="/Object/@type!='Trashbin'">
        <xsl:call-template name="display_createoptions"/>
      </xsl:if>

      <xsl:call-template name="drop"/>
    </xsl:when>


    <xsl:otherwise>
      <table id="otherinventory" cellspacing="0" summary="{CONTENT_OTHERINVENTORY_TABLE_SUMMARY}">
        <thead>
          <tr>
            <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
            <th scope="col"><br /></th>
            <th scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_name}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_NAME}">{NAME}</a><xsl:copy-of  select="$sort_namesymbol"/></th>
            <th scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_size}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_SIZE}">{SIZE}</a><xsl:copy-of  select="$sort_sizesymbol"/></th>
            <th scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_modified}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}" title="{SORT_BY_ATTRIBUTESCREATE}">{ATTRIBUTESCREATE}</a><xsl:copy-of select="$sort_modifiedsymbol"/></th>
            <th scope="col">{TAB_EXTFUNCT}</th>
          </tr>
        </thead>

        <xsl:if test="$itemscount > 1">
          <tfoot>
            <tr>
              <td><input type="checkbox" name="objcheckall" id="objcheckall" onclick="checkallobj_handle(document.browser);"/></td>
              <td colspan="5" class="checkall"><label for="objcheckall">{CONTENT_SELECTALLOBJ}</label></td>
            </tr>

            <xsl:if test="$itemscount > $itemsperpage">
              <tr>
                <td class="pages" colspan="6">
                  {CONTENT_PAGES}:
                  <xsl:choose>
                    <xsl:when test="$sort='name'">
                      <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:if>
          </tfoot>
        </xsl:if>

        <tbody>
          <xsl:if test="$itemscount=0">
            <tr>
              <td colspan="6" class="nodocsyet">
                <xsl:choose>
                  <xsl:when test="/Object/@type!='Trashbin'">
                    {NO_DOCUMENTS_YET}
                  </xsl:when>
                  <xsl:otherwise>
                    {CONTENT_TRASHBIN_EMPTY}
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </xsl:if>

          <xsl:if test="$itemscount > 0">
            <xsl:choose>
                <xsl:when test="$sort='name' or $sort='reverse-name' or $sort='size' or $sort='reverse-size' or $sort='modified' or $sort='reverse-modified'">
                  <xsl:call-template name="sort_objectlist"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="show_objectlist"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:if>
        </tbody>
      </table>
      <xsl:if test="$itemscount=0 and /Object/@type!='Trashbin'">
        <xsl:call-template name="display_createoptions"/>
      </xsl:if>
      <!-- grauen Balken für Aktionen, wenn Dateien vorhanden -->
      <xsl:if test="$itemscount	> 0" >					<!-- Falls Dokumente vorhanden -->
        <h2>{ACTION_DIVISION}</h2>
      </xsl:if>

      <xsl:if test="$itemscount > 0">
          <p class="lastaction">
            <xsl:call-template name="take"/>
            <xsl:if test="$message!=''">
            <br/>																
            <label for="lastaction" class="lastaction">{COMMAND}:</label>		
            <span id="lastaction">
              <xsl:choose>
                <xsl:when test="$error=''">
                  <xsl:value-of select="$message"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$message"/><br/><span class="error">{CONTENT_ERROR}<xsl:value-of select="$error"/></span>
                  <!--<a class="error" href="#" onclick="show_error('{$error}');"><xsl:value-of select="$message"/></a>-->
                </xsl:otherwise>
              </xsl:choose>
            </span>
            </xsl:if>
          </p>
          
        <xsl:call-template name="display_viewmode"/>
        <xsl:if test="/Object/@type!='Trashbin'">
          <xsl:call-template name="display_createoptions"/>
        </xsl:if>
      </xsl:if>

      <xsl:if test="/Object/id!=/Object/user/id">
        <xsl:call-template name="drop"/>
      </xsl:if>
    </xsl:otherwise>
  </xsl:choose>
</xsl:if>
</xsl:template>

<!-- Baut die Benutzerliste auf -->
<xsl:template name="show_userlist">
<hr />

<div id="awareness">
  <xsl:variable name="awareness_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'awareness']/value/string = 'none'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="awareness_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'awareness']/value/string = 'none'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <div id="awareness_scale_link_hide" style="display:{$awareness_scale_display}"><h2><a href="javascript:hide_div_persistent('content', 'awareness_scale');" title="{HIDE}: {PEOPLE}">{PEOPLE}</a></h2></div>
  <div id="awareness_scale_link_show" style="display:{$awareness_scale_display_alt}"><h2><a href="javascript:show_div_persistent('content', 'awareness_scale');" title="{SHOW}: {PEOPLE}">{PEOPLE}</a></h2></div>
  <div id="awareness_scale" style="display:{$awareness_scale_display}">
    <xsl:choose>
      <xsl:when test="count(/Object/chatmodule/object) > 0">
        <p class="center">
          <a href="javascript:open_chat('{/Object/user/name}','{/Object/path/path}');" title="{CONTENT_OPENCHAT}{NEW_WINDOW}" class="imagelink">
            <img class="chaticon" src="/images/chat.gif" alt="" /><br />
            <span class="linkunderline">{CONTENT_OPENCHAT}</span></a>
        </p>
      
        <!-- Bereich fuer Benutzer mit Chat -->
        <h3>{CONTENT_USERLIST_CHAT}</h3>
        <xsl:choose>
          <xsl:when test="count(Object[@type='User' and status/chat='true'])=0">
            <p class="center"><img src="/images/lines.gif" alt="{CONTENT_USERLIST_NONE}" class="lines" /></p>
          </xsl:when>
          <xsl:otherwise>
            <ul>
              <xsl:for-each select="Object[@type='User' and status/chat='true']">
                <li><xsl:call-template name="userlist_show_user"/></li>
              </xsl:for-each>
            </ul>
          </xsl:otherwise>
        </xsl:choose>
      
        <!-- Bereich fuer benutzer ohne Chat -->
        <h3>{CONTENT_USERLIST_NOCHAT}</h3>
        <xsl:choose>
          <xsl:when test="count(Object[@type='User' and status/chat!='true'])=0">
            <p class="center"><img src="/images/lines.gif" alt="{CONTENT_USERLIST_NONE}" class="lines" /></p>
          </xsl:when>
          <xsl:otherwise>
            <ul>
              <xsl:for-each select="Object[@type='User' and status/chat!='true']">
                <li><xsl:call-template name="userlist_show_user"/></li>
              </xsl:for-each>
            </ul>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <ul>
          <xsl:for-each select="Object[@type='User']">
            <li><xsl:call-template name="userlist_show_user"/></li>
          </xsl:for-each>
        </ul>
      </xsl:otherwise>
    </xsl:choose>
  </div>
</div>
</xsl:template>

<!-- Stellt einen Benutzer in der Benutzerliste mit Icon und Text dar -->
<xsl:template name="userlist_show_user">
<a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}" title="{HEADER_USERDETAILS_TOOLTIP}" class="imagelink">
  <img class="usericon_awareness" src="/scripts/get.pike?object={icon/object/id}" alt="" />
  <br />
  <span class="off">{HEADER_USERDETAILS_OFF}</span><span class="linkunderline"><xsl:value-of select="name"/></span></a>
</xsl:template>


<!-- stellt die Verbindungen in der normalen Ansicht nur mit Icon und Name dar -->
<xsl:template name="show_gates">
  <xsl:for-each select="Object[@type='Room']|Object[@type='Exit']">
    <xsl:sort select="*[local-name()=/Object/sort-exits]"/>

    <div class="gate">
      <xsl:choose>
        <xsl:when test="@type='Room'">
          <xsl:call-template name="show_room"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="show_exit"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!--xsl:if test="(position()+1) mod 6 = 0">
      <BR CLEAR="ALL"/>
    </xsl:if-->
  </xsl:for-each>
</xsl:template>

<!-- stellt die Verbindungen in erweiterter Schreibweise dar mit Groesse, Modified-Datum und den Option Icons -->
<xsl:template name="show_gates_expanded">
  <xsl:for-each select="Object[@type='Room']|Object[@type='Exit']">
    <xsl:sort select="*[local-name()=/Object/sort-exits]"/>
    <xsl:choose>
      <xsl:when test="@type='Room'">
        <xsl:call-template name="content_show_room_expanded"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="content_show_exit_expanded"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>
</xsl:template>

<xsl:template name="iconview_name_breaks">			<!-- erzeugt erzwungene Zeilenumbrüche nach System -->
		<xsl:param name="filename"/>
		<xsl:variable name="filename_length" select="string-length($filename)"/>
		<xsl:variable name="filename_start" select="1"/>

		<xsl:if test="$filename_length&lt;10 or $filename_length=10">		<!-- falls Zeile weniger als 30 Zeichen hat, hinschreiben -->
			<xsl:value-of select="$filename"/>
		</xsl:if>

		<xsl:if test="$filename_length&gt;10">
			<xsl:value-of select="substring($filename,$filename_start,10)"/>-<br/>
			<xsl:call-template name="iconview_name_breaks">
				<xsl:with-param name="filename" select="substring($filename,$filename_start+10)"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="show_action_division">
  <xsl:variable name="actions_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'actions']/value/string = 'none'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="actions_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'actions']/value/string = 'none'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <hr />

  <!--<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_3}"></a>{INVENTORY}</h2>-->
  <a accesskey="{ACCESSIBILITY_ACCESS_KEY_3}"></a>
  <div id="actions_scale_link_hide" style="display:{$actions_scale_display}"><h2><a href="javascript:hide_div_persistent('content', 'actions_scale');" title="{HIDE}: {ACTION_DIVISION}">{ACTION_DIVISION}</a></h2></div>
  <div id="actions_scale_link_show"  style="display:{$actions_scale_display_alt}"><h2><a href="javascript:show_div_persistent('content', 'actions_scale');" title="{SHOW}: {ACTION_DIVISION}">{ACTION_DIVISION}</a></h2></div>

<!-- <span id="awareness_scale_link_hide"><a href="javascript:hide_div('awareness_scale');" title="{HIDE}: {PEOPLE}"><h2>{PEOPLE}</h2></a></span>
 <span id="awareness_scale_link_show"><a href="javascript:show_div('awareness_scale');" title="{SHOW}: {PEOPLE}"><h2>{PEOPLE}</h2></a></span> -->
  <div id="actions_scale" style="display:{$actions_scale_display}">
    <!-- grauen Balken für Aktionen, wenn Dateien vorhanden -->
    <xsl:if test="$itemscount > 0">
      <p class="lastaction">
        <xsl:if test="$browse != 'icons'">
          <xsl:call-template name="take"/>
        </xsl:if>
        <xsl:if test="$message!=''">
        <br/>																
        <label for="lastaction" class="lastaction">{COMMAND}:</label>		
        <span id="lastaction">
          <xsl:choose>
            <xsl:when test="$error=''">
              <xsl:value-of select="$message"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="$message"/><br/><span class="error">{CONTENT_ERROR}<xsl:value-of select="$error"/></span>
              <!--<a class="error" href="#" onclick="show_error('{$error}');"><xsl:value-of select="$message"/></a>-->
            </xsl:otherwise>
          </xsl:choose>
        </span>
        </xsl:if>
      </p>
    </xsl:if>
    <xsl:call-template name="display_viewmode"/>
    <xsl:if test="/Object/@type!='Trashbin'">
      <xsl:call-template name="display_createoptions"/>
    </xsl:if>  
  </div>
  <div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>

<xsl:template name="show_date_content">
  <div style="margin-left: 1em;margin-top: 1em;">
    <strong><xsl:value-of select="/Object/date_title"/></strong>
    <br /><br />
    <xsl:value-of select="/Object/date_description" />
  </div>
</xsl:template>

</xsl:stylesheet>
