<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="env">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="mode"/>
<xsl:param name="language"/>
<xsl:param name="name_input">false</xsl:param>
<xsl:param name="room"/>
<xsl:param name="_perform"/>
<xsl:param name="_performdesc"/>
<xsl:param name="_context"/>
<xsl:param name="objsel"/>

<xsl:include href="steam://stylesheets/browsercss2.xsl"/>


<xsl:template name="namedesc">
  <p>
    <label class="grid" for="name">{CREATE_NAME}:</label>
    <input type="text" id="name" name="name" size="22" />
  </p>
  <p>
    <label class="grid" for="objdesc">{CREATE_DESCR}:</label>
<!--    <input type="text" id="objdesc" name="objdesc" size="22" /> -->
    <textarea id="objdesc" name="objdesc" size="22" />
  </p>
</xsl:template>

<xsl:template name="Upload">
  <h1>
    <img class="new" src="/images/icon_createnew_generic.gif" alt="" />
    <!-- <img src="/images/icon_createnew_generic.gif" width="32" height="32" alt="" /> -->
    {CREATE_UPLOADDOCUMENT}
  </h1>

  <p>{OPT}</p>

  <p>{MAX}</p>

  <fieldset>
    <p>
      <label class="grid" for="url">{CREATE_FILE}:</label>
      <xsl:choose>
        <xsl:when test="$client='MSIE'">
          <input type="file" id="url" name="URL" maxlength="20971520" size="18" onchange="check_url(this);" />
        </xsl:when>
        <xsl:when test="($client='Mozilla') and (number(5) > number($client-version))">
          <input type="file" id="url" name="URL" maxlength="20971520" size="18" onclick="check_url(this);" />
        </xsl:when>
        <xsl:when test="($client='Mozilla') and (number($client-version) > number(4.99))">
          <input type="file" id="url" name="URL" maxlength="20971520" size="18" onclick="check_url(this);" />
        </xsl:when>
        <xsl:otherwise>
          <input type="file" id="url" name="URL" maxlength="20971520" size="18" onchange="check_url(this);" />
        </xsl:otherwise>
      </xsl:choose>
    </p>
    
  <p class="fileoptions">    
  	<span class="optionicon" id="upload_moreoptions_icon_open"><a href="javascript:show('upload_moreoptions');" title="{CREATE_UPLOAD_MOREOPTIONS_OPEN}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{CREATE_UPLOAD_MOREOPTIONS_OPEN}</a></span>
    <span class="optionicon" id="upload_moreoptions_icon_close" style="display:none;"><a href="javascript:hide('upload_moreoptions');" title="{CREATE_UPLOAD_MOREOPTIONS_CLOSE}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{CREATE_UPLOAD_MOREOPTIONS_CLOSE}</a></span>
  </p>

  
  <div class="help" id="upload_moreoptions">
    <p>{CREATE_DEFINE}</p>
    
    <fieldset>
      <xsl:call-template name="namedesc"/>
    
      <p>
        <label class="grid" for="mimetype">{CREATE_MIME_TYPE}:</label>
        <select id="mimetype" name="mimetype">
          <xsl:for-each select="/Object/createmain/createsub/types/type">
            <option value="{mime}"><xsl:value-of select="mime"/></option>
          </xsl:for-each>
        </select>
      </p>
    </fieldset>
  </div>
  <p><input type="submit" value="{CREATE_UPLOADFILE}" /></p>
</fieldset>
</xsl:template>

<xsl:template name="EmptyDocument">
  <h1>
    <img class="new" src="/images/icon_createnew_generic.gif" alt="" />
    <!-- <img src="/images/icon_createnew_generic.gif" width="32" height="32" alt="" /> -->
    {CREATE_CREATENEWDOCUMENT}
  </h1>

  <p>{CREATE_DEFINE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>

    <p>
      <label class="grid" for="mimetype">{CREATE_MIME_TYPE}:</label>
      <select id="mimetype" name="mimetype">
        <xsl:for-each select="/Object/createmain/createsub/types/type">
          <option value="{mime}"><xsl:value-of select="mime"/></option>
        </xsl:for-each>
      </select>
    </p>
  </fieldset>
</xsl:template>


<xsl:template name="Gate">
  <h1>
    <img class="new" src="/images/icon_createnew_gate.gif" alt="{NEW3} {OGATE}" />
    <!--<img src="/images/icon_createnew_gate.gif" width="32" height="32" alt="{NEW3} {OGATE}" />-->
    {CREATE_CREATENEWGATE}
  </h1>
  <p>{GATE}</p>

  <fieldset class="radio">
    <p>
      <input type="radio" id="objkind" name="objkind" value="single-exit" checked="checked" />
      <label for="objkind">{GATE_DIRECT}</label>
      <span class="helpicon" id="help_gatedirect_icon_open"><a href="javascript:show('help_gatedirect')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <span class="helpicon" id="help_gatedirect_icon_close" style="display:none;"><a href="javascript:hide('help_gatedirect')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <div class="help helpgates" id="help_gatedirect">
		<div>{HELP}: {GATE_DIRECT}</div>
		<p>{GATE_DIRECT_DESC}</p>
		<p><a href="javascript:hide('help_gatedirect')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>
    <p>
      <input type="radio" id="objkind2" name="objkind" value="exit" />
      <label for="objkind2">{BIDIRECTIONAL}</label>
      <span class="helpicon" id="help_bidirectional_icon_open"><a href="javascript:show('help_bidirectional')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <span class="helpicon" id="help_bidirectional_icon_close" style="display:none;"><a href="javascript:hide('help_bidirectional')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <div class="help helpgates" id="help_bidirectional">
		<div>{HELP}: {BIDIRECTIONAL}</div>
		<p>{BIDIRECTIONAL_DESC}</p>
		<p><a href="javascript:hide('help_bidirectional')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>
  </fieldset>

  <p>{CREATE_GATE_DEFINETARGET}</p>

  <fieldset>
    <p>
      <label class="grid">{DEST}:</label>
      <input type="hidden" id="name_input" name="name_input" value="{$name_input}" />
      <input type="text" name="destination" id="destination" size="22" />
    </p>
  </fieldset>
</xsl:template>

<xsl:template name="Gate_name_input">
  <h1>
    <img class="new" src="/images/icon_createnew_gate.gif" alt="{NEW3} {OGATE}" />
    <!-- <img src="/images/icon_createnew_gate.gif" width="32" height="32" alt="{NEW3} {OGATE}" /> -->
    {CREATE_CREATENEWGATE}
  </h1>

  <p>{GATE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>
    <p>
      <input type="hidden" name="_action" value="{$_perform}" />
      <input type="hidden" name="id" value="{$env}" />
      <input type="hidden" name="room" value="{$room}" />
      <input type="hidden" name="_perform" value="{$_perform}" />
      <input type="hidden" name="_performdesc" value="{$_performdesc}" />
      <input type="hidden" name="_context" value="{$env}" />
      <input type="hidden" name="objsel" value="{$objsel}" />      
      <input type="hidden" id="name_input" name="name_input" value="false" />
    </p>
  </fieldset>
</xsl:template>


<xsl:template name="Container">
  <h1>
    <xsl:if test="$mode='Container'">
      <img class="new" src="/images/icon_createnew_container.gif" alt="" />
      <!--<img src="/images/icon_createnew_container.gif" width="32" height="32" alt="" />-->
      {CREATE_CREATENEWCONTAINER}
    </xsl:if>
    <xsl:if test="$mode='Area'">
      <img class="new" src="/images/icon_createnew_area.gif" alt="" />
      <!-- <img src="/images/icon_createnew_area.gif" width="32" height="32" alt="" /> -->
      {CREATE_CREATENEWAREA}
    </xsl:if>
	<xsl:if test="$mode='Mail_Container'">
      <img class="new" src="/images/icon_createnew_container.gif" alt="" />
      <!--<img src="/images/icon_createnew_container.gif" width="32" height="32" alt="" />-->
      {CREATE_CREATENEWMAILCONTAINER}
    </xsl:if>
  </h1>

  <p>{CREATE_DEFINE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>
    <xsl:if test="$mode='Container'">
      <p>
        <label class="grid" for="gallery">{GALLERY}:</label>
        <input type="checkbox" id="gallery" name="gallery" />
        <label for="gallery">{CREATE_CONTAINER_CONTAINSIMAGES}</label>
      </p>
    </xsl:if>
  </fieldset>
</xsl:template>


<xsl:template name="Messageboard">
  <h1>
    <img class="new" src="/images/icon_createnew_messageboard.gif" alt="" />
    <!-- <img src="/images/icon_createnew_messageboard.gif" width="32" height="32" alt="" /> -->
    {CREATE_CREATENEWMESSAGEBOARD}
  </h1>

  <p>{CREATE_DEFINE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>
  </fieldset>
</xsl:template>


<xsl:template name="Link">
  <h1>
    <img class="new" src="/images/icon_createnew_reference.gif" alt="" />
    <!-- <img src="/images/icon_createnew_reference.gif" width="32" height="32" alt="" /> -->
    {CREATE_CREATENEWLINK}
  </h1>

  <p>{CREATE_DEFINE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>
    <p>
      <label class="grid" for="adress">{CREATE_URL}:</label>
      <input type="text" size="22"  id="adress" name="adress" />
    </p>
  </fieldset>
</xsl:template>


<xsl:template name="Monitor">
  <h1>{MONITOR}</h1>

  <p>{CREATE_DEFINE}</p>

  <fieldset>
    <xsl:call-template name="namedesc"/>
  </fieldset>
</xsl:template>


<xsl:template match="createsub">
  <xsl:choose>
    <xsl:when test="$mode='Document'">
      <form class="document" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="document" />
        </fieldset>
        <xsl:call-template name="Upload"/>
        <!-- direkt in Upload verschoben
        <fieldset style="vertical-align:bottom;">
          <p><input type="submit" value="{CREATE_UPLOADFILE}" /></p>
        </fieldset>-->
      </form>
    </xsl:when>
    
    <xsl:when test="$mode='EmptyDocument'">
      <form class="document" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="emptydocument" />
        </fieldset>
        <xsl:call-template name="EmptyDocument"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Container'">
      <form class="container" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="container" />
        </fieldset>
        <xsl:call-template name="Container"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>
	
	<xsl:when test="$mode='Mail_Container'">
      <form class="container" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="mail_container" />
        </fieldset>
        <xsl:call-template name="Container"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Area'">
      <form class="area" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="room" />
        </fieldset>
        <xsl:call-template name="Container"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Gallery'">
      <form class="gallery" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="gallery" />
        </fieldset>
        <xsl:call-template name="Container"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Forum'">
      <form class="forum" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
          <input type="hidden" id="objkind" name="objkind" value="messageboard" />
        </fieldset>
        <xsl:call-template name="Messageboard"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Gate'">
      <form class="gate_create" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_gatetarget(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
        </fieldset>
        <xsl:call-template name="Gate"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_GATE_CONTINUE}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Gate_Name'">
      <form class="gate_create" name="createform" action="/scripts/browser.pike" enctype="multipart/form-data" method="post" onsubmit="return check_gatetarget(this)">
        <fieldset class="hidden">
          <input type="hidden" id="environment" name="environment" value="{$env}" />
        </fieldset>
        <xsl:call-template name="Gate_name_input"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>
    
    <xsl:when test="$mode='Link'">
      <form class="link" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="objkind" name="objkind" value="link" />
          <input type="hidden" id="environment" name="environment" value="{$env}" />          
        </fieldset>
        <xsl:call-template name="Link"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>

    <xsl:when test="$mode='Monitor'">
      <form class="monitor" name="createform" action="/scripts/create.pike" enctype="multipart/form-data" method="post" onsubmit="return check_create(this)">
        <fieldset class="hidden">
          <input type="hidden" id="objkind" name="objkind" value="monitor" />
        </fieldset>
        <xsl:call-template name="Monitor"/>
        <fieldset>
          <p><input type="submit" value="{CREATE_THIS_OBJECT}" /></p>
        </fieldset>
      </form>
    </xsl:when>
  </xsl:choose>
</xsl:template>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript" />  
  <script src="/gui_js/create.js" type="text/javascript" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{CREATE_TITLE_CREATENEWOBJECT} | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>


<body id="create" class="popup">
<xsl:attribute name="onload">
<xsl:choose>
  <xsl:when test="$mode='Gate'">center_frame(); focus(); setFocusById('destination');</xsl:when>
  <xsl:otherwise>center_frame(); focus(); setFocusById('name');</xsl:otherwise>
</xsl:choose>
</xsl:attribute>


<div id="container">
  <xsl:apply-templates select="createmain/createsub"/>
</div>

</body>

</html>
</xsl:template>
</xsl:stylesheet>
