<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="mode">common</xsl:param> <!-- bei common werden eigenschaften, bei advanced aktionen angezeigt -->
<!-- legt fest, welche image map fÃ¼r die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="map"><xsl:choose><xsl:when test="/Object/@type='Group'">groups</xsl:when><xsl:otherwise>navigation</xsl:otherwise></xsl:choose></xsl:param>
<!-- enthÃ¤lt die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="topnavi"><xsl:choose><xsl:when test="/Object/@type='Group'">groups</xsl:when><xsl:otherwise>navigation</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="bottomnavi">details</xsl:param> <!-- legt fest, welches sekundaer navigationselement hervorgehoben wird -->
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="editicon">no</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav">off</xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="language"/>
<xsl:param name="stylesheetdetails">none</xsl:param>
<xsl:param name="_perform"/>
<xsl:param name="selecteddiff">0</xsl:param>
<xsl:param name="jump">0</xsl:param>

<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>

<xsl:variable name="objectdata_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'objectdata']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="settings_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'settings']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="stylesheets_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'settings']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="instances_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'instances']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="multilanguage_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'multilanguage']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="versions_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'versions']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="publication_display">
  <xsl:choose>
    <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'publication']/value/string = 'inline'">
      inline
    </xsl:when>
    <xsl:otherwise>none</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:template match="Object">
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:variable name="ftp">
  <xsl:choose>
    <xsl:when test="$os = 'windows nt'">0</xsl:when>
    <xsl:when test="$os='linux'">0</xsl:when>
    <xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/attributes.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>  
  </title>
  <xsl:call-template name="browsercss"/>
</head>

<xsl:choose>
  <xsl:when test="$stylesheetdetails='none'">
    <xsl:call-template name="show_details"/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:call-template name="show_stylesheet_details"/>
  </xsl:otherwise>
</xsl:choose>

</html>
</xsl:template>


<xsl:template name="show_details">
<body>
<xsl:choose>
  <xsl:when test="$mode='common' or $mode=''">
    <xsl:attribute name="id">properties</xsl:attribute>
<!--
    <xsl:attribute name="onload">setFocusById('name')</xsl:attribute>
 -->
  </xsl:when>
  <xsl:otherwise>
    <xsl:attribute name="id">actions</xsl:attribute>
  </xsl:otherwise>
</xsl:choose>

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <!-- Show group header if display a group -->
      <xsl:choose>
        <xsl:when test="/Object/@type='Group'">
          <xsl:attribute name="class">groupproperties</xsl:attribute>
          <!-- Zeige Gruppen- header an (aus group.xsl) -->
          <xsl:call-template name="group_header"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="name=''"><h1>{DETAILS_NODESCRIPTION}</h1></xsl:when>
          </xsl:choose>
          <xsl:call-template name="show_trail"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- NavLeiste2 nur einblenden, falls keine Gruppeneigenschaften angezeigt werden (dort wird die Leiste in group_header angezeigt) -->
    <!--xsl:if test="$mode='common' or $mode=''"-->
      <xsl:if test="/Object/@type!='Group'">
        <xsl:call-template name="nav2"/>
      </xsl:if>
    <!--/xsl:if-->

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post" enctype="multipart/form-data">
        <fieldset class="hidden">
          <input type="hidden" name="jump" value="{$jump}" />
          <input type="hidden" name="object" value="{$object}" />
          <input type="hidden" name="id" value="{$object}" />
          <input type="hidden" name="_action" value="update_main_attr" />
          <input type="hidden" name="_context" value="{$object}" />
          <input type="hidden" name="upgrade" value="{$object}" />
          <input type="hidden" name="type" value="details" />
          <input type="hidden" name="_link_exchange" value="" />
          <input type="hidden" name="_xsl_usepublic" value="" />
          <input type="hidden" name="popup_id" value="{$object}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="mode" value="{$mode}"/>
          <input type="hidden" name="_perform" value=""/>

          <!-- to determine if updating a group. used by elmexs stuff in attributes.js -->
          <xsl:if test="/Object/@type!='Group'">
            <input type="hidden" name="isgroup" value="false" />
          </xsl:if>
          <xsl:if test="/Object/@type='Group'">
            <input type="hidden" name="isgroup" value="true" />
            <input type="hidden" name="_script" value="/groups/{/Object/path/path}" />
          </xsl:if>
        </fieldset>
        
        <fieldset class="hidden">
          <input type="hidden" id="wilayout_details_objectdata" name="wilayout_details_objectdata" value="{$objectdata_display}"/>
          <input type="hidden" id="wilayout_details_settings" name="wilayout_details_settings" value="{$settings_display}"/>
          <input type="hidden" id="wilayout_details_stylesheets" name="wilayout_details_stylesheets" value="{$stylesheets_display}"/>
          <input type="hidden" id="wilayout_details_instances" name="wilayout_details_instances" value="{$instances_display}"/>
          <input type="hidden" id="wilayout_details_multilanguage" name="wilayout_details_multilanguage" value="{$multilanguage_display}"/>
          <input type="hidden" id="wilayout_actions_publication" name="wilayout_actions_publication" value="{$publication_display}"/>
          <input type="hidden" id="wilayout_actions_versions" name="wilayout_actions_versions" value="{$versions_display}"/>
        </fieldset>
        
        <xsl:choose>
          <xsl:when test="$mode='common' or $mode=''">
            <xsl:call-template name="common" />
          </xsl:when>
          <xsl:when test="$mode='advanced'">
            <xsl:call-template name="advanced" />
          </xsl:when>
        </xsl:choose>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>
</xsl:template>

<xsl:template name="common">
<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{COM_OBJDESCR} <xsl:value-of select="name" /></h2>

<xsl:if test="/Object/attributes/attribute[key/string='local_attr_handler']">
<p><a href="/scripts/execute.pike?script={/Object/attributes/attribute[key/string='local_attr_handler']/data/object/id}&amp;object={$object}">Erweiterte Attribute</a></p>
</xsl:if>

<fieldset class="grid">
  <!--<p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DET_DEF_ATTRIBUTES_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DET_DEF_ATTRIBUTES_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>-->

  <p>
    <label class="grid" for="name">{COM_NAME}:</label>
    <xsl:if test="/Object/@type!='Group'">
    	<xsl:choose>
			<xsl:when test="@type='Trashbin'">
				{CONTENT_TRASHBIN_NAME}
			</xsl:when>
			<xsl:otherwise>
				<input type="text" id="name" name="attr_OBJ_NAME" size="33"  value="{attributes/attribute[key/string='OBJ_NAME']/data/string}">
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
			</xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:if test="/Object/@type='Group'">
      <input type="text" id="name" name="name" size="33"  value="{name}">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
    </xsl:if>
	<xsl:if test="@type!='Trashbin'">
		<span class="helpicon" id="help_objectname_icon_open"><a href="javascript:show('help_objectname')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
		<span class="helpicon" id="help_objectname_icon_close" style="display:none;"><a href="javascript:hide('help_objectname')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	</xsl:if>
  </p>
  <div class="help" id="help_objectname">
  <div>{HELP}: {DETAILS_OBJECTNAME_HELP_HEADING}</div>
  <p>{DET_DEF_ATTRIBUTES_LONG}</p>
  <p><a href="javascript:hide('help_objectname')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
  </div>  

  <p>
    <label class="grid" for="attr_OBJ_DESC">{COM_DESCR}:</label>
		<xsl:choose>
			<xsl:when test="@type='Trashbin'">
				{CONTENT_TRASHBIN_DESCRIPTION}
			</xsl:when>
			<xsl:otherwise>
				<textarea id="attr_OBJ_DESC" name="attr_OBJ_DESC" rows="2" cols="33"><xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if><xsl:value-of select="attributes/attribute[key/string='OBJ_DESC']/data/string"/></textarea>
			</xsl:otherwise>
		</xsl:choose>
  </p>

<xsl:if test="@type!='Trashbin'">
  <xsl:if test="/Object/access/writeable/@user != 'false'">
    <p class="update">
      <xsl:if test="/Object/@type!='Group'">
        <input type="button" value="{DETAILS_UPDATE}" onclick="update_main_attr(this.form);" />
      </xsl:if>
      <xsl:if test="/Object/@type='Group'">
        <input type="button" value="{DETAILS_UPDATE}" onclick="update_grp_attr(this.form);"/>
      </xsl:if>
    </p>
  </xsl:if>
</xsl:if>
</fieldset>

  <xsl:variable name="objectdata_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'objectdata']/value/string = 'inline'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="objectdata_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'objectdata']/value/string = 'inline'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>



<div id="objectdata_scale_link_hide" style="display:{$objectdata_scale_display}">
	<h4><a href="javascript:hide_div_persistent('details', 'objectdata_scale');" title="{HIDE}: {DETAILS_COM_OBJECTDATA_HEADING}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_COM_OBJECTDATA_HEADING} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
	&#160;{DETAILS_COM_OBJECTDATA_HEADING_ADDITION}</a></h4>
</div>
<div id="objectdata_scale_link_show" style="display:{$objectdata_scale_display_alt}">
	<h4><a href="javascript:show_div_persistent('details', 'objectdata_scale');" title="{SHOW}: {DETAILS_COM_OBJECTDATA_HEADING}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_COM_OBJECTDATA_HEADING} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
	&#160;{DETAILS_COM_OBJECTDATA_HEADING_ADDITION}</a></h4>
</div>

<div id="objectdata_scale" style="display:{$objectdata_scale_display}">
<fieldset class="grid">
   <p>
    <label for="objid" class="grid">{DETAILS_COM_OBJECTID}:</label>
    <span id="objid"><xsl:value-of select="/Object/id"/></span>
    <span class="helpicon" id="help_objectid_icon_open"><a href="javascript:show('help_objectid')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <span class="helpicon" id="help_objectid_icon_close" style="display:none;"><a href="javascript:hide('help_objectid')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  </p>
	
  <div class="help" id="help_objectid">
  <div>{HELP}: {DETAILS_OBJECTID_HELP_HEADING}</div>
  <p>{DETAILS_COM_OBJECTID_DEFINITION}</p>
  <p><a href="javascript:hide('help_objectid')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
  </div>  
  
  <p>
    <label class="grid" for="size">{COM_SIZE}:</label>
    <span id="size">
      <xsl:choose>
        <xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin' or /Object/@type='Room'">
          <xsl:choose>
            <xsl:when test="/Object/inventory-size=''"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
            <xsl:when test="/Object/inventory-size=1">
			  <xsl:value-of select="/Object/inventory-size"/> {COM_ONE_OBJECT}
			</xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="/Object/inventory-size"/> {COM_OBJECTS}
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:when test="/Object/@type='Group'">
          <xsl:value-of select="count(/Object/members/Object)"/>&#160;
          <xsl:choose>
            <xsl:when test="count(/Object/members/Object) = 1">
              {GROUP_USERLIST_MEMBER}
            </xsl:when>
            <xsl:otherwise>
              {GROUP_USERLIST_MEMBERS}
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="content/size=''"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template> (<xsl:value-of select="content/size"/> {COM_BYTES})
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </span>
  </p>

  <p>
    <label class="grid" for="created">{COM_CREATED}:</label>
    <span id="created">
      <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
document.write(get_date("</xsl:text><xsl:value-of select="attributes/attribute[key/string='OBJ_CREATION_TIME']/data/int"/><xsl:text disable-output-escaping="yes">"));
//]]&gt;&lt;/script&gt;</xsl:text>
    </span>
  </p>

  <p>
    <label class="grid" for="lastaccess">{COM_LASTACCESS}:</label>
    <span id="lastaccess">
      <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
document.write(get_date("</xsl:text><xsl:value-of select="attributes/attribute[key/string='DOC_LAST_ACCESSED']/data/int"/><xsl:text disable-output-escaping="yes">"));
//]]&gt;&lt;/script&gt;</xsl:text>
    </span>
  </p>

  <p>
    <label class="grid" for="createdby">{COM_CREATEDBY}:</label>
    <span id="createdby">
      <a href="/scripts/navigate.pike?object={/Object/owner/object/id}&amp;type=details&amp;room={$room}" title="{DETAILS_USER_OPENPROFILE}">
      <!--<a href="javascript:open_userdetails('{/Object/owner/object/id}');" title="{DETAILS_USER_OPENPROFILE}{NEW_WINDOW}">-->
        <xsl:value-of select="/Object/owner/object/name"/>
      </a>
    </span>
  </p>
</fieldset>
</div><!-- End Objectdata_scale -->

  <xsl:variable name="settings_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'settings']/value/string = 'inline' or $jump='conttype'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="settings_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'settings']/value/string = 'inline' or $jump='conttype'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

<div id="settings_scale_link_hide" style="display:{$settings_scale_display}">
	<h4><a href="javascript:hide_div_persistent('details', 'settings_scale');" title="{HIDE}: {DETAILS_SETTINGS_HEADING}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_SETTINGS_HEADING} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
	&#160;{DETAILS_SETTINGS_HEADING_ADDITION}</a></h4>
</div>
<div id="settings_scale_link_show" style="display:{$settings_scale_display_alt}">
	<h4><a href="javascript:show_div_persistent('details', 'settings_scale');" title="{SHOW}: {DETAILS_SETTINGS_HEADING}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_SETTINGS_HEADING} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
	&#160;{DETAILS_SETTINGS_HEADING_ADDITION}</a></h4>
</div>
<div id="settings_scale" style="display:{$settings_scale_display}">

<a name="keywords"/><h4>{DET_DEF_KEYWORDS_TITLE}</h4>
<fieldset class="grid">
	<!--
	<p class="desc">
		<xsl:call-template name="print_helptext">
			<xsl:with-param name="short">{DET_DEF_KEYWORDS_SHORT}</xsl:with-param>
			<xsl:with-param name="long"><xsl:text><![CDATA[{DET_DEF_KEYWORDS_LONG}]]></xsl:text></xsl:with-param>
		</xsl:call-template>
	</p>-->

  <p>    	
    <label class="grid" for="keyword_new1">{ADV_KEYWORDS}:</label>
    <input type="text" id="keyword_new1" name="keyword_new" size="15" >
    <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <input type="text" id="keyword_new2" name="keyword_new" size="15" >
    <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <input type="text" id="keyword_new3" name="keyword_new" size="15" >
    <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <input type="text" id="keyword_new4" name="keyword_new" size="15" >
    <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <span class="helpicon" id="help_keywords_icon_open"><a href="javascript:show('help_keywords')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	<span class="helpicon" id="help_keywords_icon_close" style="display:none;"><a href="javascript:hide('help_keywords')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  </p>

  <p>
    <xsl:for-each select="attributes/attribute[key/string='OBJ_KEYWORDS']/data/array/string">
      <input type="text" name="keyword_{position()}" size="15"  value="{.}">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
    </xsl:for-each>
  </p>
  <xsl:if test="/Object/access/writeable/@user != 'false'">
    <p class="update">
      <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='keywords';update_keywords(this.form);"/>
    </p>
  </xsl:if>
  <div class="help" id="help_keywords">
  <div>{HELP}: {DET_DEF_KEYWORDS_TITLE}</div>
  <p>{DET_DEF_KEYWORDS_LONG}</p>
  <p><a href="javascript:hide('help_keywords')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
  </div>   
</fieldset>  

<a name="icon"/><h4>{DET_DEF_ICON_TITLE}</h4>
<fieldset class="grid">
  <p>
    <label class="grid" for="curricon">{ADV_CURRICON}:</label>
    <span id="curricon"><img class="current_icon" src="/scripts/get.pike?object={/Object/icon/object/id}" alt="" /></span>    
  </p>
  <xsl:if test="/Object/access/writeable/@user != 'false'">
    <p>
      <label class="grid" for="icon_image">{ADV_NEWICON}:</label>
      <input type="file" size="17" id="icon_image" name="icon_image" accept="image/gif,image/png"/>
      <input type="hidden" name="editicon" value="no" />
      <span class="helpicon" id="help_newicon_icon_open"><a href="javascript:show('help_newicon')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <span class="helpicon" id="help_newicon_icon_close" style="display:none;"><a href="javascript:hide('help_newicon')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='icon';return check_iconfilename(this.form);" />
      </p>
    </xsl:if>
    <div class="help" id="help_newicon">
    <div>{HELP}: {DET_DEF_ICON_TITLE}</div>
    <p>{DET_DEF_ICON_LONG}</p>
    <p><a href="javascript:hide('help_newicon')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
    </div>       
  </xsl:if>
</fieldset>

<xsl:if test="@type='Document'">
<a name="mimetype"/><h4>{DETAILS_IMAGE_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <!--<p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DETAILS_IMAGE_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DETAILS_IMAGE_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>-->

    <p>	  
      <label class="grid" for="attr_DOC_MIME_TYPE">{DETAILS_IMAGE_DEFINITION_TITLE}:</label>
      <input type="text" id="attr_DOC_MIME_TYPE" name="attr_DOC_MIME_TYPE" size="33"  value="{attributes/attribute[key/string='DOC_MIME_TYPE']/data/string}">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
      <span class="helpicon" id="help_mime_icon_open"><a href="javascript:show('help_mime')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	  <span class="helpicon" id="help_mime_icon_close" style="display:none;"><a href="javascript:hide('help_mime')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='mimetype';update_main_attr(this.form);"/>
      </p>
    </xsl:if>    
  <div class="help" id="help_mime">
  <div>{HELP}: {DETAILS_IMAGE_DEFINITION_TITLE}</div>
  <p>{DETAILS_IMAGE_DEFINITION_LONG}</p>
  <p><a href="javascript:hide('help_mime')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
  </div>  
  </fieldset>

<!--
  <xsl:if test="substring-before(attributes/attribute[key/string='DOC_MIME_TYPE']/data/string,'/')='image'">
    <a name="imagerotation"/><h4>{ADV_ROTATION_HEADING}</h4>
    <fieldset class="grid">
      <p>
        <label class="grid" for="attr_DOC_IMAGE_ROTATION">{ADV_ROTATION}</label>
        <input type="text" id="attr_DOC_IMAGE_ROTATION" name="attr_DOC_IMAGE_ROTATION" size="3" maxlength="3" value="{attributes/attribute[key/string='DOC_IMAGE_ROTATION']/data/int}" >
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
        <span class="helpicon" id="help_rotation_icon_open"><a href="javascript:show('help_rotation')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	    <span class="helpicon" id="help_rotation_icon_close" style="display:none;"><a href="javascript:hide('help_rotation')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      </p>
      <xsl:if test="/Object/access/writeable/@user != 'false'">
        <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='imagerotation';update_main_attr(this.form);"/>
        </p>
      </xsl:if>
	  <div class="help" id="help_rotation">
	   <div>{HELP}: {DETAILS_ROTATION_DEFINITION_TITLE}</div>
	   <p>{DETAILS_IMAGE_DEFINITION_ROTATION}</p>
	   <p><a href="javascript:hide('help_rotation')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	  </div>
    </fieldset>
  </xsl:if>
-->
  <xsl:if test="substring-before(attributes/attribute[key/string='DOC_MIME_TYPE']/data/string,'/')='text' or attributes/attribute[key/string='DOC_MIME_TYPE']/data/string = 'application/x-javascript'">
    <a name="fileencoding"/><h4>{DETAILS_ENCODING_DEFINITION_TITLE}</h4>
    <fieldset class="grid">
      <!--<p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DETAILS_ENCODING_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DETAILS_ENCODING_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>-->

      <p>		
        <label class="grid" for="attr_DOC_ENCODING">Encoding:</label>
        <select id="attr_DOC_ENCODING" name="attr_DOC_ENCODING">
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <xsl:choose>
          <xsl:when test="/Object/attributes/attribute[key/string='DOC_ENCODING']/data/string='utf-8'">
              <option value="utf-8" selected="selected">utf-8</option>
              <option value="iso-8859-1">iso-8859-1</option>
              <option value="0">{ADV_ENCODING_NOTDEFINED}</option>
            </xsl:when>
            <xsl:when test="/Object/attributes/attribute[key/string='DOC_ENCODING']/data/string='iso-8859-1'">
              <option value="utf-8">utf-8</option>
              <option value="iso-8859-1" selected="selected">iso-8859-1</option>
              <option value="0">{ADV_ENCODING_NOTDEFINED}</option>
            </xsl:when>
            <xsl:when test="count(/Object/attributes/attribute[key/string='DOC_ENCODING']) > 0 and /Object/attributes/attribute[key/string='DOC_ENCODING']/data/string!=''">
              <option value="utf-8">utf-8</option>
              <option value="iso-8859-1">iso-8859-1</option>
              <option value="{/Object/attributes/attribute[key/string='DOC_ENCODING']/data/string}" selected="selected"><xsl:value-of select="/Object/attributes/attribute[key/string='DOC_ENCODING']/data/string"/></option>
              <option value="0">{ADV_ENCODING_NOTDEFINED}</option>
            </xsl:when>
            <xsl:otherwise>
              <option value="utf-8">utf-8</option>
              <option value="iso-8859-1">iso-8859-1</option>
              <option value="0" selected="selected">{ADV_ENCODING_NOTDEFINED}</option>
            </xsl:otherwise>
          </xsl:choose>
        </select>
        <span class="helpicon" id="help_encoding_icon_open"><a href="javascript:show('help_encoding')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
		<span class="helpicon" id="help_encoding_icon_close" style="display:none;"><a href="javascript:hide('help_encoding')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      </p>
      <xsl:if test="/Object/access/writeable/@user != 'false'">
        <p class="update">
          <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='fileencoding';update_main_attr(this.form);"/>
        </p>
      </xsl:if>
        <div class="help" id="help_encoding">
		<div>{HELP}: {DETAILS_ENCODING_DEFINITION_TITLE}</div>
		<p>{DETAILS_ENCODING_DEFINITION_LONG}</p>
		<p><a href="javascript:hide('help_encoding')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
		</div>  
    </fieldset>
  </xsl:if>

  <xsl:if test="content/mime-type='text/xml' or content/mime-type='text/wiki'">
    <fieldset class="grid">
      <p>	
        <label class="grid" for="attr_xsl_document">XSL Stylesheet:</label>
        <input type="text" id="attr_xsl_document" name="attr_xsl__document" size="33"  value="{attributes/attribute[key/string='xsl:document']/data/object/path}" >
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
      </p>
      <xsl:if test="/Object/access/writeable/@user != 'false'">
        <p class="update">
          <input type="button" value="{DETAILS_UPDATE}" onclick="update_main_attr(this.form);" />
        </p>   
      </xsl:if>
    </fieldset>
  </xsl:if>
</xsl:if>


<xsl:if test="@type='Container' or @type='Room'">
  <a name="sortopt"/>
  <h4>{DETAILS_CONT_SORTOPTIONS_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <xsl:if test="@type='Room'">  <!-- sortieroption verbindungen nur bei arealen einblenden -->
      <p>        
        <label class="grid" for="attr_web_sort_exits">{ADV_EXIT}:</label>
        <xsl:value-of select="/Object/attributes/attribute[key/string='web:sort:exits']/value/string"/>
        <select id="attr_web_sort_exits" name="attr_web:sort:exits">
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <xsl:choose>
          <xsl:when test="/Object/attributes/attribute[key/string='web:sort:exits']/data/string='name'">
              <option value="name" selected="selected">Name</option>
              <option value="last-modified/time">{ADV_SORT_LSTMOD}</option>
              <option value="0">{ADV_SORT_NONE}</option>
            </xsl:when>
            <xsl:when test="/Object/attributes/attribute[key/string='web:sort:exits']/data/string='last-modified/time'">
              <option value="name">Name</option>
              <option value="last-modified/time" selected="selected">{ADV_SORT_LSTMOD}</option>
              <option value="0">{ADV_SORT_NONE}</option>
            </xsl:when>
            <xsl:otherwise>
              <option value="name">Name</option>
              <option value="last-modified/time">{ADV_SORT_LSTMOD}</option>
              <option value="0" selected="selected">{ADV_SORT_NONE}</option>
            </xsl:otherwise>
          </xsl:choose>
        </select>
        <span class="helpicon" id="help_sortopt_icon_open"><a href="javascript:show('help_sortopt')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
		<span class="helpicon" id="help_sortopt_icon_close" style="display:none;"><a href="javascript:hide('help_sortopt')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      </p>

      <xsl:if test="/Object/attributes/attribute[key/string='web:sort:exits']/data/int='0'">
        <p class="update">
          <input type="button" value="{DETAILS_SORT_AREAS_USERDEFINE}" onclick="order_exits('{$object}')">
          <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
          </input>
        </p>
      </xsl:if>
    </xsl:if>

    <p>
      <label class="grid" for="attr_web_sort_objects">{ADV_OBJ}:</label>
      <select id="attr_web_sort_objects" name="attr_web__sort__objects">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <xsl:choose>
          <xsl:when test="/Object/attributes/attribute[key/string='web:sort:objects']/data/string='name'">
            <option value="name" selected="selected">Name</option>
            <option value="last-modified/time">{ADV_SORT_LSTMOD}</option>
            <option value="0">{ADV_SORT_NONE}</option>
          </xsl:when>
          <xsl:when test="/Object/attributes/attribute[key/string='web:sort:objects']/data/string='last-modified/time'">
            <option value="name">Name</option>
            <option value="last-modified/time" selected="selected">{ADV_SORT_LSTMOD}</option>
            <option value="0">{ADV_SORT_NONE}</option>
          </xsl:when>
          <xsl:otherwise>
            <option value="name">Name</option>
            <option value="last-modified/time">{ADV_SORT_LSTMOD}</option>
            <option value="0" selected="selected">{ADV_SORT_NONE}</option>
          </xsl:otherwise>
        </xsl:choose>
      </select>
      <xsl:if test="@type!='Room'">
      <span class="helpicon" id="help_sortopt_icon_open"><a href="javascript:show('help_sortopt')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	  <span class="helpicon" id="help_sortopt_icon_close" style="display:none;"><a href="javascript:hide('help_sortopt')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>      
      </xsl:if>
    </p>

    <xsl:if test="/Object/attributes/attribute[key/string='web:sort:objects']/data/int='0'">
      <p class="update">
        <input type="button" value="{DETAILS_SORT_CONTAINER_USERDEFINE}" onclick="order_container('{$object}')">
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
      </p>
    </xsl:if>

    <xsl:if test="/Object/attributes/attribute[key/string='web:sort:objects']/data/int='0'">
      <p class="update">
        <input type="button" value="{DETAILS_SORT_OBJECTS_USERDEFINE}" onclick="order_objects('{$object}')" >
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
      </p>
    </xsl:if>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='sortopt';update_main_attr(this.form);" />
      </p>
    </xsl:if>
    <div class="help" id="help_sortopt">
	<div>{HELP}: {DETAILS_CONT_SORTOPTIONS_DEFINITION_TITLE}</div>
	<div class="help_content">{DETAILS_CONT_SORTOPTIONS_DEFINITION_LONG}</div>
	<p><a href="javascript:hide('help_sortopt')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>       
  </fieldset>
</xsl:if>


<!-- Container type  e.g default, multi_language -->
<xsl:if test="(/Object/@type='Container' or /Object/@type='Room') and count(/Object/multilanguage_languages/struct/member) > 0">
  <a name="conttype"/><h4>{DETAILS_CONT_TYPE_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <!--<p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DETAILS_CONT_TYPE_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DETAILS_CONT_TYPE_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>-->

    <p>      
      <label class="grid" for="cont_type">{DETAILS_CONTTYPE}:</label>
      <select id="cont_type" name="cont_type">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <xsl:choose>
          <xsl:when test="/Object/attributes/attribute[key/string='cont_type']/data/string='multi_language'">
            <option value="default">{DETAILS_CONTTYPE_DEFAULT}</option>
            <option value="multi_language" selected="selected">{DETAILS_CONTTYPE_MULTILANGUAGE}</option>
          </xsl:when>
          <xsl:otherwise>
            <option value="default" selected="selected">{DETAILS_CONTTYPE_DEFAULT}</option>
            <option value="multi_language">{DETAILS_CONTTYPE_MULTILANGUAGE}</option>
          </xsl:otherwise>
        </xsl:choose>
      </select>
      <span class="helpicon" id="help_conttype_icon_open"><a href="javascript:show('help_conttype')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	  <span class="helpicon" id="help_conttype_icon_close" style="display:none;"><a href="javascript:hide('help_conttype')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>            
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='conttype';update_cont_type(this.form);" />
      </p>
    </xsl:if>
    <div class="help" id="help_conttype">
	<div>{HELP}: {DETAILS_CONT_TYPE_DEFINITION_TITLE}</div>
	<p>{DETAILS_CONT_TYPE_DEFINITION_LONG}</p>
	<p><a href="javascript:hide('help_conttype')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>     
  </fieldset>
</xsl:if>

<xsl:if test="@type='Container' or @type='Room'">
<a name="contindex"/><h4>{DETAILS_CONT_CONTINDEX_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <p>
      <xsl:variable name="htmlindex"><xsl:if test="/Object/content/index != '0'"><xsl:value-of select="/Object/content/index" /></xsl:if></xsl:variable>
      <label class="grid" for="attr_html_index">{ADV_CONT}:</label>
      <input type="text" id="attr_html_index" name="attr_html__index" size="33"  value="{$htmlindex}">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
      <span class="helpicon" id="help_contindex_icon_open"><a href="javascript:show('help_contindex')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	  <span class="helpicon" id="help_contindex_icon_close" style="display:none;"><a href="javascript:hide('help_contindex')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='contindex';update_main_attr(this.form);" />
      </p>
    </xsl:if>         
    <div class="help" id="help_contindex">
	<div>{HELP}: {DETAILS_CONT_CONTINDEX_DEFINITION_TITLE}</div>
	<p>{DETAILS_CONT_CONTINDEX_DEFINITION_LONG}</p>
	<p><a href="javascript:hide('help_contindex')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>         
  </fieldset>
</xsl:if>

<!-- Disable Link Exchange option because link exchange cant be turned off
     anymore -->
<!--
<xsl:if test="/Object/@type='Container' or /Object/@type='Room'">
  <a name="exhtmllink"/><h4>{DETAILS_CONT_EXHTMLLNK_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <p>      
      <label class="grid">{ADV_EXHTMLLNK}:</label>
      <xsl:choose>
        <xsl:when test="number(attributes/attribute[key/string='CONT_EXCHANGE_LINKS']/data/int)=1">
          <input type="checkbox" id="link_exchange" name="link_exchange" checked="checked">
          <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
          </input>
        </xsl:when>
        <xsl:otherwise>
          <input type="checkbox" id="link_exchange" name="link_exchange">
          <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
          </input>
        </xsl:otherwise>
      </xsl:choose>
      <label for="link_exchange">{ADV_EXHTMLLNK_CHECKBOXTEXT}</label>
      <span class="helpicon" id="help_exhtmllink_icon_open"><a href="javascript:show('help_exhtmllink')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	  <span class="helpicon" id="help_exhtmllink_icon_close" style="display:none;"><a href="javascript:hide('help_exhtmllink')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>      
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='exhtmllink';update_main_attr(this.form);" />
      </p>
    </xsl:if>
    <div class="help" id="help_exhtmllink">
	<div>{HELP}: {DETAILS_CONT_EXHTMLLNK_DEFINITION_TITLE}</div>
	<p>{DETAILS_CONT_EXHTMLLNK_DEFINITION_LONG}</p>
	<p><a href="javascript:hide('help_exhtmllink')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>      
  </fieldset>
</xsl:if>
-->

<xsl:if test="/Object/@type='DocExtern'">
  <fieldset class="grid">
    <p>
      <label class="grid" for="attr_DOC_EXTERN_URL">URL:</label>
      <xsl:choose>
        <xsl:when test="attributes/attribute[key/string='DOC_EXTERN_URL']/locked='false'">
          <input type="text" id="attr_DOC_EXTERN_URL" name="attr_DOC_EXTERN_URL" size="33"  value="{attributes/attribute[key/string='DOC_EXTERN_URL']/data/string}" >
          <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
          </input>
        </xsl:when>
        <xsl:otherwise>
          <span id="attr_DOC_EXTERN_URL"><xsl:value-of select="attributes/attribute[key/string='DOC_EXTERN_URL']/data/string"/></span>
        </xsl:otherwise>
      </xsl:choose>
    </p>

    <xsl:if test="attributes/attribute[key/string='DOC_EXTERN_URL']/locked='false' and /Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="update_main_attr(this.form);" />
      </p>
    </xsl:if>
  </fieldset>
</xsl:if>

  <xsl:variable name="objtype"><xsl:if test="count(attributes/attribute[key/string='OBJ_TYPE']/data/string) > 0"><xsl:value-of select="attributes/attribute[key/string='OBJ_TYPE']/data/string" /></xsl:if></xsl:variable>
  <a name="objtype"/><h4>{DETAILS_OBJ_TYPE_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <p>
      <label class="grid" for="attr_OBJ_TYPE">{DETAILS_OBJ_TYPE}:</label>
      <input type="text" id="attr_OBJ_TYPE" name="attr_OBJ_TYPE" size="33"  value="{$objtype}" disabled="disabled">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute></xsl:if>
      </input>
      <xsl:if test="/Object/access/writeable/@user = 'true'">
        <span class="helpicon" id="lock_objtype_icon_open"><a href="javascript:unlock('attr_OBJ_TYPE')"><img src="/images/icon_lock_small.png" alt="" /></a></span>
      </xsl:if>
      <span class="helpicon" id="help_objtype_icon_open"><a href="javascript:show('help_objtype')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <span class="helpicon" id="help_objtype_icon_close" style="display:none;"><a href="javascript:hide('help_objtype')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='objtype';update_main_attr(this.form);" />
      </p>
    </xsl:if>         
    <div class="help" id="help_objtype">
    <div>{HELP}: {DETAILS_OBJ_TYPE_DEFINITION_TITLE}</div>
    <p>{DETAILS_OBJ_TYPE_DEFINITION_LONG}</p>
    <p><a href="javascript:hide('help_objtype')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
    </div>         
  </fieldset>
</div><!-- End settings_scale -->

<xsl:call-template name="more_attributes"/>

<xsl:if test="(/Object/@type='Container' or /Object/@type='Room') and count(/Object/attributes/attribute[key/string='cont_type']/data[string='multi_language'])>0">
  <xsl:call-template name="show_multi_language_details"/>
</xsl:if>

<xsl:if test="/Object/@type!='Group'">
  <xsl:variable name="stylesheets_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'stylesheets']/value/string = 'inline' or $jump='stylesheets'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="stylesheets_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'stylesheets']/value/string = 'inline' or $jump='stylesheets'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <a name="stylesheets" />
  <div id="stylesheets_scale_link_hide"  style="display:{$stylesheets_scale_display}"><h3><a href="javascript:hide_div_persistent('details', 'stylesheets_scale');" title="{HIDE}: {DETAILS_STYLESHEETS_OPTIONS_HELP_HEADING_TITLE}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_STYLESHEETS_OPTIONS} 
  	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
  </a></h3></div>
  <div id="stylesheets_scale_link_show"  style="display:{$stylesheets_scale_display_alt}"><h3><a href="javascript:show_div_persistent('details', 'stylesheets_scale');" title="{SHOW}: {DETAILS_STYLESHEETS_OPTIONS_HELP_HEADING_TITLE}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_STYLESHEETS_OPTIONS} 
  	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
  </a></h3></div>
  <div id="stylesheets_scale" style="display:{$stylesheets_scale_display}">
  
  <h4 id="groupstyles">{DETAILS_STYLESHEETS_OPTIONHEADER}</h4>
  <span class="helpicon helpicon_groupstyles" id="help_stylesheets_icon_open"><a href="javascript:show('help_stylesheets')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  <span class="helpicon helpicon_groupstyles" id="help_stylesheets_icon_close" style="display:none;"><a href="javascript:hide('help_stylesheets')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>  
  
  <xsl:if test="count(attributes/attribute[key/string = 'xsl:content']/data/struct/member/key/object)!=0 or count(stylesheet_adds/array/object)!=0">
  <fieldset class="grid">
    <xsl:for-each select="attributes/attribute[key/string = 'xsl:content']/data/struct/member/key/object">
      <xsl:call-template name="show_stylesheets">
        <xsl:with-param name="groupid"><xsl:value-of select="id"/></xsl:with-param>
      </xsl:call-template>
    </xsl:for-each>
    <xsl:for-each select="stylesheet_adds/array/object">
      <xsl:variable name="myid"><xsl:value-of select="id"/></xsl:variable>
      <xsl:if test="count(/Object/attributes/attribute[key/string='xsl:content']/data/struct/member/key/object[$myid=id]) = 0">
        <xsl:call-template name="show_stylesheets">
          <xsl:with-param name="groupid"><xsl:value-of select="id"/></xsl:with-param>
        </xsl:call-template>
      </xsl:if>
    </xsl:for-each>	
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='stylesheets'; update_stylesheets(this.form);" />
      </p>
    </xsl:if>
    <div class="help_stylesheets" id="help_stylesheets">
	<div>{HELP}: {DETAILS_STYLESHEETS_OPTIONS_HELP_HEADING}</div>
	<p>{DETAILS_STYLESHEETS_DEFINITION_LONG}</p>
	<p><a href="javascript:hide('help_stylesheets')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>     
  </fieldset>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <xsl:call-template name="show_add_options"/>
    </xsl:if>
  </xsl:if>
  </div>
  <div style="font-size:2px; height:2px;">&#160;</div>
</xsl:if>

<xsl:if test="content/mime-type='source/pike'">
  <xsl:apply-templates select="instances"/>
</xsl:if>
</xsl:template>

<!-- zeigt die "hinzufuegen"- optionen bei den Stylesheetdefinitionen an -->
<xsl:template name="show_add_options">
<h4 id="groupstyles">{DETAILS_ADDOPTIONS_ADD_GROUP_TITLE}</h4>
<fieldset class="grid">
  <p>
    <label class="grid" for="toadd">{DETAILS_ADDOPTIONS_ADD_GROUP}</label>  
    <label class="off" for="toadd">{DETAILS_ADDOPTIONS_ADD_HEADER}</label>
    <select id="toadd" name="toadd">  
      <xsl:for-each select="groups/array/object">
        <xsl:sort select="name"/>
        <option value="{id}"><xsl:value-of select="name"/></option>
      </xsl:for-each>
    </select>
    <input type="submit" value="{DETAILS_ADDOPTIONS_ADD}" onclick="jump.value='stylesheets';stylesheet_add(browser)" />
  </p>
  <p>
    <label class="grid" for="keywords_stylesheetadd">{DETAILS_ADDOPTIONS_ADD_SEARCHUSERS}</label>
    <input type="text" size="15" id="keywords_stylesheetadd" name="keywords_stylesheetadd" />
    <input type="button" value="{DETAILS_ADDOPTIONS_ADD_SEARCH}" onclick="jump.value='stylesheets';check_stylesheetadd(browser);" /><br />
    <input type="checkbox" id="longsearch" name="quicksearch" value="longsearch" title="{DETAILS_ADDOPTIONS_QUICKSEARCH_HELP}"/><label for="longsearch" class="checkbox">{DETAILS_ADDOPTIONS_QUICKSEARCH}</label>
  </p>
</fieldset>
</xsl:template>


<!-- Stellt die Publikationseigenschaften dar. Ob veroeffentlicht, welche URL benutzt wurde -->
<xsl:template name="show_publication_details">
  <xsl:variable name="publication_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'publication']/value/string = 'inline' or $jump='publication'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="publication_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'publication']/value/string = 'inline' or $jump='publication'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="publication" />
<div id="publication_scale_link_hide"  style="display:{$publication_scale_display}"><h3><a href="javascript:hide_div_persistent('actions', 'publication_scale');" title="{HIDE}: {DETAILS_PUBLICATION_ATTRIBUTES_HELP_HEADING}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_PUBLICATION_ATTRIBUTES} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
</a></h3></div>
<div id="publication_scale_link_show"   style="display:{$publication_scale_display_alt}"><h3><a href="javascript:show_div_persistent('actions', 'publication_scale');" title="{SHOW}: {DETAILS_PUBLICATION_ATTRIBUTES_HELP_HEADING}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_PUBLICATION_ATTRIBUTES} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
</a></h3></div>
<div id="publication_scale" style="display:{$publication_scale_display}">

<fieldset class="grid">
  <p>
    <label class="grid" for="attr_url">{DETAILS_PUBLICATION_ENTERURL}:</label>
    <input type="text" id="attr_url" name="attr_url" size="33"  value="{attributes/attribute[key/string='OBJ_URL']/data/string}">
    <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <span class="helpicon" id="help_publication_icon_open"><a href="javascript:show('help_publication')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <span class="helpicon" id="help_publication_icon_close" style="display:none;"><a href="javascript:hide('help_publication')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>                       
  </p>
  <xsl:if test="/Object/access/writeable/@user != 'false'">
    <p class="update">
      <input type="button" value="{DETAILS_UPDATE}" onclick="_action.value='publish';jump.value='publication';submit()" />
    </p>
  </xsl:if>
    <xsl:choose>
		<xsl:when test="$mode='advanced'">
			<div class="help_advanced" id="help_publication">
			<div>{HELP}: {DETAILS_PUBLICATION_ATTRIBUTES_HELP_HEADING}</div>
			<p>{DETAILS_PUBLICATION_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_publication')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div> 			
		</xsl:when>
		<xsl:otherwise>
			<div class="help" id="help_publication">
			<div>{HELP}: {DETAILS_PUBLICATION_ATTRIBUTES_HELP_HEADING}</div>
			<p>{DETAILS_PUBLICATION_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_publication')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div> 			
		</xsl:otherwise>
    </xsl:choose>   
</fieldset>

<fieldset class="grid">
  <p>
    <label class="grid" for="pub_actual_url">{DETAILS_PUBLICATION_ACTUALURL}:</label>
    <xsl:choose>
      <xsl:when test="attributes/attribute[key/string='OBJ_URL']/data/string!=''">
        <span id="pub_actual_url"><a href="http://{$host}:{$web_port}{attributes/attribute[key/string='OBJ_URL']/data/string}">http://<xsl:value-of select="configs/config[@name='web_server']"/><xsl:if test="configs/config[@name='web_port']!='80'">:<xsl:value-of select="configs/config[@name='web_port']"/></xsl:if><!--<wbr/>--><xsl:value-of select="attributes/attribute[key/string='OBJ_URL']/data/string"/></a></span>
       <input type="button" value="{DETAILS_UNPUBLISH}" onclick="_action.value='publish';attr_url.value='none';jump.value='publication';submit();" >
       <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
       </input>
      </xsl:when>
      <xsl:otherwise>
        <span id="pub_actual_url"><img src="/images/lines.gif" alt="" title="{DETAILS_PUBLICATION_NOTPUBLISHED}" class="lines" /></span>
      </xsl:otherwise>
    </xsl:choose>
   </p>
 </fieldset>

 <fieldset class="grid">
   <p>
     <label class="grid">{DETAILS_ADVANCED_USE_PUBLICXSL_TITLE}:</label>
     <xsl:choose>
       <xsl:when test="number(attributes/attribute[key/string='xsl:use_public']/data/int)=1">
         <input type="checkbox" id="xsl_usepublic" name="xsl_usepublic" checked="checked">
         <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
         </input>
       </xsl:when>
       <xsl:otherwise>
         <input type="checkbox" id="xsl_usepublic" name="xsl_usepublic">
         <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
         </input>
       </xsl:otherwise>
     </xsl:choose>
     <label for="xsl_usepublic">{DETAILS_ADVANCED_USE_PUBLICXSL}</label>
     <span class="helpicon" id="help_publicxsl_icon_open"><a href="javascript:show('help_publicxsl')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
	 <span class="helpicon" id="help_publicxsl_icon_close" style="display:none;"><a href="javascript:hide('help_publicxsl')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
   </p>
   <xsl:if test="/Object/access/writeable/@user != 'false'">
     <p class="update">
       <input type="button" value="{DETAILS_UPDATE}" onclick="jump.value='publication'; update_main_attr(this.form);" />
     </p>
   </xsl:if>
   <xsl:choose>
		<xsl:when test="$mode='advanced'">
			<div class="help_advanced" id="help_publicxsl">
			<div>{HELP}: {DETAILS_ADVANCED_USE_PUBLICXSL_HEADING}</div>
			<p>{DETAILS_ADVANCED_USE_PUBLICXSL_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_publicxsl')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div>   			
		</xsl:when>
		<xsl:otherwise>
			<div class="help" id="help_publicxsl">
			<div>{HELP}: {DETAILS_ADVANCED_USE_PUBLICXSL_HEADING}</div>
			<div class="help_content">{DETAILS_ADVANCED_USE_PUBLICXSL_DEFINITION_LONG}</div>
			<p><a href="javascript:hide('help_publicxsl')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div>   			
		</xsl:otherwise>
    </xsl:choose>
</fieldset>

<xsl:if test="@type='Container' or @type='Room' or @type='Messageboard' or content/mime-type='text/xml'">
  <h4>{DETAILS_PUBLICATION_STYLESHEET_DEFINITION_TITLE}</h4>
  <fieldset class="grid">
    <p>      
      <xsl:variable name="pbstyle"><xsl:choose><xsl:when test="count(attributes/attribute[key/string='xsl:public']/data/object/path)>0"><xsl:value-of select="attributes/attribute[key/string='xsl:public']/data/object/path"/></xsl:when><xsl:otherwise>/stylesheets/public.xsl</xsl:otherwise></xsl:choose></xsl:variable>
      <label class="grid" for="attr_xsl_public">{DETAILS_PUBLICATION_STYLESHEET}:</label>
      <input type="text" id="attr_xsl_public" name="attr_xsl__public" size="33"  value="{$pbstyle}" >
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
      <button type="button" onclick="open_stylesheet_details('{/Object/id}', 'public');" title="{DETAILS_SHOW_STYLESHEETDETAILS_TITLE}{NEW_WINDOW}">
		{DETAILS_SHOW_STYLESHEETDETAILS}
      </button>
      <span class="helpicon" id="help_pubstyle_icon_open"><a href="javascript:show('help_pubstyle')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <span class="helpicon" id="help_pubstyle_icon_close" style="display:none;"><a href="javascript:hide('help_pubstyle')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>                       
    </p>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <p class="update">
        <input type="button" value="{DETAILS_UPDATE}" onclick="_action.value='publish';jump.value='publication';submit();" />
      </p>
    </xsl:if>
    <xsl:choose>
		<xsl:when test="$mode='advanced'">
			<div class="help_advanced" id="help_pubstyle">
			<div>{HELP}: {DETAILS_PUBLICATION_STYLESHEET_DEFINITION_TITLE}</div>
			<p>{DETAILS_PUBLICATION_STYLESHEET_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_pubstyle')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div>         			
		</xsl:when>
		<xsl:otherwise>
			<div class="help" id="help_pubstyle">
			<div>{HELP}: {DETAILS_PUBLICATION_STYLESHEET_DEFINITION_TITLE}</div>
			<p>{DETAILS_PUBLICATION_STYLESHEET_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_pubstyle')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
			</div>         			
		</xsl:otherwise>
    </xsl:choose>
           
  </fieldset>
</xsl:if>
</div>
<div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>


<xsl:template name="show_my_attribute">
  <xsl:param name="key"/>

  <input type="text" id="attr_{$key}" name="attr_{$key}" value="{/Object/attributes/attribute[key/string=$key]/data/string}" >
  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
  </input>
</xsl:template>


<xsl:template name="more_attributes">
<xsl:variable name="keystring"><xsl:value-of select="key/string"/></xsl:variable>
<fieldset class="grid">
  <xsl:for-each select="attributes/attribute[key/string='my_attributes']/data/struct/member">
    <p>
      <label class="grid" for="attr_{$keystring}"><xsl:value-of select="value/string"/>:</label>
      <xsl:call-template name="show_my_attribute">
        <xsl:with-param name="key"><xsl:value-of select="key/string"/></xsl:with-param>
      </xsl:call-template>
    </p>
  </xsl:for-each>
</fieldset>
</xsl:template>


<xsl:template name="advanced">
<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{DETAILS_ACTIONS} 
	<xsl:if test="@type='Trashbin'">{CONTENT_TRASHBIN_DESCRIPTION}</xsl:if>
	<xsl:if test="@type!='Trashbin'"><xsl:value-of select="name" /></xsl:if>
</h2>

<fieldset class="grid"><!-- war class="btngrid", auch bei den unteren -->
  <p class="update">	
	<label class="grid" for="detailsActionTake">{DETAILS_ACTIONS_TAKE}</label>
    <span class="helpicon helpicon_action" id="help_detailsActionTake_icon_open"><a href="javascript:show('help_detailsActionTake')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
    <span class="helpicon helpicon_action" id="help_detailsActionTake_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionTake')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <input type="button" name="detailsActionTake" value="{DETAILS_ACTIONS_TAKE}" onclick="commit_ext_action('get_objects');">
    <xsl:if test="/Object/access/moveable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_MOVE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
  </p>
</fieldset>
	<div class="help" id="help_detailsActionTake">
			<div>{HELP}: {DETAILS_ACTIONS_TAKE}</div>
			<p>{DETAILS_ACTIONS_TAKE_DEFINITION_SHORT}</p>
			<p><a href="javascript:hide('help_detailsActionTake')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>

<fieldset class="grid">
  <p class="update">
	<label class="grid" for="detailsActionTakeCopy">{DETAILS_ACTIONS_TAKECOPY}</label>
    <span class="helpicon helpicon_action" id="help_detailsActionTakeCopy_icon_open"><a href="javascript:show('help_detailsActionTakeCopy')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
    <span class="helpicon helpicon_action" id="help_detailsActionTakeCopy_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionTakeCopy')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>     
    <input type="button" name="detailsActionTakeCopy" value="{DETAILS_ACTIONS_TAKECOPY}" onclick="commit_ext_action('copy_objects');" />
  </p>
</fieldset>
	<div class="help" id="help_detailsActionTakeCopy">
			<div>{HELP}: {DETAILS_ACTIONS_TAKECOPY}</div>
			<p>{DETAILS_ACTIONS_TAKECOPY_DEFINITION_SHORT}</p>
			<p><a href="javascript:hide('help_detailsActionTakeCopy')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>

<fieldset class="grid">
  <p class="update">
	<label class="grid" for="detailsActionTakeLink">{DETAILS_ACTIONS_TAKELINK}</label>  
    <span class="helpicon helpicon_action" id="help_detailsActionTakeLink_icon_open"><a href="javascript:show('help_detailsActionTakeLink')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
    <span class="helpicon helpicon_action" id="help_detailsActionTakeLink_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionTakeLink')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <input type="button" name="detailsActionTakeLink" value="{DETAILS_ACTIONS_TAKELINK}" onclick="commit_ext_action('link_objects');" />
  </p>
</fieldset>
	<div class="help" id="help_detailsActionTakeLink">
			<div>{HELP}: {DETAILS_ACTIONS_TAKELINK}</div>
			<p>{DETAILS_ACTIONS_TAKELINK_DEFINITION_SHORT}</p>
			<p><a href="javascript:hide('help_detailsActionTakeLink')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>

<fieldset class="grid">
  <p class="update">
	<label class="grid" for="detailsActionDelete">{DETAILS_ACTIONS_DELETE}</label>    
    <span class="helpicon helpicon_action" id="help_detailsActionDelete_icon_open"><a href="javascript:show('help_detailsActionDelete')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
    <span class="helpicon helpicon_action" id="help_detailsActionDelete_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionDelete')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
    <input type="button" name="detailsActionDelete" value="{DETAILS_ACTIONS_DELETE}" onclick="commit_ext_action('delete_objects');">
    <xsl:if test="/Object/access/moveable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_DELETE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
  </p>
</fieldset>
	<div class="help" id="help_detailsActionDelete">
			<div>{HELP}: {DETAILS_ACTIONS_DELETE}</div>
			<p>{DETAILS_ACTIONS_DELETE_DEFINITION_SHORT}</p>
			<p><a href="javascript:hide('help_detailsActionDelete')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>

<xsl:if test="@type='Container' or @type='Room'">
  <fieldset class="grid">
    <p class="update">
	  <label class="grid" for="detailsActionExport">{DETAILS_ACTIONS_EXPORT}</label>
      <span class="helpicon helpicon_action" id="help_detailsActionExport_icon_open"><a href="javascript:show('help_detailsActionExport')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
      <span class="helpicon helpicon_action" id="help_detailsActionExport_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionExport')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <input type="button" name="detailsActionExport" value="{DETAILS_ACTIONS_EXPORT}" onclick="open_export('{$object}');" title="{DETAILS_ACTIONS_EXPORT}{NEW_WINDOW}" />
    </p>
  </fieldset>
	<div class="help" id="help_detailsActionExport">
			<div>{HELP}: {DETAILS_ACTIONS_EXPORT}</div>
			<p>{DETAILS_ACTIONS_EXPORT_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_detailsActionExport')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>

  <fieldset class="grid">
    <p class="update">
	  <label class="grid" for="detailsActionMonitor">{DETAILS_ACTIONS_MONITOR}</label>
      <span class="helpicon helpicon_action" id="help_detailsActionMonitor_icon_open"><a href="javascript:show('help_detailsActionMonitor')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
      <span class="helpicon helpicon_action" id="help_detailsActionMonitor_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionMonitor')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <input type="button" name="detailsActionMonitor" value="{DETAILS_ACTIONS_MONITOR}" onclick="window.location.href='/scripts/get_monitor.pike?roomid={/Object/id}'" />
    </p>
  </fieldset>
  	<div class="help" id="help_detailsActionMonitor">
			<div>{HELP}: {DETAILS_ACTIONS_MONITOR}</div>
			<p>{DETAILS_ACTIONS_MONITOR_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_detailsActionMonitor')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>
</xsl:if>

<xsl:if test="attributes/attribute[key/string='DOC_MIME_TYPE']/data/string='text/xsl'">
  <fieldset class="grid">
    <p class="update">
	  <label class="grid" for="detailsActionReloadXmlStructure">{DETAILS_ACTIONS_RELOADXMLSTRUCTURE}</label>
      <span class="helpicon helpicon_action" id="help_detailsActionReloadXmlStructure_icon_open"><a href="javascript:show('help_detailsActionReloadXmlStructure')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt=""/></a></span>
      <span class="helpicon helpicon_action" id="help_detailsActionReloadXmlStructure_icon_close" style="display:none;"><a href="javascript:hide('help_detailsActionReloadXmlStructure')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
      <input type="button" name="detailsActionReloadXmlStructure" value="{DETAILS_ACTIONS_RELOADXMLSTRUCTURE}" onclick="reload_xml_structure(this.form);">
      <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
      </input>
    </p>
  </fieldset>
  	<div class="help" id="help_detailsActionReloadXmlStructure">
			<div>{HELP}: {DETAILS_ACTIONS_RELOADXMLSTRUCTURE}</div>
			<p>{DETAILS_ACTIONS_RELOADXMLSTRUCTURE_DEFINITION_LONG}</p>
			<p><a href="javascript:hide('help_detailsActionReloadXmlStructure')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
	</div>
</xsl:if>

<xsl:call-template name="show_versionmanagement" />

<xsl:if test="/Object/@type!='Group'">
  <xsl:call-template name="show_publication_details"/>
</xsl:if>
</xsl:template>


<xsl:template name="show_stylesheets">
<xsl:param name="groupid">0</xsl:param>
<p>
  <label class="grid" for="stylesheet_xsl_content_{$groupid}">
    <xsl:if test="name!='sTeam' and /Object/access/writeable/@user != 'false'"> <!-- protect group steam from being removed -->  
    (<a href="/scripts/browser.pike?id={$object}&amp;_action=remove_stylesheet_add&amp;type=details&amp;mode=common&amp;toremove={$groupid}&amp;jump=stylesheets" title="{ACCESS_REMOVE_TOOLTIP}">-</a>)
    </xsl:if> 
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
    //]]&gt;&lt;/script&gt;</xsl:text>:  
  </label>
  <input type="text" size="33"  id="stylesheet_xsl_content_{$groupid}" name="stylesheet_xsl__content_{$groupid}" value="{/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path}" >
  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
  </input>
  <button type="button" onclick="open_stylesheet_details('{/Object/id}', '{$groupid}');"  title="{DETAILS_SHOW_STYLESHEETDETAILS_TITLE}{NEW_WINDOW}">
	{DETAILS_SHOW_STYLESHEETDETAILS}
  </button>
  <!--<xsl:if test="name='sTeam'">
  <span class="helpicon" id="help_stylesheets_icon_open"><a href="javascript:show('help_stylesheets')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  <span class="helpicon" id="help_stylesheets_icon_close" style="display:none;"><a href="javascript:hide('help_stylesheets')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
  </xsl:if>-->
</p>
</xsl:template>


<xsl:template match="instances">
  <xsl:variable name="instances_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'instances']/value/string = 'inline' or $jump='instances' or count(/Object/errors/array)>0">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="instances_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'instances']/value/string = 'inline' or $jump='instances' or count(/Object/errors/array)>0">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<a name="instances"/>
<div id="instances_scale_link_hide"    style="display:{$instances_scale_display}"><h3><a href="javascript:hide_div_persistent('details', 'instances_scale');" title="{HIDE}: {ADV_INSTANCES}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{ADV_INSTANCES}</a></h3></div>
<div id="instances_scale_link_show"     style="display:{$instances_scale_display_alt}"><h3><a href="javascript:show_div_persistent('details', 'instances_scale');" title="{SHOW}: {ADV_INSTANCES}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{ADV_INSTANCES}</a></h3></div>
<div id="instances_scale" style="display:{$instances_scale_display}">

<fieldset class="grid">
  <p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DETAILS_INSTANCES_ERRORS_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DETAILS_INSTANCES_ERRORS_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>

  <xsl:if test="count(/Object/errors/array/*)=0">
    <p>{DETAILS_INSTANCES_NOCURRENTERRORS}.</p>
  </xsl:if>
  <xsl:if test="count(/Object/errors/array/*)!=0">
    <p class="error">{DETAILS_INSTANCES_CURRENTERRORS}:</p>
    <ul>
      <xsl:for-each select="/Object/errors/array/string">
        <li class="error"><xsl:value-of select="."/></li>
      </xsl:for-each>
    </ul>
  </xsl:if>
</fieldset>

<fieldset class="grid">
  <p class="desc"><xsl:call-template name="print_helptext"><xsl:with-param name="short">{DETAILS_INSTANCES_UPGRADE_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{DETAILS_INSTANCES_UPGRADE_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template></p>

  <p>
    <span><a href="/scripts/browser.pike?id={$object}&amp;_action=upgrade_script&amp;type=details&amp;jump=instances&amp;room={$room}">{DETAILS_INSTANCES_UPGRADEINSTANCES}</a></span>
  </p>
</fieldset>

<table cellspacing="0" id="instances" summary="{DETAILS_INSTANCES_TABLE_SUMMARY}">
  <thead>
    <tr>
      <th scope="col"><br /></th>
      <th scope="col"><br /></th>
      <th scope="col">Name</th>
      <th scope="col">{ADV_CREATEDMODBY}</th>
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>
    <xsl:for-each select="Object">
      <xsl:sort select="name"/>
      <xsl:call-template name="show_my_object"/>
    </xsl:for-each>
  </tbody>
</table>

<fieldset class="grid">
  <p>
    <label class="grid" for="new_inst_name">{ADV_CREATENEWINSTANCE}:</label>
    <input type="text" id="new_inst_name" name="name" size="30"  ><xsl:if test="/Object/access/executeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_EXECUTE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
    <input type="button" value="{ADV_CREATENEWINSTANCE}" onclick="do_create(document.browser);" ><xsl:if test="/Object/access/executeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_EXECUTE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    </input>
  </p>
</fieldset>
</div>
<div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>


<xsl:template name="show_my_object">
  <tr>
    <td>
      <xsl:if test="@selected='false'">
        <input type="checkbox" id="objsel{id}" name="objsel" value="{id}" >
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
      </xsl:if>
      <xsl:if test="@selected='true'">
        <input type="checkbox" id="objsel{id}" name="objsel" value="{id}" checked="checked" >
        <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        </input>
      </xsl:if>
    </td>
    <td>
      <a class="imagelink" href="/scripts/navigate.pike?object={id}&amp;room={$room}">
        <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="View Object" />
      </a>
    </td>
    <td>
      <span id="objsel{id}" class="objectname">
        <a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a>
      </span>
    </td>
    <td>
      <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room=/&amp;mode=common">
        <xsl:value-of select="last-modified/date"/>
      </a> -
      <xsl:choose>
        <xsl:when test="modified-by != '0'">
          <a href="/scripts/navigate.pike?object={modified-by/object/id}&amp;type=details&amp;room={$room}" title="{DETAILS_USER_OPENPROFILE}">
          <!--<a href="javascript:open_userdetails('{modified-by/object/id}');" title="{DETAILS_USER_OPENPROFILE}{NEW_WINDOW}">-->
          <xsl:value-of select="modified-by/object/name"/></a>
        </xsl:when>
        <xsl:otherwise>
          <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{DETAILS_USER_OPENPROFILE}">
          <!--<a href="javascript:open_userdetails('{owner/object/id}');" title="{DETAILS_USER_OPENPROFILE}{NEW_WINDOW}">-->
          <xsl:value-of select="owner/object/name"/></a>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><a href="/scripts/browser.pike?id={id}&amp;_action=status">{DETAILS_INSTANCES_VIEWSTATUS}</a></td>
  </tr>
</xsl:template>

<!-- Stellt die Speziellen Optionen fuer multi- language container dar -->
<xsl:template name="show_multi_language_details">
  <xsl:variable name="multilanguage_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'multilanguage']/value/string = 'inline' or $jump='multilanguage'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="multilanguage_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'details']/value/struct/member[key/string = 'multilanguage']/value/string = 'inline' or $jump='multilanguage'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<div id="multilanguage_scale_link_hide"     style="display:{$multilanguage_scale_display}"><h3><a href="javascript:hide_div_persistent('details', 'multilanguage_scale');" title="{HIDE}: {DETAILS_MULTILANGUAGE_HELP_HEADING}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_MULTILANGUAGE} <xsl:value-of select="name"/></a></h3></div>
<div id="multilanguage_scale_link_show"     style="display:{$multilanguage_scale_display_alt}"><h3><a href="javascript:show_div_persistent('details', 'multilanguage_scale');" title="{SHOW}: {DETAILS_MULTILANGUAGE_HELP_HEADING}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_MULTILANGUAGE} <xsl:value-of select="name"/></a></h3></div>
<div id="multilanguage_scale"     style="display:{$multilanguage_scale_display}">

<fieldset class="grid">
  <p class="desc">{DETAILS_MULTILANGUAGE_DEFINITION}</p>

  <xsl:choose>
    <xsl:when test="count(/Object/multilanguage_languages/struct/member)>0">
      <xsl:for-each select="/Object/multilanguage_languages/struct/member">
        <xsl:sort select="key/string"/>
        <xsl:call-template name="show_multi_language_language"/>
      </xsl:for-each>
      <xsl:if test="/Object/access/writeable/@user = 'false'">
        <p>
          <input type="button" value="{DETAILS_UPDATE}" onclick="update_multilanguage_details(this.form);" />
        </p>
      </xsl:if>
    </xsl:when>
    <xsl:otherwise>
      <p>{DETAILS_MULTILANGUAGE_NOLANGUAGESDEFINED}</p>
    </xsl:otherwise>
  </xsl:choose>
</fieldset>
</div>
<div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>


<!-- Einstellmoeglichkeiten fuer eine Sprache anzeigen -->
<xsl:template name="show_multi_language_language">
<xsl:param name="aktlang"><xsl:value-of select="key/string"/></xsl:param>
<xsl:param name="index"><xsl:value-of select="/Object/attributes/attribute[key/string='language_index']/data/struct/member[key/string=$aktlang]/value/string"/></xsl:param>
<xsl:param name="button"><xsl:value-of select="/Object/attributes/attribute[key/string='language_index']/data/struct/member[substring-before(key/string, '_button')=$aktlang]/value/string"/></xsl:param>
<xsl:param name="active_button"><xsl:value-of select="/Object/attributes/attribute[key/string='language_index']/data/struct/member[substring-before(key/string, '_active_button')=$aktlang]/value/string"/></xsl:param>
<h4><xsl:value-of select="$aktlang"/>(<xsl:value-of select="/Object/multilanguage_languages/struct/member[key/string=$aktlang]/value/struct/member[key/string='translations']/value/struct/member[key/string=$language]/value/string"/>)</h4>

<p>
  <label class="grid" name="multilanguage_{key/string}_index">{DETAILS_MULTILANGUAGE_INDEX_FILE}</label>
<!--  some debug- code
  index: <xsl:value-of select="$index"/><br />
  button: <xsl:value-of select="$button"/><br />
  active_button: <xsl:value-of select="$active_button"/>< br/>
  Sprache: <xsl:value-of select="$aktlang"/><br />
  Datei: <xsl:value-of select="/Object/attributes/attribute[key/string='language_index']/data/struct/member[substring-before(key/string, '_button')=$aktlang]/value/string"/><br />
-->
  <select id="multilanguage_{key/string}_index" name="multilanguage_{key/string}_index">
  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    <option value="none">{DETAILS_MULTILANGUAGE_NONE}:</option>
    <xsl:for-each select="/Object/inventory/Object[@type='Document']">
      <xsl:choose>
        <xsl:when test="name=$index">
          <option value="{name}" selected="selected"><xsl:value-of select="name"/></option>
        </xsl:when>
        <xsl:otherwise>
          <option value="{name}"><xsl:value-of select="name"/></option>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </select>
</p>

<p>
  <label class="grid" for="multilanguage_{key/string}_button">{DETAILS_MULTILANGUAGE_INDEX_BUTTON}:</label>
  <select id="multilanguage_{key/string}_button" name="multilanguage_{key/string}_button">
  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    <option value="none">{DETAILS_MULTILANGUAGE_NONE}</option>
    <xsl:for-each select="/Object/inventory/Object[@type='Document' and (content/mime-type='image/gif' or content/mime-type='image/jpeg' or content/mime-type='image/png')]">
      <xsl:choose>
        <xsl:when test="name=$button">
          <option value="{name}" selected="selected"><xsl:value-of select="name"/></option>
        </xsl:when>
        <xsl:otherwise>
          <option value="{name}"><xsl:value-of select="name"/></option>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </select>
</p>

<p>
  <label class="grid" for="multilanguage_{key/string}_active_button">{DETAILS_MULTILANGUAGE_INDEX_BUTTON_ACTIVE}:</label>
  <select id="multilanguage_{key/string}_active_button" name="multilanguage_{key/string}_active_button">
  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
    <option value="none">{DETAILS_MULTILANGUAGE_NONE}</option>
      <xsl:for-each select="/Object/inventory/Object[@type='Document' and (content/mime-type='image/gif' or content/mime-type='image/jpeg' or content/mime-type='image/png')]">
        <xsl:choose>
          <xsl:when test="name=$active_button">
            <option value="{name}" selected="selected"><xsl:value-of select="name"/></option>
          </xsl:when>
          <xsl:otherwise>
            <option value="{name}"><xsl:value-of select="name"/></option>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
  </select>
</p>
</xsl:template>


<!-- Stellt Auswahl an stylesheets dar. Zeigt Kurzbeschreibung etc. dazu an. -->
<xsl:template name="show_stylesheet_details">
<body id="stylesheets" class="popup">
<xsl:variable name="groupid" select="$stylesheetdetails"/>

<div id="container">
  <form name="browser" acrion="/scripts/browser.pike" method="post" enctype="multipart/form-data">
    <fieldset class="hidden">
      <input type="hidden" name="object" value="{$object}" />
      <input type="hidden" name="id" value="{$object}" />
      <input type="hidden" name="_action" value="update_main_attr" />
      <input type="hidden" name="_context" value="{$object}" />
      <input type="hidden" name="upgrade" value="{$object}" />
      <input type="hidden" name="type" value="details" />
      <input type="hidden" name="_link_exchange" value="" />
      <input type="hidden" name="_xsl_usepublic" value="" />
      <input type="hidden" name="popup_id" value="{$object}" />
      <input type="hidden" name="room" value="{$room}" />
      <input type="hidden" name="stylesheet_group" />
      <input type="hidden" name="stylesheet_group_selected" />
    </fieldset>

    <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{DETAILS_STYLESHEETDETAILS_HEADER}</h2>

    <fieldset>
      <p class="desc">{DETAILS_STYLESHEETDETAILS_NONE_DESCRIPTION}</p>

      <p>
        <xsl:choose>
          <!-- falls public stylesheet -->
          <xsl:when test="$stylesheetdetails='public'">
            <xsl:choose>
              <xsl:when test="count(/Object/attributes/attribute[key/string='xsl:public']/data/object/path)=0">
                <input type="radio" id="selected_stylesheet_none" name="selected_stylesheet" value="none" checked="checked" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:when>
              <xsl:otherwise>
                <input type="radio" id="selected_stylesheet_none" name="selected_stylesheet" value="none" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <!-- falls ein gruppenstylesheet -->
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="count(/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid])=0">
                <input type="radio" id="selected_stylesheet_none" name="selected_stylesheet" value="none" checked="checked" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:when>
              <xsl:otherwise>
                <input type="radio" id="selected_stylesheet_none" name="selected_stylesheet" value="none" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
        <label for="selected_stylesheet_none">{DETAILS_STYLESHEETDETAILS_NONE}</label>
      </p>
    </fieldset>

    <xsl:for-each select="/Object/styles/style[($stylesheetdetails='public' and usage/public='true') or ($stylesheetdetails!='public' and usage/admin='true')]">
      <xsl:sort select="displayname"/>
      <fieldset>
        <p class="desc">
          <xsl:choose>
            <xsl:when test="count(description[@language=$language]) > 0">
              <xsl:value-of select="description[@language=$language]"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="description[@language='english']"/>
            </xsl:otherwise>
          </xsl:choose>
        </p>

        <p>
          <xsl:choose>
            <!-- falls public stylesheet -->
            <xsl:when test="$stylesheetdetails='public'">
              <xsl:choose>
                <xsl:when test="stylesheet=/Object/attributes/attribute[key/string='xsl:public']/data/object/path">
                  <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" checked="checked" >
                  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                  </input>
                </xsl:when>
                <xsl:otherwise>
                  <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" >
                  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                  </input>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <!-- falls ein gruppenstylesheet -->
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="stylesheet=/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path">
                  <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" checked="checked" >
                  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                  </input>
                </xsl:when>
                <xsl:otherwise>
                  <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" >
                  <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                  </input>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
          <label for="selected_stylesheet_{stylesheet}">&#160;<xsl:value-of select="displayname"/></label>
          (<xsl:value-of select="stylesheet"/>)
        </p>
      </fieldset>
    </xsl:for-each>

    <fieldset>
      <p class="desc">{DETAILS_STYLESHEETDETAILS_USERDEFINED_DESCRIPTION}</p>

      <p>
        <xsl:choose>
<!-- falls public stylesheet -->
          <xsl:when test="$stylesheetdetails='public'">
            <xsl:choose>
              <xsl:when test="count(/Object/styles/style[stylesheet=/Object/attributes/attribute[key/string='xsl:public']/data/object/path])=0 and count(/Object/attributes/attribute[key/string='xsl:public']/data/object/path) > 0">
                <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" checked="checked" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:when>
              <xsl:otherwise>
                <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
<!-- falls ein gruppenstylesheet -->
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="count(/Object/styles/style[stylesheet=/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path])=0 and count(/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path) > 0">
                <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" checked="checked" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:when>
              <xsl:otherwise>
                <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" >
                <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
                </input>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
        <label for="selected_stylesheet_userdefined">{DETAILS_STYLESHEETDETAILS_USERDEFINED}:</label>
        <xsl:choose>
          <!-- falls public -->
          <xsl:when test="$stylesheetdetails='public'">
            <input type="text" id="userdefined_stylesheet" name="userdefined_stylesheet" size="33" value="{attributes/attribute[key/string='xsl:public']/data/object/path}" >
            <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
            </input>
          </xsl:when>
          <!-- falls ein gruppenstylesheet -->
          <xsl:otherwise>
            <input type="text" id="userdefined_stylesheet" name="userdefined_stylesheet" size="33" value="{/Object/attributes/attribute[key/string='xsl:content']/data/struct/member[key/object/id=$groupid]/value/object/path}" >
            <xsl:if test="/Object/access/writeable/@user = 'false'"><xsl:attribute name="title">{DETAILS_NOACCESS_WRITE}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
            </input>
          </xsl:otherwise>
        </xsl:choose>
      </p>
    </fieldset>
    <xsl:if test="/Object/access/writeable/@user != 'false'">
      <fieldset>
        <p class="update">
          <input type="button" value="{DETAILS_UPDATE}" onclick="update_stylesheet_details('{$stylesheetdetails}', this.form);" />
        </p>
      </fieldset>
    </xsl:if>
  </form>
</div>
</body>
</xsl:template>

<xsl:template name="show_versionmanagement">
  <xsl:if test="/Object/@type='Document'">
  <xsl:variable name="versions_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'versions']/value/string = 'inline' or $jump='versions'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="versions_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'actions']/value/struct/member[key/string = 'versions']/value/string = 'inline' or $jump='versions'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
    <a name="versions"></a>
    <div id="versions_scale_link_hide"   style="display:{$versions_scale_display}"><h3><a href="javascript:hide_div_persistent('actions', 'versions_scale');" title="{HIDE}: {DETAILS_VERSIONS_HELP_HEADING}"><img class="treenode" src="/images/treenode_collapse.gif" alt="" />&#160;{DETAILS_VERSIONS_HEADER} <xsl:value-of select="name"/></a></h3></div>
	<div id="versions_scale_link_show"    style="display:{$versions_scale_display_alt}"><h3><a href="javascript:show_div_persistent('actions', 'versions_scale');" title="{SHOW}: {DETAILS_VERSIONS_HELP_HEADING}"><img class="treenode" src="/images/treenode_expand.gif" alt="" />&#160;{DETAILS_VERSIONS_HEADER} <xsl:value-of select="name"/></a></h3></div>
	<div id="versions_scale" style="display:{$versions_scale_display}">
    <!--<p>-->
      <xsl:call-template name="show_versions">
        <xsl:with-param name="this_link">&amp;type=details&amp;mode=advanced</xsl:with-param>
      </xsl:call-template>
    <!--</p>-->
    </div>
	<div style="font-size:2px; height:2px;">&#160;</div>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
