<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="object">0</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="active"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="error"/>
<xsl:param name="os"/>
<xsl:param name="message"/>
<xsl:param name="room"/>
<xsl:param name="edit">none</xsl:param>
<xsl:param name="language">english</xsl:param>
<xsl:param name="newversion">0</xsl:param>
<xsl:param name="oldversion">0</xsl:param>
<xsl:param name="mode" />
<xsl:param name="type" />
<xsl:param name="jump" />

<xsl:output method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/browse.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>

<xsl:template match="Object">

<html>
<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <xsl:call-template name="browsercss"/>
  <TITLE>{DIFF_HEADER} <xsl:value-of select="/Object/name"/> | sTeam</TITLE>
</head>
<body id="versions">


<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#position">{SKIP_POSITION}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

  <div id="content">

    <div id="maincontent">
      <h1 style="padding-left: 1em; padding-top: 1em;">{DIFF_HEADER}&#160;<xsl:value-of select="name"/></h1>
      <p style="padding-left: 1em; padding-bottom: 1em;">{DIFF_PATH}:
      <xsl:for-each select="path/object">
        <xsl:choose>
          <xsl:when test="name=''">/<a href="/">root-room</a>/</xsl:when>
          <xsl:otherwise><a href="{path}"><xsl:value-of select="name"/></a>/</xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
      <xsl:value-of select="name_nouml"/>
      </p>
      <xsl:choose>
        <xsl:when test="$newversion='0' or $oldversion='0'">
          <xsl:call-template name="show_error" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="show_diff_header" />
          <xsl:choose>
            <xsl:when test="$mode='embedded'">
              <xsl:call-template name="show_diff_embedded" />
            </xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="show_diff" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </div>
</div>
</body>
</html>
</xsl:template>

<xsl:template name="show_error">
  <xsl:variable name="missing">
    <xsl:choose>
      <xsl:when test="$newversion='0' and $oldversion='0'">newversion, oldversion</xsl:when>
      <xsl:when test="$oldversion='0'">oldversion</xsl:when>
      <xsl:when test="$newversion='0'">newversion</xsl:when>
    </xsl:choose>
  </xsl:variable>
  <p>
    {DIFF_ERROR} <xsl:value-of select="$missing" />
  </p>
</xsl:template>

<xsl:template name="show_diff_header">
  <div id="diff_header"  style="padding-bottom:1em;border-bottom: 1px solid; width: 100%;">
    <p>
      <div style="float:left;">
      &#160;{DIFF_HEADER_V1}&#160;<a href="/scripts/download.pike/{/Object/files/Object[1]/id}/V{/Object/files/Object[1]/version}_{/Object/files/Object[1]/name}"><xsl:value-of select="/Object/files/Object[1]/version"/></a>&#160;{DIFF_HEADER_V2}&#160;<a href="/scripts/download.pike/{/Object/files/Object[2]/id}/V{/Object/files/Object[2]/version}_{/Object/files/Object[2]/name}"><xsl:value-of select="/Object/files/Object[2]/version"/></a>
      </div>
      <div align="right">
      <xsl:choose>
        <xsl:when test="$mode='embedded'">
          <a href="?object={id}&amp;newversion={$newversion}&amp;oldversion={$oldversion}&amp;jump={$jump}&amp;type={$type}&amp;mode=normal">{DIFF_HEADER_NORMAL}</a>
        </xsl:when>
        <xsl:otherwise>
          <a href="?object={id}&amp;newversion={$newversion}&amp;oldversion={$oldversion}&amp;jump={$jump}&amp;type={$type}&amp;mode=embedded">{DIFF_HEADER_EMBED}</a>
        </xsl:otherwise>
      </xsl:choose>
      &#160;
    </div>
    </p>
  </div>
</xsl:template>

</xsl:stylesheet>
