<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/>
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="type"/>
<xsl:param name="object"/>
<xsl:param name="objtype"/>
<xsl:param name="editsubject"/>
<xsl:param name="action_msg"/>
<xsl:param name="_action"/>
<xsl:param name="active"/>
<xsl:param name="room"/>
<xsl:param name="language"/>
<xsl:param name="_perform"/>
<xsl:param name="back">JavaScript:history.back();</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<!-- Parameters below were processed using XML Source, now using Parameter -->
<xsl:param name="edit_editsubject"/>
<xsl:param name="edit_editmime-type"/>
<xsl:param name="edit_editname"/>
<xsl:param name="edit_editpath"/>
<xsl:param name="edit_editmimetype"/>
<xsl:param name="edit_editattachment"/>

<xsl:output	method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:variable name="edit_content"><xsl:value-of select="/Object/content" /></xsl:variable>

<xsl:variable name="var_subject">
<xsl:choose><xsl:when test="$edit_editsubject != ''"><xsl:value-of select="$edit_editsubject" /></xsl:when><xsl:otherwise><xsl:value-of select="$edit_editname" /></xsl:otherwise></xsl:choose></xsl:variable>  
<xsl:variable name="var_content"><xsl:value-of select="$edit_content" /></xsl:variable>
<xsl:variable name="var_mimetype"><xsl:value-of select="$edit_editmimetype" /></xsl:variable>

<xsl:template name="formatHTMLnewlines">
	<xsl:param name="orgtext"/>
	<xsl:variable name="lPart" select="substring-before($orgtext,'&#10;')"/>
	<xsl:variable name="rPart" select="substring-after($orgtext,'&#10;')"/>
 	<xsl:choose>
 		<xsl:when test="contains($orgtext,'&#10;')">
			<xsl:value-of select="$lPart"/><BR/>
 		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$orgtext"/>
		</xsl:otherwise>
	</xsl:choose>
	
	<xsl:choose>
		<xsl:when test="contains($rPart,'&#10;')">
			<xsl:call-template name="formatHTMLnewlines"><xsl:with-param name="orgtext"><xsl:value-of select="$rPart"/></xsl:with-param>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$rPart"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="edit_preview">
  <fieldset class="grid">
    <INPUT TYPE="HIDDEN" NAME="_action2"/>
    <INPUT TYPE="HIDDEN" NAME="annotfile"/>  
    <INPUT TYPE="HIDDEN" NAME="annottitel" VALUE="{$var_subject}"/>
    <INPUT TYPE="HIDDEN" NAME="editsubject" VALUE="{$var_subject}"/>
    <INPUT TYPE="HIDDEN" NAME="annotbody" VALUE="{$edit_content}"/>    
    <INPUT TYPE="HIDDEN" NAME="content" VALUE="{$edit_content}"/>
    <INPUT TYPE="HIDDEN" NAME="doc_mimetype" VALUE="{$edit_editmimetype}"/>
  </fieldset>
  <fieldset class="grid">
    <br/>
    <p>
	    <center><strong>{EDIT_PREVIEW}</strong></center>
    </p>  
    <p>    
      <xsl:if test="$type='annotation' or $type='annotreply' or $type='annotcreate'">
        <B>{EDIT_SUBJECT}:</B><BR/><xsl:value-of select="$edit_editsubject" disable-output-escaping="yes"/><BR/><BR/>
      </xsl:if>
      <B>{EDIT_CONTENT}:</B><BR/>
      
      <xsl:choose>
        <xsl:when test="$edit_editmimetype='text/html'">
          <xsl:value-of select="$edit_content" disable-output-escaping="yes"/>
        </xsl:when>
        <xsl:when test="$edit_editmimetype='text/plain'">
          <xsl:call-template name="formatHTMLnewlines"><xsl:with-param name="orgtext"><xsl:value-of select="$edit_content" disable-output-escaping="yes"/></xsl:with-param></xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$edit_content"/>
        </xsl:otherwise>
      </xsl:choose> 
     <br/><br/>
     <B>{EDIT_ANNOT_MIMETYPE}:</B>&#160;
       <xsl:choose>
         <xsl:when test="$edit_editmimetype='text/html'">
           <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain" DISABLED="true" /><label for="mime_plain"> Plain-Text</label>
           <INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html" DISABLED="true" CHECKED="true"/><label for="mime_html"> HTML-Text </label>
           <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/html" DISABLED="true"/><label for="mime_wiki"> Wiki</label>
         </xsl:when>
         <xsl:when test="$edit_editmimetype='text/wiki'">
           <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain" DISABLED="true" /><label for="mime_plain"> Plain-Text </label>
           <INPUT TYPE="RADIO" id="mime_text" NAME="doc_mimetype" VALUE="text/html" DISABLED="true"/><label for="mime_html"> HTML-Text  </label>
           <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/html" DISABLED="true" CHECKED="true"/><label for="mime_wiki"> Wiki</label>
         </xsl:when>
         <xsl:otherwise>
           <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain" DISABLED="true" CHECKED="TRUE"/><label for="mime_plain"> Plain-Text </label>
           <INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html" DISABLED="true" /><label for="mime_html"> HTML-Text  </label>
           <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/html" DISABLED="true"/><label for="mime_wiki"> Wiki</label>
         </xsl:otherwise>
       </xsl:choose>       
       <HR NOSHADE="true"/>
       <xsl:if test="count(/Object/editor/config/editor[@type=$edit_editmime-type]) = 0">
         <INPUT TYPE="BUTTON" VALUE="{EDIT_ANNOT_ADD_MESSAGEBOARD_SUBMIT}" OnClick="check_annot_preview(this.form)"/>       
         <INPUT TYPE="BUTTON" VALUE="{EDIT_BACKTOEDIT}" onClick="preview_back(this.form)"/>
       </xsl:if>
       <br/><br/>
     </p>
   </fieldset>
</xsl:template>

<xsl:template name="edit_checkerrors">
<xsl:choose>
	<xsl:when test="$edit_editmime-type='text/xsl' or $edit_editmime-type='text/xml'">
		<xsl:if test="contains($edit_content, '/textarea') or contains($edit_content, '/TEXTAREA')">
			<BR/><BR/><FONT COLOR="#FF0000">{EDIT_ERROR_XMLXSL}:</FONT><BR/>{EDIT_ERROR_TEXTAREA}
		</xsl:if>
	</xsl:when>
	<xsl:when test="$edit_editmime-type='text/html' or $edit_editmime-type='text/plain'">
		<xsl:if test="contains($edit_content, '/textarea') or contains($edit_content, '/TEXTAREA')">
			<BR/><BR/><FONT COLOR="#FF0000">{EDIT_ERROR_HTMLTEXT}:</FONT><BR/>{EDIT_ERROR_TEXTAREA}
		</xsl:if>
	</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template match="Object">
<HTML>
<HEAD>
    <!-- setting variable language for use in javascript- code - internationalisation of .js sources is now possible -->
    <SCRIPT LANGUAGE="Javascript" type="text/javascript">var language='<xsl:value-of select="$language"/>'; var cFolder = '<xsl:value-of select="$edit_editpath" />';</SCRIPT>
	  <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/annotations.js" TYPE="text/javascript"/>
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/edit.js" TYPE="text/javascript"/>
	  <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>  
<xsl:value-of select="/Object/editor/config/head[@type=$edit_editmime-type]" disable-output-escaping="yes" />
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
	<TITLE> 
	<xsl:choose>
		<xsl:when test="$type='annotcreate' or $type='annotreply'">
			<xsl:value-of select="$edit_editsubject" disable-output-escaping="yes"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$edit_editname" disable-output-escaping="yes"/>
		</xsl:otherwise>
	</xsl:choose> | sTeam
	</TITLE>
	<xsl:value-of select="head" disable-output-escaping="yes"/>
    <xsl:call-template name="browsercss"/>
</HEAD>

<body id="edit" class="popup" onload="center_frame(); request_focus();">
<xsl:value-of select="/Object/editor/config/editor[@type=$edit_editmime-type]" disable-output-escaping="yes" />

  <div id="container">
    <xsl:choose>
      <xsl:when test="$type='annotcreate' or $type='annotreply'">
        <FORM action="/scripts/browser.pike" method="post" ENCTYPE="multipart/form-data" onsubmit="return check_annot(this)">
        <input type="hidden" name="_action" value="annotation"/>
        <input type="hidden" name="object" value="{$object}"/>
        <INPUT type="hidden" name="id" value="{$object}"/>
        <input type="hidden" name="type" value="{$type}"/>
        <input type="hidden" name="active" value="{$active}"/>
        <input type="hidden" name="room" value="{$room}"/>
        <input type="hidden" name="_perform" value="{$_perform}"/>
        <h1>
          <xsl:choose>
            <xsl:when test="$type='annotcreate'">
              <xsl:if test="$objtype='Messageboard'">
                {EDIT_ANNOT_ADD_MESSAGEBOARD}
              </xsl:if>
              <xsl:if test="$objtype!='Messageboard'">
                {EDIT_ANNOT_ADD_OTHER}
              </xsl:if>
            </xsl:when>
            <xsl:when test="$type='annotreply'">
              <xsl:if test="$objtype='Messageboard'">
                {EDIT_ANNOT_REPLY_MESSAGEBOARD}
              </xsl:if>
              <xsl:if test="$objtype!='Messageboard'">
                {EDIT_ANNOT_REPLY_OTHER}
              </xsl:if>
            </xsl:when>
          </xsl:choose>
        </h1>
          <xsl:choose>
            <xsl:when test="$_action='preview'">
              <xsl:call-template name="edit_preview"/>
            </xsl:when>
            <xsl:otherwise>	
              <fieldset class="grid">
                <br/>
                <p>
                  <xsl:choose>
                    <xsl:when test="$type='annotreply'">
                      <xsl:variable name="annonsubject">
                        <xsl:choose>
                          <xsl:when test="substring($edit_editsubject,1,3)='re:' "><xsl:value-of select="$var_subject"/></xsl:when>
                          <xsl:otherwise>re: <xsl:value-of select="$var_subject"/></xsl:otherwise>
                        </xsl:choose>
                      </xsl:variable>
                    
                      <B>{EDIT_ANNOT_SUBJECT}:</B><BR/><INPUT id="edit_subject" NAME="editsubject" VALUE="{$annonsubject}" CLASS="formtext"/>
                      <xsl:call-template name="edit_checkerrors"/>
                      <BR/><BR/>
                      <B>{EDIT_ANNOT_REPLY}:</B><BR/><SPAN CLASS="formtext"><TEXTAREA NAME="content" CLASS="formtext"><xsl:value-of select="$var_content" disable-output-escaping="yes"/></TEXTAREA><INPUT TYPE="HIDDEN" NAME="annottype" VALUE="1"/></SPAN>
                      <BR/><BR/>
                      <B>{EDIT_ANNOT_MIMETYPE}:</B>&#160;      
                      <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain">
                        <xsl:if test="$var_mimetype!='text/html'">
                          <xsl:attribute name="checked">checked</xsl:attribute>
                        </xsl:if>                
                      </INPUT>
                      &#160;<label for="mime_plain">Plain-Text</label>&#160;
                      <INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html">
                        <xsl:if test="$var_mimetype='text/html'">
                            <xsl:attribute name="checked">checked</xsl:attribute>
                          </xsl:if>
                      </INPUT>
                      &#160;<label for="mime_html">HTML-Text</label>&#160;
                      <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki">
                        <xsl:if test="$var_mimetype='text/wiki'">
                            <xsl:attribute name="checked">checked</xsl:attribute>
                          </xsl:if>
                      </INPUT>
                      &#160;<label for="mime_wiki">Wiki</label>&#160;
                      <xsl:if test="count(/Object/editor/config/editor[@type=$edit_editmime-type]) = 0">
                        <BR/><BR/><SPAN CLASS="text1sb"><B>{EDIT_ANNOT_ATTACHMENT}:</B><BR/></SPAN><SPAN CLASS="text0sc">{EDIT_ANNOT_OBJECT_TYPE}<BR/></SPAN><INPUT TYPE="FILE" NAME="annotfile" SIZE="40" CLASS="formtext"/><BR/><BR/>
                        <INPUT TYPE="BUTTON" VALUE="{EDIT_PREVIEW}" CLASS="formbutton4" onClick="check_action(this.form, 'preview')"/>&#160;&#160;&#160;&#160;<INPUT TYPE="BUTTON" VALUE="&#160;&#160; {EDIT_ANNOT_REPLY_SUBMIT}&#160;&#160;" OnClick="check_annot(this.form)" CLASS="formbutton4"/>
                      </xsl:if>
                    </xsl:when>
                    <xsl:when test="$type='annotcreate'">
                      <B>{EDIT_ANNOT_SUBJECT}:</B><BR/>
                      <INPUT id="edit_subject" NAME="editsubject" TYPE="TEXT" VALUE="{$var_subject}"/>
                      <BR/><BR/><B>
                      <xsl:if test="$objtype='Messageboard'">
                        {EDIT_ANNOT_MESSAGEBOARD}
                      </xsl:if>
                      <xsl:if test="$objtype!='Messageboard'">
                        {EDIT_ANNOT_OTHER}
                      </xsl:if>
                      :</B><BR/><SPAN CLASS="formtext">
                      <TEXTAREA NAME="content" CLASS="formtext"><xsl:value-of select="$var_content" /></TEXTAREA>
                      <INPUT TYPE="HIDDEN" NAME="annottype" VALUE="0"/></SPAN>
                      <BR/>
                      <B>{EDIT_ANNOT_MIMETYPE}:</B>&#160;      
                      <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain">
                        <xsl:if test="$var_mimetype!='text/html'">
                          <xsl:attribute name="checked">checked</xsl:attribute>
                        </xsl:if>                
                      </INPUT>
                      &#160;<label for="mime_plain">Plain-Text</label>&#160;
                      <INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html">
                        <xsl:if test="$var_mimetype='text/html'">
                            <xsl:attribute name="checked">checked</xsl:attribute>
                          </xsl:if>
                      </INPUT>
                      &#160;<label for="mime_html">HTML-Text</label>&#160;
                      <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki">
                        <xsl:if test="$var_mimetype='text/wiki'">
                            <xsl:attribute name="checked">checked</xsl:attribute>
                          </xsl:if>
                      </INPUT>
                      &#160;<label for="mime_wiki">Wiki</label>&#160;
                      <BR/><BR/>
                      <xsl:if test="count(/Object/editor/config/editor[@type=$edit_editmime-type]) = 0">                      
                        <SPAN CLASS="text1sb"><B>
                        {EDIT_ANNOT_ATTACHMENT}:</B><BR/></SPAN>
                        <SPAN CLASS="text0sc">{EDIT_ANNOT_OBJECT_TYPE}<BR/></SPAN>
                        <INPUT TYPE="FILE" NAME="annotfile" SIZE="40" CLASS="formtext"/><BR/><BR/>
                        <INPUT TYPE="BUTTON" VALUE="{EDIT_PREVIEW}" CLASS="formbutton4" onClick="check_action(this.form, 'preview')"/>&#160;&#160;&#160;&#160;
                        <xsl:if test="$objtype='Messageboard'">
                          <INPUT TYPE="BUTTON" VALUE="&#160;&#160; {EDIT_ANNOT_ADD_MESSAGEBOARD_SUBMIT}&#160;&#160;" OnClick="check_annot(this.form)" CLASS="formbutton4"/>
                        </xsl:if>
                        <xsl:if test="$objtype!='Messageboard'">
                          <INPUT TYPE="BUTTON" VALUE="&#160;&#160; {EDIT_ANNOT_ADD_OTHER_SUBMIT}&#160;&#160;" OnClick="check_annot(this.form)" CLASS="formbutton4"/>
                        </xsl:if>
                      </xsl:if>
                    </xsl:when>
                  </xsl:choose>
                  <br/><br/>
                </p>
              </fieldset>            
              <INPUT TYPE="HIDDEN" NAME="annottitel" VALUE=""/><INPUT TYPE="HIDDEN" NAME="annotbody" VALUE=""/>
            </xsl:otherwise>
          </xsl:choose>
        </FORM>
      </xsl:when>
      <xsl:otherwise>
        <FORM action="/scripts/edit.pike" method="post" onSubmit="return check_edit(this);">
        <input type="hidden" name="_action" value="edit"/>
        <input type="hidden" name="object" value="{$object}"/>
        <input type="hidden" name="type" value="{$type}"/>
        <input type="hidden" name="back" value="{$back}"/>
        <input type="hidden" name="active" value="{$active}"/>
        <input type="hidden" name="room" value="{$room}"/>
        <input type="hidden" name="_perform" value="{$_perform}"/>
        <INPUT type="hidden" name="id" value="{$object}"/>
        <h1>
          {EDIT_OF} <xsl:value-of select="$edit_editname" disable-output-escaping="yes"/>
        </h1>
        <br/>
            <xsl:choose>
              <xsl:when test="$_action='preview'">
                <xsl:call-template name="edit_preview"/>
              </xsl:when>
              <xsl:otherwise>
                <fieldset class="grid">
                  <p>
                    <xsl:choose>
                      <xsl:when test="$type='annotation'">
                        <B>{EDIT_SUBJECT}:</B><BR/><INPUT id="edit_subject" NAME="editsubject" TYPE="TEXT" VALUE="{$var_subject}" CLASS="formtext"/>
                        <xsl:call-template name="edit_checkerrors"/>
                        <BR/><BR/><B>{EDIT_CONTENT}:</B><BR/><SPAN CLASS="formtext"><TEXTAREA NAME="content" CLASS="formtext"><xsl:value-of select="$edit_content" disable-output-escaping="yes"/></TEXTAREA></SPAN><BR/><B>{EDIT_ANNOT_MIMETYPE}:</B>
                        <xsl:choose>
                          <xsl:when test="$edit_editmime-type='text/plain'">
                            <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain" CHECKED="true"/><label for="mime_plain"> Plain-Text </label><INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html"/><label for="mime_html"> HTML-Text </label>
                            <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki"/><label for="mime_wiki"> Wiki</label>
                          </xsl:when>
                          <xsl:when test="$edit_editmime-type='text/html'">
                            <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain"/><label for="mime_plain"> Plain-Text </label><INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html" CHECKED="true"/><label for="mime_html"> HTML-Text </label>
                            <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki"/><label for="mime_wiki"> Wiki</label>
                          </xsl:when>
                          <xsl:when test="$edit_editmime-type='text/wiki'">
                            <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain"/><label for="mime_plain"> Plain-Text </label><INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html"/><label for="mime_html"> HTML-Text </label>
                            <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki" CHECKED="true"/><label for="mime_wiki"> Wiki</label>
                          </xsl:when>
                          <xsl:otherwise>
                            <INPUT TYPE="RADIO" id="mime_plain" NAME="doc_mimetype" VALUE="text/plain" CHECKED="true"/><label for="mime_plain"> Plain-Text </label><INPUT TYPE="RADIO" id="mime_html" NAME="doc_mimetype" VALUE="text/html"/><label for="mime_html"> HTML-Text </label>
                            <INPUT TYPE="RADIO" id="mime_wiki" NAME="doc_mimetype" VALUE="text/wiki"/><label for="mime_wiki"> Wiki</label>
                          </xsl:otherwise>
                        </xsl:choose>
                      </xsl:when>
                      <xsl:otherwise> 
                        <B>{EDIT_NAME}:</B><BR/><INPUT id="edit_subject" NAME="editname" TYPE="TEXT" VALUE="{$var_subject}" CLASS="formtext"/>
                        <xsl:call-template name="edit_checkerrors"/>
                        <BR/><BR/><B>{EDIT_CONTENT}:</B><BR/><SPAN CLASS="formtext"><TEXTAREA NAME="content" CLASS="formtext"><xsl:value-of select="$edit_content" disable-output-escaping="yes"/></TEXTAREA></SPAN>
                      </xsl:otherwise>
                    </xsl:choose>
                  </p>
                  <p> 
                    <xsl:if test="count(/Object/editor/config/editor[@type=$edit_editmime-type]) = 0">
                      <xsl:if test="$edit_editmime-type='text/plain' or $edit_editmime-type='text/html' ">			
                        <INPUT TYPE="BUTTON" VALUE="{EDIT_PREVIEW}" CLASS="formbutton4" onClick="check_action(this.form, 'preview')"/>&#160;&#160;&#160;&#160;
                      </xsl:if>                            
                      <INPUT TYPE="SUBMIT" VALUE="{EDIT_SUBMIT}" CLASS="formbutton4"/>
                    </xsl:if>
                  </p>
                </fieldset>
              </xsl:otherwise>
            </xsl:choose>
            <br/>
            <xsl:if test="$action_msg != ''">
              <BR/><BR/> &gt;&gt; <xsl:value-of select="$action_msg"/>
            </xsl:if>
        </FORM>
      </xsl:otherwise>
    </xsl:choose>

  </div>
</body>
</HTML>
</xsl:template>

<xsl:template match="message">
<BR/>&nbsp;&nbsp;<SPAN CLASS="text2bb"><xsl:value-of select="." disable-output-escaping="yes"/></SPAN><BR/><BR/>
</xsl:template>

<xsl:template match="text() | @*">
<xsl:copy><xsl:apply-templates /></xsl:copy>
</xsl:template>

<xsl:template match="TABLE | TR | TD | SELECT | OPTION | MAP | AREA | A | a | BR | ul | UL | li | LI | h2 | H2 | h1 | H1 | form | FORM | input | INPUT | textarea | TEXTAREA | table | tr | td| b | B">
  <xsl:copy><xsl:apply-templates select="@* | * | text()"/></xsl:copy>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>









