<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>

<xsl:param name="browse">details</xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when test="/Object/id=/Object/user/id">inv</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:choose><xsl:when test="$nav='area'"><xsl:value-of select="$object"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:param>


<xsl:output method="html" encoding="utf-8" indent="no"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:template match="Object">
<HEAD>
<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
<SCRIPT LANGUAGE="JavaScript1.2" SRC="/gui_js/dynapi/lib/hmenus/HM_Loader.js" TYPE="text/javascript"/>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
	<TITLE><xsl:value-of select="name"/> | sTeam</TITLE>
    <xsl:call-template name="browsercss"/>
</HEAD>

<BODY BGCOLOR="#F5F5F5" LINK="#000000" VLINK="#000000" ALINK="#000000">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER">

<FORM NAME="browser" ACTION="/scripts/browser.pike" CLASS="nomargin">

<INPUT type="hidden" name="id" value="{id}"/>
<INPUT type="hidden" name="_action" value="browser.pike"/>
<INPUT type="hidden" name="popup_id" value="0"/>
<TR><TD><SPAN CLASS="text2bb">

<!--Content start-->

<xsl:apply-templates select="function_stats"/>
<xsl:apply-templates select="used_objects"/> 
<xsl:apply-templates select="event_log"/> 
<xsl:apply-templates select="function_log"/>

<!--Content end-->

</SPAN></TD></TR>

<TR><TD><BR/>{THIS}<A href="/stylesheets/event_log.xsl">event_log.xsl</A> stylesheet</TD></TR>
<TR><TD><BR/>{DESCR}<A href="/stylesheets/event_log.xsl.xml">event_log.xsl.xml</A></TD></TR>


</FORM>
</TABLE>
</BODY>
</xsl:template>

<xsl:template match="function_stats">
<H3>{STATS}</H3>
  <TABLE BORDER="1">
  <TH>class</TH><TH>{COUNTER}</TH>
    <xsl:for-each select="function-stats/function">
    <xsl:call-template name="function_stats_entry" />  
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template match="event_log">
<H3>{LOG}</H3>
  <TABLE BORDER="1">
  <TH>#</TH><TH>event</TH><TH>object</TH><TH>caller</TH>
  <TH>data</TH><TH>size</TH><TH>time</TH>
    <xsl:for-each select="event-log/log-entry">
    <xsl:call-template name="event_log_entry" />  
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template match="function_log">
<H3>Function_Log</H3>
  <TABLE BORDER="1">
  <TH>#</TH><TH>function</TH><TH>object</TH><TH>thread</TH>
  <TH>time</TH>
    <xsl:for-each select="function-log/log-entry">
    <xsl:call-template name="function_log_entry" />  
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template match="used_objects">
<H3>{USED}</H3>
  <TABLE BORDER="1">
  <TH>id</TH><TH>name</TH>
    <xsl:for-each select="used-objects/object">
      <TR>
      <TD><xsl:value-of select="id"/></TD>
      <TD><xsl:value-of select="name"/></TD>
      </TR>
    </xsl:for-each>
  </TABLE>
</xsl:template>

<xsl:template name="function_stats_entry">
  <TR>
    <TD>
    <xsl:value-of select="class"/>
    </TD>
    <TD>
    <xsl:value-of select="name"/>
    </TD>
    <TD>
    <xsl:value-of select="counter"/>
    </TD>
  </TR>
</xsl:template>

<xsl:template name="function_log_entry">
  <TR>
    <TD>
    <xsl:value-of select="func-counter"/>
    </TD>
    <TD>
    <xsl:value-of select="function"/>
    </TD>
    <TD>
    <xsl:apply-templates select="object/object"/>
    </TD>
    <TD>
    <xsl:value-of select="thread"/>
    </TD>
    <TD>
    <xsl:value-of select="time"/>
    </TD>
  </TR>
</xsl:template>

<xsl:template name="event_log_entry">
  <TR>
    <TD>
    <xsl:value-of select="event-counter"/>
    </TD>
    <TD>
    <xsl:value-of select="event"/>
    </TD>
    <TD>
    <xsl:apply-templates select="object/object"/>
    </TD>
    <TD>
    <xsl:apply-templates select="caller"/>
    </TD>
    <TD>
    <xsl:apply-templates select="data"/>
    </TD>
    <TD>
    <xsl:value-of select="size"/>
    </TD>   
    <TD>
    <xsl:value-of select="time"/>
    </TD>
  </TR>
</xsl:template>

<xsl:template match="from">
  <I>from: </I>
  <xsl:apply-templates select="object"/>
  <BR/>
</xsl:template>

<xsl:template match="to">
  <I>to: </I>
  <xsl:apply-templates select="object"/>
  <BR/>
</xsl:template>

<xsl:template match="object">
  <xsl:value-of select="name"/>&#160;(<xsl:value-of select="id"/>)
</xsl:template>

<xsl:template match="attribute">
  <I><xsl:apply-templates select="key"/>: </I>
  <xsl:apply-templates select="value"/>
</xsl:template>

<xsl:template match="struct">
  ([ <xsl:apply-templates select="member"/> ])
</xsl:template>

<xsl:template match="member">
  '<xsl:apply-templates select="key"/>':
  <xsl:apply-templates select="value"/>&#160;
</xsl:template>

</xsl:stylesheet>


