<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="type">public</xsl:param>
<xsl:param name="object">nil</xsl:param>
<xsl:param name="program"></xsl:param>
<xsl:output method="html"/>
	

<xsl:template match="functions">
	<h2>List of <xsl:value-of select="$type"/> functions of 
	<xsl:value-of select="program"/>
	(<xsl:value-of select="name"/>)
	<font size="-2">
	<xsl:if test="$type='public'">(<a href="functions.pike?object={$object}&amp;type=private&amp;program={$program}">List private</a>)
	</xsl:if>
	<xsl:if test="$type='private'">(<a href="functions.pike?object={$object}&amp;type=public&amp;program={$program}">List public</a>)
	</xsl:if>
	</font>
	</h2>
	<br/>
	Inherits: <xsl:for-each select="inherits/inherit">
		<a href="functions.pike?program={.}&amp;amp;type={$type}">
	           <xsl:value-of select="."/>
		</a>,
	</xsl:for-each>
        <br/>
	Dependents: <xsl:for-each select="dependents/depend">
	       <a href="functions.pike?program={.}&amp;type={$type}\">
		  <xsl:value-of select="."/>
               </a>,
	       </xsl:for-each>
	<br/>
	<br/>
	<table width="100%"><tr><td bgcolor="#000000"/></tr></table>
	<table>
	  <tr><td><b>Functions</b></td>
	      <td><b><i>Descriptions</i></b></td></tr>
	  <tr>
	     <td valign="top">
		<table>
		<xsl:for-each select="function[@type=$type]">	
		  <tr><td>
		   <a href="functions.pike?object={$object}&amp;program={$program}#{@name}">
			    <xsl:value-of select="@name"/></a>
		  </td></tr>
		</xsl:for-each>
		</table>
	     </td>
	     <td valign="top">
		<table>
		<xsl:for-each select="function[@type=$type]">
		<tr><td><a name="{@name}">Function Name:</a></td>
		    <td><b><xsl:value-of select="@name"/></b></td>
		</tr>
		<tr><td>Synopsis:</td>
	            <td><b><xsl:value-of select="synopsis"/></b></td>
		</tr>
		<tr><td>Keywords:</td>
		    <td><b><xsl:value-of select="keywords"/></b></td>
                </tr>
		<tr><td>Description:</td>
	            <td><i><xsl:apply-templates select="description"/></i></td>
		</tr>
		<tr><td>Author:</td>
		    <td><xsl:apply-templates select="parsed/author"/></td>
		</tr>
		<tr><td>Parameters:</td>
		     <td><table>
			<xsl:for-each select="argument">
			<tr><td><b><xsl:value-of select="."/></b></td></tr>
			</xsl:for-each>
			</table>
 		     </td>
		</tr>
		<tr><td>Returns:</td>
		    <td><xsl:apply-templates select="parsed/return"/></td></tr>
		<tr><td>See:</td>
		    <td><xsl:apply-templates select="see"/></td></tr>
                <tr><td>
		<table width="100%">
			<tr><td width="100%" bgcolor="#000000"/></tr>
		</table>
		</td></tr>
                </xsl:for-each>
		</table>
	      </td>
	  </tr>
      </table>
</xsl:template>

<xsl:template match="see">
   <xsl:variable name="me"><xsl:value-of select="function"/></xsl:variable>
   <xsl:if test="object!=''">
          <a href="functions.pike?program={object}.pike&amp;type={$type}#{$me}"><xsl:value-of select="$me"/></a>,
   </xsl:if>  
   <xsl:if test="object=''">
   <xsl:for-each select="parent::function/parent::functions/function">
     <xsl:if test="@name=$me">
	<xsl:if test="@type=$type">
	  <a href="#{$me}"><xsl:value-of select="$me"/></a>,
        </xsl:if>
	<xsl:if test="@type!=$type">
          <a href="functions.pike?object={$object}&amp;program={$program}&amp;type={@type}#{$me}"><xsl:value-of select="$me"/></a>,
        </xsl:if>
   </xsl:if>
   </xsl:for-each>
   </xsl:if>
</xsl:template>

<xsl:template match="description">
	<xsl:copy-of select="."/>
</xsl:template>

<xsl:template match="*">
	<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>

