<?xml version="1.0"	encoding="utf-8"?> 
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp	"&#160;">]>
<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output	method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>			
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>			
<xsl:param name="domain"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="error"></xsl:param>						<!-- war mit ok vorbelegt -->
<xsl:param name="message"></xsl:param>						<!-- war mit 'no action' vorbelegt-->
<xsl:param name="stylesheet">undefined</xsl:param>			<!-- name="stylesheet" fehlt: in content.xsl enthalten (04.05.2005)	-->
<xsl:param name="room">
   <xsl:choose>
	  <xsl:when	test="$nav='area'"><xsl:value-of select="$object"/></xsl:when>
	  <xsl:otherwise>0</xsl:otherwise>
   </xsl:choose></xsl:param>
<xsl:param name="map">navigation</xsl:param>			<!-- legt fest,	welche image map für die obere navigationsleiste in	steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">navigation</xsl:param>		<!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->												
<xsl:param name="bottomnavi">content</xsl:param>		<!-- legt fest,	welche navigationsleist	+ image	map	in navigationsleiste2.xsl benutzt wird -->
<xsl:param name="language"/>							<!-- Sprache uebernehmen. english fuer englisch	bzw	german fuer	deutsch	-->
<xsl:param name="os"/>
<xsl:param name="nav"><xsl:choose><xsl:when	test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="imagecount"><xsl:value-of select="count(//Object[substring-before(content/mime-type, '/') = 'image'])"/></xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="itemswithoutimagescount"><xsl:value-of select="$itemscount - $imagecount"/></xsl:param>
<xsl:param name="itemsperpage">5</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">5</xsl:param>
		
<xsl:include href="steam://stylesheets/content.xsl"/>			


<xsl:template match="Object">

<xsl:variable name="color" select='"#F4F5F1"' />
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:variable name="ftp">
  <xsl:choose>
	<xsl:when test="$os	= 'windows nt'">0</xsl:when>
	<xsl:when test="$os='linux'">0</xsl:when>
	<xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<html lang="{LANG}">		<!-- Anfang der html-Datei -->
  <head>
	<!-- setting variable language for use in javascript- code - internationalisation of .js sources is	now	possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
	<script	src="/gui_js/main.js" type="text/javascript"></script>
 
	<meta http-equiv="Content-Type"	content="text/html;	charset=utf-8" />
	<meta http-equiv="expires" content="0"/>
	<title><xsl:value-of select="name" /> |	sTeam</title>		
	<xsl:call-template name="browsercss"/>
  </head>
  
  <body	id="gallery">											
	<xsl:if	test="/Object/@type='Room'">						
		<xsl:attribute name="class">awareness</xsl:attribute>
	</xsl:if>
	
	<div id="container">										<!-- div id="container"	-->
	<div id="skiplinks"	class="off">							<!-- div id="skiplinks"	-->
		<h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>
		<ul>
		<li><a href="#position">{SKIP_POSITION}</a></li>
		<li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
		</ul>		
	</div>														<!-- Ende div id="skiplinks" -->
	
	<!--
	<MAP NAME="subnav1">
		<AREA SHAPE="poly" COORDS="130,19,257,19,243,2,116,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=common" ALT="{GALLERY_ATTRIBUTES}"	TITLE="{GALLERY_ATTRIBUTES}"/>
		<AREA SHAPE="poly" COORDS="260,19,386,19,370,2,247,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=advanced" ALT="{GALLERY_ACTIONS}" TITLE="{GALLERY_ACTIONS}"/>
		<AREA SHAPE="poly" COORDS="389,19,516,19,503,2,373,2" HREF="/scripts/navigate.pike?object={id}&amp;type=annotations&amp;room={$room}" CLASS="topnavurl1"  ALT="{GALLERY_COMMENTS}" TITLE="{GALLERY_COMMENTS}"/>
		<AREA SHAPE="poly" COORDS="519,19,650,19,636,2,506,2" HREF="/scripts/navigate.pike?object={$object}&amp;type=access&amp;room=/&amp;mode=common"	ALT="{GALLERY_RIGHTS}" TITLE="{GALLERY_RIGHTS}"/>
	</MAP>
	-->
	
	<xsl:call-template name="header"/>	
	<hr	/>														
	<div id="content">											<!-- div id="content" -->
	
	
	<div id="position">											<!-- div id="position" -->
		<xsl:choose>
			<xsl:when test="name=''"><h1>{GALLERY_NODESCRIPTION}</h1></xsl:when>
		</xsl:choose>
		<xsl:call-template name="show_trail" />	
	</div>														<!-- Ende div id="position"	-->
	
	
	<xsl:call-template name="nav2" />
	
	<div id="maincontent">										<!-- div id="maincontent" -->
		<form name="browser" action="/scripts/browser.pike"	method="post">
			<fieldset class="hidden">
				<input type="hidden" name="id" value="{id}"	/>
				<input type="hidden" name="_action"	value="browser.pike" />
				<input type="hidden" name="room" value="{$room}" />
			</fieldset>
		
		<xsl:apply-templates select="inventory"	/>
		
		<xsl:if	test="types!=0">
			<p>You can show	this page as:
			<xsl:for-each select="types/struct/member">
				<a href="{$room}?room={$room}&amp;style={value/object/id}">
					<xsl:value-of select="key/object/name" />
				</a>
			</xsl:for-each>
			</p>
		</xsl:if>
			
		</form>
	</div>														<!-- Ende div id="maincontent" -->
	  
	  </div>													<!-- Ende div id="content" -->
	  <xsl:call-template name="footer" />						
	  </div>													<!-- Ende div id="container" -->
	</body>
  </html>
</xsl:template>


<xsl:template match="inventory">

			<xsl:variable name="no_objects">
				<xsl:choose>
					<xsl:when test="/Object/inventory -	count((Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']|Object[@type='Script']))=0">true</xsl:when>
					<xsl:when test="/Object/inventory-size=0">true</xsl:when>
					<xsl:when test="/Object/inventory=''">true</xsl:when>
					<xsl:otherwise>false</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>


<!-- Tabellenansicht für alle nicht-Bilder-Dateien -->
<xsl:if	test="$itemscount=0 or Object[@type='Document' and substring-before(content/mime-type, '/') != 'image'] != '' or Object[@type='Container'] !='' "> <!-- Object[@type='Container']	!= '' or	 Auskommentiert am 10.05.2005 -->
	  <table id="otherinventory" cellspacing="0" summary="{CONTENT_OTHERINVENTORY_TABLE_SUMMARY}">
		<thead>
		  <tr>
			<th	scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br	/></th>
			<th	scope="col"><br	/></th>
			<th	scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_name}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}"><!--{NAME}-->{GALLERY_OBJECTLIST_NAME}</a><xsl:copy-of  select="$sort_namesymbol"/></th>
			<th	scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_size}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}"><!--{SIZE}-->{GALLERY_OBJECTLIST_SIZE}</a><xsl:copy-of  select="$sort_sizesymbol"/></th>
			<th	scope="col"><a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_modified}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}"><!--{ATTRIBUTESCREATE}-->{GALLERY_OBJECTLIST_MODIFIED_BY}</a><xsl:copy-of select="$sort_modifiedsymbol"/></th>
			<th	scope="col">{TAB_EXTFUNCT}</th>
		  </tr>
		</thead>


		<xsl:if	test="$itemscount >	1">		<!-- Checkbox zum Auswählen aller Dateien -->
		  <tfoot>
			<tr>
			  <td><input type="checkbox" name="objcheckall"	id="objcheckall" onclick="checkallobj_handle(document.browser);"/></td>
			  <td colspan="5" class="checkall"><label for="objcheckall">{CONTENT_SELECTALLOBJ}</label></td>
			</tr>

			<!-- Verteilung der Dateien auf mehrere Seiten: AUSGEBLENDET-->
			<!--
			<xsl:if	test="$itemswithoutimagescount >	$itemsperpage">
			  <tr>
				<td	class="pages" colspan="6">
				  {CONTENT_PAGES}:
				  <xsl:choose>
					<xsl:when test="$sort='name'">
					  <xsl:call-template name="show_pages_byname_gallery"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
					  <xsl:call-template name="show_pages_bynumber_gallery"><xsl:with-param	name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
					</xsl:otherwise>
				  </xsl:choose>
				</td>
			  </tr>
			</xsl:if>--><!-- Ende "Methode" -->
		  </tfoot>
		</xsl:if>

		
		<tbody>
		  <xsl:if test="$itemscount=0">						<!-- falls keine Dokumente vorhanden sind -->
			<tr>
			  <td colspan="6" class="nodocsyet">
				<xsl:choose>
				  <xsl:when	test="/Object/description!='Trashbin'">
					{NO_DOCUMENTS_YET}
				  </xsl:when>
				  <xsl:otherwise>
					{CONTENT_TRASHBIN_EMPTY}
				  </xsl:otherwise>
				</xsl:choose>
			  </td>
			</tr>
		  </xsl:if>
		   

		  <xsl:if test="$itemscount	> 0 and $imagecount!=$itemscount">					<!-- Falls (nicht nur Bild-) Dokumente vorhanden -->
			<xsl:choose>
			  <xsl:when	test="$sort='name' or $sort='size' or $sort='modified'">
				<xsl:for-each select="Object">
				  <xsl:call-template name="sort_objectlist_gallery"/>
				</xsl:for-each>
			  </xsl:when>
			  <xsl:otherwise>
				<xsl:call-template name="show_objectlist_gallery"/>			
			  </xsl:otherwise>
			</xsl:choose>
		  </xsl:if>
		</tbody>
	  </table>
</xsl:if>


<!-- Anfang	des	Gallerieteils der Seite	-->
<xsl:if test="$imagecount!=0">
<br	/>
<h2>{GALLERY_GALLERY}</h2>

<xsl:for-each select="Object[substring-before(content/mime-type, '/') =	'image']">
<xsl:sort select="name" />
<xsl:call-template name="show_image">
<xsl:with-param	name="id"><xsl:value-of	select="id"/></xsl:with-param>
</xsl:call-template>
<xsl:if test="position() mod 6	= 0"><br clear="all"/></xsl:if>
</xsl:for-each>

<br clear="all"/>

<xsl:if	test="string(/Object/access/writeable/@user)='true'">
<xsl:if	test="$no_objects='false'">

<!-- Neue Sortiermechanismen: bearbeiten: nach Name, Größe, Datum, (ID)-->
<br/><a href="#" onclick="order_inventory('{$object}');" class="mainurl" title="{GALLERY_ORDERPICTURES_TITLE}"><img class="arrowright" src="/images/arrow_right_small.gif" alt="" /><span class="linkunderline">{GALLERY_ORDERPICTURES}</span></a>
<br/><br/><a href="#" onclick="order_inventory_slides('{$object}');" class="mainurl" title="{GALLERY_ORDERACCORDINGTOSLICENUMBERS_TITLE}"><img class="arrowright" src="/images/arrow_right_small.gif" alt="" /><span class="linkunderline">{GALLERY_ORDERACCORDINGTOSLICENUMBERS}</span></a>
<!-- <br/>&#160;&#160;&gt;&gt;&#160;<a href="#" onclick="order_inventory('{$object}');" class="mainurl" title="{GALLERY_ORDERPICTURES_TITLE}">{GALLERY_ORDERPICTURES}</a>
<br/><br/>&#160;&#160;&gt;&gt;&#160;<a href="#" onclick="order_inventory_slides('{$object}');" class="mainurl" title="{GALLERY_ORDERACCORDINGTOSLICENUMBERS_TITLE}">{GALLERY_ORDERACCORDINGTOSLICENUMBERS}</a> -->
<br/><br/><br/>

</xsl:if>
</xsl:if>
</xsl:if>

<xsl:if	test="count(Object[@type='Exit']|Object[@type='Room'])!=0">
<xsl:for-each select="Object[@type='Exit']|Object[@type='Room']">
<xsl:sort select="name"/>
    <div class="gate">
      <xsl:choose>
        <xsl:when test="@type='Room'">
          <xsl:call-template name="show_room"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="show_exit"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
</xsl:for-each>
</xsl:if>

<!-- grauen Balken für Aktionen, wenn Dateien vorhanden -->
<xsl:if test="$itemscount	> 0" >					<!-- Falls Dokumente vorhanden -->
	<h2>{GALLERY_ACTION_DIVISION}</h2>
</xsl:if>

<div>
		<!-- lastaction -->		
        <xsl:if test="$itemscount > 0">
          <p class="lastaction">
            <xsl:call-template name="take"/>
            <xsl:if test="$message!=''">          
            <br/>																
            <label for="lastaction" class="lastaction">{COMMAND}:</label>
            <span id="lastaction">
              <xsl:choose>
                <xsl:when test="$error=''">									<!-- $error='ok' -->
                  <xsl:value-of select="$message"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="$message"/><br/><span class="error"><xsl:value-of select="$error"/></span>
                  <!--<a class="error" href="#" onclick="show_error('{$error}');"><xsl:value-of select="$message"/></a>-->
                </xsl:otherwise>
              </xsl:choose>
            </span>
            </xsl:if>
          </p>
        </xsl:if>

        <xsl:call-template name="display_createoptions"/>
                  
		<xsl:if	test="/Object/id!=/Object/user/id">
		  <xsl:call-template name="drop"/>
		</xsl:if>
</div>		

</xsl:template>


<xsl:template name="show_image">
<xsl:param name="id"/>
	<xsl:for-each select="parent::inventory/Object[id =	$id]">
	   	<div style="width:9.5em; float:left; margin:1em 0.5em 0.5em 0.5em;">
			<div style="padding:1em; float:left;"><!-- <span style="padding:1em; float:left;"> -->
				<p class="p_galleryimage">
				<!-- <p style="height:80px; margin:0em;"> -->
					<a class="imagelink" href="/scripts/navimage.pike?object={id}&amp;type=image#imagemarke">
					<xsl:choose>
						<xsl:when test="description!=''">
							<img class="galleryimage" src="/scripts/get.pike?object={id}&amp;xsize=80&amp;ysize=80" alt="" title="{name} - {description}"  style="border: solid 1px #999"/>
						</xsl:when>
						<xsl:otherwise>
							<img class="galleryimage" src="/scripts/get.pike?object={id}&amp;xsize=80&amp;ysize=80" alt=""	title="{name}" style="border: solid 1px #999" />
						</xsl:otherwise>
					</xsl:choose>
					</a>
				</p>
				<span style="vertical-align:bottom;">
					<xsl:if	test="@selected	= 'false'"><input type="checkbox" name="objsel"	value="{id}"/></xsl:if>
					<xsl:if	test="@selected	= 'true'"><input type="checkbox" name="objsel" value="{id}"	checked="true" class="bgcheckedobj"/></xsl:if>
					<br/><b><a href="/scripts/navimage.pike?object={id}&amp;type=image" title="{name}">
						
						<xsl:call-template name="image_name_breaks">
							<xsl:with-param name="imagename" select="name"/>
						</xsl:call-template>
												
						<!--<xsl:value-of select="substring(name,1,8)"/>...-->
						
						</a></b><br/><br/>
				</span>
			</div><!-- </span> -->
		</div>
	</xsl:for-each>
</xsl:template>


<!-- Methode zum harten Umbrechen der Dateinamen: wird nur angewendet, wenn in "show_image" aktiviert, d.h. nicht auskommentiert -->
<xsl:template name="image_name_breaks">			<!-- erzeugt erzwungene Zeilenumbrüche nach System -->
		<xsl:param name="imagename"/>
		<xsl:variable name="imagename_length" select="string-length($imagename)"/>
		<xsl:variable name="imagename_start" select="1"/>

		<xsl:if test="$imagename_length&lt;10 or $imagename_length=10">		<!-- falls Zeile weniger als 10 Zeichen hat, hinschreiben -->
			<xsl:value-of select="$imagename"/>
		</xsl:if>

		<xsl:if test="$imagename_length&gt;10">
			<xsl:value-of select="substring($imagename,$imagename_start,10)"/>-<br/>
			<xsl:call-template name="image_name_breaks">
				<xsl:with-param name="imagename" select="substring($imagename,$imagename_start+10)"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>


<xsl:template name="show_objectlist_gallery">
  <xsl:if test="/Object/@type!='Room'">
	<xsl:for-each select="Object[@type='Exit' or @type='Room']">
	  <xsl:sort	select="*[local-name()=/Object/sort-exits]"/>
	  <xsl:call-template name="show_object"/>
	</xsl:for-each>
  </xsl:if>
  <xsl:for-each	select="Object[@type='Container' or	@type='Trashbin']">
	<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
	<xsl:call-template name="show_container"/>
  </xsl:for-each>
  <xsl:for-each	select="Object[@type='Document'	and	substring-before(content/mime-type,	'/') !=	'image']|Object[@type='DocExtern'and substring-before(content/mime-type, '/') != 'image']|Object[@type='DocLpc'and substring-before(content/mime-type, '/')	!= 'image']"> 
  <!-- and substring...	hinzu: wichtig für die Auswahl von nur image-objekten -->
	<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
	<xsl:call-template name="show_document"/>
	</xsl:for-each>
  <xsl:for-each	select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Script']">
	<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
	<xsl:call-template name="show_object"/>
  </xsl:for-each>
</xsl:template>


<xsl:template name="sort_objectlist_gallery">
  <xsl:if test="@type='Container' or @type='Trashbin'">
	<xsl:call-template name="show_container"/>
  </xsl:if>
  <xsl:if test="@type='Document' and substring-before(content/mime-type, '/') != 'image' or	@type='DocExtern' and substring-before(content/mime-type, '/') != 'image' or @type='DocLpc'	and	substring-before(content/mime-type,	'/') !=	'image'">
	<xsl:call-template name="show_document"/>
  </xsl:if>
  <xsl:if test="@type='Object' or @type='Link' or @type='Messageboard' or @type='Script'">
	<xsl:call-template name="show_object"/>
  </xsl:if>
</xsl:template>


<xsl:template name="show_pages_bynumber_gallery">
<xsl:param name="show_itemsperpage"/>
<xsl:param name="show_blockno" select="0"/>
<xsl:variable name="show_blockmod_from" select="($show_itemsperpage * $show_blockno) + 1"/>
<xsl:variable name="show_blockmod_to" select="$show_itemsperpage * ($show_blockno + 1)"/>

<xsl:if test="($show_blockno + 1) > 1"> | </xsl:if>

<xsl:choose>
  <xsl:when test="$show_blockmod_from = $from_obj">
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemswithoutimagescount">
        <xsl:value-of select="$show_blockmod_from"/>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemswithoutimagescount">
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemswithoutimagescount"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemswithoutimagescount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemswithoutimagescount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/></a>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemswithoutimagescount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemswithoutimagescount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemswithoutimagescount"/></a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$show_blockmod_to}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/></a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:otherwise>
</xsl:choose>

<xsl:if test="$itemswithoutimagescount > $show_itemsperpage * ($show_blockno + 1)">
  <xsl:call-template name="show_pages_bynumber_gallery">
    <xsl:with-param name="show_itemsperpage" select="$show_itemsperpage"/>
    <xsl:with-param name="show_blockno" select="$show_blockno + 1"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>



<xsl:template name="show_pages_byname_gallery">
<xsl:param name="show_itemsperpage"/>
<xsl:param name="show_blockno" select="0"/>
<xsl:variable name="show_blockmod_from" select="($show_itemsperpage * $show_blockno) + 1"/>
<xsl:variable name="show_blockmod_to" select="$show_itemsperpage * ($show_blockno + 1)"/>

<xsl:if test="($show_blockno + 1) > 1"> | </xsl:if>

<xsl:choose>
  <xsl:when test="$show_blockmod_from = $from_obj">
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemswithoutimagescount">
        <xsl:value-of select="$show_blockmod_from"/>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemswithoutimagescount">
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemswithoutimagescount"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemswithoutimagescount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemswithoutimagescount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/></a>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemswithoutimagescount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemswithoutimagescount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$itemswithoutimagescount"/></a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$show_blockmod_to}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/>&#8230;<xsl:value-of select="$show_blockmod_to"/></a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:otherwise>
</xsl:choose>

<xsl:if test="$itemswithoutimagescount > $show_itemsperpage * ($show_blockno + 1)">
  <xsl:call-template name="show_pages_bynumber_gallery">
    <xsl:with-param name="show_itemsperpage" select="$show_itemsperpage"/>
    <xsl:with-param name="show_blockno" select="$show_blockno + 1"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
