<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="admin">false</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="path">/</xsl:param>
<xsl:param name="show">members</xsl:param>
<xsl:param name="map">groups</xsl:param>
<xsl:param name="topnavi">groups</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="error">0</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="room"/>
<xsl:param name="language"/>
<xsl:param name="mode">overview</xsl:param>
<xsl:param name="showmvgrp">false</xsl:param>


<!-- hinzu am 17.10.2005, angepasst am 23.03.2007 -->
<xsl:variable name="isgrpadmin">
  <xsl:choose>
    <xsl:when test="string(/Object/admin)='true'">true</xsl:when>
    <xsl:when test="string(/Object/user/admin)='true'">true</xsl:when>
    <xsl:when test="string(/Object/access/writeable/@user)='true'">true</xsl:when>
    <xsl:otherwise>false</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>

<xsl:template match="inventory"/>

<xsl:template name="show_admin">
  <xsl:param name="id"/>
  <xsl:if test="count(/Object/admins/Object[id=$id]) > 0">
    ({GROUP_ADMIN})
  </xsl:if>
</xsl:template>


<xsl:template name="show_createsubgroup">
<h2>{GROUP_CREATESUBGROUP}</h2>

<fieldset class="grid">
  <p class="desc">{GROUP_CREATESUBGROUP_DEFINITION}</p>

  <p>
    <label class="grid" for="new_group_name">{GROUP_CREATESUBGROUP_NAME}:</label>
    <input type="text" size="30" id="new_group_name" name="new_group_name" />
  </p>

  <p>
    <label class="grid" for="new_group_description">{GROUP_CREATESUBGROUP_DESCR}:</label>
    <input type="text" size="30" id="new_group_description" name="new_group_description" />
  </p>

  <p>
    <input type="button" value="{GROUP_CREATESUBGROUP_SUBMIT}" onclick="grp_create_subgroup(document.browser);" />
  </p>
</fieldset>
</xsl:template>


<xsl:template name="show_sendmessage">
<xsl:param name="name" select="/Object/name"/>
<!-- cant use access check here because it seems sending a message to a group doesnt depend on access rights TODO: check  -->
<xsl:if test="1=1 or string(/Object/access/annotateable/@user)!='false'">
  <h2>{GROUP_SENDMSG} <xsl:value-of select="$name"/></h2>
  
  <!--<xsl:call-template name="show_results"/>-->
  
  <fieldset class="grid">
    <p class="desc">{GROUP_SENDMSG_DEFINITION}</p>
  
    <p>
      <label class="grid" for="messagesubject">{GROUP_SENDMSG_SUBJECT}:</label>
      <input type="text" id="messagesubject" name="messagesubject" size="40" />
    </p>
  
    <p>
      <label class="grid" for="messagebody">{GROUP_SENDMSG_MESSAGE}:</label>
      <textarea id="messagebody" name="messagebody" rows="9" cols="38" />
    </p>
  
    <p>
      <label class="grid" for="annotfile">{GROUP_SENDMSG_OPTATTACHEMENT}:</label>
      <input type="file" id="annotfile" name="annotfile" size="14" />
    </p>
  
    <p>
      <input type="button" value="{GROUP_SENDMSG_BUTTONSEND}" onclick="check_sendmail(this.form,'{$type}');" />
    </p>
  </fieldset>
</xsl:if>
</xsl:template>


<xsl:template name="display_grpname">
  <xsl:param name="grp">0</xsl:param>
  <xsl:param name="grpname"/>
  <xsl:param name="grpadmin"/>
  <xsl:param name="steamadmin"/>

  <xsl:choose>
    <xsl:when test="$grpadmin='true' or $steamadmin='true'">
      <a href="javascript:check_mvgrp('{$grp}','{$grpname}','1');">
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
          print_shortergrpname("</xsl:text><xsl:value-of select="$grpname"/><xsl:text disable-output-escaping="yes">");
        //]]&gt;&lt;/script&gt;</xsl:text>
      </a>
    </xsl:when>
    <xsl:otherwise>
      <a href="javascript:check_mvgrp('{$grp}','{$grpname}','2');">
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
          print_shortergrpname("</xsl:text><xsl:value-of select="$grpname"/><xsl:text disable-output-escaping="yes">");
        //]]&gt;&lt;/script&gt;</xsl:text>
      </a>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="display_group">
  <xsl:param name="grp">0</xsl:param>
    <xsl:choose>
      <xsl:when test="count(/Object/groups/Object[id=$grp]/listgroups/array/object)=0 and count(/Object/groups/array/Object[id=$grp]/listusers/array/object)=0">
        <div id="treenode_{$grp}">
          <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
            set_gsindent(document.browser);
          //]]&gt;&lt;/script&gt;</xsl:text>
          <img src="/images/treenode_empty.gif" width="13" height="13" alt="" /><xsl:call-template name="display_grpname"><xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param><xsl:with-param name="grpname"><xsl:value-of select="/Object/groups/Object[id=$grp]/name"/></xsl:with-param><xsl:with-param name="grpadmin"><xsl:value-of select="/Object/groups/Object[id=$grp]/admin"/></xsl:with-param><xsl:with-param name="steamadmin"><xsl:value-of select="/Object/user/admin"/></xsl:with-param></xsl:call-template>
        </div>
      </xsl:when>

      <xsl:otherwise>
        <div id="treenode_{$grp}">
          <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
            set_gsindent(document.browser);
          //]]&gt;&lt;/script&gt;</xsl:text>
          <a href="#mvgrp" onclick="mevent(this)"><img src="/images/treenode_expand.gif" width="13" height="13" id="treeimg_nodeicon" alt="" /></a><xsl:call-template name="display_grpname"><xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param><xsl:with-param name="grpname"><xsl:value-of select="name"/></xsl:with-param><xsl:with-param name="grpadmin"><xsl:value-of select="admin"/></xsl:with-param><xsl:with-param name="steamadmin"><xsl:value-of select="/Object/user/admin"/></xsl:with-param></xsl:call-template>
        </div>
        <xsl:call-template name="show_group">
          <xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="show_group">
  <xsl:param name="grp">0</xsl:param>
   <div id="treebranch_{$grp}" style="display:none">
    <xsl:for-each select="/Object/groups/Object[id=$grp]/listgroups/array/object">
      <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
        set_gsindent(document.browser);
      //]]&gt;&lt;/script&gt;</xsl:text>
      <xsl:call-template name="display_group">
        <xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param>
      </xsl:call-template>
      <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
        set_gsindent(document.browser);
      //]]&gt;&lt;/script&gt;</xsl:text>
  </xsl:for-each>
  </div>
</xsl:template>

<xsl:template name="group_basic">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/groups.js" type="text/javascript"></script>
  <script src="/gui_js/mail.js" type="text/javascript"></script>
  <script src="/gui_js/attributes.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>
    {GROUP_TITLE}
    <xsl:choose>
      <xsl:when test="name=''">{GROUP_UNKNOWN}</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="name"/>
      </xsl:otherwise>
    </xsl:choose>
    | sTeam
  </title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="group">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">
    <xsl:if test="string(access/writeable/@user)='true'">
      <xsl:attribute name="class">withsecnav</xsl:attribute>
    </xsl:if>

    <div id="position">
      <xsl:call-template name="group_header"/>
    </div>

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post" enctype="multipart/form-data">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="touser" value="{id}" />
          <input type="hidden" name="_action" value="add_user" />
          <input type="hidden" name="_script" value="/groups/{/Object/path/path}" />
          <input type="hidden" name="subgroup" value="{id}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="mode" value="{$mode}" />
          <input type="hidden" name="gsindent" value="0" />
        </fieldset>

		<xsl:call-template name="show_results"/>

        <xsl:choose>
          <xsl:when test="string(access/writeable/@user)='true' or /Object/name='PrivGroups'">
            <xsl:choose>
              <xsl:when test="$mode='overview' or $mode=''">
                <xsl:call-template name="show_group_becomegroupmember"/>
                <xsl:call-template name="show_group_members"/>
                <xsl:call-template name="show_group_subgroups"/>
                <xsl:call-template name="show_sendmessage">
                  <xsl:with-param name="grpname"><xsl:value-of select="name"/></xsl:with-param>
                </xsl:call-template>
              </xsl:when>
              <xsl:when test="$mode='admin' and string(access/writeable/@user)!='true' and /Object/name='PrivGroups'">
                <xsl:call-template name="show_createsubgroup"/>
              </xsl:when>
              <xsl:when test="$mode='admin'">
                <!--<xsl:call-template name="show_results"/>-->

                <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{GROUP_USERLIST} &#8211; {GROUP_USERLIST_REQUEST}</h2>

                <fieldset class="grid">
                  <p class="desc"><strong>{GROUP_USERLIST_USAGEWORD}:</strong> {GROUP_USERLIST_DEFINITION}</p>

                  <p>
                    <label class="grid">{GROUP_USERLIST_MEMBERSHIPREQ}:</label>
                    <xsl:choose>
                      <xsl:when test="count(requests/Object[@type='User' or @type='Group']) > 0">
                        <xsl:for-each select="requests/Object[@type='User']">
                          <input type="checkbox" id="request{id}" name="request" value="{id}" />
                          <label for="request{id}">
                            <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}" title="{GROUP_USER_OPENPROFILE}"><xsl:value-of select="name"/></a>
                            <!--<a href="javascript:open_userdetails('{id}');" title="{GROUP_USER_OPENPROFILE}{NEW_WINDOW}"><xsl:value-of select="name"/></a>-->
                            <xsl:if test="firstname!='0' or firstname!=0">
                              &#8211; <xsl:value-of select="firstname"/>&#160;<xsl:value-of select="fullname"/>
                            </xsl:if>
                          </label><br />
                        </xsl:for-each>
                        <xsl:for-each select="requests/Object[@type='Group']">
                          <input type="checkbox" id="request{id}" name="request" value="{id}" />
                          <label for="request{id}">
                            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}">
                              <xsl:choose>
                                <xsl:when test="name=''">{GROUP_UNKNOWN}</xsl:when>
                                <xsl:otherwise><xsl:value-of select="name"/></xsl:otherwise>
                              </xsl:choose>
                            </a>
                            ({GROUP_GROUP}, <xsl:value-of select="count(members/Object)"/>
                            <xsl:choose><xsl:when test="members = 1"> {GROUP_USERLIST_MEMBER}</xsl:when><xsl:otherwise> {GROUP_USERLIST_MEMBERS}</xsl:otherwise></xsl:choose>)
                          </label><br />
                        </xsl:for-each>
                        <input type="checkbox" id="grp_checkallrequests" name="grp_checkallrequests" onclick="grp_checkall(this.form,'request');" />
                        <label for="grp_checkallrequests">{GROUP_USERLIST_SELECTALL}</label>
                      </xsl:when>
                      <xsl:otherwise>
                        {GROUPS_CREATE_SUBGROUP_NONE} <!-- waren drei dashes -->
                      </xsl:otherwise>
                    </xsl:choose>
                  </p>
					
				  <xsl:choose>
				  <xsl:when test="count(requests/Object[@type='User' or @type='Group']) > 0">
                  <p>
                    <input type="button" value="{GROUP_USERLIST_BUTTONADDSELECTED}" onclick="grp_handleuserlist(this.form,'grp_add');" />
                    <input type="button" value="{GROUP_USERLIST_BUTTONDENY}" onclick="grp_handleuserlist(this.form,'grp_deny');" />
                  </p>
				  </xsl:when>
				  <xsl:otherwise><br/></xsl:otherwise>
				  </xsl:choose>

                  <p>
                    <label class="grid">{GROUP_USERLIST_MEMBERS}:</label>
                    <xsl:choose>
                      <xsl:when test="count(members/Object[@type='User' or @type='Group']) > 0">
                        <xsl:for-each select="members/Object[@type='User']">
                          <xsl:sort select="name"/>
                          <input type="checkbox" id="member{id}" name="member" value="{id}" />
                          <label for="member{id}">
                            <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}" title="{GROUP_USER_OPENPROFILE}"><xsl:value-of select="name"/></a>
                            <!--<a href="javascript:open_userdetails('{id}');" title="{GROUP_USER_OPENPROFILE}{NEW_WINDOW}"><xsl:value-of select="name"/></a>-->
                            <xsl:if test="firstname!='0' or firstname!=0">
                              &#8211; <xsl:value-of select="firstname"/>&#160;<xsl:value-of select="fullname"/>
                            </xsl:if>
                            <xsl:call-template name="show_admin">
                              <xsl:with-param name="id"><xsl:value-of select="id"/></xsl:with-param>
                            </xsl:call-template>
                            <br />
                          </label>
                        </xsl:for-each>
                        <xsl:for-each select="members/Object[@type='Group']">
                          <input type="checkbox" id="member{id}" name="member" value="{id}" />
                          <label for="member{id}">
                            <a href="/groups/{URL}?room={$room}">
                              <xsl:choose>
                                <xsl:when test="name=''">{GROUP_UNKNOWN}</xsl:when>
                                <xsl:otherwise><xsl:value-of select="name"/></xsl:otherwise>
                              </xsl:choose>
                            </a> ({GROUP_GROUP}: <a href="{workarea/object/path}">{GROUP_WORKAREA}</a>, <xsl:value-of select="members"/> <xsl:choose><xsl:when test="members = 1"> {GROUP_USERLIST_MEMBER}</xsl:when><xsl:otherwise> {GROUP_USERLIST_MEMBERS}</xsl:otherwise></xsl:choose>)<br />
                          </label>
                        </xsl:for-each>
                        <input type="checkbox" id="grp_checkallmembers" name="grp_checkallmembers" onclick="grp_checkall(this.form, 'member');"/>
                        <label for="grp_checkallmembers">{GROUP_USERLIST_SELECTALL}</label>
                      </xsl:when>
                      <xsl:otherwise>
                        {GROUPS_CREATE_SUBGROUP_NONE} <!-- waren drei dashes -->
                      </xsl:otherwise>
                    </xsl:choose>
                  </p>
				  
				  <xsl:choose>
                  <xsl:when test="count(members/Object[@type='User' or @type='Group']) > 0">
                  <p>
                    <input type="button" value="{GROUP_USERLIST_BUTTONREMOVEUSER}" onclick="grp_handleuserlist(this.form,'grp_remove');" />
                    <input type="button" value="{GROUP_USERLIST_BUTTONADMIN}" onclick="grp_handleuserlist(this.form,'grp_admins');" />
                  </p>
                  </xsl:when>
                  <xsl:otherwise><br/></xsl:otherwise>
                  </xsl:choose>
                </fieldset>
                
                <h2>{GROUP_INVITATIONS} <xsl:value-of select="name"/></h2>

                <fieldset class="grid">
                  <p class="desc">{GROUP_INVITATIONS_DEFINITION}</p>

                  <p>
                    <label class="grid">{GROUP_INVITATIONS_INVITED}:</label>
                    <xsl:choose>
                      <xsl:when test="count(invites/array/object)>0">
                        <xsl:for-each select="invites/array/object">
                          <input type="checkbox" id="invited{id}" name="invited" value="{id}" />
                          <label for="invited{id}">
                            <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}" title="{GROUP_USER_OPENPROFILE}"><xsl:value-of select="name"/></a>
                            <!--<a href="javascript:open_userdetails('{id}');" title="{GROUP_USER_OPENPROFILE}{NEW_WINDOW}"><xsl:value-of select="name"/></a>-->
                          </label><br />
                        </xsl:for-each>
                        <xsl:if test="count(invites/array/object)>1">
                          <input type="checkbox" id="grp_checkallinv" name="grp_checkallinv" onclick="grp_checkall(this.form,'invited');"/>
                          <label name="grp_checkallinv">{GROUP_INVITATIONS_ALL}</label>
                        </xsl:if>
                      </xsl:when>
                      <xsl:otherwise>
                        {GROUPS_CREATE_SUBGROUP_NONE} <!-- waren drei dashes -->
                      </xsl:otherwise>
                    </xsl:choose>
                  </p>

                  <xsl:if test="count(invites/array/object)>0">
                    <p>
                      <input type="button" value="{GROUP_INVITATIONS_BUTTONREMOVEINVITE}" onclick="grp_remove_invitation(this.form);" />
                    </p>
                  </xsl:if>

                  <p>
                    <input type="button" value="{GROUP_INVITATIONS_BUTTONINVITE}" onclick="document.location.href='/scripts/browser.pike?_action=invite&amp;id={$object}&amp;nav=invite'" />
                  </p>
                </fieldset>

<!-- hinzu am 17.10.2005 -->
<xsl:if test="/Object/@type='Group' and $isgrpadmin='true'">
  <h2>{CONTENT_ADVANCED_GROUP_TITLE}</h2>

  <fieldset class="grid">

    <p class="desc">
      <xsl:call-template name="print_helptext">
        <xsl:with-param name="short">
          {CONTENT_ADVANCED_GROUP_MAXSIZE_DEFINITION_SHORT}
        </xsl:with-param><xsl:with-param name="long">
          <xsl:text>
            <![CDATA[{CONTENT_ADVANCED_GROUP_MAXSIZE_DEFINITION_LONG}]]>
          </xsl:text>
        </xsl:with-param>
      </xsl:call-template>
    </p>

    <p>
      <label class="grid" for="group_maxsize">{CONTENT_ADVANCED_GROUP_MAXSIZE_TEXTFIELDTEXT}:</label>
      <xsl:choose>
        <xsl:when test="number(/Object/maxsize)=0">
          <input type="text" id="group_maxsize" name="group_maxsize" size="5" value="0" />
          <input type="hidden" name="attr_GROUP_MAXSIZE" value="0" />
        </xsl:when>
        <xsl:otherwise>
          <input type="text" id="group_maxsize" name="group_maxsize" size="5" value="{/Object/maxsize}" />
          <input type="hidden" name="attr_GROUP_MAXSIZE" value="{/Object/maxsize}" />
        </xsl:otherwise>
       </xsl:choose>
       <span class="inlinehelp">{CONTENT_ADVANCED_GROUP_MAXSIZE_TEXTFIELDTEXT_LITTLEHELP}</span>
     </p>

     <p>
       <label class="grid" for="cont_adv_grp_mem">{CONTENT_ADVANCED_GROUP_MEMBERS}:</label>
       <span id="cont_adv_grp_mem"><xsl:value-of select="count(members/Object[@type='User'])"/></span>
     </p>

     <p>
       <label class="grid" for="cont_adv_grp_subgrp">{CONTENT_ADVANCED_GROUP_SUBGROUPS}:</label>
       <span id="cont_adv_grp_subgrp"><xsl:value-of select="count(members/Object[@type='Group'])"/></span>
     </p>

     <p class="update">
       <input type="button" value="{DETAILS_UPDATE}" onclick="update_group_maxsize(this.form);" />
     </p>
  </fieldset>
</xsl:if>
                <!-- hinzu am 17.10.2005 -->
                <xsl:if test="/Object/@type='Group' and $isgrpadmin='true'">
                <h2>{CONTENT_ADVANCED_GROUP_HEADING}</h2>
                <fieldset class="grid">
					<p class="desc">
					<xsl:call-template name="print_helptext">
						<xsl:with-param name="short">
						{CONTENT_ADVANCED_GROUP_FREEENTRY_DEFINITION_SHORT}
						</xsl:with-param><xsl:with-param name="long">
						<xsl:text>
							<![CDATA[{CONTENT_ADVANCED_GROUP_FREEENTRY_DEFINITION_LONG}]]>
						</xsl:text>
						</xsl:with-param>
					</xsl:call-template>
					</p>

					<p>
					<label class="grid" for="grp_freeentry">{CONTENT_ADVANCED_GROUP_FREEENTRY}:</label>
					<xsl:choose>
						<xsl:when test="/Object/access/insertable/@guest = 'true'">
						<input type="checkbox" id="grp_freeentry" name="grp_freeentry" checked="checked" />
						</xsl:when>
						<xsl:otherwise>
						<input type="checkbox" id="grp_freeentry" name="grp_freeentry" />
						</xsl:otherwise>
					</xsl:choose>
					</p>

					<p class="update">
					<input type="button" value="{DETAILS_UPDATE}" onclick="update_group_freeentry(this.form);" />
					</p>
				</fieldset>
				</xsl:if>

<!-- Begin Group Password -->
<xsl:choose>
  <xsl:when test="/Object/has_password = 'true'">
    <h2>{GROUP_HASPASSWORD_CHANGEPW}</h2>

    <fieldset class="grid">
      <p class="desc">{GROUP_HASPASSWORD_CHANGEPW_DEFINITION}</p>

      <p>
        <label class="grid" for="grp_password">{GROUP_HASPASSWORD_CHANGEPW_PASSWORD}:</label>
        <input type="password" id="grp_password" name="grp_password" size="15" />
      </p>

      <p>
        <input type="button" value="{GROUP_HASPASSWORD_CHANGEPW_BUTTONSET}" onclick="grp_set_password(this.form);" />
      </p>
    </fieldset>
    
    <h2>{GROUP_HASPASSWORD_DELETEPW}</h2>
    <fieldset>
      <p>
        <input type="button" value="{GROUP_HASPASSWORD_CHANGEPW_BUTTONDELETE}" onclick="grp_delete_password(this.form);" />
      </p>
    </fieldset>

  </xsl:when>
  <xsl:otherwise>
    <h2>{GROUP_CHANGEPW}</h2>

    <fieldset class="grid">
      <p class="desc">{GROUP_CHANGEPW_DEFINITION}</p>

      <p>
        <label class="grid" for="grp_password">{GROUP_CHANGEPW_PASSWORD}:</label>
        <input type="password" id="grp_password" name="grp_password" size="15" />
      </p>

      <p>
        <input type="button" value="{GROUP_CHANGEPW_BUTTONSET}" onclick="grp_set_password(this.form);" />
      </p>
    </fieldset>
  </xsl:otherwise>
</xsl:choose>
<!-- End Group Password -->
                <xsl:if test="/Object/access/insertable/@user='true'">
                  <xsl:call-template name="show_createsubgroup"/>
                </xsl:if>

                
                <h2>{GROUP_EXCLSUBGRP}</h2>

                <fieldset class="grid">
                  <p class="desc">{GROUP_EXCLSUBGRP_DEFINITION}</p>

                  <p>
                    <label class="grid" for="exclusive_subgroups">{GROUP_EXCLSUBGRP_CHECK}:</label>
                    <xsl:choose>
                      <xsl:when test="number(exclusive_subgroups)=1">
                        <input type="checkbox" id="exclusive_subgroups" name="exclusive_subgroups" checked="checked" />
                      </xsl:when>
                      <xsl:otherwise>
                        <input type="checkbox" id="exclusive_subgroups" name="exclusive_subgroups" />
                      </xsl:otherwise>
                    </xsl:choose>
                  </p>

                  <p>
                    <input type="button" value="{GROUP_EXCLSUBGRP_BUTTONSET}" onclick="set_exclsubgrp(this.form);" />
                  </p>
                </fieldset>

                <h2>{GROUP_MOVEGRP}</h2>

                <fieldset>
                  <p class="desc">{GROUP_MOVEGRP_DEFINITION_SHORT}</p>

                  <p>
                    <input type="button" value="{GROUP_MOVEGRP_BUTTONACTIVATE}" title="{GROUP_MOVEGRP_BUTTONACTIVATE}{NEW_WINDOW}" onclick="open_movegrp('/scripts/navigate.pike?object={id}&amp;room={$room}&amp;mode=admin&amp;showmvgrp=true');" />
                  </p>
                </fieldset>

				<!-- verschoben am 18.10.2005 -->                
                <h2>{GROUP_GRPDELETE}</h2>
                <fieldset>
                  <p class="desc">{GROUP_GRPDELETE_DEFINITION}</p>
                  <p>
                    <input type="button" value="{GROUP_GRPDELETE_BUTTONDELETE}" onclick="grp_delete(this.form);" />
                  </p>
                </fieldset>
                
              </xsl:when>
            </xsl:choose>
          </xsl:when>

          <xsl:otherwise>
            <xsl:call-template name="show_group_becomegroupmember"/>
            <xsl:call-template name="show_group_members"/>
            <xsl:call-template name="show_group_subgroups"/>
            <xsl:call-template name="show_sendmessage">
              <xsl:with-param name="grpname"><xsl:value-of select="name"/></xsl:with-param>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>


<xsl:template name="group_advanced">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript" />
  <script src="/gui_js/groups.js" type="text/javascript" />
  <script src="/gui_js/attributes.js" type="text/javascript" />
  <script src="/gui_js/gui_dynamictree.js" type="text/javascript" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{GROUP_TITLE} <xsl:value-of select="name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="movegroup" class="popup" onload="center_frame(); request_focus();">

<div id="container">
  <form name="browser" action="/scripts/browser.pike" enctype="multipart/form-data" method="post">
    <fieldset class="hidden">
      <input type="hidden" name="id" value="{id}" />
      <input type="hidden" name="touser" value="{id}" />
      <input type="hidden" name="_action" value="move_group" />
      <input type="hidden" name="togrp" value="{id}" />
      <input type="hidden" name="_script" value="/groups/{/Object/path/path}" />
      <input type="hidden" name="subgroup" value="{id}" />
      <input type="hidden" name="room" value="{$room}" />
      <input type="hidden" name="mode" value="{$mode}" />
      <input type="hidden" name="gsindent" value="0" />
    </fieldset>

    <h1>{GROUP_MOVEGRP}</h1>

    <p class="desc">{GROUP_MOVEGRP_DEFINITION_LONG1}<xsl:value-of select="name"/>{GROUP_MOVEGRP_DEFINITION_LONG2}</p>

    <p class="desc right">
      {GROUP_MOVEGRP_ALLSUBGROUPS}:
      [<a href="javascript:expandall();">{GROUP_MOVEGRP_ALLSUBGROUPS_COLLAPSE}</a>] |
      [<a href="javascript:collapseall();">{GROUP_MOVEGRP_ALLSUBGROUPS_EXPAND}</a>]
    </p>

    <ul>
      <xsl:for-each select="/Object/groups/Object">
        <xsl:variable name="id"><xsl:value-of select="id"/></xsl:variable>
        <xsl:if test="count(/Object/groups/Object[id = $id]/fathergroups/Object)=0 and name != /Object/name">
          <li>
            <xsl:choose>
              <xsl:when test="count(listgroups/array/object)=0">
                <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                  document.browser.gsindent.value = 0;
                //]]&gt;&lt;/script&gt;</xsl:text>
                <div id="treehead_{id}"><img src="/images/treenode_empty.gif" width="13" height="13" alt="" /><xsl:call-template name="display_grpname"><xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param><xsl:with-param name="grpname"><xsl:value-of select="name"/></xsl:with-param><xsl:with-param name="grpadmin"><xsl:value-of select="admin"/></xsl:with-param><xsl:with-param name="steamadmin"><xsl:value-of select="/Object/user/admin"/></xsl:with-param></xsl:call-template></div>
              </xsl:when>

              <xsl:otherwise>
                <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                  document.browser.gsindent.value = 0;
                //]]&gt;&lt;/script&gt;</xsl:text>
                <div id="treehead_{id}"><a class="treeimg" href="#mvgrp" onclick="mevent(this);"><img src="/images/treenode_expand.gif" width="13" height="13" alt="+" id="treeimg_nodeicon" /></a><xsl:call-template name="display_grpname"><xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param><xsl:with-param name="grpname"><xsl:value-of select="name"/></xsl:with-param><xsl:with-param name="grpadmin"><xsl:value-of select="admin"/></xsl:with-param><xsl:with-param name="steamadmin"><xsl:value-of select="/Object/user/admin"/></xsl:with-param></xsl:call-template></div>
                <xsl:call-template name="show_group"><xsl:with-param name="grp"><xsl:value-of select="id"/></xsl:with-param></xsl:call-template>
              </xsl:otherwise>
            </xsl:choose>
          </li>
        </xsl:if>
      </xsl:for-each>
    </ul>
  </form>
</div>

</body>

</html>
</xsl:template>


<xsl:template match="Object">
  <xsl:choose>
    <xsl:when test="$showmvgrp='true'">
      <xsl:call-template name="group_advanced"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="group_basic"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template match="*"/>


<xsl:template name="show_group_becomegroupmember">
  <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>

  <xsl:choose>
    <xsl:when test="count(/Object/members/Object[id=/Object/user/id])=0">
      <h2>{GROUP_BECOMEAMEMBER} <xsl:value-of select="name"/></h2>
  
      <fieldset class="grid">
        <xsl:choose>
          <xsl:when test="count(requests/Object[id=/Object/user/id])!=0">
            <p id="member_wait">{GROUP_BECOMEAMEMBER_WAIT}</p>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="/Object/invited='false'">
                <xsl:choose>
                  <xsl:when test="/Object/access/insertable/@guest = 'true'">
                    <p class="desc">{GROUP_BECOMEAMEMBER_ISFREEENTRY}</p>
                    <p>
                      <input type="button" value="{GROUP_BECOMEAMEMBER_ISFREEENTRY_BUTTON}" onclick="window.location.href='/scripts/browser.pike?id={id}&amp;_action=request&amp;request={id}';" />
                    </p>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:choose>
                      <xsl:when test="/Object/has_password = 'true'">
                        <p class="desc">{GROUP_HASPASSWORD_BECOMEAMEMBER_DEFINITION}</p>
                        <p>
                          <label class="grid" for="grp_pw">{GROUP_HASPASSWORD_BECOMEAMEMBER_PW}:</label>
                          <input type="password" id="grp_pw" name="grp_pw" size="15" />
                        </p>
                        <p>
                          <input type="button" value="{GROUP_HASPASSWORD_BECOMEAMEMBER_BUTTONJOIN}" onclick="window.location.href='/scripts/browser.pike?id={id}&amp;_action=request&amp;request={id}&amp;grp_pw='+document.browser.grp_pw.value;" />
                        </p>
                      </xsl:when>
                      <xsl:otherwise>
                        <p class="desc">{GROUP_BECOMEAMEMBER_DEFINITION}</p>

                        <p>
                          <input type="button" value="{GROUP_BECOMEAMEMBER_BUTTONREQ}" onclick="window.location.href='/scripts/browser.pike?id={id}&amp;_action=request&amp;request={id}';" />
                        </p>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>

              <xsl:otherwise>
                <p class="desc">{GROUP_BECOMEAMEMBER_JOIN}</p>
                <p>
                  <input type="button" value="{GROUP_BECOMEAMEMBER_JOINBUTTON}" onclick="window.location.href='/scripts/browser.pike?id={id}&amp;_action=request&amp;request={id}';" />
                </p>
              </xsl:otherwise>
            </xsl:choose>

        </xsl:otherwise>
        </xsl:choose>
      </fieldset>
    </xsl:when>
    <xsl:otherwise>
      <xsl:choose>
        <xsl:when test="/Object/id != /Object/steamgroup/object/id" >
          <h2>{GROUP_REJECTMEMBERSHIP} <xsl:value-of select="name"/></h2>
          <fieldset class="grid">
            <p class="desc">{GROUP_REJECTMEMBERSHIP_DEFINITION}</p>
            <p>
              <input type="button" value="{GROUP_REJECTMEMBERSHIP_BUTTONREJ}" onclick="window.location.href='/scripts/browser.pike?id={id}&amp;_action=reject&amp;reject={id}';" />
            </p>
          </fieldset>
        </xsl:when>
        <xsl:otherwise>
          <h2>{GROUP_REJECTMEMBERSHIP} <xsl:value-of select="name"/></h2>
          <fieldset class="grid">
            <p class="desc">{GROUP_REJECTMEMBERSHIP_DEFINITION_STEAM}</p>
          </fieldset>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="show_group_members">
  <xsl:if test="count(members/Object[@type='User'])!=0">
    <h2>{GROUP_GROUPMEMBERS} <xsl:value-of select="name"/></h2>

    <fieldset>
      <p class="desc">{GROUP_GROUPMEMBERS_DEFINITION}</p>

      <ul id="groupmembers">
        <xsl:for-each select="members/Object[@type='User']">
          <xsl:sort select="name"/>
          <li>
            <img class="buddyicon" src="/images/icon_buddy.gif" alt="" />
            <a class="objectname" href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}" title="{GROUP_USER_OPENPROFILE}"><xsl:value-of select="name"/></a>
            <!--<a class="objectname" href="javascript:open_userdetails('{id}');" title="{GROUP_USER_OPENPROFILE}{NEW_WINDOW}"><xsl:value-of select="name"/></a>-->
            <xsl:if test="firstname!='0' or firstname!=0">
              &#8211; <xsl:value-of select="firstname"/>&#160;<xsl:value-of select="fullname"/>
            </xsl:if>
            <xsl:call-template name="show_admin"><xsl:with-param name="id"><xsl:value-of select="id"/></xsl:with-param></xsl:call-template>
          </li>
        </xsl:for-each>
      </ul>
    </fieldset>
  </xsl:if>
</xsl:template>


<xsl:template name="show_group_subgroups">
  <xsl:if test="count(members/Object[@type='Group'])!=0">
    <h2>{GROUP_SUBGROUPS} <xsl:value-of select="name"/></h2>

    <fieldset>
      <p class="desc">{GROUP_SUBGROUPS_DEFINITION}</p>

      <ul id="subgroups">
        <xsl:for-each select="members/Object[@type='Group']">
          <xsl:sort select="name"/>
          <li>
            <img class="subgroupicon" src="/images/tabnav_icon_gruppen.gif" alt="" />
            <a class="objectname" href="/groups/{URL}?room={$room}">
              <xsl:choose>
                <xsl:when test="name=''">{GROUP_UNKNOWN}</xsl:when>
                <xsl:otherwise>
                  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                    print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
                  //]]&gt;&lt;/script&gt;</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </a>
            (<a href="{workarea/object/path}">{GROUP_WORKAREA}</a>)
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </li>
        </xsl:for-each>
      </ul>
    </fieldset>
  </xsl:if>
</xsl:template>


</xsl:stylesheet>