<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="admin">false</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="path">/</xsl:param>
<xsl:param name="show">members</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="map">groups</xsl:param>
<xsl:param name="topnavi">groups</xsl:param>
<xsl:param name="language">english</xsl:param>
<xsl:param name="error"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="nav">groups</xsl:param>
<xsl:param name="room"/>

<xsl:variable name="groupstoc">abcdefABCDEF**** ghijklGHIJKL**** mnopqrMNOPQR**** stuvwxyzSTUVWXYZ</xsl:variable>
<xsl:param name="groupstoc_blocksize">16</xsl:param>
<xsl:param name="groupstoc_blockstart">1</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>


<xsl:template name="groupstoc_build">
<xsl:param name="name"/>
<xsl:param name="groupstoc_blocksize"/>
<xsl:param name="groupstoc_blockstart"/>

<xsl:if test="translate(substring(name,1,1),substring($groupstoc,$groupstoc_blockstart,$groupstoc_blocksize),'!!!!!!!!!!!!!!!!')='!'"><a name="gtoc{$groupstoc_blockstart}" id="gtoc{$groupstoc_blockstart}{$name}"></a></xsl:if>

<xsl:if test="$groupstoc_blockstart&#60;=string-length($groupstoc)">
  <xsl:call-template name="groupstoc_build">
    <xsl:with-param name="groupstoc_blockstart" select="number($groupstoc_blockstart)+number($groupstoc_blocksize)+1"/>
    <xsl:with-param name="name" select="$name"/>
    <xsl:with-param name="groupstoc_blocksize" select="$groupstoc_blocksize"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>



<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/groups.js" type="text/javascript"></script>
  <script src="/gui_js/attributes.js" type="text/javascript" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{GROUPS_TITLE} | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="groups">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1>
      <xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;
        {GROUPS_GROUPS}
        <xsl:choose>
          <xsl:when test="name!=''"><xsl:value-of select="name"/></xsl:when>
          <xsl:otherwise>{GROUPS_OFSTEAM}</xsl:otherwise>
        </xsl:choose></xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_groups.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template>
        </h1>
    </div>

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="_action" value="grp_create" />
          <input type="hidden" name="_script" value="groups.pike" />
          <input type="hidden" name="room" value="{$room}" />
        </fieldset>

        <p><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{GROUPS_CLICK}</p>

        <p>{GROUPS_ALPHAREF}: [<a href="#gtoc1">A&#8211;F</a>] [<a href="#gtoc18">G&#8211;L</a>] [<a href="#gtoc35">M&#8211;R</a>] [<a href="#gtoc52">S&#8211;Z</a>]</p>

        <table cellspacing="0" summary="{GROUPS_TABLE_SUMMARY}">
          <thead>
            <tr>
              <th scope="col">{GROUPS_LIST_NAME}</th>
              <th scope="col">{GROUPS_LIST_DESCR}</th>
              <th scope="col">{GROUPS_LIST_STATUS}</th>
            </tr>
          </thead>
          <tbody>
            <xsl:for-each select="groups/Object[@type='Group' and name!='Everyone' and name!='sTeam' and fathergroups/array='']">
              <tr>
                <xsl:if test="position() mod 2 = 0">
                  <xsl:attribute name="class">odd</xsl:attribute>
                </xsl:if>
                <td>
                  <xsl:call-template name="groupstoc_build"><xsl:with-param name="groupstoc_blockstart" select="$groupstoc_blockstart"/><xsl:with-param name="name" select="name"/><xsl:with-param name="groupstoc_blocksize" select="$groupstoc_blocksize"/></xsl:call-template>
                  <a class="objectname" href="/groups/{URL}?room={$room}&amp;mode=overview"><xsl:choose><xsl:when test="name!=''"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                    print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
                  //]]&gt;&lt;/script&gt;</xsl:text></xsl:when><xsl:when test="name=''">{GROUPS_UNKNOWN}</xsl:when></xsl:choose></a>
                </td>
                <td class="objectdesc"><xsl:value-of select="desc"/></td>
                <td>
                  <xsl:choose>
                    <xsl:when test="admin='true'">{GROUPS_STATUS_ADMIN}</xsl:when>
                    <xsl:when test="member='true'">{GROUPS_STATUS_MEMBER}</xsl:when>
                    <xsl:when test="member='false'"><br /></xsl:when>
                    <xsl:when test="requested='true'">{GROUPS_STATUS_REQUESTED}</xsl:when>
                    <xsl:otherwise><br /></xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:for-each>

            <xsl:if test="/Object/user/admin='true'">
              <tr>
                <xsl:if test="count(groups/Object[@type='Group' and name!='Everyone' and name!='sTeam' and fathergroups/array=''])+1 mod 2 = 0">
                  <xsl:attribute name="class">odd</xsl:attribute>
                </xsl:if>
                <td>
                  <a name="gtoc52" id="gtoc52sTeam"></a><a class="objectname" href="/groups/{/Object/groups/Object[name='sTeam']/name}?room={$room}">sTeam</a>
                </td>
                <td class="objectdesc"><xsl:value-of select="desc"/></td>
                <td>{GROUPS_STATUS_MEMBER}</td>
              </tr>
            </xsl:if>
          </tbody>
        </table>

        <h2>{GROUPS_CREATE}</h2>

        <p>{GROUPS_CREATE_DESCRIPTION}</p>

        <xsl:if test="$message!='ok'">
          <p>
            <img class="arrowright_groups" src="/images/arrow_right_small.gif" alt=""/><strong>{GROUPS_CREATERESULT_HINT}</strong>: <xsl:value-of select="$message"/>
            <!-- &gt;&gt;&gt; <strong>{GROUPS_CREATERESULT_HINT}</strong>: <xsl:value-of select="$message"/> -->
            <xsl:if test="normalize-space($error) != ''">
              &#8211; {GROUPS_CREATERESULT_REASON} <xsl:value-of select="$error"/>
            </xsl:if>
          </p>
        </xsl:if>

        <fieldset class="grid">
          <p>
            <label class="grid" for="new_group_name">{GROUPS_CREATE_NAME}:</label>
            <input type="text" id="new_group_name" name="new_group_name" size="30" />
          </p>

          <p>
            <label class="grid" for="new_group_description">{GROUPS_CREATE_DESCR}:</label>
            <input type="text" id="new_group_description" name="new_group_description" size="30" />
          </p>

          <p>
            <label class="grid" for="subgroup">{GROUPS_CREATE_SUBGROUP}:</label>
            <select id="subgroup" name="subgroup">
              <option value="none">{GROUPS_CREATE_SUBGROUP_NONE}</option>
              <xsl:for-each select="groups/Object[@type='Group' and name!='Everyone' and name!='sTeam' and count(fathergroups/array/object)=0]">
                  <option value="{id}">
                    <xsl:if test="name='PrivGroups'">
                      <xsl:attribute name="selected">selected</xsl:attribute>
                    </xsl:if>
                    <xsl:value-of select="name"/>
                  </option>
              </xsl:for-each>
            </select>
          </p>

          <p>
            <input type="button" value="{GROUPS_CREATE_THISGROUP}" onclick="check_creategroup(this.form);" />
          </p>
        </fieldset>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

</xsl:stylesheet>