<?xml version="1.0"	encoding="utf-8"?> 
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp	"&#160;">]>
<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output	method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<!--<xsl:param name="user_name">undefined</xsl:param>			--><!-- in	content.xsl	variable (siehe unten) (04.05.2005) -->
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>			
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>			
<xsl:param name="prev"><xsl:value-of select="/Object/previous/id"/></xsl:param>
<xsl:param name="next"><xsl:value-of select="/Object/next/id"/></xsl:param>
<xsl:param name="env"><xsl:value-of select="/Object/environment/object/id"/></xsl:param>
<xsl:param name="domain"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="active"><xsl:value-of select="/Object/annotations/thread/id"/></xsl:param>
<!--<xsl:param name="error"/>								in content.xsl:	Wert angegeben (04.05.2005)	-->
<xsl:param name="error">ok</xsl:param>						<!-- in	content.xsl: Wert angegeben	(04.05.2005) -->
<!--<xsl:param name="message"/>								in content.xsl:	Wert angegeben (04.05.2005)	-->
<xsl:param name="message">no action</xsl:param>				<!-- in	content.xsl: Wert angegeben	(04.05.2005) -->
<xsl:param name="stylesheet">undefined</xsl:param>			<!-- name="stylesheet" fehlt: in content.xsl enthalten (04.05.2005)	-->

<!--<xsl:param name="nav">navigation</xsl:param>-->
<xsl:param name="room">
   <xsl:choose>
	  <xsl:when	test="$nav='area'"><xsl:value-of select="$object"/></xsl:when>
	  <xsl:otherwise>0</xsl:otherwise>
   </xsl:choose></xsl:param>
<xsl:param name="map">navigation</xsl:param>			<!-- legt fest,	welche image map für die obere navigationsleiste in	steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">navigation</xsl:param>		<!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
														
<xsl:param name="bottomnavi">content</xsl:param>		<!-- legt fest,	welche navigationsleist	+ image	map	in navigationsleiste2.xsl benutzt wird -->
<xsl:param name="language"/>							<!-- Sprache uebernehmen. english fuer englisch	bzw	german fuer	deutsch	-->

														<!--  xres,	yres, os, browse, nav, room, editgates,	sort, itemsperpage,	from_obj,
															  to_obj, itemscount fehlen: in	content.xsl	enthalten (04.05.2005) -->

<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when	test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="editgates">no</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="itemsperpage">10</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">10</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="imagecount"><xsl:value-of select="count(//Object[substring-before(content/mime-type, '/') = 'image'])"/></xsl:param>

<xsl:variable name="AnnDesc">
<xsl:if test="/Object/@type='Messageboard'">Message</xsl:if>
<xsl:if test="/Object/@type!='Messageboard'">Annotation</xsl:if>
</xsl:variable>		
		
<xsl:include href="steam://stylesheets/content.xsl"/>			

<xsl:template match="Object">


<xsl:variable name="color" select='"#F4F5F1"' />
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:variable name="ftp">
  <xsl:choose>
	<xsl:when test="$os	= 'windows nt'">0</xsl:when>
	<xsl:when test="$os='linux'">0</xsl:when>
	<xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>



<html lang="{LANG}">		<!-- Anfang der html-Datei -->
  <head>
	<!-- setting variable language for use in javascript- code - internationalisation of .js sources is	now	possible -->
	<xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[var language="</xsl:text>
	<xsl:value-of select="$language" /><xsl:text disable-output-escaping="yes">";//]]&gt;&lt;/script&gt;</xsl:text>
	<script	src="/gui_js/main.js" type="text/javascript"></script>
 
	<meta http-equiv="Content-Type"	content="text/html;	charset=utf-8" />
	<meta http-equiv="expires" content="0"/>
	<title><xsl:value-of select="name" /> |	sTeam</title>		
	<xsl:call-template name="browsercss"/>
  </head>
  
  <body	id="gallery">											
	<xsl:if	test="/Object/@type='Room'">						
		<xsl:attribute name="class">awareness</xsl:attribute>
	</xsl:if>
	
	<div id="container">										<!-- div id="container"	-->
	<div id="skiplinks"	class="off">							<!-- div id="skiplinks"	-->
		<h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>
		<ul>
		<li><a href="#position">{SKIP_POSITION}</a></li>
		<li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
		</ul>		
	</div>														<!-- Ende div id="skiplinks" -->
		
	<xsl:call-template name="header"/>	
	<hr	/>														
	<div id="content">											<!-- div id="content"  -->
	
	
	<div id="position">											<!-- div id="position"  -->
		<xsl:choose>
			<xsl:when test="name=''"><h1>{GALLERY_NODESCRIPTION}</h1></xsl:when>
		</xsl:choose>
		<xsl:call-template name="show_trail" />	
	</div>														<!-- Ende div id="position"	-->
	
	<xsl:call-template name="nav2" />
	
	<div id="maincontent">										<!-- div id="maincontent" -->
		<form name="browser" action="/scripts/browser.pike"	method="post">
			<fieldset class="hidden">
				<INPUT type="hidden" name="id" value="{$object}"/>
				<INPUT type="hidden" name="treenodes" value=""/>
				<INPUT type="hidden" name="type" value="image"/>
				<INPUT type="hidden" name="_script" value="navimage.pike"/>
				<INPUT type="hidden" name="_action" value=""/>
				<INPUT type="hidden" name="todelete" value=""/>  
				<INPUT type="hidden" name="active" value="{$active}"/>
			</fieldset>
		

		<xsl:choose>
			<xsl:when test="name=''">{IMAGE_NODESCRIPTION}</xsl:when>
		</xsl:choose>
				
  		<h2>{IMAGE_GALLERY_HEADER}</h2>      
      
			<div style="text-align:center; margin:20px;">
				<A NAME="imagemarke"></A>		
				{IMAGE_GALLERY}
			</div>				
			
			<div style="text-align:center; margin:20px;">
				<A HREF="get.pike?object={$object}" class="imagelink"> 
					<IMG SRC="get.pike?object={$object}&amp;xsize=700" BORDER="1" ALT="{name}"/>
				</A>			        
			</div>
			
			<div style="margin:20px; text-align:center;">		
				<xsl:if test="$prev!=''">
					&nbsp;
					<INPUT TYPE="BUTTON" VALUE="&lt;&lt;{IMAGE_PREVIOUS}" TITLE="{IMAGE_PREVIOUS_TOOLTIP}" CLASS="formbutton4" OnClick="window.location.href='/scripts/navimage.pike?object={$prev}&amp;type=image#imagemarke'"/>
				</xsl:if>

				<xsl:if test="$next!=''">
					<INPUT TYPE="BUTTON" VALUE="{IMAGE_NEXT}&gt;&gt;" TITLE="{IMAGE_NEXT_TOOLTIP}" CLASS="formbutton4" OnClick="window.location.href='/scripts/navimage.pike?object={$next}&amp;type=image#imagemarke'"/>
					&nbsp;
				</xsl:if>
			</div>        		

		<div style="margin:20px; text-align:center;">
			<xsl:if test="description!=''"><I><xsl:value-of select="description"/></I><BR/><BR/></xsl:if>

			<INPUT TYPE="BUTTON" VALUE="{IMAGE_BACKTOENVIRONMENT}" TITLE="{IMAGE_BACKTOENVIRONMENT_TOOLTIP}" CLASS="formbutton4" OnClick="window.location.href='/scripts/navigate.pike?object={$env}'"/>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		</div>		
			
		</form>
	</div>														<!-- Ende div id="maincontent" -->
	  
	  </div>													<!-- Ende div id="content" -->
	  <xsl:call-template name="footer" />						
	  </div>													<!-- Ende div id="container" -->
	</body>
  </html>
</xsl:template>

</xsl:stylesheet>