<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:include href="steam://stylesheets/include_methods.xsl"/>

<xsl:template name="show_pages_bynumber">
<xsl:param name="show_itemsperpage"/>
<xsl:param name="show_blockno" select="0"/>
<xsl:variable name="show_blockmod_from" select="($show_itemsperpage * $show_blockno) + 1"/>
<xsl:variable name="show_blockmod_to" select="$show_itemsperpage * ($show_blockno + 1)"/>

<xsl:if test="($show_blockno + 1) > 1"> | </xsl:if>

<xsl:choose>
  <xsl:when test="$show_blockmod_from = $from_obj">
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <xsl:value-of select="$show_blockmod_from"/>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$itemscount"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$show_blockmod_to"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/></a>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$itemscount"/></a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$show_blockmod_to}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$show_blockmod_to"/></a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:otherwise>
</xsl:choose>

<xsl:if test="$itemscount > $show_itemsperpage * ($show_blockno + 1)">
  <xsl:call-template name="show_pages_bynumber">
    <xsl:with-param name="show_itemsperpage" select="$show_itemsperpage"/>
    <xsl:with-param name="show_blockno" select="$show_blockno + 1"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>


<xsl:template name="show_pages_byname">
<xsl:param name="show_itemsperpage"/>
<xsl:param name="show_blockno" select="0"/>
<xsl:variable name="show_blockmod_from" select="($show_itemsperpage * $show_blockno) + 1"/>
<xsl:variable name="show_blockmod_to" select="$show_itemsperpage * ($show_blockno + 1)"/>

<xsl:if test="($show_blockno + 1) > 1"> | </xsl:if>

<xsl:choose>
  <xsl:when test="$show_blockmod_from = $from_obj">
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <xsl:value-of select="$show_blockmod_from"/>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$itemscount"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$show_blockmod_to"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose>
      <xsl:when test="$show_blockmod_from = $itemscount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/></a>
      </xsl:when>
      <xsl:when test="$show_blockmod_to > $itemscount">
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$itemscount}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$itemscount"/></a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{/Object/path/path}?room={$room}&amp;sort={$sort}&amp;browse={$browse}&amp;from_obj={$show_blockmod_from}&amp;to_obj={$show_blockmod_to}&amp;type={$type}"><xsl:value-of select="$show_blockmod_from"/><span title="{OBJECTS_FROM_TO}">&#8230;</span><xsl:value-of select="$show_blockmod_to"/></a>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:otherwise>
</xsl:choose>

<xsl:if test="$itemscount > $show_itemsperpage * ($show_blockno + 1)">
  <xsl:call-template name="show_pages_bynumber">
    <xsl:with-param name="show_itemsperpage" select="$show_itemsperpage"/>
    <xsl:with-param name="show_blockno" select="$show_blockno + 1"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>


<xsl:template name="show_access">
  <xsl:choose>
    <xsl:when test="access/readable/@guest='true'">P</xsl:when>
    <xsl:when test="access/readable/@steam='true'">R</xsl:when>
    <xsl:when test="access/readable/@user='true'">r</xsl:when>
  </xsl:choose>
  <xsl:if test="access/writeable/@user='true'">w</xsl:if>
</xsl:template>

<xsl:template name="show_createnew_area">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newgate" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_area_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW2}<br />
          {OAREA}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newgate">
        <a href="javascript:open_createmode_varsize('{$object}','Area','520','300')" title="{INVENTORY_NEWAREA_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_area.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW2}<br />
          {OAREA}</span>
          </a>
        </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_gate">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newgate" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_gate_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW3}<br />
          {OGATE}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newgate">
        <a href="javascript:open_createmode_varsize('{$object}','Gate','520','395')" title="{INVENTORY_NEWGATE_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_gate.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW3}<br />
          {OGATE}</span>
          </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_uploadfile">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
        <img class="new" src="/images/icon_createnew_upload_denied.gif" alt="" />
        <br />
        <span class="linkunderline">{INVENTORY_UPLOAD}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','Document','520','300')" title="{INVENTORY_UPLOAD_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_upload.gif" alt="" />
          <br />
          <span class="linkunderline">{INVENTORY_UPLOAD}</span>
        </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_container">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_container_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW}<br />
          {OCONTAINER}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','Container','520','325')" title="{INVENTORY_NEWCONTAINER_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_container.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW}<br />
          {OCONTAINER}</span>
          </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_link">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_reference_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW}<br />
          {OLINK}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','Link','520','315')" title="{INVENTORY_NEWLINK_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_reference.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW}<br />
          {OLINK}</span>
          </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_forum">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_messageboard_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW2}<br />
          {OMESSAGEBOARD}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
      <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','Forum','520','300')" title="{INVENTORY_NEWMESSAGEBOARD_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_messageboard.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW2}<br />
          {OMESSAGEBOARD}</span>
          </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_createnew_generic">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_generic_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW4}<br />
          {ODOCUMENT}</span>
      </div>
    </xsl:when>
        <xsl:otherwise>
      <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','EmptyDocument','520','320')" title="{INVENTORY_NEWDOCUMENT_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_generic.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW4}<br />
          {ODOCUMENT}</span>
          </a>
      </div>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_attributes">
  <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room=/&amp;mode=common" title="{INVENTORY_ATTRIBUTES_TOOLTIP}">
    <!-- Datumsformat abhgaengig von der language in lesbare Form umwandeln -->
    <xsl:choose>
      <xsl:when test="last-modified/time!='0'">
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_transformed_date("</xsl:text><xsl:value-of select="last-modified/date"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_transformed_date("</xsl:text><xsl:value-of select="created/date"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </a>
  -
  <xsl:choose>
    <xsl:when test="modified-by!='0'">
      <a href="/scripts/navigate.pike?object={modified-by/object/id}&amp;type=details&amp;room={$room}" title="{INVENTORY_ATTRIBUTES_SHOWUSERDETAILS}"><xsl:value-of select="modified-by/object/name"/></a>
    </xsl:when>
    <xsl:otherwise>
      <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{INVENTORY_ATTRIBUTES_SHOWUSERDETAILS}"><xsl:value-of select="owner/object/name"/></a>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template name="show_annotations">
  <a href="/scripts/navigate.pike?object={id}&amp;type=annotations&amp;room={$room}" title="{SHOW_ANNO}"><xsl:value-of select="annotated"/> {THREADS}</a>
</xsl:template>


<xsl:template name="show_roomannotations">
  <a href="{/Object/path/path}{../URL}/?type=annotations" title="(Show Annotations)"><xsl:value-of select="annotated"/> {ANNOTATION}</a>
</xsl:template>

<xsl:template name="file_name_breaks">			<!-- erzeugt erzwungene Zeilenumbrüche nach System -->
		<xsl:param name="filename"/>
		<xsl:variable name="filename_length" select="string-length($filename)"/>
		<xsl:variable name="filename_start" select="1"/>

		<xsl:if test="$filename_length&lt;30 or $filename_length=30">		<!-- falls Zeile weniger als 30 Zeichen hat, hinschreiben -->
			<xsl:value-of select="$filename"/>
		</xsl:if>

		<xsl:if test="$filename_length&gt;30">
			<xsl:value-of select="substring($filename,$filename_start,30)"/>-<br/>
			<xsl:call-template name="file_name_breaks">
				<xsl:with-param name="filename" select="substring($filename,$filename_start+30)"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="show_container">
  <tr>
    <td>
      <xsl:choose>
        <xsl:when test="@type='Trashbin'"><br /></xsl:when>
        <xsl:when test="@selected='false'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
        </xsl:when>
        <xsl:when test="@selected='true'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
        </xsl:when>
      </xsl:choose>
    </td>
    <td class="objecticon">
      <a href="{/Object/path/path}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
      </a>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="@type='Trashbin'">
          <a class="objectname" href="{/Object/path/path}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
			{CONTENT_TRASHBIN_NAME}
		  </a>
        </xsl:when>
        <xsl:otherwise>
            <a class="objectname" href="{/Object/path/path}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
				      <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
            </a>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="description!='No description of this object' and description != ''">
		<xsl:choose>
			<xsl:when test="@type='Trashbin'">
				<span class="objectdesc">{CONTENT_TRASHBIN_DESCRIPTION}</span>
			</xsl:when>
			<xsl:otherwise>
				<span class="objectdesc"><xsl:value-of select="description"/></span>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:if>
      <xsl:choose>
        <xsl:when test="content/index!='0' and content/index!=''">
          <span class="objectactions">
            <a href="#" onclick="javascript:window.open('https://{$host}:{$port_http}{/Object/path/path}{URL}/{content/index}');" title="{INVENTORY_VIEW}{NEW_WINDOW}">{INVENTORY_VIEW}</a>
          </span>
        </xsl:when>
        <xsl:when test="@type='Trashbin' and inventory > 0">
          <span class="objectactions">
            (<a href="/scripts/browser.pike?_action=empty_trashbin&amp;id={id}" title="{INVENTORY_EMPTYTRASHBIN_TOOLTIP}">{INVENTORY_EMPTYTRASHBIN}</a>          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
                ,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>
            </xsl:if>)
          </span>
        </xsl:when>
        <xsl:when test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
            <span class="objectactions">
              (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a>)
             </span>
        </xsl:when>
      </xsl:choose>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="inventory='' or inventory=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="inventory=1">
			<xsl:value-of select="inventory"/> {INVENTORY_ONE_OBJECT}
		</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>


<xsl:template name="show_document">
  <tr>
    <td>
      <xsl:if test="@selected='false'">
        <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
      </xsl:if>
      <xsl:if test="@selected='true'">
        <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
      </xsl:if>
    </td>
    <xsl:choose>
      <xsl:when test="content/mime-type='source/pike'">
        <td class="objecticon">
          <a href="/scripts/execute.pike?script={id}" title="{INVENTORY_RUN_TOOLTIP}">
            <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <!--<img src="/images/doctypes/type_generic.gif" width="32" height="32" alt="" />-->
          </a>
        </td>
        <td>
            <a class="objectname" href="/scripts/execute.pike?script={id}" title="{INVENTORY_RUN_TOOLTIP}">
              <xsl:value-of select="name"/>
            </a>
            <xsl:if test="count(errors/array/*)>0">
              <a class="imagelink" href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=details&amp;jump=instances#instances"><img  src="/images/error.gif" alt="error"/></a>
            </xsl:if>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <span class="objectactions">
            (<xsl:if test="/Object/access/writeable/@user != 'false'"><a href="javascript:open_edit('object={id}')" title="{INVENTORY_EDIT_TOOLTIP}{NEW_WINDOW}">{INVENTORY_EDIT}</a>,&#160;</xsl:if><xsl:if test="/Object/access/executeable/@user != 'false'"><a href="/scripts/execute.pike?script={id}" title="{INVENTORY_RUN_TOOLTIP}">{INVENTORY_RUN}</a>,&#160;</xsl:if><a href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=details&amp;jump=instances#instances" title="{INVENTORY_INSTANCES_TOOLTIP}">{INVENTORY_INSTANCES}</a><xsl:if test="/Object/launcher='1'"><xsl:if test="/Object/access/writeable/@user != 'false'">,&#160;<a href="/scripts/steam.sal?object={id}" title="{INVENTORY_EDIT_APPLAUNCH_TOOLTIP}">{INVENTORY_EDIT_APPLAUNCH}</a></xsl:if></xsl:if><xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a></xsl:if>)
          </span>
        </td>
      </xsl:when>
      <xsl:when test="@type='DocExtern'">
        <td class="objecticon">
          <a href="{url}" title="{INVENTORY_DOCEXTERN_TOOLTIP}">
            <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
          </a>
        </td>
        <td>
            <a class="objectname" href="{url}" title="{INVENTORY_DOCEXTERN_TOOLTIP}">
              <xsl:call-template name="file_name_breaks">
					      <xsl:with-param name="filename" select="name"/>
				      </xsl:call-template>
            </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
            <span class="objectactions">(<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
            <xsl:text>Role</xsl:text></a>)</span>
          </xsl:if>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td class="objecticon">
          <a href="{/Object/path/path}{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
          </a>
        </td>
        <td>
            <a class="objectname" href="{/Object/path/path}{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
              <xsl:call-template name="file_name_breaks">
					      <xsl:with-param name="filename" select="name"/>
				      </xsl:call-template>
            </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:choose>
            <xsl:when test="content/mime-type='audio/mpeg'">
              <span class="objectactions">
                (MP3-Audio<xsl:if test="bitrate!=''">,&#160;<xsl:value-of select="bitrate"/>&#160;kbps</xsl:if><xsl:if test="frequency!=''">,&#160;<xsl:value-of select="frequency"/>&#160;Hz</xsl:if><xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a></xsl:if>)
              </span>
            </xsl:when>
            <xsl:when test="(substring-before(content/mime-type,'/')='text' and content/mime-type!='text/xsl' and content/mime-type!='text/xml' and content/mime-type!='text/wiki') or content/mime-type='source/pike' or content/mime-type='application/x-javascript'">
              <span class="objectactions">
                <xsl:if test="/Object/access/writeable/@user != 'false'">
                  (<a href="javascript:open_edit('object={id}')" title="{INVENTORY_EDIT_TOOLTIP}{NEW_WINDOW}">{INVENTORY_EDIT}</a><xsl:if test="/Object/launcher='1'">,&#160;<a href="/scripts/steam.sal?object={id}" title="{INVENTORY_EDIT_APPLAUNCH_TOOLTIP}">{INVENTORY_EDIT_APPLAUNCH}</a></xsl:if><xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a></xsl:if>)
               </xsl:if>
              </span>
            </xsl:when>
            <xsl:when test="content/mime-type='text/wiki'">
              <span class="objectactions">
                (<xsl:if test="/Object/access/writeable/@user != 'false'"><a href="/scripts/wikiedit.pike?path={/Object/path/path}{URL}" title="{INVENTORY_EDIT_TOOLTIP}{NEW_WINDOW}">{INVENTORY_EDIT}</a><xsl:if test="/Object/launcher='1'">,&#160;<a href="/scripts/steam.sal?object={id}" title="{INVENTORY_EDIT_APPLAUNCH_TOOLTIP}">{INVENTORY_EDIT_APPLAUNCH}</a></xsl:if></xsl:if><xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0"><xsl:if test="/Object/access/writeable/@user != 'false'"> ,&#160;</xsl:if><a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a></xsl:if>)
              </span>
            </xsl:when>
            <xsl:when test="count(/Object/viscontemodule/object) > 0  and content/mime-type='text/xml' and substring-after(name,'.')='owl'">
              <span class="objectactions">
                (<a href="/visconte/browser/visconte.pike?object={id}" TITLE="visCOntE"><xsl:text>visCOntE</xsl:text></a><xsl:if test="count(/Object/inventory/Object[name = 'roomontology.owl']) > 0"><a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">,&#160;
               <xsl:text>Role</xsl:text>
               </a></xsl:if><xsl:if test="/Object/access/writeable/@user != 'false'"><xsl:if test="/Object/launcher='1'">,&#160;<a href="/scripts/steam.sal?object={id}" title="{INVENTORY_EDIT_APPLAUNCH_TOOLTIP}">{INVENTORY_EDIT_APPLAUNCH}</a></xsl:if></xsl:if>)
              </span>
            </xsl:when>
            <xsl:when test="/Object/launcher='1'">
              <span class="objectactions">
                (<xsl:if test="/Object/access/writeable/@user != 'false'"><a href="/scripts/steam.sal?object={id}" title="{INVENTORY_EDIT_APPLAUNCH_TOOLTIP}">{INVENTORY_EDIT_APPLAUNCH}</a></xsl:if><xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a></xsl:if>)
              </span>
            </xsl:when>
            <xsl:when test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
              <span class="objectactions">
                (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>)
               </span>
            </xsl:when>
          </xsl:choose>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@type='DocExtern'">
        <td>&#160;</td>
      </xsl:when>
      <xsl:when test="content/size=''">
        <td>
          <img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" />
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td title="{content/size} {INVENTORY_BYTE}">
          <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>


<xsl:template name="show_object">
  <tr>
    <td>
      <xsl:if test="@selected='false'">
        <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
      </xsl:if>
      <xsl:if test="@selected='true'">
        <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
      </xsl:if>
    </td>
    <xsl:choose>
      <xsl:when test="@type='Link'">
        <xsl:variable name="link_action">
          <xsl:choose>
            <xsl:when test="action='follow'"><xsl:value-of select="link/object/path"/></xsl:when>
            <xsl:otherwise>/scripts/get.pike</xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <td class="objecticon">
          <a href="{$link_action}?object={link/object/id}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
			<img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
          </a>
        </td>
        <td>
          <a class="objectname" href="{$link_action}?object={link/object/id}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
              <xsl:with-param name="filename" select="name"/>
            </xsl:call-template>
          </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
              <span class="objectactions">
                (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>)
               </span>
          </xsl:if>
        </td>
        <td><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></td>
      </xsl:when>
      <xsl:when test="@type='Messageboard'">
        <td class="objecticon">
          <a href="{/Object/path/path}{URL}?room={$room}">
            <xsl:call-template name="show_annotation_status_icon"/>
          </a>
        </td>
        <td>
          <a class="objectname" href="{/Object/path/path}{URL}?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
              <xsl:with-param name="filename" select="name"/>
            </xsl:call-template>
          </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
              <span class="objectactions">
                (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>)
               </span>
          </xsl:if>
        </td>
        <td>
			<xsl:choose>
				<xsl:when test="annotated/messages=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
				<xsl:when test="annotated/messages=1"><xsl:value-of select="annotated/messages"/> {INVENTORY_ONE_MESSAGE}</xsl:when>
				<xsl:otherwise><xsl:value-of select="annotated/messages"/> {INVENTORY_MORE_MESSAGES}</xsl:otherwise>
			</xsl:choose>
        </td>
      </xsl:when>
      <xsl:when test="@type='Date'">
        <td class="objecticon">
          <a href="{/Object/path/path}{URL}?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
          </a>
        </td>
        <td>
          <a class="objectname" href="{/Object/path/path}{URL}?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
              <xsl:with-param name="filename" select="date_title"/>
            </xsl:call-template>
          </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
        </td>
        <td>
			<xsl:choose>
				<xsl:when test="annotated/messages=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
				<xsl:when test="annotated/messages=1"><xsl:value-of select="annotated/messages"/> {INVENTORY_ONE_MESSAGE}</xsl:when>
				<xsl:otherwise><xsl:value-of select="annotated/messages"/> {INVENTORY_MORE_MESSAGES}</xsl:otherwise>
			</xsl:choose>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td class="objecticon">
          <a href="{/Object/path/path}{URL}?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <!-- <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /> -->
          </a>
        </td>
        <td>
          <a class="objectname" href="{/Object/path/path}{URL}?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
              <xsl:with-param name="filename" select="name"/>
            </xsl:call-template>
          </a>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
              <span class="objectactions">
                (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>)
               </span>
          </xsl:if>
        </td>
        <td></td>
      </xsl:otherwise>
    </xsl:choose>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>

<xsl:template name="show_annotation_status_icon">
  <xsl:choose>
    <xsl:when test="annotated/messages=0">
      <img class="listicon" src="/images/icon_messageboard_empty.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_empty.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP_EMPTY}" width="32" height="32" />-->
    </xsl:when>
    <xsl:when test="annotated/unread>0">
      <img class="listicon" src="/images/icon_messageboard_unread.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_unread.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP_NEW}" width="32" height="32" />-->
    </xsl:when>
    <xsl:otherwise>
      <img class="listicon" src="/images/icon_messageboard_read.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_read.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP}" width="32" height="32" />-->
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_option_icons">
<!-- XXX tricky test needed because tag /Object/path/path is filled incorrectly if no path exists (eg all whiteboard scratch- areas). if no path available, use script navigate.pike-->
<xsl:variable name="urlprefix"><xsl:choose><xsl:when test="@type != 'Script' and /Object/URL != substring-before(/Object/path/path, '/')"><xsl:value-of select="/Object/path/path"/><xsl:value-of select="URL"/>?</xsl:when><xsl:otherwise>/scripts/navigate.pike?object=<xsl:value-of select="id"/>&amp;test=1&amp;</xsl:otherwise></xsl:choose></xsl:variable>
  <a href="{$urlprefix}type=details&amp;mode=common&amp;room={$room}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}">
    <img class="listicon" src="/images/icon_infos.gif" alt="{INVENTORY_ATTRIBUTES_TOOLTIP}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}" />
    <!-- <img src="/images/icon_infos.gif" width="32" height="32" alt="{INVENTORY_ATTRIBUTES}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}" /> -->
  </a>
  <a href="{$urlprefix}type=details&amp;mode=advanced&amp;room={$room}" title="{INVENTORY_ACTIONS_TOOLTIP}">
    <img class="listicon" src="/images/icon_actions.gif" alt="{INVENTORY_ACTIONS_TOOLTIP}" title="{INVENTORY_ACTIONS_TOOLTIP}" />
    <!-- <img src="/images/icon_actions.gif" width="32" height="32" alt="{INVENTORY_ACTIONS}" title="{INVENTORY_ACTIONS_TOOLTIP}" /> -->
  </a>
  <a href="{$urlprefix}type=annotations&amp;room={$room}">
    <xsl:attribute name="title">
    <xsl:choose>
		<xsl:when test="annotated/messages=0">{INVENTORY_COMMENTS_TOOLTIP_EMPTY}</xsl:when>
		<xsl:when test="annotated/unread>0">{INVENTORY_COMMENTS_TOOLTIP_NEW}</xsl:when>
		<xsl:otherwise>{INVENTORY_COMMENTS_TOOLTIP}</xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
    <xsl:call-template name="show_annotation_status_icon"/>
  </a>
  <a href="{$urlprefix}type=access&amp;room=/&amp;mode=common" title="{INVENTORY_RIGHTS_TOOLTIP}">
    <img class="listicon" src="/images/icon_access.gif" alt="{INVENTORY_RIGHTS_TOOLTIP}" title="{INVENTORY_RIGHTS_TOOLTIP}" />
    <!-- <img src="/images/icon_access.gif" alt="{INVENTORY_RIGHTS}" title="{INVENTORY_RIGHTS_TOOLTIP}" width="32" height="32" /> -->
  </a>
  <xsl:if test="count(/Object/properties/surveillancemodule/object) > 0">
    <a href="{$urlprefix}type=observe&amp;room=/&amp;mode=common&amp;bottomnavi=observe">
      <img class="listicon" src="/images/icon_observe.gif" alt="{INVENTORY_OBSERVE}" title="{INVENTORY_OBSERVE_TOOLTIP}" />
    </a>
  </xsl:if>
</xsl:template>

<!-- stellt ein Areal in erweiterter Schreibweise dar mit Groesse, Modified-Datum und den Objekt-Icons -->
<xsl:template name="show_room_expanded">
  <tr>
    <td>
      <xsl:choose>
        <xsl:when test="@selected='false'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
        </xsl:when>
        <xsl:when test="@selected='true'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
        </xsl:when>
      </xsl:choose>
    </td>
    <td class="objecticon">
      <a href="/scripts/navigate.pike?object={id}">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
        <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
      </a>
    </td>
    <td>
        <a class="objectname" href="/scripts/navigate.pike?object={id}"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="inventory='' or inventory=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="inventory=1">
			<xsl:value-of select="inventory"/> {INVENTORY_ONE_OBJECT}
		</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>

<xsl:template name="show_room">
          <a href="{/Object/path/path}{URL}/" class="imagelink">
            <img class="gate_link" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <br />
            <span class="linkunderline"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername_max("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">", 13);
//]]&gt;&lt;/script&gt;</xsl:text></span>
            </a>
</xsl:template>

<!-- Stellt die eine Verbindung in erweiterter Schreibweise dar mit Groesse, Modified- Datum und Den Icons fuer eigenschaften, Aktionen, Kommentare und Rechte -->
<xsl:template name="show_exit_expanded">
  <tr>
    <td>
      <xsl:choose>
        <xsl:when test="@selected='false'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
        </xsl:when>
        <xsl:when test="@selected='true'">
          <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
        </xsl:when>
      </xsl:choose>
    </td>
    <td class="objecticon">
      <a href="{exit/object/path}">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
        <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
      </a>
    </td>
    <td>
        <a class="objectname" href="{exit/object/path}"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="count(inventory)=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="count(inventory)=1">
			<xsl:value-of select="inventory"/> {INVENTORY_ONE_OBJECT}
		</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>

<xsl:template name="show_exit">
            <a href="{exit/object/path}" class="imagelink">
            <img class="gate_link" src="/scripts/get.pike?object={icon/object/id}" alt="" />
            <br />
            <span class="linkunderline"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername_max("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">", 13);
//]]&gt;&lt;/script&gt;</xsl:text></span>
            </a>
</xsl:template>

<!-- Stellt ein Areal in erweiterter Schreibweise dar mit Groesse, Modified-Datum und den Objekt-Icons -->
<xsl:template name="content_show_room_expanded">
  <tr>
    <td>
      <xsl:choose>
        <xsl:when test="@selected='false'">
          <input type="checkbox" name="gateobjsel" id="gateobjsel{id}" value="{id}" />
        </xsl:when>
        <xsl:when test="@selected='true'">
          <input type="checkbox" name="gateobjsel" id="gateobjsel{id}" value="{id}" checked="checked" />
        </xsl:when>
      </xsl:choose>
    </td>
    <td class="objecticon">
      <a href="{/Object/path/path}{URL}/">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
        <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
      </a>
    </td>
    <td>
        <a class="objectname" href="{/Object/path/path}{URL}/"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if>
      <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
          <span class="objectactions">
            (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
             <xsl:text>Role</xsl:text></a>)
           </span>
      </xsl:if>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="inventory='' or inventory=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="inventory=1">
			<xsl:value-of select="inventory"/> {INVENTORY_ONE_OBJECT}
		</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>

<!-- Stellt die eine Verbindung in erweiterter Schreibweise dar mit Groesse, Modified- Datum und Den Icons fuer eigenschaften, Aktionen, Kommentare und Rechte -->
<xsl:template name="content_show_exit_expanded">
  <tr>
    <td>
      <xsl:choose>
        <xsl:when test="@selected='false'">
          <input type="checkbox" name="gateobjsel" id="gateobjsel{id}" value="{id}" />
        </xsl:when>
        <xsl:when test="@selected='true'">
          <input type="checkbox" name="gateobjsel" id="gateobjsel{id}" value="{id}" checked="checked" />
        </xsl:when>
      </xsl:choose>
    </td>
    <td class="objecticon">
      <a href="{exit/object/path}">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
        <!--<img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />-->
      </a>
    </td>
    <td>
        <a class="objectname" href="{exit/object/path}"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if>
      <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
          <span class="objectactions">
            (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
             <xsl:text>Role</xsl:text></a>)
           </span>
      </xsl:if>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="count(inventory)=0"><img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="count(inventory)=1">
			<xsl:value-of select="inventory"/> {INVENTORY_ONE_OBJECT}
		</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td><xsl:call-template name="show_attributes"/></td>
    <td class="optionicons"><xsl:call-template name="show_option_icons"/></td>
  </tr>
</xsl:template>

<xsl:template name="drop">
  <xsl:variable name="rucksack_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'rucksack']/value/string = 'none'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="rucksack_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'rucksack']/value/string = 'none'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <hr />

  <!--<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_3}"></a>{INVENTORY}</h2>-->
  <a accesskey="{ACCESSIBILITY_ACCESS_KEY_3}"></a>
  <div id="rucksack_scale_link_hide" style="display:{$rucksack_scale_display}"><h2><a href="javascript:hide_div_persistent('content', 'rucksack_scale');" title="{HIDE}: {INVENTORY}">{INVENTORY}</a></h2></div>
  <div id="rucksack_scale_link_show"  style="display:{$rucksack_scale_display_alt}"><h2><a href="javascript:show_div_persistent('content', 'rucksack_scale');" title="{SHOW}: {INVENTORY}">{INVENTORY}</a></h2></div>

<!-- <span id="awareness_scale_link_hide"><a href="javascript:hide_div('awareness_scale');" title="{HIDE}: {PEOPLE}"><h2>{PEOPLE}</h2></a></span>
 <span id="awareness_scale_link_show"><a href="javascript:show_div('awareness_scale');" title="{SHOW}: {PEOPLE}"><h2>{PEOPLE}</h2></a></span> -->
  <div id="rucksack_scale" style="display:{$rucksack_scale_display}">
  <p>
    {CARRYING} <strong><xsl:value-of select="/Object/user/carry"/></strong> {INVENTORY_MARKEDOBJECTS}.
    <xsl:if test="/Object/user/carry!='0'">
      (<a href="/scripts/navigate.pike?object={/Object/user/id}&amp;type=rucksack&amp;room={$room}">{SHOW}</a>)
    </xsl:if>
  </p>

  <xsl:if test="/Object/user/carry!='0'">
    <p>
      <label for="user_action_inventory" class="off">{CONTENT_ACTIONS}:</label>
      <select id="user_action_inventory" name="user_action_inventory">
        <xsl:if test="/Object/access/insertable/@user = 'false'"><xsl:attribute name="title">{INVENTORY_NOACCESS_INSERT}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <option value="drop_objects">{DROP}</option>
      </select>
      <input type="button" value="{OK}" onclick="drop_objects(document.browser);">
      <xsl:if test="/Object/access/insertable/@user = 'false'"><xsl:attribute name="title">{INVENTORY_NOACCESS_INSERT}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if></input>
    </p>
  </xsl:if>
  </div>
  <div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>

<xsl:template name="drop_rucksack">
  <label for="user_action" class="off">{CONTENT_ACTIONS}:</label>
  <select name="user_action" id="user_action">
<!-- Auskommentiert, da ohne die session-Unterstuetzung kein eindeutiges Ziel fuer das fallenlassen ausgemacht werden kann -->
<!--    <option value="rucksack_drop_objects">{DROP}</option>  -->
    <option value="rucksack_get_objects">{TAKE_RUCKSACK}</option>
    <option value="delete_objects">{DELETE}</option>
  </select>
  <input type="button" value="{OK}" onclick="commit_action(document.browser);" />
</xsl:template>

<xsl:template name="take">
  <label for="user_action" class="off">{CONTENT_ACTIONS}:</label>
  <select name="user_action" id="user_action">
    <option value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
    <optgroup label="{INVENTORY_OPTGROUP_RUCKSACK}">
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <option value="get_objects">{TAKE}</option>
    </xsl:if>
    <option value="copy_objects">{COPY}</option>
    <option value="link_objects">{LINK}</option>
    </optgroup>
    <optgroup label="{INVENTORY_OPTGROUP_DOWNLOAD}">
    <option value="download">{DOWNLOAD}</option>
    </optgroup>
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <optgroup label="{INVENTORY_OPTGROUP_DELETE}">
      <option value="delete_objects">{DELETE}</option>
      </optgroup>
    </xsl:if>
  </select>
  <input type="button" value="{OK}" onclick="commit_action(document.browser);" />
</xsl:template>


<xsl:template name="takegate">
  <label for="user_gateaction" class="off">{CONTENT_ACTIONS}:</label>
  <select name="user_gateaction" id="user_gateaction">
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <option value="get_objects">{TAKE}</option>
    </xsl:if>
    <option value="copy_objects">{COPY}</option>
    <option value="link_objects">{LINK}</option>
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <option value="delete_objects">{DELETE}</option>
    </xsl:if>
  </select>
  <input type="button" value="{OK}" onclick="commit_gateaction(document.browser);" />
</xsl:template>


<!-- displays a list where the user can choose the viewmode for inventory of the the container/area (used in content.xsl) -->
<xsl:template name="display_viewmode">
  <p class="viewmode">
    <label for="viewmode" class="off">{CONTENT_DISPLAY_VIEWMODE}:</label>
    <select name="viewmode" id="viewmode">
      <option value="details">{INVENTORY_VIEWMODE_DETAILS}</option>
      <option value="icons">{INVENTORY_VIEWMODE_ICONS}</option>
      <option value="map">{INVENTORY_VIEWMODE_MAP}</option>
    </select>
    <input type="button" value="{OK}" onclick="change_viewmode('{/Object/id}','{/Object/path/path}','{$room}',this.form.viewmode.options[this.form.viewmode.options.selectedIndex].value);" />
  </p>
</xsl:template>

<xsl:template name="display_createoptions_gates">
  <div id="newgates">
    <xsl:call-template name="show_createnew_area"/>
    <xsl:call-template name="show_createnew_gate"/>
  </div>
</xsl:template>

<xsl:template name="display_createoptions">
 <div>
    <xsl:choose>
       <xsl:when test="$itemscount=0"><xsl:attribute name="id">objectsempty</xsl:attribute></xsl:when>
       <xsl:otherwise><xsl:attribute name="id">objects</xsl:attribute></xsl:otherwise>
    </xsl:choose>
    <div id="newobjects">
      <xsl:call-template name="show_createnew_uploadfile"/>
      <xsl:call-template name="show_createnew_container"/>
	    <xsl:call-template name="show_createnew_link"/>
      <xsl:call-template name="show_createnew_forum"/>
      <xsl:call-template name="show_createnew_generic"/>
      <xsl:if test="count(/Object/showftp) > 0 and /Object/showftp = 'true'">
        <input type="button" value="{CONTENT_FTP}" onclick="javascript:open_ftp('{/Object/user/name}@{$host}:{$port_ftp}','{/Object/path/path}');" />
      </xsl:if>
    </div>
  </div>
</xsl:template>

</xsl:stylesheet>
