<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="id">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="_action">undefined</xsl:param>
<xsl:param name="client"/>
<xsl:param name="message"/>
<xsl:param name="error"/>
<xsl:param name="domain"/>
<xsl:param name="nav"/>
<xsl:param name="language"/>

<!--<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>-->
<xsl:include href="steam://stylesheets/group.xsl"/>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="expires" content="0" />
  <title>{INVITE_INVITETOGROUP} <xsl:value-of select="name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="invite" onload="setFocusById('keywords')">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

  <hr />
  <div id="content">
    <!--<div id="position">
      <h1>{INVITE_INVITETOGROUP} <xsl:value-of select="name"/></h1>
    </div>-->
    <div id="position">
      <xsl:call-template name="group_header"/>
    </div>	    

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" onsubmit="return grp_check_invite(this);">
        <fieldset class="hidden">
          <input type="hidden" name="_action" value="search" />
          <input type="hidden" name="_perform" value="grp_invite" />
          <input type="hidden" name="_performdesc" value="Invite selected Users" />
          <input type="hidden" name="_context" value="{$id}" />
          <input type="hidden" name="filter_class" value="User" />
          <input type="hidden" name="nav" value="groups" />
        </fieldset> 

        <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>
        <h1>{INVITE_INVITETOGROUP} <xsl:value-of select="name"/></h1>
        <fieldset class="grid">
          <p class="desc">{INVITE}</p>

          <p>
            <label class="grid" for="keywords">{INVITE_USERNAME}:</label>
            <input type="text" id="keywords" name="keywords" size="12" maxlength="60" />
            <input type="submit" value="{INVITE_SEARCH}" />
          </p>

          <p>
            <input type="checkbox" id="quicksearch2" name="quicksearch" value="longsearch" title="{INVITE_QUICKSEARCH_HELP}" />
            <label for="quicksearch2">{INVITE_QUICKSEARCH}</label>
          </p>
        </fieldset>
        
		<h1 style="">{INVITE_BACKTO} {GROUP}</h1>
		<p><img class="arrowleft" src="/images/arrow_left_small.gif" alt=""/><a href="/scripts/navigate.pike?object={$id}" title="{INVITE_BACKTO} {GROUP}">{INVITE_BACKTO} {GROUP}</a></p>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

</xsl:stylesheet>