<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/>
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="back">no</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="room">/</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:template match="error">
<html lang="{LANG}">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>Login failed</title>
  <xsl:call-template name="browsercss">
    <xsl:with-param name="prefix">http://<xsl:value-of select="$web_server"/>:<xsl:value-of select="$web_port"/></xsl:with-param>
  </xsl:call-template>
</head>

<body id="error">

<div id="container">

<!--
<xsl:call-template name="header">
    <xsl:with-param name="notresultpage">false</xsl:with-param>
    <xsl:with-param name="shownavigation">false</xsl:with-param>
</xsl:call-template>
-->

	<div id="mastheadPublic">
		<img src="http://{$web_server}:{$web_port}/images/kopfleiste_big_public.jpg" />
	</div>

  <div id="content">

    <div id="maincontent">
      <br />Login failed.<br /><br />
      <a href="http://{$web_server}:{$web_port}/register/forgot.html">Did you forget your password ?</a>
      <br />
      <br />
    </div>

  </div>
</div>

</body>

</html>
</xsl:template>


<xsl:template match="message">
<div><xsl:value-of select="." disable-output-escaping="yes"/></div>
</xsl:template>


<xsl:template match="Object">
<xsl:apply-templates/>
</xsl:template>


<xsl:template match="text() | @*">
<xsl:copy><xsl:apply-templates /></xsl:copy>
</xsl:template>


<xsl:template match="TABLE | TR | TD | SELECT | OPTION | MAP | AREA | A | a | BR | ul | UL | li | LI | h2 | H2 | h1 | H1 | form | FORM | input | INPUT | textarea | TEXTAREA">
  <xsl:copy><xsl:apply-templates select="@* | * | text()"/></xsl:copy>
</xsl:template>


<xsl:template match="*"/>

</xsl:stylesheet>









