<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/>
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="back">no</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="room">/</xsl:param>
<xsl:param name="auth">notset</xsl:param>
<xsl:param name="method">notset</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <xsl:value-of select="head" disable-output-escaping="yes"/>
  <title><xsl:value-of select="title"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="index">

<div id="container">

	<div id="mastheadPublic">
		<img src="/images/kopfleiste_big_public.jpg" alt="{HEADER_LOGO_ALT}" />
	</div>

  <div id="content">

    <div id="maincontent">
      <xsl:call-template name="navigation"/>
      <xsl:choose>
        <xsl:when test="$auth = 'cookie' or $method = 'cookie'">
          <xsl:call-template name="show_info_cookie"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="show_info_http"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

  </div>

</div>

</body>

</html>
</xsl:template>

<xsl:template name="show_info_cookie">
  <div style="float:left; margin-left: 1em; margin-top: 1em;">
    <strong>{LOGOUT_INFO_COOKIE}</strong>
    <br /><br />
    <a href="/">{LOGOUT_HOMEPAGE}</a>
  </div>
  <iframe style="display:none;" src="/logout" />
</xsl:template>

<xsl:template name="show_info_http">
  <div style="float:left; margin-left: 1em; margin-top: 1em;">
    <strong>{LOGOUT_INFO_HTTP_HEADER}</strong><br /><br />
    {LOGOUT_INFO_HTTP}
  </div>
</xsl:template>

<xsl:template match="text() | @*">
<xsl:copy><xsl:apply-templates /></xsl:copy>
</xsl:template>


<xsl:template match="TABLE | TR | TD | SELECT | OPTION | MAP | AREA | A | a | BR | ul | UL | li | LI | h2 | H2 | h1 | H1 | form | FORM | input | INPUT | textarea | TEXTAREA | table | tr | td | b | B">
  <xsl:copy><xsl:apply-templates select="@* | * | text()"/></xsl:copy>
</xsl:template>


<xsl:template match="*"/>

</xsl:stylesheet>

