<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="active">0</xsl:param>
<xsl:param name="map">mailbox</xsl:param>
<xsl:param name="topnavi">mailbox</xsl:param>
<xsl:param name="bottomnavi">mailbox</xsl:param>
<xsl:param name="path"><xsl:value-of select="normalize-space(/Object/path)"/></xsl:param>
<xsl:param name="myname">/~<xsl:value-of select="/Object/user/username"/>/</xsl:param>
<xsl:param name="room"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="active"/>
<xsl:param name="nav">mailbox</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/user/mailbox-size/messages"/></xsl:param>
<xsl:param name="language"/>
<xsl:param name="type">mailbox</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="browse"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/mailbox_navigation_tab.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>



<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{MAIL} <xsl:value-of select="/Object/name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="mailbox">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1><xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{MAIL} <xsl:value-of select="/Object/name"/></xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_mailbox.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template></h1>
	  <p>{MAILBOX_YOUARE_HERE}:
	  <xsl:choose>
	  <xsl:when test="$path = $myname">
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox">{MAILTAB_INBOX}/</a>
	  </xsl:when>
	  <xsl:otherwise>
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox">{MAILTAB_INBOX}</a>/<strong><xsl:value-of select="name"/></strong>/
	  </xsl:otherwise>
	  </xsl:choose>
	  </p>	  
    </div>
	
	<xsl:call-template name="mailnav"/>
	
    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="type" value="mailbox" />
          <input type="hidden" name="_action" value="mailbox_action" />
          <input type="hidden" name="popup_id" value="" />
          <input type="hidden" name="room" value="{$room}" />
        </fieldset>

		<xsl:call-template name="show_results"/>
		<xsl:call-template name="mailoptions" />
        <xsl:apply-templates select="inventory" />
		
		
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template name="mailoptions">
	<h2>{MAILBOX_OPTIONS}</h2>
	<span>
	<label for="select">{MAILBOX_CHOOSEMESSAGES}</label>
	<select name="select" id="select">
		<option selected="selected" value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
		<option onclick="checkall_objects(document.browser);">{MAILBOX_CHOOSE_ALL}</option>
		<option onclick="uncheckall_objects(document.browser);">{MAILBOX_CHOOSE_NONE}</option>
		<option onclick="check_read(document.browser);">{MAILBOX_CHOOSE_READ}</option>
		<option onclick="check_unread(document.browser);">{MAILBOX_CHOOSE_UNREAD}</option>
	</select>
	</span>
	<span style="position:absolute; right:0px">
	<label for="do">{MAILBOX_DO_ACTION}</label>
	<select name="do" id="do">
		<option selected="selected" value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
		<optgroup label="Markieren">
			<option onclick="form.submit();" value="read">{MAILBOX_MARK_ASREAD}</option>
		</optgroup>
		<optgroup label="Verschieben in Ordner">
		<xsl:for-each select="/Object/inventory/Object[@type='Container']">
			<option onclick="form.submit();" value="move_to_folder_{id}"><xsl:value-of select="name"/></option>
		</xsl:for-each>
		</optgroup>	
		<optgroup label="{INVENTORY_OPTGROUP_RUCKSACK}">
		<xsl:if test="/Object/access/moveable/@user != 'false'">
		  <option onclick="form.submit();" value="get_objects">{MAILBOX_TAKE}</option>
		</xsl:if>
		<option onclick="form.submit();" value="copy_objects">{MAILBOX_COPY}</option>
		<option onclick="form.submit();" value="link_objects">{MAILBOX_LINK}</option>
		</optgroup>
		<optgroup label="{INVENTORY_OPTGROUP_DOWNLOAD}">
		<option onclick="form.submit();" value="download">{MAILBOX_DOWNLOAD}</option>
		</optgroup>
		<xsl:if test="/Object/access/moveable/@user != 'false'">
		  <optgroup label="{INVENTORY_OPTGROUP_DELETE}">
		  <option onclick="form.submit();" value="delete_objects">{MAILBOX_DELETE}</option>
		  </optgroup>
		</xsl:if>
	</select>
	</span>
</xsl:template>

<xsl:template match="/Object/inventory">

<table cellspacing="0" summary="{MAILBOX_TABLE_SUMMARY}">
  <thead>
    <tr>
      <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
      <th scope="col"><br /></th>
      <th scope="col">{FROM}</th>
      <th scope="col">{SUBJECT2}</th>
      <th scope="col">{RECEIVED}</th>
    </tr>
  </thead>

  <tbody>
    <xsl:choose>
      <xsl:when test="$itemscount = 0">
        <tr>
          <td class="nothingfound" colspan="6">{NOMSG}</td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:for-each select="Object[@type='Document']">
          <xsl:sort select="last-modified/time" order="descending"/>
          <tr>
            <td>
              <xsl:if test="@selected='false'">
                <input type="checkbox" id="objsel{id}_{read}" name="objsel" value="{id}" />
              </xsl:if>
              <xsl:if test="@selected='true'">
                <input type="checkbox" id="objsel{id}_{read}" name="objsel" value="{id}" checked="true" />
              </xsl:if>
            </td>
            <td class="objecticon">
              <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><img class="usericon_mailbox" src="/scripts/get.pike?object={owner/object/id}" alt="" /></a>
            </td>
            <td>
              <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><xsl:value-of select="owner/object/name"/></a>
            </td>
            <xsl:if test="$active!=id">
              <td>
                <a href="/scripts/navigate.pike?object={$object}&amp;active={id}&amp;room={$room}&amp;type=mailbox" title="{name}{MAILBOX_READ}">
                  <xsl:if test="read=0">
                    <xsl:attribute name="class">unread</xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="description"/>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="$active=id">
              <td>
                <xsl:call-template name="show_active_message"/>
                <br />
                <a href="/scripts/navigate.pike?object={$object}&amp;type=mailbox_newmail&amp;in_reply_to={owner/object/name}&amp;reply_subject={description}">
                  {REPLY} >>
                </a>
              </td>
            </xsl:if>
            <td>
              <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                print_transformed_date("</xsl:text><xsl:value-of select="last-modified/date"/><xsl:text disable-output-escaping="yes">");
              //]]&gt;&lt;/script&gt;</xsl:text>
            </td>
          </tr>
        </xsl:for-each>
      </xsl:otherwise>
    </xsl:choose>
  </tbody>
</table>
</xsl:template>

<xsl:template name="show_active_message">
  <div class="mailbody">
  <div class="subject">
    <xsl:value-of select="description"/>
  </div>
  <xsl:value-of disable-output-escaping="yes" select="/Object/active-content"/>
  <xsl:if test="count(attachments/Object[id != /Object/active-id]) > 0">
    <div class="attachments">
      <div class="attachmentsubject"><xsl:choose><xsl:when test="count(attachments/Object[id != /Object/active-id]) > 1">{MAILBOX_ATTACHMENTS}</xsl:when><xsl:otherwise>{MAILBOX_ATTACHMENT}</xsl:otherwise></xsl:choose></div><br />
      <xsl:for-each select="attachments/Object[id != /Object/active-id]">
        <div class="attachment"><a href="/scripts/download.pike/{id}/{URL}"><xsl:value-of select="name" /></a></div>
      </xsl:for-each>
    </div>
  </xsl:if>
  </div>
</xsl:template>

</xsl:stylesheet>
