<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="error"></xsl:param>
<xsl:param name="active">0</xsl:param>
<xsl:param name="map">mailbox_folders</xsl:param>
<xsl:param name="topnavi">mailbox</xsl:param>
<xsl:param name="bottomnavi">mailbox_folders</xsl:param>
<xsl:param name="room"/>
<xsl:param name="path"><xsl:value-of select="normalize-space(/Object/path)"/></xsl:param>
<xsl:param name="myname">/~<xsl:value-of select="/Object/user/username"/>/</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="active"/>
<xsl:param name="nav">mailbox_folders</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="language"/>
<xsl:param name="type">mailbox_folders</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>

<xsl:variable name="itemscount">
  <xsl:choose>
    <xsl:when test="$path != $myname"><xsl:value-of select="count(/Object/cont_inventory/Object)"/></xsl:when>
    <xsl:otherwise><xsl:value-of select="count(/Object/cont_inventory/Object[@type='Container'])"/></xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<xsl:variable name="sort_name">
  <xsl:choose>
    <xsl:when test="$sort='name'">reverse-name</xsl:when>
    <xsl:otherwise>name</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_namesymbol">
  <xsl:choose>
    <xsl:when test="$sort='name'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!--<xsl:when test="$sort='name'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when>-->
    <xsl:when test="$sort='reverse-name'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-name'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_size">
  <xsl:choose>
    <xsl:when test="$sort='size'">reverse-size</xsl:when>
    <xsl:otherwise>size</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_sizesymbol">
  <xsl:choose>
    <xsl:when test="$sort='size'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='size'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when> -->
    <xsl:when test="$sort='reverse-size'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-size'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modified">
  <xsl:choose>
    <xsl:when test="$sort='modified'">reverse-modified</xsl:when>
    <xsl:otherwise>modified</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modifiedsymbol">
  <xsl:choose>
    <xsl:when test="$sort='modified'"><img class="arrow" src="/images/icon_sortarrow_bottom.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='modified'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when> -->
    <xsl:when test="$sort='reverse-modified'"><img class="arrow" src="/images/icon_sortarrow_top.png" vspace="1" alt="" /></xsl:when>
    <!-- <xsl:when test="$sort='reverse-modified'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when> -->
  </xsl:choose>
</xsl:variable>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/mailbox_navigation_tab.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>


<xsl:template name="show_objectlist">
  
  <xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_container"/>
  </xsl:for-each>
  
  <xsl:if test="$path != $myname">
	  <xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
		<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
		<xsl:call-template name="show_document"/>
	  </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template name="sort_objectlist">
  <xsl:variable name="mysort"><xsl:choose><xsl:when test="starts-with($sort , 'reverse')"><xsl:value-of select="substring-after($sort, 'reverse-')" /></xsl:when><xsl:otherwise><xsl:value-of select="$sort" /></xsl:otherwise></xsl:choose></xsl:variable>
  <xsl:variable name="myorder"><xsl:choose><xsl:when test="starts-with($sort , 'reverse')">descending</xsl:when><xsl:otherwise>ascending</xsl:otherwise></xsl:choose></xsl:variable>
  
  <xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
    <xsl:sort select="*[local-name()=$mysort]" order="{$myorder}"/>

    <xsl:call-template name="show_container"/>
  </xsl:for-each>
  <xsl:if test="$path != $myname">
	  <xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
		<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
		<xsl:call-template name="show_document"/>
	  </xsl:for-each>
  </xsl:if>
</xsl:template>

<xsl:template name="drop">
  <xsl:variable name="rucksack_scale_display">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'rucksack']/value/string = 'none'">
        none
      </xsl:when>
      <xsl:otherwise>inline</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="rucksack_scale_display_alt">
    <xsl:choose>
      <xsl:when test="/Object/properties/wi_layout/struct/member[key/string = 'content']/value/struct/member[key/string = 'rucksack']/value/string = 'none'">
        inline
      </xsl:when>
      <xsl:otherwise>none</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <hr />

 
  <xsl:if test="/Object/user/carry!='0'">
    <p>
      <label for="user_action_inventory" class="off">{CONTENT_ACTIONS}:</label>
      <select id="user_action_inventory" name="user_action_inventory">
        <xsl:if test="/Object/access/insertable/@user = 'false'"><xsl:attribute name="title">{INVENTORY_NOACCESS_INSERT}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
        <option value="drop_objects">{DROP}</option>
      </select>
      <input type="button" value="{OK}" onclick="drop_objects(document.browser);">
      <xsl:if test="/Object/access/insertable/@user = 'false'"><xsl:attribute name="title">{INVENTORY_NOACCESS_INSERT}</xsl:attribute><xsl:attribute name="disabled">true</xsl:attribute></xsl:if></input>
    </p>
  </xsl:if>
  <div style="font-size:2px; height:2px;">&#160;</div>
</xsl:template>



<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/mail.js" type="text/javascript"></script>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/attributes.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{MAIL} <xsl:value-of select="/Object/user/name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="mailbox">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1><xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{MAIL} <xsl:value-of select="user/name"/></xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_mailbox.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template>
	  </h1>
	  <p>{MAILBOX_YOUARE_HERE}
	  <xsl:choose>
	  <xsl:when test="$path = $myname">
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox_folders">{MAILTAB_INBOX}/</a>
	  </xsl:when>
	  <xsl:otherwise>
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox_folders">{MAILTAB_INBOX}</a>/<a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;type=mailbox_folders"><xsl:value-of select="name"/></a>/<xsl:value-of select="/Object/cont_inventory/Object[id = $active]/name"/>
	  </xsl:otherwise>
	  </xsl:choose>
	  </p>
    </div>
	
	<xsl:call-template name="mailnav"/>
	
    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="type" value="mailbox_folders" />
          <input type="hidden" name="_action" value="mailbox_action" />
          <input type="hidden" name="popup_id" value="" />
          <input type="hidden" name="room" value="{$room}" />
        </fieldset>

		<xsl:call-template name="show_results"/>
		

		<xsl:apply-templates select="cont_inventory"/>
		
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>



<xsl:template match="cont_inventory">
	<xsl:choose>
	<xsl:when test="$path = $myname">	
	<h2>{MAILBOX_FOLDEROPTIONS}</h2>
	</xsl:when>
	<xsl:otherwise>
	<h2>{MAILBOX_OPTIONS}</h2>
	</xsl:otherwise>
	</xsl:choose>
	
	<xsl:if test="$path != $myname">
		<div style="float:left">
	<label for="select">{MAILBOX_CHOOSEMESSAGES}</label>
	<select name="select" id="select">
		<option selected="selected" value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
		<option onclick="checkall_objects(document.browser);">{MAILBOX_CHOOSE_ALL}</option>
		<option onclick="uncheckall_objects(document.browser);">{MAILBOX_CHOOSE_NONE}</option>
		<option onclick="check_read(document.browser);">{MAILBOX_CHOOSE_READ}</option>
		<option onclick="check_unread(document.browser);">{MAILBOX_CHOOSE_UNREAD}</option>
	</select>
	</div>
	</xsl:if>

	  <xsl:if test="$itemscount=0 and /Object/@type!='Trashbin' and $path = $myname">
        <xsl:call-template name="display_createoptions"/>
      </xsl:if>
      
<div>
      <xsl:if test="$itemscount > 0">
	  	<xsl:if test="$path = $myname">
         <span><xsl:call-template name="display_createoptions"/></span>
        </xsl:if> 
		 <div style="float:right">
		 	<label for="do">{MAILBOX_DO_ACTION}</label>
		
		<select name="do" id="do">
		<option selected="selected" value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
		<xsl:choose>
		<xsl:when test="$path != $myname">
		<optgroup label="Markieren">
			<option onclick="form.submit();" value="read">{MAILBOX_MARK_ASREAD}</option>
		</optgroup>
		<optgroup label="Verschieben in Ordner">
		<xsl:for-each select="/Object/mailbox_folders/array/object">
			<option onclick="form.submit();" value="move_to_folder_{id}"><xsl:value-of select="name"/></option>
		</xsl:for-each>
		</optgroup>	
		<optgroup label="{INVENTORY_OPTGROUP_RUCKSACK}">
		<xsl:if test="/Object/access/moveable/@user != 'false'">
		  <option onclick="form.submit();" value="get_objects">{MAILBOX_TAKE}</option>
		</xsl:if>
		<option onclick="form.submit();" value="copy_objects">{MAILBOX_COPY}</option>
		<option onclick="form.submit();" value="link_objects">{MAILBOX_LINK}</option>
		</optgroup>
		<optgroup label="{INVENTORY_OPTGROUP_DOWNLOAD}">
		<option onclick="form.submit();" value="download">{MAILBOX_DOWNLOAD}</option>
		</optgroup>
		<xsl:if test="/Object/access/moveable/@user != 'false'">
		  <optgroup label="{INVENTORY_OPTGROUP_DELETE}">
		  <option onclick="form.submit();" value="delete_objects">{MAILBOX_DELETE}</option>
		  </optgroup>
		</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="/Object/access/moveable/@user != 'false'">
		  <option onclick="form.submit();" value="delete_objects">{MAILBOX_DELETE_FOLDER}</option>
		</xsl:if>
		</xsl:otherwise>
		</xsl:choose>
	</select>
		 </div>
      </xsl:if></div>

      <xsl:if test="/Object/id!=/Object/user/id">
        <xsl:call-template name="drop"/>
      </xsl:if>

	  <table cellspacing="0" summary="{MAILBOX_TABLE_SUMMARY}">
	  <xsl:choose>
	  <xsl:when test="$path != $myname">
		  <thead>
			<tr>
			  <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
			  <th scope="col"><br /></th>
			  <th scope="col">
          <xsl:choose>
            <xsl:when test="/Object/object_type = 'container_mailbox_sent'">
              {TO}
            </xsl:when>
            <xsl:otherwise>
              {FROM}
            </xsl:otherwise>
          </xsl:choose>
        </th>
			  <th scope="col">{SUBJECT2}</th>
			  <th scope="col">{RECEIVED}</th>
			</tr>
		  </thead>
	  </xsl:when>
	  <xsl:otherwise>
	  	<thead>
			<tr>
			  <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
			  <th scope="col"><br /></th>
			  <th scope="col">{MAILBOX_FOLDERNAME}</th>
			  <th scope="col">{MAILBOX_FOLDERDESCRIPTION}</th>
			  <th scope="col">{MAILBOX_FOLDERMAILS}</th>
			  <th scope="col">{MAILBOX_FOLDERCREATED}</th>
			</tr>
		  </thead>
	  </xsl:otherwise>
	  </xsl:choose>
		
        <xsl:if test="$itemscount > 1">
          <tfoot>
            <tr>
              <td><input type="checkbox" name="objcheckall" id="objcheckall" onclick="checkallobj_handle(document.browser);"/></td>
              <td colspan="5" class="checkall"><label for="objcheckall">{CONTENT_SELECTALLOBJ}</label></td>
            </tr>
<!--
            <xsl:if test="$itemscount > $itemsperpage">
              <tr>
                <td class="pages" colspan="6">
                  {CONTENT_PAGES}:
                  <xsl:choose>
                    <xsl:when test="$sort='name'">
                      <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:if>
-->
          </tfoot>
        </xsl:if>

        <tbody>
          <xsl:if test="$itemscount=0">
            <tr>
              <td colspan="6" class="nodocsyet">
                <xsl:choose>
                  <xsl:when test="/Object/@type!='Trashbin' and $path = $myname">
                    {MAILBOX_FOLDER_FOLDERDESCRIPTION}
                  </xsl:when>
				  <xsl:when test="/Object/@type!='Trashbin' and $path != $myname">
                    {MAILBOX_FOLDER_EMPTYFOLDER}
                  </xsl:when>
                  <xsl:otherwise>
                    {CONTENT_TRASHBIN_EMPTY}
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </xsl:if>

          <xsl:if test="$itemscount > 0">
            <xsl:choose>
                <xsl:when test="$sort='name' or $sort='reverse-name' or $sort='size' or $sort='reverse-size' or $sort='modified' or $sort='reverse-modified'">
                  <xsl:call-template name="sort_objectlist"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="show_objectlist"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:if>
        </tbody>
      </table>
	  

</xsl:template>



<xsl:template name="show_document">
  
<tr>
            <td>
              <xsl:if test="@selected='false'">
                <input type="checkbox" id="objsel{id}_{read}" name="objsel" value="{id}" />
              </xsl:if>
              <xsl:if test="@selected='true'">
                <input type="checkbox" id="objsel{id}_{read}" name="objsel" value="{id}" checked="true" />
              </xsl:if>
            </td>
            <xsl:choose>
              <xsl:when test="/Object/object_type = 'container_mailbox_sent'">
                <xsl:choose>
                  <xsl:when test="count(mailto/Object) = 0">
                    <td class="objecticon">
                      <img class="usericon_mailbox" src="/images/doctypes/user_unknown.jpg" alt="" />
                    </td>
                    <td>
                      <xsl:value-of select="mailto" />
                    </td>
                  </xsl:when>
                  <xsl:when test="mailto/Object/@type='Group'">
                    <td class="objecticon">
                      <a href="/scripts/navigate.pike?object={mailto/Object/id}&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><img class="usericon_mailbox" src="/scripts/get.pike?object={mailto/Object/icon/object/id}" alt="" /></a>
                    </td>
                    <td>
                      <a href="/scripts/navigate.pike?object={mailto/Object/id}&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><xsl:value-of select="mailto/Object/name" />
                      </a>
                    </td>
                  </xsl:when>
                  <xsl:otherwise>
                    <td class="objecticon">
                      <a href="/scripts/navigate.pike?object={mailto/Object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><img class="usericon_mailbox" src="/scripts/get.pike?object={mailto/Object/icon/object/id}" alt="" /></a>
                    </td>
                    <td>
                      <a href="/scripts/navigate.pike?object={mailto/Object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><xsl:value-of select="mailto/Object/name" />
                      </a>
                    </td>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                  <td class="objecticon">
                    <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}"><img class="usericon_mailbox" src="/scripts/get.pike?object={owner/object/id}" alt="" /></a>
                  </td>
                  <td>
                    <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" title="{MAILBOX_USER_OPENPROFILE}">
                    </a>
                  </td>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:if test="$active!=id">
              <td>
                <a href="/scripts/navigate.pike?object={$object}&amp;active={id}&amp;room={$room}&amp;type=mailbox_folders" title="{name}{MAILBOX_READ}">
                  <xsl:if test="read=0">
                    <xsl:attribute name="class">unread</xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="description"/>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="$active=id">
              <td>
                <xsl:call-template name="show_active_message"/>
                <br />
                <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=mailbox_newmail&amp;in_reply_to={owner/object/name}&amp;reply_subject={description}&amp;reply_text={/Object/active-content}">
                  {REPLY} >>
                </a>
              </td>
            </xsl:if>
            <td>
              <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
                print_transformed_date("</xsl:text><xsl:value-of select="last-modified/date"/><xsl:text disable-output-escaping="yes">");
              //]]&gt;&lt;/script&gt;</xsl:text>
            </td>
          </tr>


</xsl:template>

<xsl:template name="file_name_breaks">			<!-- erzeugt erzwungene Zeilenumbrüche nach System -->
		<xsl:param name="filename"/>
		<xsl:variable name="filename_length" select="string-length($filename)"/>
		<xsl:variable name="filename_start" select="1"/>

		<xsl:if test="$filename_length&lt;30 or $filename_length=30">		<!-- falls Zeile weniger als 30 Zeichen hat, hinschreiben -->
			<xsl:value-of select="$filename"/>
		</xsl:if>

		<xsl:if test="$filename_length&gt;30">
			<xsl:value-of select="substring($filename,$filename_start,30)"/>-<br/>
			<xsl:call-template name="file_name_breaks">
				<xsl:with-param name="filename" select="substring($filename,$filename_start+30)"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>

<xsl:template name="show_attributes">
  <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room=/&amp;mode=common" title="{INVENTORY_ATTRIBUTES_TOOLTIP}">
    <!-- Datumsformat abhgaengig von der language in lesbare Form umwandeln -->
    <xsl:choose>
      <xsl:when test="last-modified/time!='0'">
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_transformed_date("</xsl:text><xsl:value-of select="last-modified/date"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
print_transformed_date("</xsl:text><xsl:value-of select="created/date"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </a>
</xsl:template>


<xsl:template name="show_option_icons">
<!-- XXX tricky test needed because tag /Object/path/path is filled incorrectly if no path exists (eg all whiteboard scratch- areas). if no path available, use script navigate.pike-->
<xsl:variable name="urlprefix">/scripts/navigate.pike?object=<xsl:value-of select="id"/></xsl:variable>
  <a href="{$urlprefix}type=details&amp;mode=common&amp;room={$room}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}">
    <img class="listicon" src="/images/icon_infos.gif" alt="{INVENTORY_ATTRIBUTES_TOOLTIP}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}" />
    <!-- <img src="/images/icon_infos.gif" width="32" height="32" alt="{INVENTORY_ATTRIBUTES}" title="{INVENTORY_ATTRIBUTES_TOOLTIP}" /> -->
  </a>
  <a href="{$urlprefix}type=details&amp;mode=advanced&amp;room={$room}" title="{INVENTORY_ACTIONS_TOOLTIP}">
    <img class="listicon" src="/images/icon_actions.gif" alt="{INVENTORY_ACTIONS_TOOLTIP}" title="{INVENTORY_ACTIONS_TOOLTIP}" />
    <!-- <img src="/images/icon_actions.gif" width="32" height="32" alt="{INVENTORY_ACTIONS}" title="{INVENTORY_ACTIONS_TOOLTIP}" /> -->
  </a>
  <a href="{$urlprefix}type=annotations&amp;room={$room}">
    <xsl:attribute name="title">
    <xsl:choose>
		<xsl:when test="annotated/messages=0">{INVENTORY_COMMENTS_TOOLTIP_EMPTY}</xsl:when>
		<xsl:when test="annotated/unread>0">{INVENTORY_COMMENTS_TOOLTIP_NEW}</xsl:when>
		<xsl:otherwise>{INVENTORY_COMMENTS_TOOLTIP}</xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
    <xsl:call-template name="show_annotation_status_icon"/>
  </a>
  <a href="{$urlprefix}type=access&amp;room=/&amp;mode=common" title="{INVENTORY_RIGHTS_TOOLTIP}">
    <img class="listicon" src="/images/icon_access.gif" alt="{INVENTORY_RIGHTS_TOOLTIP}" title="{INVENTORY_RIGHTS_TOOLTIP}" />
    <!-- <img src="/images/icon_access.gif" alt="{INVENTORY_RIGHTS}" title="{INVENTORY_RIGHTS_TOOLTIP}" width="32" height="32" /> -->
  </a>
  <xsl:if test="count(/Object/properties/surveillancemodule/object) > 0">
    <a href="{$urlprefix}type=observe&amp;room=/&amp;mode=common&amp;bottomnavi=observe">
      <img class="listicon" src="/images/icon_observe.gif" alt="{INVENTORY_OBSERVE}" title="{INVENTORY_OBSERVE_TOOLTIP}" />
    </a>
  </xsl:if>
</xsl:template>

<xsl:template name="show_annotation_status_icon">
  <xsl:choose>
    <xsl:when test="annotated/messages=0">
      <img class="listicon" src="/images/icon_messageboard_empty.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_empty.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP_EMPTY}" width="32" height="32" />-->
    </xsl:when>
    <xsl:when test="annotated/unread>0">
      <img class="listicon" src="/images/icon_messageboard_unread.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_unread.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP_NEW}" width="32" height="32" />-->
    </xsl:when>
    <xsl:otherwise>
      <img class="listicon" src="/images/icon_messageboard_read.gif" alt="{INVENTORY_COMMENTS_TOOLTIP}" />
      <!--<img src="/images/icon_messageboard_read.gif" alt="{INVENTORY_COMMENTS}" title="{INVENTORY_COMMENTS_TOOLTIP}" width="32" height="32" />-->
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="take">
  <label for="user_action" class="off">{CONTENT_ACTIONS}:</label>
  <select name="user_action" id="user_action">
    <option value="choose_action">{INVENTORY_CHOOSE_ACTION}</option>
    <optgroup label="{INVENTORY_OPTGROUP_RUCKSACK}">
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <option value="get_objects">{TAKE}</option>
    </xsl:if>
    <option value="copy_objects">{COPY}</option>
    <option value="link_objects">{LINK}</option>
    </optgroup>
    <optgroup label="{INVENTORY_OPTGROUP_DOWNLOAD}">
    <option value="download">{DOWNLOAD}</option>
    </optgroup>
    <xsl:if test="/Object/access/moveable/@user != 'false'">
      <optgroup label="{INVENTORY_OPTGROUP_DELETE}">
      <option value="delete_objects">{DELETE}</option>
      </optgroup>
    </xsl:if>
  </select>
</xsl:template>

<xsl:template name="display_viewmode">
  <p class="viewmode">
    <label for="viewmode" class="off">{CONTENT_DISPLAY_VIEWMODE}:</label>
    <select name="viewmode" id="viewmode">
      <option value="details">{INVENTORY_VIEWMODE_DETAILS}</option>
      <option value="icons">{INVENTORY_VIEWMODE_ICONS}</option>
      <option value="map">{INVENTORY_VIEWMODE_MAP}</option>
    </select>
    <input type="button" value="{OK}" onclick="change_viewmode('{/Object/id}','{/Object/path/path}','{$room}',this.form.viewmode.options[this.form.viewmode.options.selectedIndex].value);" />
  </p>
</xsl:template>


<xsl:template name="display_createoptions">
 <div style="width:30%">
    <xsl:choose>
       <xsl:when test="$itemscount=0"><xsl:attribute name="id">objectsempty</xsl:attribute></xsl:when>
       <xsl:otherwise><xsl:attribute name="id">objects</xsl:attribute></xsl:otherwise>
    </xsl:choose>
    <div>
      
      <xsl:call-template name="show_createnew_container"/>
	 
    </div>
  </div>
</xsl:template>

<xsl:template name="show_createnew_container">
  <xsl:choose>
    <xsl:when test="/Object/access/insertable/@user = 'false'">
      <div class="newobject" title="{INVENTORY_NOACCESS_INSERT}">
          <img class="new" src="/images/icon_createnew_container_denied.gif" alt="" />
          <br />
          <span class="linkunderline">{NEW}<br />
          {OCONTAINER}</span>
      </div>
    </xsl:when>
    <xsl:otherwise>
     <div class="newobject">
        <a href="javascript:open_createmode_varsize('{$object}','Mail_Container','520','330')" title="{INVENTORY_NEWCONTAINER_TOOLTIP}{NEW_WINDOW}" class="imagelink">
          <img class="new" src="/images/icon_createnew_container.gif" alt="" /><br />
          <span class="linkunderline">{MAILBOX_FOLDER_CREATEFOLDER}</span>
          </a>
     </div>
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>



<xsl:template name="show_container">
  <tr>
    <td>
      <xsl:if test="count(/Object/sent_folder/object/id) = 0 or id != /Object/sent_folder/object/id">
        <xsl:choose>
          <xsl:when test="@type='Trashbin'"><br /></xsl:when>
          <xsl:when test="@selected='false'">
            <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" />
          </xsl:when>
          <xsl:when test="@selected='true'">
            <input type="checkbox" name="objsel" id="objsel{id}" value="{id}" checked="checked" />
          </xsl:when>
        </xsl:choose>
      </xsl:if>
    </td>
    <td class="objecticon">
      <!--<a href="{/Object/inventory/Object/name}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">  -->
	  <a href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=mailbox_folders" title="{name} öffnen">
        <img class="listicon" src="/scripts/get.pike?object={icon/object/id}" alt="" />
      </a>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="@type='Trashbin'">
          <a class="objectname" href="{/Object/path/path}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
			{CONTENT_TRASHBIN_NAME}
		  </a>
        </xsl:when>
        <xsl:when test="id = /Object/sent_folder/object/id">
          		<a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=mailbox_folders" title="{MAILBOX_SENT_FOLDER_NAME} öffnen">{MAILBOX_SENT_FOLDER_NAME}</a>
        </xsl:when>
        <xsl:otherwise>
		<a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=mailbox_folders" title="{name} öffnen">
            <xsl:call-template name="file_name_breaks">
				      <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
            </a>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="content/index!='0' and content/index!=''">
          <span class="objectactions">
            <a href="#" onclick="javascript:window.open('https://{$host}:{$port_http}{/Object/path/path}{URL}/{content/index}');" title="{INVENTORY_VIEW}{NEW_WINDOW}">{INVENTORY_VIEW}</a>
          </span>
        </xsl:when>
        <xsl:when test="@type='Trashbin' and inventory > 0">
          <span class="objectactions">
            (<a href="/scripts/browser.pike?_action=empty_trashbin&amp;id={id}" title="{INVENTORY_EMPTYTRASHBIN_TOOLTIP}">{INVENTORY_EMPTYTRASHBIN}</a>          <xsl:if test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
                ,&#160;<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
                 <xsl:text>Role</xsl:text></a>
            </xsl:if>)
          </span>
        </xsl:when>
        <xsl:when test="count(/Object/viscontemodule/object) > 0 and count(/Object/inventory/Object[name = 'roomontology.owl']) > 0">
            <span class="objectactions">
              (<a href="#" onclick="window.open('/visconte/embeded/scripts/visconte.pike?room={$room}&amp;objectid={id}','visconte','width=800,height=600',resizable=1);return false">
               <xsl:text>Role</xsl:text></a>)
             </span>
        </xsl:when>
      </xsl:choose>
    </td>
    <td>
      <xsl:if test="description!='No description of this object' and description != ''">
		<xsl:choose>
			<xsl:when test="@type='Trashbin'">
				<span class="objectdesc">{CONTENT_TRASHBIN_DESCRIPTION}</span>
			</xsl:when>
			<xsl:otherwise>
				<span class="objectdesc"><xsl:value-of select="description"/></span>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:if>
    </td>
	<td>
		<xsl:value-of select="mailbox-folder-size/unread"/>&#160;<img src="/images/slash.gif" alt="" class="slash" />&#160;<xsl:value-of select="mailbox-folder-size/messages"/>
	</td>
    <td><xsl:call-template name="show_attributes"/></td>
  </tr>
</xsl:template>

<xsl:template name="show_active_message">
  <div class="mailbody">
  <div class="subject">
    <xsl:value-of select="description"/>
  </div>
  <xsl:value-of disable-output-escaping="yes" select="/Object/active-content"/>
  <xsl:if test="count(attachments/Object[id != /Object/active-id]) > 0">
    <div class="attachments">
      <div class="attachmentsubject"><xsl:choose><xsl:when test="count(attachments/Object[id != /Object/active-id]) > 1">{MAILBOX_ATTACHMENTS}</xsl:when><xsl:otherwise>{ATTACHMENT}</xsl:otherwise></xsl:choose></div><br />
      <xsl:for-each select="attachments/Object[id != /Object/active-id]">
        <div class="attachment"><a href="/scripts/download.pike/{id}/{URL}"><xsl:value-of select="name" /></a></div>
      </xsl:for-each>
    </div>
  </xsl:if>
  </div>
</xsl:template>

</xsl:stylesheet>
