<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="active">0</xsl:param>
<xsl:param name="map">mailbox_newmail</xsl:param>
<xsl:param name="topnavi">mailbox</xsl:param>
<xsl:param name="bottomnavi">mailbox_newmail</xsl:param>
<xsl:param name="path"><xsl:value-of select="normalize-space(/Object/path)"/></xsl:param>
<xsl:param name="myname">/~<xsl:value-of select="/Object/user/username"/>/</xsl:param>
<xsl:param name="room"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="active"/>
<xsl:param name="nav">mailbox_newmail</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/user/mailbox-size/messages"/></xsl:param>
<xsl:param name="language"/>
<xsl:param name="type">mailbox_newmail</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="browse"/>
<xsl:param name="in_reply_to"></xsl:param>
<xsl:param name="reply_subject">undefined</xsl:param>
<xsl:param name="reply_text">undefined</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/mailbox_navigation_tab.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/mail.js" type="text/javascript"></script>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/attributes.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{MAIL} <xsl:value-of select="/Object/name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="mailbox">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1><xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{MAIL} <xsl:value-of select="/Object/name"/></xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_mailbox.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template></h1>
	  <p>{MAILBOX_YOUARE_HERE}
	  <xsl:choose>
	  <xsl:when test="$path = $myname">
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox_newmail">{MAILTAB_INBOX}/</a>
	  </xsl:when>
	  <xsl:otherwise>
	  	<a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox_newmail">{MAILTAB_INBOX}</a>/<strong><xsl:value-of select="name"/></strong>/
	  </xsl:otherwise>
	  </xsl:choose>
	  </p>	  
    </div>
	
	<xsl:call-template name="mailnav"/>
	
    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="type" value="mailbox_newmail" />
          <input type="hidden" name="_action" value="send_message_extended" />
          <input type="hidden" name="popup_id" value="" />
          <input type="hidden" name="room" value="{$room}" />
        </fieldset>

		<xsl:call-template name="show_results"/>
		
		<xsl:choose>
		<xsl:when test="$in_reply_to=''">
			<h2>{MAILBOX_NEWMAIL_RECEIVER}</h2>
		</xsl:when>
		<xsl:otherwise>
			<h2>{MAILBOX_NEWMAIL_RECEIVER_ANSWER}</h2>
		</xsl:otherwise>
		</xsl:choose>
			
		<p>{MAILBOX_NEWMAIL_RECEIVER_DESCRIPTION}</p>
		
		<fieldset class="grid">
			    
			 	<p>
				 <label class="grid" for="to_own">Ihren Gruppen/ Freunden:</label>
				 <xsl:choose>
				 <xsl:when test="$in_reply_to=''">
				 	<select size="8" id="to_own" name="to_own" multiple="multiple" style="min-width:610px">
					<optgroup label="Eigene Gruppen">
					<xsl:for-each select="/Object/user_groups/array/object">
					<xsl:sort select="name"/>
						<option value="{id}"><xsl:value-of select="name"/></option>
					</xsl:for-each>
				 </optgroup>
				 <xsl:if test="count(/Object/buddylist/array/object) > 0">
				 <optgroup label="Freunde">
				 	<xsl:for-each select="/Object/buddylist/array/object">
					  <xsl:sort select="name"/>
					  <option value="{id}"><xsl:value-of select="name"/></option>
					</xsl:for-each>
				 </optgroup>
				 </xsl:if>
				</select>
				 </xsl:when>
				 <xsl:otherwise>
				 	<select size="8" id="to_own" name="to_own" multiple="multiple" style="min-width:610px" disabled="disabled">
					<optgroup label="Eigene Gruppen">
					<xsl:for-each select="/Object/user_groups/array/object">
					<xsl:sort select="name"/>
						<option value="{id}"><xsl:value-of select="name"/></option>
					</xsl:for-each>
				 </optgroup>
				 <xsl:if test="count(/Object/buddylist/array/object) > 0">
				 <optgroup label="Freunde">
				 	<xsl:for-each select="/Object/buddylist/array/object">
					  <xsl:sort select="name"/>
					  <option value="{id}"><xsl:value-of select="name"/></option>
					</xsl:for-each>
				 </optgroup>
				 </xsl:if>
				</select>
				 </xsl:otherwise>
				 </xsl:choose>
				 
				<span class="helpicon" id="help_to_own_icon_open"><a href="javascript:show('help_to_own')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
				<span class="helpicon" id="help_to_own_icon_close" style="display:none;"><a href="javascript:hide('help_to_own')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
				</p>
				
				<div class="help" id="help_to_own">
				<div>{HELP}: {MAILBOX_NEWMAIL_GROUPSANDBUDDIES}</div>
				<p>{MAILBOX_OWNGROUPS_HELP_LONG}</p>
				<p><a href="javascript:hide('help_to_own')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
				</div>   
		 </fieldset>
		 <fieldset class="grid">
			   <p>
			   <label class="grid" for="to_free">{MAILBOX_NEWMAIL_RECEIVER_OTHERS}</label>
			   <xsl:choose>
			   <xsl:when test="$in_reply_to=''">
			   		<input type="text" id="to_free" name="to_free" size="75"/>
				</xsl:when>
				<xsl:otherwise>
					<input type="text" id="to_free_dummy" name="to_free" size="75" value="{$in_reply_to}" disabled="disabled"/>
 					<input type="hidden" id="to_free" name="to_free" value="{$in_reply_to}"/>
				</xsl:otherwise>
				</xsl:choose>
			   <span class="helpicon" id="help_to_free_icon_open"><a href="javascript:show('help_to_free')" title="{OPEN_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
			   <span class="helpicon" id="help_to_free_icon_close" style="display:none;"><a href="javascript:hide('help_to_free')" title="{CLOSE_HELP_TOOLTIP}"><img src="/images/icon_hilfe_klein.gif" alt="" /></a></span>
			   </p>
			   <div class="help" id="help_to_free">
				<div>{HELP}: {MAILBOX_NEWMAIL_RECEIVER_OTHERS}</div>
				<p>{MAILBOX_FREE_HELP_LONG}</p>
				<p><a href="javascript:hide('help_to_free')" title="{CLOSE_HELP_TOOLTIP}">{CLOSE_HELP_TOOLTIP}</a></p>
				</div>   
		</fieldset>	
		
	    <h2>{USERDETAILS_SENDMAIL_MESSAGE}</h2>

        <p>{MAILBOX_NEWMAIL_MESSAGEDESCRIPTION}</p>

        <fieldset class="grid">
          <p>
            <label class="grid" for="messagesubject">{USERDETAILS_SENDMAIL_SUBJECT}:</label>
            <xsl:choose>
			<xsl:when test="$reply_subject!='undefined'">
				<input type="text" id="messagesubject" name="messagesubject" size="79" value="Re: {$reply_subject}"/>
			</xsl:when>
			<xsl:otherwise>
				<input type="text" id="messagesubject" name="messagesubject" size="79"/>
			</xsl:otherwise>
			</xsl:choose>
			
          </p>

          <p>
            <label class="grid" for="messagebody">{USERDETAILS_SENDMAIL_MESSAGE}:</label>
			<textarea id="messagebody" name="messagebody" rows="8" cols="78"/>
			
          </p>

          <p>
            <label class="grid" for="annotfile">{USERDETAILS_SENDMAIL_ATTACHEMENT}:</label>
            <input type="file" id="annotfile" name="annotfile" size="65" />
            <span class="infotext">{USERDETAILS_SENDMAIL_ATTACHEMENT_INFO}</span>
          </p>
		  <br/>
          <p>
            <input type="button" value="{USERDETAILS_SEND} >>" onclick="form.submit();" />
          </p>
        </fieldset>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>
</xsl:stylesheet>
