<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="id">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="_action">undefined</xsl:param>
<xsl:param name="client"/>
<xsl:param name="message"/>
<xsl:param name="error"/>
<xsl:param name="domain"/>
<xsl:param name="nav"/>
<xsl:param name="language"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>



<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="expires" content="0" />
	<TITLE>sTeam</TITLE>
	<xsl:value-of select="head" disable-output-escaping="yes"/>
  <xsl:call-template name="browsercss"/>
</head>

<body id="invite" onload="setFocusById('keywords')">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

  <hr />
  <div id="content">
    <div id="position">
      <h1><xsl:value-of select="monitoring/object/name"/> {MONITOR_HEADER}</h1>
    </div>

    <div id="maincontent">

      <form name="browser" action="/scripts/execute.pike">
        <fieldset class="hidden">
          <INPUT type="hidden" name="_action" value="subscribe"/>
          <INPUT type="hidden" name="script" value="{id}"/>
        </fieldset>

        <p><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a></p>

        <p class="desc">{MONITOR_LISTOFDOWNLOADS}:</p>

        <fieldset class="grid">
          <p>
            <ul> 
              <xsl:for-each select="downloads/struct/member">
                <li><xsl:value-of select="key/object/name"/>:&#160;<xsl:value-of select="count(value/array/object)"/>&#160;{MONITOR_DOWNLOADS}</li>
              </xsl:for-each>
            </ul>
          </p>
        </fieldset>
        
        <p>
          {MONITOR_MONITORMONITORS}&#160;<b><xsl:value-of select="monitoring/object/name"/></b><BR/><BR/>
          {MONITOR_NUMBEROFSUBSCRIBERS}:&#160;<xsl:value-of select="count(subscribers/array/object)"/><BR/><BR/>
        </p>
        
        <p>
          <INPUT type="button" class="formbutton4" value="{MONITOR_SUBSCRIBE}" onClick="submit();"/>&#160;&#160;&#160;<xsl:if test="count(subscribers/array/object[id=/Object/user/id])=1"><INPUT type="button" class="formbutton1" value="{MONITOR_UNSUBSCRIBE}" onClick="_action.value='unsubscribe';submit();"/></xsl:if>
        </p>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

</xsl:stylesheet>
