<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="bottomnavi"/>
<xsl:param name="mode"/>

<xsl:template name="nav2">

<hr />

<div id="secnav" class="tabnav">
  <h6 class="off">{SECONDARY_NAVIGATION}</h6>
  <ul>
    <xsl:choose>
      <xsl:when test="/Object/@type='Group'">
        <xsl:if test="string(/Object/access/writeable/@user)='true'  or (string(/Object/access/writeable/@user)!='true' and /Object/name='PrivGroups')">
          <li>
            <xsl:if test="$mode='' or $mode='overview'">
              <xsl:attribute name="class">current</xsl:attribute>
            </xsl:if>
            <a href="/groups/{URL}?room={$room}&amp;mode=overview" title="{NAVIGATIONTAB2_GROUPOVERVIEW_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_inhalt.gif" alt="" />{NAVIGATIONTAB2_GROUPOVERVIEW_ALT}</a>
          </li>
          <xsl:if test="string(/Object/access/writeable/@user)='true' or (string(/Object/access/writeable/@user)!='true' and /Object/name='PrivGroups')">
            <li>
              <xsl:if test="$mode='admin'">
                <xsl:attribute name="class">current</xsl:attribute>
              </xsl:if>
              <a href="/groups/{URL}?room={$room}&amp;mode=admin" title="{NAVIGATIONTAB2_GROUPADMIN_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_aktionen.gif" alt="" />{NAVIGATIONTAB2_GROUPADMIN_ALT}</a>
            </li>
            <!-- falls per call-template aus details aufgerufen um header darzustellen -->
            <xsl:if test="string(/Object/access/writeable/@user)='true'">
              <li>
                <xsl:if test="$type='details'">
                  <xsl:attribute name="class">current</xsl:attribute>
                </xsl:if>
                <a href="/groups/{URL}?type=details&amp;room={$room}&amp;mode=common" title="{NAVIGATIONTAB2_GROUPATTRIBUTES_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_eigenschaften.gif" alt="" />{NAVIGATIONTAB2_GROUPATTRIBUTES_ALT}</a>
              </li>
            </xsl:if>
          </xsl:if>
        </xsl:if>
      </xsl:when>

      <xsl:otherwise>
        <li>
          <xsl:if test="$bottomnavi='content'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="{path/path}?room={$room}&amp;browse=details" title="{NAVIGATIONTAB2_CONTENT_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_inhalt.gif" alt="" />{NAVIGATIONTAB2_CONTENT_ALT}</a>
        </li>
        <li>
          <xsl:if test="$bottomnavi='details' and $mode='common'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=common" title="{NAVIGATIONTAB2_ATTRIBUTES_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_eigenschaften.gif" alt="" />{NAVIGATIONTAB2_ATTRIBUTES_ALT}</a>
        </li>
        <li>
          <xsl:if test="$bottomnavi='details' and $mode='advanced'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=advanced" title="{NAVIGATIONTAB2_ACTIONS_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_aktionen.gif" alt="" />{NAVIGATIONTAB2_ACTIONS_ALT}</a>
        </li>
        <li>
          <xsl:if test="$bottomnavi='annotations'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/scripts/navigate.pike?object={$object}&amp;type=annotations&amp;room={$room}" title="{NAVIGATIONTAB2_ANNOTATIONS_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_kommentare.gif" alt="" />{NAVIGATIONTAB2_ANNOTATIONS_ALT}</a>
        </li>
        <li>
          <xsl:if test="$bottomnavi='access'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/scripts/navigate.pike?object={$object}&amp;type=access&amp;room=/&amp;mode=common" title="{NAVIGATIONTAB2_ACCESS_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_rechte.gif" alt="" />{NAVIGATIONTAB2_ACCESS_ALT}</a>
        </li>
        <xsl:if test="count(/Object/properties/surveillancemodule/object) > 0">
	        <li>
            <xsl:if test="$bottomnavi='observe'">
              <xsl:attribute name="class">current</xsl:attribute>
            </xsl:if>
            <a href="/scripts/navigate.pike?object={$object}&amp;type=observe&amp;room={$room}&amp;bottomnavi=observe" title="{NAVIGATIONTAB2_OBSERVE_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_observe.gif" alt="" />{NAVIGATIONTAB2_OBSERVE_ALT}</a>
          </li>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </ul>
</div>

<hr />

</xsl:template>
</xsl:stylesheet>