<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/> 
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="back">no</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="room">/</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:template match="Object|error">
<html lang="{LANG}">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>Error | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="error">

<div id="container">
	<div id="mastheadPublic">
		<img src="/images/kopfleiste_big_public.jpg" alt="{HEADER_LOGO_ALT}" />
	</div>
  <div id="content">
    <div id="maincontent">
      <xsl:call-template name="navigation"/>
      <xsl:apply-templates/>
    </div>
  </div>
  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template match="message">
  <div>
    <p><xsl:value-of select="." disable-output-escaping="yes"/></p>
  
    <xsl:if test="/Object/container/insertable/@user='true'">
      <p>
        <xsl:choose>
          <xsl:when test="count(/Object) = 0">
            You can <a href="/scripts/create_notfound.pike?path={/error/url}&amp;cont={/error/container/object/id}&amp;fp={/error/orb}">create this object now</a>.
          </xsl:when>
          <xsl:otherwise>
            {NOTFOUND_YOUCAN} <a href="/scripts/create_notfound.pike?path={/Object/url}&amp;cont={/Object/container/object/id}&amp;fp={/Object/orb}">{NOTFOUND_CREATEOBJECT}</a>.
          </xsl:otherwise>
        </xsl:choose>
      </p>
    </xsl:if>
  </div>
</xsl:template>


<xsl:template match="text() | @*">
<xsl:copy><xsl:apply-templates /></xsl:copy>
</xsl:template>


<xsl:template match="TABLE | TR | TD | SELECT | OPTION | MAP | AREA | A | a | BR | ul | UL | li | LI | h2 | H2 | h1 | H1 | form | FORM | input | INPUT | textarea | TEXTAREA">
  <xsl:copy><xsl:apply-templates select="@* | * | text()"/></xsl:copy>
</xsl:template>


<xsl:template match="*"/>

</xsl:stylesheet>
