<?xml version="1.0" encoding="utf-8"?> 
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="admin">false</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="path">/</xsl:param>
<xsl:param name="show">members</xsl:param>
<xsl:param name="message">ok</xsl:param>
<xsl:param name="map">observation</xsl:param>
<xsl:param name="topnavi">observation</xsl:param>
<xsl:param name="language">english</xsl:param>
<xsl:param name="error"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="nav">observation</xsl:param>
<xsl:param name="room"/>

<xsl:variable name="groupstoc">abcdefABCDEF**** ghijklGHIJKL**** mnopqrMNOPQR**** stuvwxyzSTUVWXYZ</xsl:variable>
<xsl:param name="groupstoc_blocksize">16</xsl:param>
<xsl:param name="groupstoc_blockstart">1</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<xsl:template name="groupstoc_build">
<xsl:param name="name"/>
<xsl:param name="groupstoc_blocksize"/>
<xsl:param name="groupstoc_blockstart"/>

<xsl:if test="translate(substring(name,1,1),substring($groupstoc,$groupstoc_blockstart,$groupstoc_blocksize),'!!!!!!!!!!!!!!!!')='!'"><a name="gtoc{$groupstoc_blockstart}" id="gtoc{$groupstoc_blockstart}{$name}"></a></xsl:if>

<xsl:if test="$groupstoc_blockstart&#60;=string-length($groupstoc)">
  <xsl:call-template name="groupstoc_build">
    <xsl:with-param name="groupstoc_blockstart" select="number($groupstoc_blockstart)+number($groupstoc_blocksize)+1"/>
    <xsl:with-param name="name" select="$name"/>
    <xsl:with-param name="groupstoc_blocksize" select="$groupstoc_blocksize"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>



<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/observation.js" type="text/javascript"></script>
  <!--<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"></SCRIPT>-->
    <script type="text/javascript">
      function swapBit(obj) {
	alert("swapBit gestartet");
         if(obj.value == 1) {
           obj.value = 0;
         } else {
           obj.value = 1;
        }
	alert("swapBit beendet");
      }
    </script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{OBSERVATION_TITLE} | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="observation">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>



  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1>
        {OBSERVATION_OBSERVATION}
        <xsl:choose>
          <xsl:when test="name!=''"><xsl:value-of select="name"/></xsl:when>
          <xsl:otherwise>{GROUPS_OFSTEAM}</xsl:otherwise>
        </xsl:choose>
        </h1>
    </div>

    <div id="maincontent">
      <form name="browser" action="/packages/surveillance/package:surveillance" methode="POST">
        <fieldset class="hidden">
          <input type="hidden" name="object" value="{$object}" />
	  <input type="hidden" name="_action" value="set_observe_prototype" />
          <!--<input type="hidden" name="_script" value="observation.pike" />-->
          <input type="hidden" name="room" value="{$room}" />
        </fieldset>

        <p><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{OBSERVATION_CLICK}</p>

        
        <table cellspacing="0" summary="{GROUPS_TABLE_SUMMARY}">
        
	  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" ALIGN="LEFT">
        <TR>
	    <xsl:choose>
               <xsl:when test="mail=1">
	       <TD>
	          <input type="checkbox" name="mail" value="1" checked="checked" onclick="swapBit(this)" />
	       </TD>
	       </xsl:when>
               <xsl:otherwise>
	       <TD>
		  <input type="checkbox" name="mail" value="0" onclick="swapBit(this)" />
	       </TD>
	       </xsl:otherwise>
            </xsl:choose>
            <xsl:choose>
		<xsl:when test="rss=1">
	       <TD>
		  <input type="checkbox" name="rss" value="1" checked="checked" onchange="swapBit(this)" />
	       </TD>
	       </xsl:when>
               <xsl:otherwise>
	       <TD>
		  <input type="checkbox" name="rss" value="0" onchange="swapBit(this)" />
	       </TD>
	       </xsl:otherwise>
            </xsl:choose>
        </TR>
        <TR><TD>E-Mail </TD>
            <TD>Newsticker(RSS)</TD>
        </TR>
	<TR>
		<TD> </TD>
		<TD><p class="right"><input type="submit" value="{UPDATE_OBSERVES}" onclick="setAlerts(mail, rss, this.form)"/></p></TD>
	</TR>
        </TABLE>
        </table>

        <h2>{OBSERVATION_STATE}</h2>

        <!--<p>{OBSERVATION_STATE_DESCRIPTION}</p>-->

	<p>Um Objekte aus dieser Liste zu entfernen oder deren Beobachtungseinstellungen zu ändern, wählen Sie bei dem entsprechenden Objekt unter Details die Option Beobachtung und editieren Sie den Status.</p>

        <xsl:if test="$message!='ok'">
          <p>
            &gt;&gt;&gt; <strong>{GROUPS_CREATERESULT_HINT}</strong>: <xsl:value-of select="$message"/>
            <xsl:if test="normalize-space($error) != ''">
              &#8211; {GROUPS_CREATERESULT_REASON} <xsl:value-of select="$error"/>
            </xsl:if>
          </p>
        </xsl:if>
	
	<!--<fieldset class="hidden">
          <input type="hidden" name="id" value="{id}"/>
          <input type="hidden" name="_action" value="browser.pike"/>
          <input type="hidden" name="room" value="{$room}"/>
        </fieldset>-->

        <div id="icons">
        <!--<xsl:for-each select="Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']|Object[@type='Script']">-->
	<!--<xsl:value-of select="."/>-->
	 <table id="roominventory" summary="Auflistung des aktuellen Rauminhalts" cellspacing="0">
                <thead>
                  <tr>
                    <th scope="col">
                      <br/>
                    </th>

                    <th scope="col">
                      <br/>
                    </th>
                    <th scope="col">
                      Name
                    </th>
                    <th scope="col">
                      <!--Größe-->
                    </th>



                    <th scope="col">
                      <!--Bearbeitet am - von-->

                    </th>
                    <th scope="col">Details</th>
                  </tr>
                </thead>
                <tfoot>

                  <tr>
                    <td>
                    </td>
                    <td colspan="5" class="checkall">
                    </td>
                  </tr>

                  <tr>
                    <td colspan="6" class="pages">
                    </td>
                  </tr>
                </tfoot>
	<tbody>
	<xsl:for-each select="//observedObject/struct/member/key/object">
          <xsl:sort select="name"/>
	  <tr>
		    <td/>
                    <td class="objecticon">
		      <xsl:element name="a" ><xsl:attribute name="class">objectname</xsl:attribute><xsl:attribute name="title">Object Anzeigen</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="path"/></xsl:attribute>
                        <img src="/images/doc_icon_observe.gif" alt="" height="32" width="32"/>
                      </xsl:element>
                    </td>



                    <td>


		      <xsl:element name="a" ><xsl:attribute name="class">objectname</xsl:attribute><xsl:attribute name="title">Object Anzeigen</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="path"/></xsl:attribute>
                        <xsl:value-of select="name"/>
                      </xsl:element>


                    </td>

                    <td>
		    </td>

                    

                    <td> </td>

                    <td class="optionicons">
                      <xsl:element name="a" ><xsl:attribute name="href"><xsl:value-of select="path"/><xsl:text>?type=details&amp;mode=common</xsl:text></xsl:attribute>
                        <img src="/images/icon_infos.gif" alt="Eigenschaften" title="Eigenschaften anzeigen" height="32" width="32"/>
                      </xsl:element>
		      <xsl:element name="a" ><xsl:attribute name="href"><xsl:value-of select="path"/><xsl:text>?type=details&amp;mode=advanced</xsl:text></xsl:attribute>
                        <img src="/images/icon_actions.gif" alt="Aktionen" title="Aktionen durchführen" height="32" width="32"/>
                      </xsl:element>
		      <xsl:element name="a" ><xsl:attribute name="href"><xsl:value-of select="path"/><xsl:text>?type=annotation</xsl:text></xsl:attribute>
                        <img src="/images/icon_messageboard_empty.gif" alt="Kommentare" title="Bisher liegen keine Kommentare vor." height="32" width="32"/>
                      </xsl:element>
                      <xsl:element name="a" ><xsl:attribute name="href"><xsl:value-of select="path"/><xsl:text>?type=access&amp;mode=common</xsl:text></xsl:attribute>
                        <img src="/images/icon_access.gif" alt="Rechte" title="Rechte anzeigen" height="32" width="32"/>
                      </xsl:element>
                      <xsl:element name="a" ><xsl:attribute name="href"><xsl:text>/scripts/navigate.pike?object=</xsl:text><xsl:value-of select="id"/><xsl:text>&amp;type=observe&amp;bottomnavi=observe</xsl:text></xsl:attribute>
                        <img src="/images/icon_observe.gif" alt="Beobachtung" title="Zur Beobachtung markieren" height="32" width="32"/>
                      </xsl:element>
                    </td>
                  </tr>

        </xsl:for-each>
	</tbody>
              </table>
      </div>
      </form>
    </div>
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template name="iconview_name_breaks">			<!-- erzeugt erzwungene Zeilenumbrüche nach System -->
		<xsl:param name="filename"/>
		<xsl:variable name="filename_length" select="string-length($filename)"/>
		<xsl:variable name="filename_start" select="1"/>

		<xsl:if test="$filename_length&lt;10 or $filename_length=10">		<!-- falls Zeile weniger als 30 Zeichen hat, hinschreiben -->
			<xsl:value-of select="$filename"/>
		</xsl:if>

		<xsl:if test="$filename_length&gt;10">
			<xsl:value-of select="substring($filename,$filename_start,10)"/>-<br/>
			<xsl:call-template name="iconview_name_breaks">
				<xsl:with-param name="filename" select="substring($filename,$filename_start+10)"/>
			</xsl:call-template>
		</xsl:if>
</xsl:template>

</xsl:stylesheet>
