<?xml version="1.0" encoding="utf-8"?> 
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map">navigation</xsl:param>      <!-- legt fest, welche image map für die obere navigationsleiste in steam_header.xsl gebraucht werden soll -->
<xsl:param name="topnavi">navigation</xsl:param>      <!-- enthält die obere navigationsleiste, wird in steam_header.xsl gebraucht -->
<xsl:param name="mode">common</xsl:param>        <!-- bei common werden allgemeine rechte, bei advanced erweiterte rechte angezeigt -->
<xsl:param name="bottomnavi">access</xsl:param>      <!-- legt fest, welche navigationsleist + image map in navigationsleiste2.xsl benutzt wird -->
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="editicon">no</xsl:param>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav">off</xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="language"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/navigation_tab2.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:template name="show_acquiring_help">
<!--  <a href="javascript:open_popup(400,400,'sTeam','{ACCESS_BASIC_ACQUIRE_HELP_LONG}')"><img alt="{HELP}" title="{ACCESS_BASIC_ACQUIRE_HELP_SHORT}" src="/images/icon_hilfe_klein.gif" /></a> -->
<!--
  <xsl:call-template name="print_helptext">
    <xsl:with-param name="short">{ACCESS_BASIC_ACQUIRE_HELP_SHORT}</xsl:with-param>
    <xsl:with-param name="long"><xsl:text><![CDATA[{ACCESS_BASIC_ACQUIRE_HELP_LONG}]]></xsl:text></xsl:with-param>
  </xsl:call-template>
-->
</xsl:template>

<!-- zeigt optionen zur vererbung an -->
<xsl:template name="show_acquiring_options">
<p>
<!--
  <span class="helpicon">
    <xsl:call-template name="show_acquiring_help"/>
  </span>
  -->
<xsl:choose>
  <xsl:when test="/Object/acquires/*/id=/Object/environment/object/id">
   <!-- {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESFROM} {ACCESS_BASIC_ACQUIRE_ENVIRONMENT} <a href="/scripts/navigate.pike?object={/Object/acquires/*/id}&amp;type=access&amp;mode=common"><xsl:value-of select="/Object/environment/object/name"/></a>.-->
  </xsl:when>
  <xsl:when test="/Object/acquires/*/id='0'">
 <!--   {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESNOT}-->
  </xsl:when>
  <xsl:otherwise>
  <!--  {ACCESS_BASIC_ACQUIRE_OBJECTACQUIRESFROM} <a href="/scripts/navigate.pike?object={/Object/acquires/*/id}&amp;type=access"><xsl:value-of select="/Object/acquires/*/name"/></a>.-->
  </xsl:otherwise>
</xsl:choose>
</p>

<p>
<!--  {OBSERVE_BASIC_ACQUIRE_USEACQUIRE}? -->

  <xsl:choose>
    <xsl:when test="/Object/acquires/*/id=/Object/environment/object/id">
<!--      <input type="radio" id="acq_environment" name="access_category" value="acq_environment" checked="checked" />
      <label class="spaceafter" for="acq_environment">{YES}</label>
      <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing"  onclick="javascript:run_action(document.accessform,'acq_nothing');" />
      <label for="acq_nothing">{NO}</label>-->
    </xsl:when>
    <xsl:otherwise>
<!--      <input type="radio" id="acq_environment" name="access_category" value="acq_environment" onclick="javascript:run_action(document.accessform,'acq_environment');" />
      <label class="spaceafter" for="acq_environment">{YES}</label>
      <input type="radio" id="acq_nothing" name="access_category" value="acq_nothing" checked="checked" />
      <label for="acq_nothing">{NO}</label>-->
    </xsl:otherwise>
  </xsl:choose>
<!--  <span class="helpicon">
    <xsl:call-template name="show_acquiring_help"/>
  </span>-->
</p>
</xsl:template>

<!-- zeigt die "hinzufuegen"- optionen an -->
<xsl:template name="show_add_options">
<p>
  <label class="off" for="toadd">{ACCESS_ADDOPTIONS_ADD_HEADER}:</label>
  <select id="toadd" name="toadd">
    <optgroup label="{ACCESS_ADDOPTIONS_PLEASECHOOSE_GROUP}">
      <xsl:for-each select="/Object/user_groups/array/object">
        <xsl:sort select="name"/>
        <option value="{id}"><xsl:value-of select="name"/></option>
      </xsl:for-each>
      <option value="{/Object/everyone/id}"><xsl:value-of select="/Object/everyone/name"/></option>
    </optgroup>
    <xsl:if test="count(/Object/buddylist/array/object) > 0">
      <optgroup label="{ACCESS_ADDOPTIONS_PLEASECHOOSE_BUDDY}">
        <xsl:for-each select="/Object/buddylist/array/object">
          <xsl:sort select="name"/>
          <option value="{id}"><xsl:value-of select="name"/></option>
        </xsl:for-each>
      </optgroup>
    </xsl:if>
  </select>
  <input type="submit" value="{ACCESS_ADDOPTIONS_ADD}" onclick="run_action(accessform,'add_acl_add')" />
</p>

<fieldset class="grid">
  <p>
    <label class="grid" for="keywords_acladd">{ACCESS_ADDOPTIONS_ADD_SEARCHUSERS}:</label>
    <input type="text" size="15" id="keywords_acladd" name="keywords_acladd" />
    <input type="button" value="{ACCESS_ADDOPTIONS_ADD_SEARCH}" onclick="check_acladd(accessform);" /><br />
    <input type="checkbox" id="longsearch" name="quicksearch" value="longsearch" title="{ACCESS_ADDOPTIONS_QUICKSEARCH_HELP}"/><label for="longsearch" class="checkbox">{ACCESS_ADDOPTIONS_QUICKSEARCH}</label>
  </p>
</fieldset>
</xsl:template>

<!-- zeigt die gesetzten (und vererbten) Berechtigungen an -->
<xsl:template name="show_all_permissions">
  <table id="accessrights" cellspacing="0" summary="{ACCESS_RIGHTS_TABLE_SUMMARY}">
    <thead>
      <xsl:call-template name="show_access_header"/>
    </thead>

    <tbody>
      <xsl:call-template name="show_acquired_access"/>
      <xsl:for-each select="/Object/access/Object[@type='Group']">
        <xsl:sort select="name"/>
        <xsl:call-template name="show_permissions_for_group"/>
      </xsl:for-each>      
      <xsl:for-each select="/Object/access/Object[@type='User']">
        <xsl:sort select="name"/>
        <xsl:call-template name="show_permissions_for_group"/>
      </xsl:for-each>
    </tbody>
  </table>
</xsl:template>

<!-- Haupt-template zum Anzeigen des Rechtedialoges -->
<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <!--<script src="/gui_js/access.js" type="text/javascript"></script>-->
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <script src="/gui_js/observation.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME} | sTeam
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="name"/> | sTeam
		</xsl:otherwise>
    </xsl:choose>
  </title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="access" onload="setFocusById('acq_environment');">



<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#secnav">{SKIP_SECNAV}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <xsl:choose>
        <xsl:when test="name=''"><h1>*No Description*</h1></xsl:when>
      </xsl:choose>
      <xsl:call-template name="show_trail"/>
    </div>

    <xsl:call-template name="nav2"/>
  
    <div id="maincontent">
      <form name="observeform" action="/packages/surveillance/package:surveillance" method="GET">
        <fieldset class="hidden">
          <input type="hidden" name="object" value="{$object}"/>
          <input type="hidden" name="room" value="{$room}"/>
          <input type="hidden" name="_action" value="set_notify_prototype"/>
          <input type="hidden" name="mode" value="{$mode}"/>
          <input type="hidden" name="room" value="{$room}"/>
          <input type="hidden" name="_perform" value=""/>
        </fieldset>

        <xsl:call-template name="show_observe_dialog"/>
	<xsl:call-template name="show_all_observes"/>
      </form>
    </div>    
  </div>

  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>

<xsl:template name="show_observe_dialog">
<h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{COM_BASICOBSERVE} <xsl:value-of select="name"/></h2>

<!-- <p class="helptext">{ACCESS_BASIC_OBSERVE_HELP}</p>-->

<p class="helptext">Die vorhandenen Einstellungen zur Beobachtung für das aktuelle Objekt werden angezeigt. Hier kann ebenfalls eingestellt werden, bei welchen Modifikationen eine Benachrichtigung erfolgen soll.</p>


<xsl:call-template name="show_acquiring_options"/>
</xsl:template>

<xsl:template name="show_all_observes">
  <!--<input type="hidden" name="_action" value="set_notify_prototype"/>-->
  <table id="accessrights" cellspacing="0" summary="{ACCESS_RIGHTS_TABLE_SUMMARY}">
    <thead>
      <xsl:call-template name="show_observe_header"/>

    </thead>

    <tbody>
<tr>
  <th><xsl:call-template name="show_permissions_for_group"/>  </th>
  <th>  </th>
  <th scope="col">
	<xsl:choose>
               <xsl:when test="obedit=1">
	          <input type="checkbox" name="obedit" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
		  <input type="checkbox" name="obedit" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
  </th>
  <th >
	<xsl:choose>
               <xsl:when test="obnewDoc=1">
	          <input type="checkbox" name="obnewDoc" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obnewDoc" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
  <th >
	<xsl:choose>
               <xsl:when test="obdeleteDoc=1">
	          <input type="checkbox" name="obdeleteDoc" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obdeleteDoc" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
  <th>
	<xsl:choose>
               <xsl:when test="obmove=1">
	          <input type="checkbox" name="obmove" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obmove" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
  <th>
	<xsl:choose>
               <xsl:when test="obright=1">
	          <input type="checkbox" name="obright" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obright" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
  <th >
	<xsl:choose>
               <xsl:when test="obrename=1">
	          <input type="checkbox" name="obrename" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obrename" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
  <th >
	<xsl:choose>
               <xsl:when test="obannotate=1">
	          <input type="checkbox" name="obannotate" value="1" checked="checked" onclick="swapBit(this)" />
	       </xsl:when>
               <xsl:otherwise>
	         <input type="checkbox" name="obannotate" value="0" onclick="swapBit(this)" />
	       </xsl:otherwise>
            </xsl:choose>
</th>
</tr>
    </tbody>
  </table>
<p class="right"><input type="submit" value="{UPDATE_OBSERVES}" onclick="javascript:setObserveNotify(obedit, obnewDoc, obdelete, obmove, obright, obrename, obannotate, this.form)"/></p>
</xsl:template>

<xsl:template name="show_observe_header">
<tr>
  <th scope="col">{ACCESS_BASIC_ACQUIRE_GROUPNAME}</th>
  <th/>
  <th scope="col" title="Benachrichtigung bei Bearbeitung des Objektes"><em>B</em>earbeiten</th>
  <th scope="col" title="Benachrichtigung bei neuem Dokumenten (im Container)"><em>N</em>eues Dokument</th>
  <th scope="col" title="Benachrichtigung beim Löschen von Objekten"><em>L</em>öschen</th>
  <th scope="col" title="Benachrichtigung beim Verschieben von Objekten"><em>V</em>erschieben</th>
  <th scope="col" title="Benachrichtigung bei Rechteänderung eines Obejktes"><em>R</em>echteänderung</th>
  <th scope="col" title="Benachrichtigung bei Umbenennen des Objektes"><em>U</em>mbenennen</th>
  <th scope="col" title="Benachrichtigung bei Kommentierung des Objektes"><em>K</em>ommentieren</th>
</tr>
</xsl:template>


<!-- soll das gewaehlte Objekt anzeigen, zum setzen der Rechte -->
<xsl:template name="show_permissions_for_group">
<xsl:variable name="id"><xsl:value-of select="id"/></xsl:variable>

<span class="rowheader">
      <input type="hidden" name="objects" value="{id}"/>
      <xsl:choose>
        <xsl:when test="@type='Group'">
          <a href="/scripts/navigate.pike?object={id}">
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:when>
        <xsl:otherwise>
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}">
          <!--<a href="javascript:open_userdetails('{id}')">-->
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:otherwise>
      </xsl:choose>

<!--    (<a href="/scripts/access.pike?object={$object}&amp;_action=remove_acl_add&amp;toremove={id}" title="{ACCESS_REMOVE_TOOLTIP}">-</a>)-->
<!--    <xsl:choose>
      <xsl:when test="count(/Object/access/Object[id=$id])>0">
        <xsl:apply-templates select="/Object/access/Object[id=$id]/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="/Object/zeroaccess/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>-->
</span>
</xsl:template>

<!-- BACKUP.. zeigt eine Spalte pro Gruppe zum setzen der Rechte ..BACKUP -->
<xsl:template name="show_permissions_for_group_BACKUP">
<xsl:variable name="id"><xsl:value-of select="id"/></xsl:variable>
  <tr>
    <td scope="row" class="rowheader">
      <input type="hidden" name="objects" value="{id}"/>
      <xsl:choose>
        <xsl:when test="@type='Group'">
          <a href="/scripts/navigate.pike?object={id}">
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:when>
        <xsl:otherwise>
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}">
          <!--<a href="javascript:open_userdetails('{id}')">-->
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
              print_shortername('</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">');
//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td>(<a href="/scripts/access.pike?object={$object}&amp;_action=remove_acl_add&amp;toremove={id}" title="{ACCESS_REMOVE_TOOLTIP}">-</a>)</td>
    <xsl:choose>
      <xsl:when test="count(/Object/access/Object[id=$id])>0">
        <xsl:apply-templates select="/Object/access/Object[id=$id]/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="/Object/zeroaccess/basic"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>
  </tr>
</xsl:template>

</xsl:stylesheet>
