<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="id">undefined</xsl:param>
<xsl:param name="_action">undefined</xsl:param>
<xsl:param name="keywords">none</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="sortaction">objects</xsl:param>
<xsl:param name="language"/>

<xsl:output method="html" encoding="utf-8"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>


<xsl:template match="Object">
<HTML>
<HEAD>
    <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
	<xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
		var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
	//]]&gt;&lt;/script&gt;</xsl:text>    
    <!-- setting variable language for use in javascript- code - internationalisation of .js sources is now possible 
    <SCRIPT LANGUAGE="Javascript" type="text/javascript">var language='<xsl:value-of select="$language"/>';</SCRIPT> -->
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/order.js" TYPE="text/javascript"/>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
	<TITLE>{INV} | sTeam</TITLE>
    <xsl:call-template name="browsercss"/>
</HEAD>
<BODY id="create" class="popup" onload="center_frame(); focus(); setFocusById('name');">
<!--<BODY CLASS="subdialogue" BGCOLOR="#F5F5F5" LINK="#000000" VLINK="#000000" ALINK="#000000">-->

<div id="container">
<FORM NAME="browser" ACTION="/scripts/browser.pike">
  <INPUT type="hidden" name="id" value="{$id}"/>
  <INPUT TYPE="hidden" name="_action" value="order_inventory"/>
  
  <a accesskey="u"></a><h2>{CHANGE}</h2>
    <p class="desc">{USAGE}</p>
    <p>
      <div style="float:left; margin: 0.5em;">
        <select name="inventory" size="25" multiple="true" style="width:25em;" CLASS="formtext">
          <xsl:for-each select="inventory/Object">
            <xsl:choose>
              <xsl:when test="$sortaction='exits'">
          <!-- Nur Exits und Areale in die Liste aufnehmen -->
                <xsl:if test="@type='Exit' or @type='Room'">
                  <option value="{id}"><xsl:value-of select="name"/></option>
                </xsl:if>
              </xsl:when>
              <xsl:when test="$sortaction='container'">
          <!-- Nur Container in die Liste aufnehmen -->
                <xsl:if test="@type='Container'">
                  <option value="{id}"><xsl:value-of select="name"/></option>
                </xsl:if>
              </xsl:when>
              <xsl:otherwise>
          <!-- Exits, Areale, Container, Benutzer und Whiteboardobjekte ausblenden -->
                <xsl:if test="@type!='Exit' and @type!='Room' and @type!='Container' and @type!='User' and @type!='Drawing'">
                  <option value="{id}"><xsl:value-of select="name"/></option>
                </xsl:if>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:for-each>
        </select>
      </div>
      <div style="margin-top: 2em;">
        <INPUT TYPE="BUTTON" VALUE="{UP}" OnClick="upElement(this.form);" CLASS="formbutton4"/>
        <BR/><BR/>
        <INPUT TYPE="BUTTON" VALUE="{DOWN}" OnClick="downElement(this.form);" CLASS="formbutton4"/>
      </div>
    </p>
    <p>
      <div style="margin: 0.5em;display:block;">
        <INPUT TYPE="BUTTON" VALUE="{SUBMIT}" OnClick="submitOrder(this.form);" CLASS="formbutton4"/>
      </div>
    </p>
  </FORM>
</div>

</BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>

