<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>
 
<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="error"/>
<xsl:param name="os"/>
<xsl:param name="message"/>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="language"/>
<xsl:param name="back">no</xsl:param>
<xsl:param name="items">5</xsl:param>
<xsl:param name="imagecount"><xsl:value-of select="count(//Object[substring-before(mime-type, '/') = 'image'])"/></xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="active"><xsl:value-of select="/Object/annotations/thread/id"/></xsl:param>

<xsl:variable name="AnnDesc">Message</xsl:variable>

<xsl:include href="steam://stylesheets/navigation.xsl"/>
<xsl:include href="steam://stylesheets/annotation.xsl"/>
<xsl:include href="steam://stylesheets/gallery.xsl"/>

<!-- public header -->
<xsl:template name="public_header">
	<div id="mastheadPublic">
		<img src="/images/kopfleiste_big_public.jpg" alt="{HEADER_LOGO_ALT}" />
	</div>

	<div id="publicHeader">
		<h1><img class="positioniconpublic" src="/scripts/get.pike?object={icon/object/id}" alt=""/>
		<!--<div style="background:url(/scripts/get.pike?object={icon/object/id}) no-repeat;">
		<b><font size="+1"><xsl:value-of select="name"/></font></b>
		</div>-->
		<xsl:value-of select="name"/>
		</h1>
		<span style="float:right;"><a href="https://{$web_server}:{$web_port_http}{/Object/path/path}">{PUBLIC_GALLERY_LOGIN}</a></span>
		<span>
				{PUBLIC_GALLERY_PATH}: /<xsl:for-each select="publicpath/object"><xsl:choose>
					<xsl:when test ="position()=last()"><xsl:value-of select="name"/><xsl:if test="/Object/@type='Container' or /Object/@type='Room'">/</xsl:if></xsl:when>
					<xsl:otherwise><a href="{path}"><xsl:value-of select="name"/></a>/</xsl:otherwise>
				</xsl:choose></xsl:for-each>
		</span>        
	</div>
</xsl:template>


<!-- Haupt Template-->
<xsl:template match="Object">

<xsl:variable name="color" select='"#F4F5F1"' />
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:variable name="ftp">
  <xsl:choose>
	<xsl:when test="$os	= 'windows nt'">0</xsl:when>
	<xsl:when test="$os='linux'">0</xsl:when>
	<xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>

<html lang="{LANG}">		<!-- Anfang der html-Datei -->
  <head>
	<!-- setting variable language for use in javascript- code - internationalisation of .js sources is	now	possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
	<script	src="/gui_js/main.js" type="text/javascript"></script>
 
	<meta http-equiv="Content-Type"	content="text/html;	charset=utf-8" />
	<meta http-equiv="expires" content="0"/>
	<title><xsl:value-of select="name" /> | sTeam Public</title>		
	<xsl:call-template name="browsercss"/>
  </head>
  
<body>
<xsl:attribute name="id"><xsl:choose><xsl:when test="/Object/@type='Messageboard'" >annotations</xsl:when><xsl:otherwise>public</xsl:otherwise></xsl:choose></xsl:attribute>

<xsl:call-template name="navigation"/>
  <div id="container">
    <div id="primnav">
      <xsl:call-template name="public_header"/>
    </div>
    <hr/>
    <div id="content">	
		<div id="maincontent">								<!-- div id="maincontent" -->
			<form name="browser" action="/scripts/browser.pike"	method="post">
				<fieldset class="hidden">
					<input type="hidden" name="id" value="{id}"	/>
					<input type="hidden" name="_action"	value="browser.pike" />
					<input type="hidden" name="room" value="{$room}" />
				</fieldset>
			  <xsl:choose>
          <xsl:when test="/Object/@type='Messageboard'" >
            <xsl:apply-templates select="annotations">
              <xsl:with-param name="ispublic">true</xsl:with-param>
            </xsl:apply-templates>
          </xsl:when>
          <xsl:otherwise>
				    <xsl:apply-templates select="inventory"	/>
          </xsl:otherwise>
        </xsl:choose>
				<xsl:if	test="types!=0">
					<p>You can show	this page as:
					<xsl:for-each select="types/struct/member">
						<a href="{$room}?room={$room}&amp;style={value/object/id}">
							<xsl:value-of select="key/object/name" />
						</a>
					</xsl:for-each>
					</p>
				</xsl:if>
			</form>
		</div>												<!-- Ende div id="maincontent" -->
    </div>
  </div>
</body>
</html>
</xsl:template>


<!-- inventory template -->
<xsl:template match="inventory"> 
  <xsl:if test="count(Object[@type='Exit']|Object[@type='Room'])!=0"> <!-- only possible if area is published -->
    <xsl:call-template name="show_exits"/>
  </xsl:if>
  <xsl:if test="count(Object[substring-before(mime-type, '/') != 'image'])!=0">	
    <xsl:call-template name="show_objects"/>
  </xsl:if>
  <xsl:if test="count(Object[substring-before(mime-type, '/') = 'image'])!=0">
    <xsl:call-template name="show_images"/>
  </xsl:if>
</xsl:template>

<!-- Tabellenansicht aller Nicht-Bild-Objekte -->
<xsl:template name="show_objects">
<xsl:if	test="$itemscount=0 or Object[@type='Document' and substring-before(content/mime-type, '/') != 'image'] != '' or Object[@type='Container'] !='' ">
	  <table id="otherinventory" cellspacing="0" summary="{CONTENT_OTHERINVENTORY_TABLE_SUMMARY}">
		<thead>
		  <tr>
			<th	scope="col" width="10px"></th>
			<th	scope="col" width="40px"></th>
			<th	scope="col" >{PUBLIC_GALLERY_NAME}</th>
			<th	scope="col">{COM_SIZE}</th>      
			<th	scope="col">{PUBLIC_GALLERY_DESCRIPTION}</th>
			<th scope="col"></th>			
		  </tr>
		</thead>
		
		<tbody>
		  <xsl:if test="$itemscount=0">						<!-- falls keine Dokumente vorhanden sind -->
			<tr>
			  <td colspan="4" class="nodocsyet">
				<xsl:choose>
				  <xsl:when	test="/Object/description!='Trashbin'">
					{NO_DOCUMENTS_YET}
				  </xsl:when>
				  <xsl:otherwise>
					{CONTENT_TRASHBIN_EMPTY}
				  </xsl:otherwise>
				</xsl:choose>
			  </td>
			</tr>
		  </xsl:if>
		  
		<xsl:for-each select="Object[@type='Container']">
			<xsl:sort select="name"/>
			<xsl:call-template name="show_container_public"/>
		</xsl:for-each>

		<xsl:for-each select="Object[@type='Document' and (substring-before(mime-type, '/') != 'image')]"> <!-- or (substring-after(mime-type, '/') != 'gif' and substring-after(mime-type, '/') != 'jpg' and substring-after(mime-type, '/') != 'jpeg' and substring-after(mime-type, '/') != 'png'))]">-->
			<xsl:sort select="name"/>
			<xsl:call-template name="show_document_public"/>
		</xsl:for-each>
		<xsl:for-each select="Object[@type='Messageboard']">
			<xsl:call-template name="show_document_public"/>
		</xsl:for-each>
		<xsl:for-each select="Object[@type='DocExtern']">
			<xsl:call-template name="show_docextern_public"/>
		</xsl:for-each>
			  
		</tbody>
	  </table>
</xsl:if>
</xsl:template>    


<!-- displays each container -->
<xsl:template name="show_container_public">
  <tr>
    <td></td>
    <td class="objecticon">
      <a href="{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
        <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
      </a>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="@type='Trashbin'">
          <a class="objectname" href="{/Object/path/path}{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
			{CONTENT_TRASHBIN_NAME}
		  </a>
        </xsl:when>
        <xsl:otherwise>
          <label for="objsel{id}">
            <a class="objectname" href="{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
				      <xsl:with-param name="filename" select="name"/>
				    </xsl:call-template>
            </a>
          </label>
        </xsl:otherwise>
      </xsl:choose>
    </td>
    <td>
      <xsl:choose>
        <xsl:when test="inventory-size='' or inventory-size=0">
          <img src="/images/lines.gif" alt="{EMPTY_OBJECT}" class="lines" /></xsl:when>
        <xsl:when test="inventory-size=1">
          <xsl:value-of select="inventory-size"/> {INVENTORY_ONE_OBJECT}
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="inventory-size"/> {INVENTORY_MORE_OBJECTS}
        </xsl:otherwise>
      </xsl:choose>
    </td>    
    <td>
      <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if>
    </td>
    <td></td>
  </tr>
</xsl:template>


<!-- displays each docextern -->
<xsl:template name="show_docextern_public">
<tr>
	<td></td>
	<td class="objecticon">
      <a href="{URL}/?room={$room}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
        <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
      </a>
    </td>
	<td>
		<a class="objectname" href="{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <xsl:call-template name="file_name_breaks">
			      <xsl:with-param name="filename" select="name"/>
		    </xsl:call-template>
        </a>
    </td>
  <td>&#160;</td>
	<td>
	  <xsl:if test="description!='No description of this object' and description != ''">
        <span class="objectdesc"><xsl:value-of select="description"/></span>
      </xsl:if></td>
	<td></td>
</tr>
</xsl:template>

<!-- displays each document -->
<xsl:template name="show_document_public">
<tr>
    <td></td>
    <xsl:choose>
      <xsl:when test="content/mime-type='source/pike'">
        <td class="objecticon">
          <a href="/scripts/execute.pike?script={id}" title="{INVENTORY_RUN_TOOLTIP}">
            <img src="/images/doctypes/type_generic.gif" width="32" height="32" alt="" />
          </a>
        </td>
        <td>
          <label for="objsel{id}">
            <a class="objectname" href="/scripts/execute.pike?script={id}" title="{INVENTORY_RUN_TOOLTIP}">
              <xsl:value-of select="name"/>
            </a>
          </label>
        </td>
       <td title="{content/size} {INCLUDEMETHODS_BYTE}">
         <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template>
       </td>
        <td>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
          <xsl:if test="mime-type='audio/mpeg'">
              <xsl:if test="description!=''"><br/></xsl:if>
              (MP3-Audio<xsl:if test="bitrate!=''">, <xsl:value-of select="bitrate"/> kbps</xsl:if><xsl:if test="frequency!=''">, <xsl:value-of select="frequency"/> Hz</xsl:if>)
          </xsl:if>        
        </td>
      </xsl:when>
      <xsl:when test="@type='DocExtern'">
        <td class="objecticon">
          <a href="{url}" title="{INVENTORY_DOCEXTERN_TOOLTIP}">
            <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
          </a>
        </td>
        <td>
          <label for="objsel{id}">
            <a class="objectname" href="{url}" title="{INVENTORY_DOCEXTERN_TOOLTIP}">
              <xsl:call-template name="file_name_breaks">
					      <xsl:with-param name="filename" select="name"/>
				      </xsl:call-template>
            </a>
          </label>
          </td>
          <td>&#160;</td>
          <td>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
        </td>
      </xsl:when>
      <xsl:when test="@type='Messageboard'" >
       <td class="objecticon">
          <a href="{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
            <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
          </a>
        </td>
        <td>
          <label for="objsel{id}">
            <a class="objectname" href="{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
              <xsl:call-template name="file_name_breaks">
					      <xsl:with-param name="filename" select="name"/>
				      </xsl:call-template>
            </a>
          </label>
          </td>
         <td>
         </td>
          <td>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td class="objecticon">
          <a href="{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}"><!-- {/Object/path/path}{URL} -->
            <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
          </a>
        </td>
        <td>
          <label for="objsel{id}">
            <a class="objectname" href="{URL}" title="{INVENTORY_BROWSEOBJECT_TOOLTIP}">
              <xsl:call-template name="file_name_breaks">
					      <xsl:with-param name="filename" select="name"/>
				      </xsl:call-template>
            </a>
          </label>
          </td>
         <td title="{content/size} {INCLUDEMETHODS_BYTE}">
           <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template>
         </td>
          <td>
          <xsl:if test="description!='No description of this object' and description != ''">
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </xsl:if>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <td></td>
  </tr>
</xsl:template>


<!-- display thumbs of images in a table -->
<xsl:template name="show_images">
  <xsl:if test="$imagecount!=0">
    <h2>{THUMB}</h2>

	<xsl:for-each select="Object[substring-before(mime-type, '/') =	'image']">
		<xsl:sort select="name" />
		<xsl:call-template name="show_image_public">
		<xsl:with-param	name="id"><xsl:value-of	select="id"/></xsl:with-param>
		</xsl:call-template>
		<xsl:if test="position() mod 6	= 0"><br clear="all"/></xsl:if>
	</xsl:for-each>

  </xsl:if>
</xsl:template>

<!-- display for each picture -->
<xsl:template name="show_image_public">
  <xsl:param name="id"/>
	<xsl:for-each select="parent::inventory/Object[id =	$id]">
	   	<div style="width:9.5em; float:left; margin:1em 0.5em 0.5em 0.5em;">
			<span style="padding:1em; float:left;">
				<p class="imagelink" style="text-align:left;">
				<!-- <p style="height:80px; margin:0em; text-align:left;"> -->
					<a class="imagelink" href="/scripts/get.pike?object={id}"><!-- /scripts/navimage.pike?object={id}&amp;type=image#imagemarke -->
					<xsl:choose>
						<xsl:when test="description!=''">
							<img class="galleryimage" src="/scripts/get.pike?object={id}&amp;xsize=80&amp;ysize=80" alt="" title="{name} - {description}"  style="border: solid 1px #999"/>
						</xsl:when>
						<xsl:otherwise>
							<img class="galleryimage" src="/scripts/get.pike?object={id}&amp;xsize=80&amp;ysize=80" alt=""	title="{name}" style="border: solid 1px #999" />
						</xsl:otherwise>
					</xsl:choose>
					</a>
				</p>
				<span style="vertical-align:bottom;">
					<!--<xsl:if	test="@selected	= 'false'"><input type="CHECKBOX" name="objsel"	value="{id}"/></xsl:if>
					<xsl:if	test="@selected	= 'true'"><input type="CHECKBOX" name="objsel" value="{id}"	checked="true" class="bgcheckedobj"/></xsl:if>-->
					<br/><b><a href="/scripts/get.pike?object={id}" title="{name}"><!-- /scripts/navimage.pike?object={id}&amp;type=image -->
						
						<xsl:call-template name="image_name_breaks">
							<xsl:with-param name="imagename" select="name"/>
						</xsl:call-template>				
									
						<!--<xsl:value-of select="substring(name,1,8)"/>...-->
						
						</a></b><br/><br/>
				</span>
			</span>
		</div>
	</xsl:for-each>
</xsl:template>


<!-- show exits and areas in public format -->
<xsl:template name="show_exits">
  <h2>{PUBLIC_GALLERY_EXITS}</h2>
 <xsl:for-each select="Object[@type='Room']|Object[@type='Exit']">
    <xsl:sort select="*[local-name()=/Object/sort-exits]"/>

    <div class="gate">
      <xsl:choose>
        <xsl:when test="@type='Room'">
          <a href="{/Object/path/path}{URL}/">
            <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /><br />
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
			print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
			//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:when>
        <xsl:otherwise>
          <a href="{exit/object/path}">
            <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /><br />
            <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
			print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
			//]]&gt;&lt;/script&gt;</xsl:text>
          </a>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:for-each>
</xsl:template>


<!-- displays each exit -->
<xsl:template name="show_exit_public">
  <xsl:choose>
    <xsl:when test="@type='Room'">
      <A HREF="{URL}/">
        <IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" border="0"/>
      </A>
        <BR/>
      <A HREF="{URL}/">
        <SPAN CLASS="text0sc"><B><xsl:value-of select="name"/></B></SPAN>
      </A>
    </xsl:when>
    <xsl:when test="@type='Exit' and exit/object/publicpath!=''">
      <A HREF="{exit/object/publicpath}">
        <IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" border="0"/>
      </A>
      <BR/>
      <A href="{exit/object/publicpath}">
        <SPAN CLASS="text0sc">
          <B><xsl:value-of select="exit/object/publicname"/></B>
        </SPAN>
      </A>
    </xsl:when>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
