<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="utf-8"/>
<xsl:param name="q1">undef</xsl:param>
<xsl:param name="q2">undef</xsl:param>
<xsl:param name="q3">undef</xsl:param>
<xsl:param name="q4">undef</xsl:param>
<xsl:param name="q5">undef</xsl:param>
<xsl:param name="q6">undef</xsl:param>
<xsl:param name="q7">undef</xsl:param>
<xsl:param name="q8">undef</xsl:param>
<xsl:param name="q9">undef</xsl:param>
<xsl:param name="qb">ja</xsl:param>
<xsl:param name="document">undef</xsl:param>
<xsl:param name="q-block">undef</xsl:param>

<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/browsercss.xsl"/>

<!-- Produces the header to the radio-button right to the questions -->
<xsl:template name="question-header" match="schema">
<TR VALIGN="TOP"><TD></TD>
<xsl:for-each select="schema/entry">
<TD>
<xsl:attribute name="CLASS">
<xsl:choose>
<xsl:when test="position() mod 2">bgbrowser</xsl:when>
<xsl:otherwise>bgbrowser2</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="ALIGN">CENTER</xsl:attribute>
<SPAN CLASS="text0sc"><B><xsl:value-of select="@name"/></B></SPAN></TD>
</xsl:for-each>
<TD ALIGN="CENTER"><SPAN CLASS="text0sc">F&#252;r mich nicht<br/>relevant bzw. beurteilbar</SPAN></TD></TR>
</xsl:template> 


<!-- Filled Display fine-tuned for FIDEC.XML -->
<xsl:template name="display" match="schema">
<xsl:for-each select="../schema/entry">
<TD><xsl:attribute name="CLASS"><xsl:choose>
<xsl:when test="position() mod 2">bgbrowser</xsl:when>
<xsl:otherwise>bgbrowser2</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="ALIGN">CENTER</xsl:attribute>
<!-- <xsl:value-of select="/root/paramdata/array/array/array[$curr-qu]/int[position()])"/> -->
</TD>
</xsl:for-each>
</xsl:template>

<!-- row of radiobuttons right to the questions according to schema -->
<xsl:template name="selector" match="schema">
<xsl:for-each select ="../schema/entry">
<TD>
<xsl:attribute name="CLASS"> 
<xsl:choose>
<xsl:when test="position() mod 2">bgbrowser</xsl:when>
<xsl:otherwise>bgbrowser2</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="ALIGN">CENTER</xsl:attribute>
<INPUT TYPE="RADIO" NAME="">
<xsl:attribute name="VALUE"><xsl:value-of select="@value"/></xsl:attribute>
<xsl:attribute name="NAME">q<xsl:value-of select="$curr-qu"/></xsl:attribute>
<xsl:choose>
<xsl:when test="number(@value)=number(/root/paramdata/array/int[position()=$curr-qu])">
<xsl:attribute name="CHECKED">true</xsl:attribute></xsl:when></xsl:choose>
</INPUT>
</TD>
</xsl:for-each>
<TD ALIGN="CENTER"><INPUT TYPE="RADIO" VALUE="-1">
<xsl:attribute name="NAME">q<xsl:value-of select="$curr-qu"/></xsl:attribute>
<xsl:choose>
<xsl:when test="'-1'=string(/root/paramdata/array/int[$curr-qu])">
<xsl:attribute name="CHECKED">true</xsl:attribute></xsl:when></xsl:choose></INPUT>
</TD>
</xsl:template>

<!-- vertical ordering of questions according to the schema -->
<xsl:template name="v-selector" match="schema">
<xsl:for-each select = "../schema/entry">
<TR><TD><xsl:value-of select="@name"/></TD>
    <TD CLASS="bgbrowser" ALIGN="CENTER"> &#160;&#160;<INPUT TYPE="RADIO">
    <xsl:attribute name="VALUE"><xsl:value-of select="@value"/></xsl:attribute>
    <xsl:attribute name="NAME">q<xsl:value-of select="$curr-qu"/></xsl:attribute><xsl:choose>
<xsl:when test="number(@value)=number(/root/paramdata/array/int[position()=$curr-qu])">
<xsl:attribute name="CHECKED">true</xsl:attribute></xsl:when></xsl:choose>
    </INPUT>&#160;&#160;
    </TD>
</TR>
</xsl:for-each>
</xsl:template>

<!-- Handle each question -->
<xsl:template match="question">
<TR><TD><xsl:value-of select="."/></TD>
   <!-- Handle horizontal alignment - the default --> 
<xsl:choose><xsl:when test="not(//@align)">
<xsl:call-template name="selector">
<xsl:with-param name="curr-qu">
<xsl:value-of select="position()"/>
</xsl:with-param>
</xsl:call-template>
</xsl:when>
<xsl:otherwise><TD CLASS="bgbrowser">&#160;&#160;&#160;&#160;&#160;</TD>
</xsl:otherwise>
</xsl:choose>
</TR>
   <!-- Handle vertical alignment of questions -->
<xsl:choose><xsl:when test="//@align">
<xsl:call-template name="v-selector">
<xsl:with-param name="curr-qu">
<xsl:value-of select="position()"/>
</xsl:with-param>
</xsl:call-template>
</xsl:when></xsl:choose>
</xsl:template>

<!-- Questionblock -->
<xsl:template match="questionblock">
<FORM NAME="questionaire" METHOD="POST">
<xsl:attribute 
name="ACTION">/scripts/questionaire.pike?object=<xsl:value-of select="$document"/>&amp;q-block=<xsl:value-of select="$q-block"/>&amp;questions=<xsl:value-of select="count(question)"/>
</xsl:attribute>

<BR/><TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" CLASS="bginfotext" WIDTH="770" ALIGN="CENTER">
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header"><xsl:value-of select="blockintro"/></TD><TD>&#160;</TD></TR>
<TR CLASS="bgbrowser"><TD><SPAN CLASS="text1sb"><BR/>Bitte entscheiden Sie zun&#228;chst, ob Sie zu den Aussagen<BR/>dieses Themenbereiches Stellung beziehen wollen oder k&#246;nnen.</SPAN></TD><TD ALIGN="CENTER"><b>ja</b>&#160;&#160;&#160;<INPUT TYPE="RADIO" NAME="qb" VALUE="ja"/><b>nein</b><INPUT TYPE="RADIO" NAME="qb" VALUE="nein"/></TD></TR>
<TR><TD COLSPAN="2">&#160;</TD></TR>
</TABLE>

<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="770" ALIGN="CENTER">
<xsl:choose><xsl:when test="not(//@align)">
<xsl:call-template name="question-header"/>
</xsl:when></xsl:choose>
<xsl:param name="curr-qu"/>
<xsl:param name="curr-block"/>
<xsl:with-param name="curr-block">
<xsl:value-of select="position()"/>
</xsl:with-param>
<xsl:apply-templates select="question"/>
<TR><TD>
<xsl:for-each select="schema/entry"></xsl:for-each></TD></TR>
<xsl:choose>
  <xsl:when test="not(string(@example)='true')">
    <TR><TD ALIGN="RIGHT" COLSPAN="7">
       <INPUT type="submit" value="  ok!  "/></TD>
    </TR>
  </xsl:when>
</xsl:choose>
</TABLE></FORM>
</xsl:template>

<!-- an empty template for paramdata, just to hide it -->
<xsl:template match="paramdata">
</xsl:template>

<!-- handle Object data of given XML-Document -->
<xsl:template match="Object">
  <xsl:call-template name="footer"/>
</xsl:template>

<!-- subtemplates for the textblock environment -->
<xsl:template name="small-font">
<SPAN CLASS="text0sc"><xsl:value-of select="."/></SPAN>
</xsl:template>

<xsl:template name="gray-back">
<p CLASS="bgbrowser"><xsl:value-of select="."/></p>
</xsl:template>

<xsl:template match="p">
  <xsl:choose>
    <xsl:when test="@font='small'">
      <p><xsl:call-template name="small-font"/></p>
    </xsl:when>
    <xsl:when test="@back='gray'">
      <xsl:call-template name="gray-back"/>
    </xsl:when>
    <xsl:otherwise>
      <p><xsl:value-of select="."/></p>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="text-block">
<BR/>
<xsl:apply-templates select="introduction"/>
</xsl:template>

<!-- handle questionaire data -->
<xsl:template match="questionaire">
<xsl:choose>
<xsl:when test="$q-block='undef'">
<BR/>
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="770" ALIGN="CENTER" CLASS="bginfotext">
<TR VALIGN="BOTTOM" CLASS="tabhead">
  <TD CLASS="header"><xsl:value-of select="@title"/></TD>
</TR>
<TR>
  <TD><SPAN CLASS="text1sb"><xsl:call-template name="text-block"/></SPAN></TD>
</TR>
<TR><TD ALIGN="RIGHT">
  <a><xsl:attribute name="href">/scripts/questionaire.pike?object=<xsl:value-of select="$document"/>&amp;q-block=1</xsl:attribute>Anfangen</a>
</TD></TR>

</TABLE>
<BR/>
</xsl:when>
<xsl:when test="$q-block>count(questionblock)">
Danke
</xsl:when>
<xsl:otherwise>
<BR/><BR/>
<xsl:apply-templates select="questionblock[position()=$q-block]"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template><!-- end of template questionaire -->

<xsl:template name="my-header">
<FORM NAME="browser" ACTION="browser.pike">
<INPUT type="hidden" name="_action" value="search"/>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="770" ALIGN="CENTER">
<TR>
 <TD WIDTH="770" HEIGHT="60" ALIGN="RIGHT" BACKGROUND="/images/kopfleiste.jpg">
   <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" style="border-width:1px; border-style:outset; border-color:#D4D4D4; margin-right:5px">
   <TR VALIGN="TOP">
      <TD ALIGN="CENTER" BACKGROUND="/images/leer.gif">
         <A HREF="/scripts/navigate.pike?object={user/@id}&amp;type=details&amp;room={$room}">
         <!--<A HREF="JavaScript:open_userdetails('{user/@id}');">-->
            <IMG SRC="get.pike?object={user/@icon}" WIDTH="37" HEIGHT="43" ALT="User: {user/@name}" BORDER="1" VSPACE="0" HSPACE="3"/>
         </A>
      </TD>
      <TD BACKGROUND="/images/leer.gif" VALIGN="TOP"><B>
         <A HREF="/scripts/navigate.pike?object={user/@id}&amp;type=details&amp;room={$room}">
         <!--<A HREF="JavaScript:open_userdetails('{user/@id}')">-->
            <xsl:value-of select="user/@name"/>
         </A></B>&#160;&#160;<SPAN CLASS="text0sc">(<A HREF="logout.pike" CLASS="suburl">Logout</A>)</SPAN><BR/>
         <IMG SRC="/images/leer.gif" WIDTH="10" HEIGHT="2" BORDER="0"/><BR/>
         <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
           <TR VALIGN="TOP">
              <TD BACKGROUND="/images/leer.gif"><SPAN CLASS="text1bc"><B><xsl:if test="string(user/access/@admin)='true'"><A HREF="/scripts/admin.pike" CLASS="sub3url" TITLE="... show administration-functions">Admin</A>&#160;-&#160;</xsl:if><A HREF="/scripts/groups.pike" CLASS="sub3url" TITLE="... edit membership-status">Groups</A><BR/><A HREF="navigate.pike?object={user/mailbox/@id}" CLASS="sub3url">Mailbox: <xsl:value-of select="user/mailbox-size"/> msg</A></B></SPAN>
              </TD>
              <TD BACKGROUND="/images/leer.gif">&#160;</TD>
            </TR>
          </TABLE>
       </TD>
     </TR>
     </TABLE>
  </TD>
</TR>
<!-- Up to here the sTeam banner -->
<TR><TD><TABLE BORDER="0" CELLPADDING="1" CELLSPACING="0" WIDTH="770" CLASS="tabhead"><TR><TD CLASS="text2bc" WIDTH="570">&#160;<A HREF="navigate.pike" CLASS="mainurl" TITLE="... jump back to your root-directory">Home</A> &#160;|&#160; <A HREF="navigate.pike?object={user/@id}" TITLE="... jump to your inventory" CLASS="mainurl">Inventory</A> &#160;
</TD><TD ALIGN="RIGHT" CLASS="text2bc"><A HREF="JavaScript:check_searchfield(document.browser)" CLASS="mainurl" TITLE="... search for Keywords">Search</A></TD><TD ALIGN="RIGHT"><INPUT TYPE="TEXT" SIZE="14" MAXLENGTH="40" NAME="keywords" VALUE="Enter keywords" OnFocus="set_searchfield(document.browser)" onSubmit="check_searchfield(document.browser)" CLASS="formtext"/>&#160;</TD></TR></TABLE></TD></TR></TABLE> <TABLE></TABLE></FORM>
</xsl:template>

<!-- "Main" template to produce output --> 
<xsl:template match = "root">

<HEAD>
    <TITLE>Questionnaire  | sTeam cooperative learning</TITLE>
    <SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
    <SCRIPT TYPE="text/javascript" LANGUAGE="JavaScript">
    if(document.layers) document.write('<LINK REL="stylesheet" HREF="/gui_css/winstyle_ns4.css"/>');
        else if(document.getElementById) document.write('<LINK REL="stylesheet" HREF="/gui_css/winstyle_ns6.css"/>');
        else document.write('<LINK REL="stylesheet" HREF="/gui_css/winstyle_ie5.css"/>');
    </SCRIPT>
</HEAD>
<BODY BGCOLOR="F5F5F5" LINK="#000000" VLINK="#000000" ALINK="#000000">

<xsl:call-template name="my-header"/>
<xsl:apply-templates />

</BODY>
</xsl:template>
</xsl:stylesheet>