<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message"/>
<xsl:param name="stylesheet">undefined</xsl:param>
<xsl:param name="map">rucksack</xsl:param>
<xsl:param name="topnavi">rucksack</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="xres"/>
<xsl:param name="yres"/>
<xsl:param name="os"/>
<xsl:param name="error"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse"><xsl:choose><xsl:when test="$xres='240'">icons</xsl:when><xsl:otherwise>details</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="editgates">no</xsl:param>
<xsl:param name="sort">none</xsl:param>
<xsl:param name="itemsperpage">20</xsl:param>
<xsl:param name="from_obj">1</xsl:param>
<xsl:param name="to_obj">20</xsl:param>
<xsl:param name="itemscount"><xsl:value-of select="/Object/inventory-size"/></xsl:param>
<xsl:param name="language"/>

<xsl:variable name="sort_name">
  <xsl:choose>
    <xsl:when test="$sort='name'">reverse-name</xsl:when>
    <xsl:otherwise>name</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_namesymbol">
  <xsl:choose>
    <xsl:when test="$sort='name'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when>
    <xsl:when test="$sort='reverse-name'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_size">
  <xsl:choose>
    <xsl:when test="$sort='size'">reverse-size</xsl:when>
    <xsl:otherwise>size</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_sizesymbol">
  <xsl:choose>
    <xsl:when test="$sort='size'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when>
    <xsl:when test="$sort='reverse-size'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modified">
  <xsl:choose>
    <xsl:when test="$sort='modified'">reverse-modified</xsl:when>
    <xsl:otherwise>modified</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<xsl:variable name="sort_modifiedsymbol">
  <xsl:choose>
    <xsl:when test="$sort='modified'"><img src="/images/icon_sortarrow_bottom.png" width="11" height="6" vspace="1" alt="{SORT_DESC}" /></xsl:when>
    <xsl:when test="$sort='reverse-modified'"><img src="/images/icon_sortarrow_top.png" width="11" height="6" vspace="1" alt="{SORT_ASC}" /></xsl:when>
  </xsl:choose>
</xsl:variable>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/browse.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>


<!-- zeigt sortierte Objektliste an -->
<xsl:template name="sort_objectlist">
  <xsl:if test="@type='Room'">
    <xsl:call-template name="show_room_expanded"/>
  </xsl:if>
  <xsl:if test="@type='Exit'">
    <xsl:call-template name="show_exit_expanded"/>
  </xsl:if>
  <xsl:if test="@type='Container' or @type='Trashbin'">
    <xsl:call-template name="show_container"/>
  </xsl:if>
  <xsl:if test="@type='Document' or @type='DocExtern' or @type='DocLpc'">
    <xsl:call-template name="show_document"/>
  </xsl:if>
  <xsl:if test="@type='Object' or @type='Link' or @type='Messageboard' or @type='Script'">
    <xsl:call-template name="show_object"/>
  </xsl:if>
</xsl:template>


<!-- zeigt objektliste an -->
<xsl:template name="show_objectlist">
  <xsl:for-each select="Object[@type='Exit' or @type='Room']">
    <xsl:sort select="*[local-name()=/Object/sort-exits]"/>
    <xsl:if test="@type='Room'">
      <xsl:call-template name="show_room_expanded"/>
    </xsl:if>
    <xsl:if test="@type='Exit'">
      <xsl:call-template name="show_exit_expanded"/>
    </xsl:if>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_container"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_document"/>
  </xsl:for-each>
  <xsl:for-each select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Script']">
    <xsl:sort select="*[local-name()=/Object/sort-objects]"/>
    <xsl:call-template name="show_object"/>
  </xsl:for-each>
</xsl:template>


<xsl:template match="Object">
<xsl:variable name="color" select='"#F4F5F1"' />
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<xsl:variable name="ftp">
  <xsl:choose>
    <xsl:when test="$os = 'windows nt'">0</xsl:when>
    <xsl:when test="$os='linux'">0</xsl:when>
    <xsl:otherwise>1</xsl:otherwise>
  </xsl:choose>
</xsl:variable>
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{RUCKSACK_RUCKSACKOF} <xsl:value-of select="name"/> | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="rucksack">

<div id="container">
  <div id="skiplinks" class="off">
    <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

    <ul>
      <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
      <li><a href="#position">{SKIP_POSITION}</a></li>
      <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
    </ul>
  </div>

  <xsl:call-template name="header"/>

  <hr />
  <div id="content">

    <div id="position">
      <h1><xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{RUCKSACK_RUCKSACKOF} <xsl:value-of select="name"/></xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_rucksack.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template></h1>
    </div>

    <div id="maincontent">
      <form name="browser" action="/scripts/browser.pike" method="post">
        <fieldset class="hidden">
          <input type="hidden" name="id" value="{id}" />
          <input type="hidden" name="_action" value="browser.pike" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="type" value="rucksack" />
        </fieldset>

        <xsl:apply-templates select="inventory"/>
      </form>
    </div>
  </div>
  
  <xsl:call-template name="footer"/>
</div>

</body>

</html>
</xsl:template>


<xsl:template match="inventory">

<!-- Objektliste des Rucksacks (unterer Bereich im content) -->
<xsl:if test="/Object/@type!='Room'">
  <xsl:choose>
    <xsl:when test="$browse='details'">
      <table id="roominventory" cellspacing="0" summary="{RUCKSACK_INVENTORY_TABLE_SUMMARY}">
        <thead>
          <tr>
            <th scope="col"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><br /></th>
            <th scope="col"><br /></th>
            <th scope="col">
              <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_name}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}&amp;type=rucksack">{NAME}</a><xsl:copy-of select="$sort_namesymbol"/>
            </th>
            <th scope="col">
              <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_size}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}&amp;type=rucksack">{SIZE}</a><xsl:copy-of select="$sort_sizesymbol"/>
            </th>
            <th scope="col">
              <a href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;sort={$sort_modified}&amp;from_obj={$from_obj}&amp;to_obj={$to_obj}&amp;type=rucksack">{ATTRIBUTESCREATE}</a><xsl:copy-of select="$sort_modifiedsymbol"/>
            </th>
            <th scope="col">{TAB_EXTFUNCT}</th>
          </tr>
        </thead>

        <xsl:if test="$itemscount > 1">
          <tfoot>
            <tr>
              <td><input type="checkbox" name="objcheckall" id="objcheckall" onclick="checkallobj_handle(document.browser);"/></td>
              <td class="checkall" colspan="5"><label for="objcheckall">{RUCKSACK_SELECTALL}</label></td>
            </tr>

            <xsl:if test="$itemscount > $itemsperpage">
              <tr>
                <td colspan="6" class="pages">
                  {CONTENT_PAGES}:
                  <xsl:choose>
                    <xsl:when test="$sort='name'">
                      <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/></xsl:call-template>
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </tr>
            </xsl:if>
          </tfoot>
        </xsl:if>

        <tbody>
          <xsl:if test="$itemscount = 0">
            <tr>
              <td colspan="6" class="nodocsyet">{RUCKSACK_NODOCUMENTSYET}</td>
            </tr>
          </xsl:if>

          <xsl:if test="$itemscount > 0">
            <xsl:choose>
              <xsl:when test="$sort!='' or $sort!='none'">
                <xsl:for-each select="Object">
                  <xsl:call-template name="sort_objectlist"/>
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="show_objectlist"/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:if>
        </tbody>
      </table>

      <h2>{ACTION_DIVISION}</h2>
      
      <xsl:if test="$itemscount > 0">
        <p class="lastaction">
          <xsl:call-template name="drop_rucksack"/><!-- aus inventory.xsl -->
		  <xsl:if test="$message!=''">          
          <br/>
          <label for="lastaction" class="lastaction">{COMMAND}:</label>
          <span id="lastaction">
            <xsl:choose>
              <xsl:when test="$error=''">
                <xsl:value-of select="$message"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="$message"/><br/><span class="error"><xsl:value-of select="$error"/></span>
                <!--<a class="error" href="#" onclick="show_error('{$error}');"><xsl:value-of select="$message"/></a>-->
              </xsl:otherwise>
            </xsl:choose>
          </span>
          </xsl:if>
        </p>
      </xsl:if>

      <xsl:call-template name="display_createoptions" />

    </xsl:when>

    <xsl:when test="$browse='icons'">
      <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>Objects/ Documents</h2>

      <div id="icons">
        <xsl:for-each select="Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']|Object[@type='Script']">
          <xsl:sort select="name"/>
          <div class="icon">
            <xsl:choose>
              <xsl:when test="@type='Document' and substring-before(content/mime-type, '/') = 'image'">
                <a href="/scripts/navimage.pike?object={id}&amp;type=image">
                  <img src="/scripts/get.pike?object={id}&amp;xsize=32&amp;ysize=32" alt="{name}" width="80" /><br />
                  <xsl:value-of select="name"/>
                </a>
              </xsl:when>
              <xsl:when test="@type='Document'">
                <a href="/scripts/get.pike?object={id}">
                  <img src="/scripts/get.pike?object={icon/object/id}&amp;xsize=32&amp;ysize=32" alt="{name}" /><br />
                  <xsl:value-of select="name"/>
                </a>
              </xsl:when>
              <xsl:otherwise>
                <a href="/scripts/navigate.pike?object={id}">
                  <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
                  <xsl:value-of select="name"/>
                </a>
              </xsl:otherwise>
            </xsl:choose>
          </div>
        </xsl:for-each>
      </div>

      <xsl:if test="$itemscount = 0">
        <p>{RUCKSACK_NODOCUMENTSYET}.</p>
      </xsl:if>

      <xsl:if test="$itemscount > $itemsperpage">
        <div class="pages right">
          <xsl:choose>
            <xsl:when test="$sort='name'">
              <xsl:call-template name="show_pages_byname"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/><xsl:with-param name="type" select="rucksack"/></xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="show_pages_bynumber"><xsl:with-param name="show_itemsperpage" select="$itemsperpage"/><xsl:with-param name="type" select="rucksack"/></xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </div>
      </xsl:if>

      <xsl:call-template name="display_createoptions" />

      <xsl:call-template name="drop"/>
    </xsl:when>

    <xsl:otherwise>
      <h2><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>SVG-Viewer</h2>

      <iframe src="/scripts/svg.svg?object={$object}" width="100%" height="450" marginheight="0" marginwidth="0" frameborder="0" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:if>
</xsl:template>
</xsl:stylesheet>