<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xalan="http://xml.apache.org/xalan" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
<!-- <xsl:output method="html" encoding="ISO-8859-15" indent="yes"/> -->
	<xsl:output method="html" encoding="UTF-8" indent="yes"/>
	<xsl:param name="hostDetailsUrl"/>
	<xsl:param name="formAction"/>
	<xsl:param name="cssStyle"/>
	
	
	<!-- Template welches auf den Wurzelknoten des zurückgelieferten XML Dokumentes ausgeführt wird. -->
	<xsl:template match="search">
		<html>
			<head>
				<script type="text/javascript">
					function getUrl(urlToCall) {
							var oHttp;
							if ( window.XMLHttpRequest ) {          // Gecko
								oHttp = new XMLHttpRequest();
								oHttp.open( "GET", urlToCall, false ) ;
								oHttp.send(null);
								return oHttp.responseText ;
						   }
						   else {
								oHttp = new ActiveXObject("MsXML2.XmlHttp");
								oHttp.open( "GET", urlToCall, false ) ;
								oHttp.send();
								return oHttp.responseText ;
						   }
					}
				</script>
				<link>
					<xsl:attribute name="rel"><xsl:text>stylesheet</xsl:text></xsl:attribute>
					<xsl:attribute name="type"><xsl:text>text/css</xsl:text></xsl:attribute>
					<xsl:attribute name="href">
						<xsl:value-of select="$cssStyle"/>
					</xsl:attribute>
				</link>
				<title>Miless Suchergebnisse</title>
			</head>
			<body>
			</body>
		</html>
		<table cellspacing="0px">
			<tbody>
				<tr>
					<td class="headline" colspan="2">Miless Suchergebnisse ( <xsl:value-of select="count(RDF)"/> )</td>
				</tr>
				<xsl:apply-templates select="rdf:RDF"/>
			</tbody>
		</table>
	</xsl:template>
	
	
	<!-- Template welches pro Suchergebnis durchgeführt wird. -->
	<xsl:template match="rdf:RDF">
		<xsl:variable name="result.id" as="xs:string">
			<xsl:value-of select="./@mcrid"/>
		</xsl:variable>
		<tr>
			<xsl:choose>
				<xsl:when test="position() mod 2">
					<xsl:attribute name="class">line1</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class">line2</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="rdf:Description">
				<xsl:with-param name="result.id">
					<xsl:value-of select="$result.id"/>
				</xsl:with-param>
			</xsl:apply-templates>
		</tr>
	</xsl:template>
	
	
	<!-- Dieses Template sammelt die benötigten Informationen aus dem XML Dokument. -->
	<xsl:template match="rdf:Description">
		<xsl:param name="result.id"/>
		<xsl:variable name="result.title">
			<xsl:value-of select="dc:title[1]"/>
		</xsl:variable>
		
		<td valign="top" align="left">
			<span style="color:#990000;">
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$hostDetailsUrl"/><xsl:value-of select="$result.id"/></xsl:attribute>
					<xsl:value-of select="$result.title"/>
				</a>
				<br/>
			</span>
			<xsl:apply-templates select="dc:creator"/>
			<b><xsl:value-of select="dc:type[1]"/></b>
			<xsl:apply-templates select="dc:date"/>
		</td>
		<td valign="top" width="120px" align="right">
			ID <xsl:value-of select="$result.id"/>
			<br/>
			<a>
				<xsl:attribute name="href">
				<xsl:text>javascript:alert(getUrl(&apos;https://eule</xsl:text>
				<xsl:value-of select="$formAction"/>
				<xsl:text>?type=execute&amp;_action=toBackpack&amp;importName=</xsl:text>
				<xsl:value-of select="$result.title"/>
				<xsl:text>&amp;</xsl:text>
				<xsl:text>importUrl=</xsl:text>
				<xsl:value-of select="$hostDetailsUrl"/>
				<xsl:value-of select="$result.id"/>
				<xsl:text>&apos;));</xsl:text>
				</xsl:attribute>
				In den Rucksack
			</a>
		</td>		
	</xsl:template>
	
	
	<!-- Dieses Template wird ausgeführt, wenn es mindestens einen Autor zu dem Suchergebnis gibt. -->
	<xsl:template match="dc:creator">
		<em>
		<xsl:value-of select="."></xsl:value-of>
		<xsl:if test="not(position() = last())"> und </xsl:if>
		<xsl:if test="position() = last()"><br/></xsl:if>
		</em>
	</xsl:template>
	
	
	<!-- Dieses Template wird ausgeführt, wenn es ein Erstellungsdatum zu dem Suchergebnis gibt. -->
	<xsl:template match="dc:date">
		, erstellt am <xsl:value-of select="."/>	
	</xsl:template>
</xsl:stylesheet>
