<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="id">undefined</xsl:param>
<xsl:param name="_action">undefined</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="map">selection</xsl:param>
<xsl:param name="topnavi">search</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="nav">search</xsl:param>
<xsl:param name="active"/>
<xsl:param name="room"/>
<xsl:param name="_perform"/>
<xsl:param name="_performdesc"/>
<xsl:param name="_context"/>
<xsl:param name="language"/>
<xsl:param name="filter_class">all</xsl:param>
<xsl:param name="keywords"/>
<xsl:param name="mode"/>
<xsl:param name="name_input">false</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/trail.xsl"/>

<!-- Haupt- Template -->
<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <!-- setting variable language for use in javascript-code - internationalisation of .js sources is now possible -->
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
    var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
  //]]&gt;&lt;/script&gt;</xsl:text>
  <script src="/gui_js/main.js" type="text/javascript"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta http-equiv="expires" content="0"/>
  <title>{SELECTION_SEARCH} | sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>


<xsl:choose>
  <!-- Verwendung innerhalb des 'neue Verbindung' anlegen- Dialogs -->
  <xsl:when test="$_perform='link_exit' or $_perform='link_exit_bi'">
    <body id="newgate_searchresult" class="popup">

    <div id="container">
      <form name="browser" action="/scripts/browser.pike">
        <fieldset class="hidden">
          <input type="hidden" name="_action" value="{$_perform}" />
          <input type="hidden" name="_clipboard" value="true" />
          <input type="hidden" name="id" value="{$object}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="filter_class" value="{$filter_class}" />
          <input type="hidden" name="_perform" value="{$_perform}" />
          <input type="hidden" name="_performdesc" value="{$_performdesc}" />
          <input type="hidden" name="_context" value="{$object}" />
          <input type="hidden" name="search_clipboard" value="true" />
          <input type="hidden" name="name_input" value="{$name_input}" />
        </fieldset>

        <h1>{SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_NEWGATE_ROOMS})</h1>

        <p>&lt;&lt; <a href="javascript:history.back();">{SELECTION_NEWGATE_SEARCHAGAIN}</a></p>

        <table cellspacing="0" summary="{SELECTION_NEWGATE_TABLE_SUMMARY}">
          <thead>
            <tr>
              <th scope="col"><br /></th>
              <th scope="col"><br /></th>
              <th scope="col">{NAME}</th>
              <th scope="col">{ENV}</th>
              <th scope="col">{ATTR}</th>
            </tr>
          </thead>
          <tbody>
            <xsl:choose>
              <xsl:when test="count(search/Object[@type='Room'])>0">
                <xsl:for-each select="/Object/search/Object[@type='Room']">
                  <tr>
                    <td><input type="radio" id="objsel{id}" name="objsel" value="{id}" /></td>
                    <td class="objecticon">
                      <a target="_blank" href="/scripts/navigate.pike?object={id}">
                        <img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" />
                      </a>
                    </td>
                    <td>
                      <a target="_blank" class="objectname" href="/scripts/navigate.pike?object={id}">
                        <label for="objsel{id}"><xsl:value-of select="name"/></label>
                      </a>
                      <span class="objectdesc"><xsl:value-of select="description"/></span>
                    </td>
                    <td class="envname">
                      <a href="/scripts/navigate.pike?object={environment/object/id}">
                        <xsl:value-of select="environment/object/name"/>
                      </a>
                    </td>
                    <td>
                      <a href="/scripts/navigate.pike?object={$object}&amp;type=details&amp;room=/&amp;mode=common">
                        <xsl:value-of select="last-modified/date"/>
                      </a>
                      -
                      <a href="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}">
                      <!--<a href="javascript:open_userdetails('{owner/object/id}');">
                      /scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}-->
                        <xsl:value-of select="owner/object/name"/>
                      </a>
                    </td>
                  </tr>
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <tr>
                  <td class="nothingfound" colspan="5">{SELECTION_NEWGATE_NOROOMS}</td>
                </tr>
              </xsl:otherwise>
            </xsl:choose>
          </tbody>
        </table>

        <xsl:if test="count(search/Object[@type='Room'])>0">
          <p>
            <input type="button" value="{SELECTION_NEWGATE_SETDESTINATION}" onclick="check_searchrooms(this.form);" />
          </p>
        </xsl:if>
      </form>
    </div>

    </body>
  </xsl:when>

  <!-- Verwendung beim Einladen von Benutzern in eine Gruppe -->
  <xsl:when test="$_perform='grp_invite'">
    <body id="group_invite">

    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

      <div id="content">
        <div id="position">
          <h1>
            <xsl:choose>
              <xsl:when test="$_perform!=''">
                <xsl:choose>
                  <xsl:when test="$_perform='grp_invite'">
                    {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_INVITE_USERFOUND})
                  </xsl:when>
                  <xsl:otherwise>
                    {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> <xsl:value-of select="$filter_class"/> {SELECTION_FOUND})
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_MATCHES})
              </xsl:otherwise>
            </xsl:choose>
          </h1>
        </div>

        <div id="maincontent">
          <form name="browser" action="/scripts/browser.pike">
            <fieldset class="hidden">
              <input type="hidden" name="_action" value="{$_perform}" />
              <input type="hidden" name="_clipboard" value="true" />
              <input type="hidden" name="id" value="{$_context}" />
              <input type="hidden" name="room" value="{$room}" />
              <input type="hidden" name="filter_class" value="{$filter_class}" />
              <input type="hidden" name="_perform" value="{$_perform}" />
              <input type="hidden" name="_performdesc" value="{$_performdesc}" />
              <input type="hidden" name="_context" value="{$_context}" />
            </fieldset>

            <p>
              <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>&lt;&lt;
              <xsl:choose>
                <xsl:when test="$_perform='grp_invite'">
                  <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_INVITE_STARTNEWSEARCH}</a>
                </xsl:when>
                <xsl:otherwise>
                  <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_STARTNEWSEARCH}</a>
                </xsl:otherwise>
              </xsl:choose>
            </p>

            <table cellspacing="0" summary="{SELECTION_USERS_FOUND_TABLE_SUMMARY}">
              <thead>
                <tr>
                  <th scope="col"><br /></th>
                  <th scope="col"><br /></th>
                  <th scope="col" class="name">{NAME}</th>
                </tr>
              </thead>
              <tbody>
                <xsl:choose>
                  <xsl:when test="count(search/Object)>0">
                    <xsl:call-template name="show_searchresults_short">
                      <xsl:with-param name="selected">true</xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr>
                      <td colspan="3" class="nothingfound">
                        {SELECTION_INVITE_NOUSERSFOUND}
                      </td>
                    </tr>
                  </xsl:otherwise>
                </xsl:choose>
              </tbody>
            </table>

            <xsl:choose>
              <xsl:when test="count(search/Object)>0">
                <xsl:if test="$_perform='grp_invite'">
                  <p class="action">
                    <label for="useraction" class="off">{CONTENT_ACTIONS}:</label>
                    <select name="user_action" id="useraction">
                      <option value="select_objects">{SELECTION_INVITE_SELECTALLUSERS}</option>
                      <option value="unselect_objects">{SELECTION_INVITE_DESELECTALLUSERS}</option>
                    </select>
                    <input type="button" value="Ok" onclick="commit_action(document.browser);" />
                  </p>
                </xsl:if>

                <p>
                  <xsl:if test="$_action='search'">
                    <input type="hidden" name="search_clipboard" value="true" />
                  </xsl:if>
                  <input type="submit" value="&gt;&gt; {SELECTION_INVITE_INVITEUSERS}" />
                  <input type="button" value="&gt;&gt; {SELECTION_INVITE_DIRECTADDUSER}" onclick="javascript:check_directinvite(document.browser)" />
                </p>
              </xsl:when>
              <xsl:otherwise>
                <xsl:if test="$_perform='grp_invite'">
                  <xsl:if test="substring-before(keywords,'@') and substring-after(keywords, '@')">
                    <p>
                      <input type="submit" value="Benutzer per E-Mail einladen!" />
                      <input type="hidden" name="einladen_email" value="{keywords}" />
                    </p>
                  </xsl:if>
                </xsl:if>
              </xsl:otherwise>
            </xsl:choose>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:when>

  <!-- fuer das hinzufuegen von Benutzern zur BuddyListe -->
  <xsl:when test="$_perform='addbuddies'">
    <body id="addbuddies" class="popup">

    <div id="container">
      <form name="browser" action="/scripts/browser.pike" onsubmit="return grp_check_addbuddy(browser)">
        <fieldset class="hidden">
          <input type="hidden" name="_action" value="{$_perform}" />
          <input type="hidden" name="id" value="{$object}" />
          <input type="hidden" name="object" value="{$object}" />
          <input type="hidden" name="room" value="{$room}" />
          <input type="hidden" name="_perform" value="{$_perform}" />
          <input type="hidden" name="_performdesc" value="{$_performdesc}" />
          <input type="hidden" name="type" value="details" />
          <input type="hidden" name="mode" value="buddylistconfig" />
        </fieldset>

        <h1>
          {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_BUDDYLIST_USERSGROUPSFOUND})
        </h1>

        <p>
          &lt;&lt; <a href="/scripts/navigate.pike?object={$object}&amp;id={$object}&amp;type=details&amp;mode=buddylistconfig">{SELECTION_BUDDYLIST_STARTNEWSEARCH}</a>
        </p>

        <table cellspacing="0" summary="{SELECTION_USERS_FOUND_TABLE_SUMMARY}">
          <thead>
            <tr>
              <th scope="col"><br /></th>
              <th scope="col"><br /></th>
              <th scope="col" class="name">{NAME}</th>
            </tr>
          </thead>
          <tbody>
            <xsl:choose>
              <xsl:when test="count(search/Object)>0">
                <xsl:call-template name="show_searchresults_short">
                  <xsl:with-param name="selected">true</xsl:with-param>
                </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <tr>
                  <td colspan="3" class="nothingfound">
                    {SELECTION_INVITE_NOUSERSFOUND}
                  </td>
                </tr>
              </xsl:otherwise>
            </xsl:choose>
          </tbody>
        </table>

        <xsl:if test="count(search/Object)>0">
          <p class="action">
            <label for="useraction" class="off">{CONTENT_ACTIONS}:</label>
            <select name="user_action" id="useraction">
              <option value="select_objects">{SELECTION_INVITE_SELECTALLUSERS}</option>
              <option value="unselect_objects">{SELECTION_INVITE_DESELECTALLUSERS}</option>
            </select>
            <input type="button" value="Ok" onclick="commit_action(document.browser);" />
          </p>

          <p>
            <input type="submit" value="&gt;&gt; {SELECTION_BUDDYLIST_ADDOBJECTS}" />
          </p>
        </xsl:if>
      </form>
    </div>

    </body>
  </xsl:when>

  <!-- fuer das hinzufuegen von Gruppen/Benutzern im rechtedialog -->
  <xsl:when test="$_perform='acl_add'">
    <body id="group_invite">

    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

      <div id="content">
        <div id="position">
          <h1>
            {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_ACLADD_USERSGROUPSFOUND})
          </h1>
        </div>

        <div id="maincontent">
          <form name="browser" action="/scripts/browser.pike" onsubmit="return grp_check_addacl(browser)">
            <fieldset class="hidden">
              <input type="hidden" name="_action" value="{$_perform}" />
              <input type="hidden" name="id" value="{$object}" />
              <input type="hidden" name="object" value="{$object}" />
              <input type="hidden" name="room" value="{$room}" />
              <input type="hidden" name="_perform" value="{$_perform}" />
              <input type="hidden" name="_performdesc" value="{$_performdesc}" />
              <input type="hidden" name="type" value="access" />
            </fieldset>

            <p>
              <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>&lt;&lt;
              <a href="/scripts/navigate.pike?object={$object}&amp;id={$object}&amp;type=access">{SELECTION_ACLADD_STARTNEWSEARCH}</a>
            </p>

            <table cellspacing="0" summary="{SELECTION_USERS_FOUND_TABLE_SUMMARY}">
              <thead>
                <tr>
                  <th scope="col"><br /></th>
                  <th scope="col"><br /></th>
                  <th scope="col" class="name">{NAME}</th>
                </tr>
              </thead>
              <tbody>
                <xsl:choose>
                  <xsl:when test="count(search/Object)>0">
                    <xsl:call-template name="show_searchresults_short">
                      <xsl:with-param name="selected">true</xsl:with-param>
                    </xsl:call-template>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr>
                      <td colspan="3" class="nothingfound">
                        {SELECTION_ACLADD_NOOBJECTSFOUND}
                      </td>
                    </tr>
                  </xsl:otherwise>
                </xsl:choose>
              </tbody>
            </table>

            <xsl:if test="count(search/Object)>0">
              <p class="action">
                <label for="useraction" class="off">{CONTENT_ACTIONS}:</label>
                <select name="user_action" id="useraction">
                  <option value="select_objects">{SELECTION_INVITE_SELECTALLUSERS}</option>
                  <option value="unselect_objects">{SELECTION_INVITE_DESELECTALLUSERS}</option>
                </select>
                <input type="button" value="Ok" onclick="commit_action(document.browser);" />
              </p>

              <p>
                <input type="submit" value="&gt;&gt; {SELECTION_ACLADD_ADDOBJECTS}" />
              </p>
            </xsl:if>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:when>  
  
  <!-- fuer das hinzufuegen von Gruppen/Benutzern im detailsdialog -->
  <xsl:when test="$_perform='stylesheet_add'">
    <body id="group_invite">

    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>

      <div id="content">
        <div id="position">
          <h1>
            {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_STYLESHEETADD_USERSGROUPSFOUND})
          </h1>
        </div>

        <div id="maincontent">
          <form name="browser" action="/scripts/browser.pike" onsubmit="return grp_check_addstylesheet(browser)">
            <fieldset class="hidden">
              <input type="hidden" name="jump" value="stylesheets" />
              <input type="hidden" name="_action" value="{$_perform}" />
              <input type="hidden" name="id" value="{$object}" />
              <input type="hidden" name="object" value="{$object}" />
              <input type="hidden" name="room" value="{$room}" />
              <input type="hidden" name="_perform" value="{$_perform}" />
              <input type="hidden" name="_performdesc" value="{$_performdesc}" />
              <input type="hidden" name="type" value="details" />
            </fieldset>

            <p>
              <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>&lt;&lt;
              <a href="/scripts/navigate.pike?object={$object}&amp;id={$object}&amp;type=details">{SELECTION_STYLESHEETADD_STARTNEWSEARCH}</a>
            </p>

            <table cellspacing="0" summary="{SELECTION_USERS_FOUND_TABLE_SUMMARY}">
              <thead>
                <tr>
                  <th scope="col"><br /></th>
                  <th scope="col"><br /></th>
                  <th scope="col" class="name">{NAME}</th>
                </tr>
              </thead>
              <tbody>
                <xsl:choose>
                  <xsl:when test="count(search/Object)>0">
                    <xsl:call-template name="show_searchresults_short"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <tr>
                      <td colspan="3" class="nothingfound">
                        {SELECTION_STYLESHEETADD_NOOBJECTSFOUND}
                      </td>
                    </tr>
                  </xsl:otherwise>
                </xsl:choose>
              </tbody>
            </table>

            <xsl:if test="count(search/Object)>0">
              <p class="action">
                <label for="useraction" class="off">{CONTENT_ACTIONS}:</label>
                <select name="user_action" id="useraction">
                  <option value="select_objects">{SELECTION_INVITE_SELECTALLUSERS}</option>
                  <option value="unselect_objects">{SELECTION_INVITE_DESELECTALLUSERS}</option>
                </select>
                <input type="button" value="Ok" onclick="commit_action(document.browser);" />
              </p>

              <p>
                <input type="submit" value="&gt;&gt; {SELECTION_STYLESHEETADD_ADDOBJECTS}" />
              </p>
            </xsl:if>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:when>

  <!-- Fuer den Fall das der benutzer einfach ueber den Reiter umschaltet -->
  <xsl:when test="$_perform='new_search'">
    <body id="search" onload="setFocusById('keywords')">
    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"/>

      <div id="content">
        <div id="position">
          <h1><xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{SELECTION_NEWSEARCH_STARTNEWSEARCH}</xsl:with-param>
          <xsl:with-param name="iconpath">/images/trailicon_selection.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template></h1>
        </div>

        <div id="maincontent">
          <form name="search2" action="/scripts/browser.pike" onsubmit="return check_searchfield(document.search2)">
            <fieldset class="hidden">
              <input type="hidden" name="id" value="{id}" />
              <input type="hidden" name="_action" value="search" />
              <input type="hidden" name="room" value="{$room}" />
            </fieldset>

            <p><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>{SELECTION_ADVSEARCH_DOCUMENTS_DEFINITION}</p>

            <fieldset class="grid">
              <p>
                <label class="grid" for="keywords">{SELECTION_KEYWORDS}:</label>
                <input type="text" size="35" maxlength="60" id="keywords" name="keywords" value="{SELECTION_KEYWORDS}" onfocus="keywords.value=''; set_searchfield(document.search2)" />
                <input type="submit" value="{SELECTION_SEARCH}" />
              </p>
            </fieldset>

            <fieldset class="grid">
              <p>
                <label class="grid">{SELECTION_ADVSEARCH_DOCUMENTS_FULLTEXT}:</label>
                <input type="radio" id="advsearch_fulltext_yes" name="advsearch_fulltext" value="yes" />
                <label class="spaceafter" for="advsearch_fulltext_yes">{SELECTION_YES}</label>
                <input type="radio" id="advsearch_fulltext_no" name="advsearch_fulltext" value="no" checked="checked" />
                <label for="advsearch_fulltext_no">{SELECTION_NO}</label>
              </p>
            </fieldset>

            <fieldset class="grid">
              <p>
                <label class="grid" for="advsearch_objtype">{SELECTION_ADVSEARCH_OBJECTS}:</label>
                <select id="advsearch_objtype" name="advsearch_objtype" size="8">
                  <option value="all" selected="selected">{SELECTION_ADVSEARCH_ALL_OBJECTS}</option>
                  <option value="document">{SELECTION_ADVSEARCH_DOCUMENT}</option>
                  <option value="container">{SELECTION_ADVSEARCH_CONTAINER}</option>
                  <option value="gate">{SELECTION_ADVSEARCH_GATE}</option>
                  <option value="room">{SELECTION_ADVSEARCH_AREA}</option>
                  <option value="messageboard">{SELECTION_ADVSEARCH_MESSAGEBOARD}</option>
                  <option value="galery">{SELECTION_ADVSEARCH_GALLERY}</option>
                  <option value="link">{SELECTION_ADVSEARCH_LINK}</option>
                  <option value="monitor">{SELECTION_ADVSEARCH_MONITOR}</option>
                  <option value="user">{SELECTION_ADVSEARCH_USER}</option>
                  <option value="group">{SELECTION_ADVSEARCH_GROUP}</option>
                </select>
              </p>

              <p>
                <label class="grid" for="advsearch_mimetype">{SELECTION_ADVSEARCH_MEDIA}:</label>
                <select id="advsearch_mimetype" name="advsearch_mimetype" size="8" multiple="multiple">
                  <option value="all" selected="selected">{SELECTION_ADVSEARCH_ALL_MEDIA}</option>
                  <option value="image/jpeg">image/jpeg</option>
                  <option value="image/gif">image/gif</option>
                  <option value="image/png">image/png</option>
                  <option value="audio/mp3">audio/mp3</option>
                  <option value="text/plain">text/plain</option>
                  <option value="text/html">text/html</option>
                  <option value="text/wiki">text/wiki</option>
                  <option value="text/xml">text/xml</option>
                  <option value="text/xsl">text/xsl</option>
                  <option value="source/pike">source/pike</option>
                  <option value="application/pdf">application/pdf</option>
                </select>
              </p>
            </fieldset>

            <fieldset class="grid">
              <p>
                <label class="grid">{SELECTION_ADVSEARCH_SIZE}:</label>
                <label for="advsearch_minsize">{SELECTION_ADVSEARCH_SIZE_MIN}:</label>
                <input type="text" size="10" maxlength="12" id="advsearch_minsize" name="advsearch_minsize" />
                <label class="spacebefore" for="advsearch_maxsize">{SELECTION_ADVSEARCH_SIZE_MAX}:</label>
                <input type="text" size="10" maxlength="12" id="advsearch_maxsize" name="advsearch_maxsize" />
              </p>
            </fieldset>

            <fieldset class="grid">
              <p>
                <label class="grid">{SELECTION_ADVSEARCH_DATE}:</label>
                <label for="advsearch_datefrom">{SELECTION_ADVSEARCH_DATE_FROM}:</label>
                <input type="text" size="10" maxlength="10" id="advsearch_datefrom" name="advsearch_datefrom" value="{SELECTION_ADVSEARCH_DOCUMENTS_DATE}" onfocus="advsearch_datefrom.value='';" />
                <label class="spacebefore" for="advsearch_dateto">{SELECTION_ADVSEARCH_DATE_TO}:</label>
                <input type="text" size="10" maxlength="10" id="advsearch_dateto" name="advsearch_dateto" value="{SELECTION_ADVSEARCH_DOCUMENTS_DATE}" onfocus="advsearch_dateto.value='';" />
              </p>
            </fieldset>

            <fieldset class="grid">
              <p>
                <label class="grid" for="advsearch_creator">{SELECTION_ADVSEARCH_CREATER}:</label>
                <input type="text" size="35" maxlength="60" id="advsearch_creator" name="advsearch_creator" />
              </p>

              <p>
                <label class="grid" for="advsearch_modifiedby">{SELECTION_ADVSEARCH_ARRANGER}:</label>
                <input type="text" size="35" maxlength="60" id="advsearch_modifiedby" name="advsearch_modifiedby" />
                <input type="submit" value="{SELECTION_SEARCH}" />
              </p>
            </fieldset>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:when>

  <!-- Anzeigen dass keine Suchergebnbisse vorliegen -->
  <xsl:when test="count(search/Object)=0">
    <body id="search" onload="setFocusById('keywords')">

    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"/>

      <div id="content">
        <div id="position">
          <h1>
            <xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;
              <xsl:choose>
                <xsl:when test="$_perform!=''">
                  <xsl:choose>
                    <xsl:when test="$_perform='grp_invite'">
                      {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_INVITE_USERFOUND})
                    </xsl:when>
                    <xsl:otherwise>
                      {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> <xsl:value-of select="$filter_class"/> {SELECTION_FOUND})
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                  {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_MATCHES})
                </xsl:otherwise>
              </xsl:choose>
              </xsl:with-param>
              <xsl:with-param name="iconpath">/images/trailicon_selection.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param>
            </xsl:call-template>
          </h1>
        </div>

        <div id="maincontent">
          <form name="search2" action="/scripts/browser.pike" onsubmit="return check_searchfield(document.search2)">
            <fieldset class="hidden">
              <input type="hidden" name="id" value="{id}" />
              <input type="hidden" name="_action" value="search" />
              <input type="hidden" name="room" value="{$room}" />
            </fieldset>

            <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>

            <xsl:if test="$_perform!=''">
              <p>
                &lt;&lt;
                <xsl:choose>
                  <xsl:when test="$_perform='grp_invite'">
                    <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_INVITE_STARTNEWSEARCH}</a>
                  </xsl:when>
                  <xsl:otherwise>
                    <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_STARTNEWSEARCH}</a>
                  </xsl:otherwise>
                </xsl:choose>
              </p>
            </xsl:if>

            <xsl:choose>
              <xsl:when test="$_perform='grp_invite'">
                <p>{SELECTION_INVITE_NOUSERSFOUND}</p>
              </xsl:when>
              <xsl:otherwise>
                <p>{SELECTION_NOOBJECTSFOUND}</p>

                <p>
                  <label class="off" for="keywords">{SELECTION_KEYWORDS}:</label>
                  <xsl:choose>
                    <xsl:when test="$keywords=''">
                      <input type="text" size="15" maxlength="40" id="keywords" name="keywords" value="{SELECTION_KEYWORDS}" onfocus="keywords.value='';set_searchfield(document.search2)" />
                    </xsl:when>
                    <xsl:otherwise>
                      <input type="text" size="15" maxlength="40" id="keywords" name="keywords" value="{$keywords}" onfocus="keywords.value='';set_searchfield(document.search2)" />
                    </xsl:otherwise>
                  </xsl:choose>
                  <input type="submit" value="{SELECTION_SEARCH}" />
                </p>
              </xsl:otherwise>
            </xsl:choose>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:when>

  <!-- Anzeige der Suchergebnisse -->
  <xsl:otherwise>
    <body id="search">

    <div id="container">
      <div id="skiplinks" class="off">
        <h6><a accesskey="{ACCESSIBILITY_ACCESS_KEY_1}"></a>{SKIP_TITLE}</h6>

        <ul>
          <li><a href="#primnav">{SKIP_PRIMNAV}</a></li>
          <li><a href="#position">{SKIP_POSITION}</a></li>
          <li><a href="#maincontent">{SKIP_MAINCONTENT}</a></li>
        </ul>
      </div>

      <xsl:call-template name="header"/>

      <div id="content">
        <div id="position">
          <h1>
            <xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;
              <xsl:choose>
                <xsl:when test="$_perform!=''">
                  <xsl:choose>
                    <xsl:when test="$_perform='grp_invite'">
                      {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_INVITE_USERFOUND})
                    </xsl:when>
                    <xsl:otherwise>
                      {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> <xsl:value-of select="$filter_class"/> {SELECTION_FOUND})
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                  {SELECTION_SEARCHRESULTS} '<xsl:value-of select="keywords"/>' (<xsl:value-of select="count(search/Object)"/> {SELECTION_MATCHES})
                </xsl:otherwise>
              </xsl:choose>
              </xsl:with-param>
                  <xsl:with-param name="iconpath">/images/trailicon_selection.gif</xsl:with-param><xsl:with-param name="posicon">false</xsl:with-param>
            </xsl:call-template>
          </h1>
        </div>

        <div id="maincontent">
          <form name="search2" action="/scripts/browser.pike">
            <fieldset class="hidden">
              <input type="hidden" name="_action" value="{$_perform}" />
              <input type="hidden" name="_clipboard" value="true" />
              <input type="hidden" name="id" value="{$_context}" />
              <input type="hidden" name="room" value="{$room}" />
              <input type="hidden" name="filter_class" value="{$filter_class}" />
              <input type="hidden" name="_perform" value="{$_perform}" />
              <input type="hidden" name="_performdesc" value="{$_performdesc}" />
              <input type="hidden" name="_context" value="{$_context}" />
              <xsl:if test="$_action='search'">
                <input type="hidden" name="search_clipboard" value="true" />
              </xsl:if>
            </fieldset>

            <xsl:if test="$_perform!=''">
              <p>
                <a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a>&lt;&lt;
                <xsl:choose>
                  <xsl:when test="$_perform='grp_invite'">
                    <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_INVITE_STARTNEWSEARCH}</a>
                  </xsl:when>
                  <xsl:otherwise>
                    <a href="/scripts/browser.pike?_action=invite&amp;id={$_context}&amp;nav=invite">{SELECTION_STARTNEWSEARCH}</a>
                  </xsl:otherwise>
                </xsl:choose>
              </p>
            </xsl:if>

            <table cellspacing="0" summary="{SELECTION_SEARCHRESULT_TABLE_SUMMARY}">
              <thead>
                <tr>
                  <th scope="col"><xsl:if test="$_perform=''"><a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a></xsl:if><br /></th>
                  <th scope="col"><br /></th>
                  <th scope="col">{NAME}</th>
                  <th scope="col">{SIZE}</th>
                  <th scope="col">{ENV}</th>
                  <th scope="col">{DETAILS}</th>
                </tr>
              </thead>
              <xsl:if test="$_perform!='grp_invite' and count(search/Object)>1">
                <tfoot>
                  <tr>
                    <td><input type="checkbox" name="objcheckall" id="objcheckall" onclick="checkallobj_handle(document.search2);"/></td>
                    <td class="checkall" colspan="5"><label for="objcheckall">{SELECTION_SELECTALL}</label></td>
                  </tr>
                </tfoot>
              </xsl:if>
              <tbody>
                <xsl:apply-templates select="search"/>
              </tbody>
            </table>

            <xsl:choose>
              <xsl:when test="$_perform!=''">
                <p>
                  <xsl:choose>
                    <xsl:when test="$_perform='grp_invite'">
                      <input type="submit" value="&gt;&gt; {SELECTION_INVITE_INVITEUSERS}" />
                      <input type="button" value="&gt;&gt; {SELECTION_INVITE_DIRECTADDUSER}" onclick="javascript:check_directinvite(document.browser)" />
                    </xsl:when>

                    <xsl:otherwise>
                      <input type="submit" value="&gt;&gt; {$_performdesc}" />
                    </xsl:otherwise>
                  </xsl:choose>
                </p>
              </xsl:when>

              <xsl:otherwise>
                <p class="action">
                  <label class="off" for="user_action">{CONTENT_ACTIONS}:</label>
                  <select id="user_action" name="user_action">
                    <option value="get_objects">{SELECTION_TAKEOBJECTS}</option>
                    <option value="copy_objects">{SELECTION_TAKECOPIES}</option>
                    <option value="link_objects">{SELECTION_TAKELINKS}</option>
                    <option value="delete_objects">{SELECTION_DELETEOBJECTS}</option>
                  </select>
                  <input type="button" value="Ok" onclick="commit_action(document.search2);" />
                </p>
              </xsl:otherwise>
            </xsl:choose>
          </form>
        </div>
      </div>

      <xsl:call-template name="footer"/>
    </div>

    </body>
  </xsl:otherwise>
</xsl:choose>

</html>
</xsl:template>


<xsl:template match="selection|search">
  <xsl:for-each select="Object">
    <tr>
      <td>
        <xsl:choose>
          <xsl:when test="count(/Object/admins/array/object[id = /Object/user/id]) = 0 and (@type='Trashbin' or @type='User'or @type='Groups'or @type='Calendar')"><br /></xsl:when>

          <xsl:otherwise>
            <input type="checkbox" id="objsel{id}" name="objsel" value="{id}" />
          </xsl:otherwise>
        </xsl:choose>
      </td>
      <xsl:choose>
        <xsl:when test="content/mime-type='source/pike'">
          <td class="objecticon">
            <a href="/scripts/execute.pike?script={id}" title="{SELECTION_RUN_TOOLTIP}"><img src="/images/doctypes/type_generic.gif" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/execute.pike?script={id}" title="{SELECTION_RUN_TOOLTIP}"><xsl:value-of select="name"/></a></label>
            <span class="objectactions">(<a href="/scripts/execute.pike?script={id}" title="{SELECTION_RUN_TOOLTIP}">{SELECTION_RUN}</a>, <a href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=details#instances" title="{SELECTION_INSTANCES_TOOLTIP}">{SELECTION_INSTANCES}</a><xsl:if test="/Object/launcher='1'">, <a href="/scripts/steam.sal?object={id}" title="{SELECTION_EDIT_APPLAUNCH_TOOLTIP}">{SELECTION_EDIT_APPLAUNCH}</a></xsl:if>)</span>
          </td>
        </xsl:when>

        <xsl:when test="@type='DocExtern'">
          <td class="objecticon">
            <a href="{url}" title="{SELECTION_DOCEXTERN_TOOLTIP}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="{url}" title="{SELECTION_DOCEXTERN_TOOLTIP}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Container' or @type='Trashbin'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><img src="get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
             <xsl:choose>
               <xsl:when test="content/index!=0">
                 <span class="objectactions"><a href="#" onclick="javascript:window.open('http://{$host}:{$port_http}{/Object/path/path}{URL}/{content/index}');">{SELECTION_VIEW}</a></span>
               </xsl:when>

               <xsl:when test="@type='Trashbin'">
                 <span class="objectactions">(<a href="/scripts/browser.pike?_action=empty_trashbin&amp;id={id}" title="{SELECTION_EMPTYTRASHBIN_TOOLTIP}">{SELECTION_EMPTYTRASHBIN}</a>)</span>
               </xsl:when>
             </xsl:choose>
          </td>
        </xsl:when>

        <xsl:when test="@type='Object' or @type='Group'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><img src="get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Link'">
          <td class="objecticon">
            <a href="/scripts/get.pike?object={link/object/id}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/get.pike?object={link/object/id}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Exit'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={exit/object/id}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={link/object/id}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Room'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Calendar'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=calendar"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=calendar"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='User'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
			<!--<a href="javascript:open_userdetails('{id}')">-->
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <!--<label for="objsel{id}"><a class="objectname" href="javascript:open_userdetails('{id}')">-->
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="path=0">
          <td class="objecticon">
            <a href="/scripts/download.pike/{id}/{name}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/download.pike/{id}/{name}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:when test="@type='Messageboard'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=annotations">
            <xsl:call-template name="show_annotation_status_icon"/>
          </a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}&amp;type=annotations"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>

        <xsl:otherwise>
          <td class="objecticon">
            <!-- Abfrage noetig, da zB die THUMB_xxx Objekte kein environment haben und sonst auf /scripts/obj-name verlinkt waeren -->
            <xsl:choose>
              <xsl:when test="environment=0 or environment=''">
                <a href="/scripts/download.pike/{id}/{name}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
              </xsl:when>

              <xsl:otherwise>
                <a href="{path/path}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
              </xsl:otherwise>
            </xsl:choose>
          </td>
          <td>
            <label for="objsel{id}">
              <!-- Abfrage noetig, da zB die THUMB_xxx Objekte kein environment haben und sonst auf /scripts/obj-name verlinkt waeren -->
              <xsl:choose>
                <xsl:when test="environment=0 or environment=''">
                  <a class="objectname" href="/scripts/download.pike/{id}/{name}"><xsl:value-of select="name"/></a>
                </xsl:when>

                <xsl:otherwise>
                  <a class="objectname" href="{path/path}"><xsl:value-of select="name"/></a>
                </xsl:otherwise>
              </xsl:choose>
            </label>
            <xsl:choose>
              <xsl:when test="content/mime-type='audio/mpeg'">
                <span class="objectactions">(MP3-Audio<xsl:if test="bitrate!=''">, <xsl:value-of select="bitrate"/> kbps</xsl:if><xsl:if test="frequency!=''">, <xsl:value-of select="frequency"/> Hz</xsl:if>)</span>
              </xsl:when>

              <xsl:when test="substring-before(content/mime-type,'/')='text'">
               <span class="objectactions">(<a href="javascript:open_edit('object={id}')" title="{SELECTION_EDIT_TOOLTIP}">{SELECTION_EDIT}</a><xsl:if test="/Object/launcher='1'">, <a href="/scripts/steam.sal?object={id}" title="{SELECTION_EDIT_APPLAUNCH_TOOLTIP}">{SELECTION_EDIT_APPLAUNCH}</a></xsl:if>)</span>
              </xsl:when>

              <xsl:when test="/Object/launcher='1'">
                <span class="objectactions">(<a href="/scripts/steam.sal?object={id}" title="{SELECTION_EDIT_APPLAUNCH_TOOLTIP}">{SELECTION_EDIT_APPLAUNCH}</a>)</span>
              </xsl:when>

              <xsl:otherwise>
                <span class="objectdesc"><xsl:value-of select="description"/></span>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </xsl:otherwise>
      </xsl:choose>      
        <xsl:choose>
          <xsl:when test="@type='Container'or @type='Room' or @type='Trashbin'">
            <xsl:choose>
              <xsl:when test="count(inventory)=0 or inventory=''">
                <td></td>
              </xsl:when>
              <xsl:otherwise>
                <td>
                  <xsl:value-of select="inventory"/>&#160;
                  <xsl:choose>
                    <xsl:when test="inventory = 1">
                      {SELECTION_ONEOBJECT}
                    </xsl:when>
                    <xsl:otherwise>
                      {SELECTION_OBJECTS}
                    </xsl:otherwise>
                  </xsl:choose>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:when test="@type='Calendar' or @type='DocExtern' or @type='User' or @type='Group' or @type='Link' or @type='Exit' or @type='Messageboard'">
            <td></td>
          </xsl:when>
          <xsl:when test="@type='Object' or path=0 or @type='Room' or @type='Document'">
            <xsl:choose>
              <xsl:when test="content/size='' or content=''">
                <td>---</td>
              </xsl:when>
              <xsl:otherwise>
                <td title="{content/size} Byte">
                  <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="content/size=''">
                <td>---</td>
              </xsl:when>
              <xsl:otherwise>
                <td title="{content/size} Byte">
                  <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="content/size"/></xsl:with-param></xsl:call-template>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      <td>
        <xsl:if test="@type != 'User' and @type != 'Group' and count(environment/object/id) > 0">
          <a href="/scripts/navigate.pike?object={environment/object/id}"><xsl:value-of select="environment/object/name"/></a>
        </xsl:if>
      </td>
      <td class="optionicons">
        <xsl:if test="@type != 'User' and @type != 'Group'">
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;mode=common&amp;room={$room}">
            <img src="/images/icon_infos.gif" width="32" height="32" alt="{SELECTION_ATTRIBUTES}" title="{SELECTION_ATTRIBUTES_TOOLTIP}" />
          </a>
          <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;mode=advanced&amp;room={$room}">
            <img src="/images/icon_actions.gif" width="32" height="32" alt="{SELECTION_ACTIONS}" title="{SELECTION_ACTIONS_TOOLTIP}" />
          </a>
          <a href="/scripts/navigate.pike?object={id}&amp;type=annotations&amp;room={$room}">
            <xsl:call-template name="show_annotation_status_icon" />
          </a>
          <a href="/scripts/navigate.pike?object={id}&amp;type=access&amp;room=/&amp;mode=common">
            <img src="/images/icon_access.gif" width="32" height="32" alt="{SELECTION_RIGHTS}" title="{SELECTION_RIGHTS_TOOLTIP}" />
          </a>
        </xsl:if>
       </td>
    </tr>
  </xsl:for-each>
</xsl:template>

<!-- used in addbuddy wizard -->
<xsl:template name="show_searchresults_short">
<xsl:param name="selected">false</xsl:param>
  <xsl:for-each select="/Object/search/Object">
    <tr>
      <td>
        <xsl:choose>
          <xsl:when test="$selected='true' and count(/Object/search/Object) = 1 ">
            <input type="checkbox" id="objsel{id}" name="objsel" value="{id}" checked="checked" />
          </xsl:when>
          <xsl:otherwise>
            <input type="checkbox" id="objsel{id}" name="objsel" value="{id}" />
          </xsl:otherwise>
        </xsl:choose>
      </td>
      <xsl:choose>
        <xsl:when test="@type='Group'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;room={$room}"><img src="get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>
        <xsl:when test="@type='User'">
          <td class="objecticon">
            <a href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}"><img src="/scripts/get.pike?object={icon/object/id}" width="32" height="32" alt="" /></a>
			<!-- <a href="javascript:open_userdetails('{id}')"> -->
          </td>
          <td>
            <label for="objsel{id}"><a class="objectname" href="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}"><xsl:value-of select="name"/></a></label>
            <!--<label for="objsel{id}"><a class="objectname" href="javascript:open_userdetails('{id}')">-->
            - <xsl:value-of select="firstname"/>&#160;<xsl:value-of select="fullname"/>
            <span class="objectdesc"><xsl:value-of select="description"/></span>
          </td>
        </xsl:when>
     </xsl:choose>
    </tr>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
