<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="active"/>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="error"/>
<xsl:param name="os"/>
<xsl:param name="message"/>
<xsl:param name="from_obj"/>
<xsl:param name="to_obj"/>
<xsl:param name="room"/>
<xsl:param name="language">english</xsl:param>
<xsl:param name="back">no</xsl:param>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:template match="Object">

<html>
<head>
<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
  <xsl:call-template name="browsercss"/>
</head>
<body id="spm">
  <div id="container">
    <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>
    <div id="content">
      <div id="maincontent">
        <div class="packages" style="text-align: left; font-size: 10pt;">
            <h1 style="padding-left: 10px; padding-top: 10px; padding-bottom: 10px;">{SPM_HEADER}</h1>
            <xsl:if test="/Object/user/username != 'root'">
              &#160;<font color="red">{SPM_EXPLAIN_ROOT}</font><br /><br />
            </xsl:if>
            <table cellspacing="0" cellpadding="0">
              <tr><th>{SPM_PACKAGE}</th><th>{SPM_DESCRIPTION}</th><th>{SPM_VERSION}</th><th>{SPM_AUTHOR}</th><th>{SPM_LICENSE}</th><th>{SPM_FUNCTIONS}</th></tr>
              <xsl:for-each select="/Object/inventory/Object[@type='Container']">
                <xsl:sort select="name" />
                <xsl:call-template name="show_package" />
              </xsl:for-each>
            </table>
        </div>
        <div class="srcpackages" style="text-align: left; font-size: 9pt; padding-top: 50px;">
          <h2>{SPM_PACKAGELIST_HEADER}</h2>
          <div style="text-align: left; font-size: 9pt; padding-left: 25px; padding-top: 10px; padding-bottom: 10px;">
            <ul>
            <xsl:for-each select="/Object/inventory/Object[mime-type='application/steam-package-manager']">
            <xsl:sort select="name" />
            <li><xsl:value-of select="name" />&#160;
              <xsl:if test="/Object/user/username = 'root'">
                <a href="/SPM?_action=install&amp;install={id}">{SPM_PACKAGELIST_INSTALL}</a>&#160;<a href="/SPM?_action=delete&amp;id={id}">{SPM_PACKAGELIST_DELETE}</a>
              </xsl:if>
              </li>
            </xsl:for-each>
            </ul>
          </div>
          <h2>{SPM_NEWPACKAGE_HEADER}</h2>
          <div style="text-align: left; font-size: 9pt; padding-left: 10px; padding-top: 10px; padding-bottom: 10px;">          
            <form action="/SPM" enctype="multipart/form-data" method="POST">
            <input type="hidden" name="_action" value="upload" />
            {SPM_NEWPACKAGE_CHOOSEPACKAGE}&#160;<input type="file" name="paket" />
            <input type="submit" value="{SPM_UPLOAD}" />
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
</html>
</xsl:template>


<xsl:template name="show_package">
<tr>
  <td>
	<a href="/packages/{name}"><xsl:value-of select="name" /></a>
  </td>
  <td>
  <xsl:value-of select="description" />
  </td>
  <td>
  <xsl:value-of select="version" />
  </td>
  <td>
  <xsl:value-of select="author" />
  </td>
  <td>
    <xsl:variable name="cnt"><xsl:value-of select="count(license/Object[@type='Container']/inventory/array/object)" /></xsl:variable>
    <xsl:if test="$cnt > 0">
      <xsl:for-each select="license/Object[@type='Container']/inventory/array/object">
        <a href="{path}">
          <xsl:choose>
            <xsl:when test="$cnt > 1">
              <xsl:value-of select="name" />
            </xsl:when>
            <xsl:otherwise>
              {SPM_VIEWLICENSE}
            </xsl:otherwise>
          </xsl:choose>
        </a>
      </xsl:for-each>
    </xsl:if>
  </td>
  <td>
  <xsl:if test="/Object/user/username = 'root'">
	  <a href="/SPM?_action=uninstall&amp;id={id}">{SPM_PACKAGE_UNINSTALL}</a> &#160; | &#160;
  </xsl:if>
	<a href="/SPM?_action=show_install_log&amp;id={id}">{SPM_PACKAGE_VIEWLOG}</a>
  </td>
</tr>
<tr>
  <td colspan="6"  style="border-bottom: solid thin gray;">
  </td>
</tr>
</xsl:template>

</xsl:stylesheet>
