<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="port_irc">undefined</xsl:param>
<xsl:param name="message">no action</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="error">ok</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="browse">details</xsl:param>
<xsl:param name="nav"><xsl:choose><xsl:when test="/Object/id=/Object/user/id">inv</xsl:when><xsl:when test="/Object/@type='Container' or /Object/@type='Trashbin'">container</xsl:when><xsl:otherwise>area</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="room"><xsl:choose><xsl:when test="$nav='area'"><xsl:value-of select="$object"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:param>
<xsl:param name="editgates">no</xsl:param>


<xsl:output method="html" encoding="utf-8" indent="no"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/inventory.xsl"/>
<xsl:include href="steam://stylesheets/browse.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>

<xsl:template match="Object">
<xsl:variable name="user_name"><xsl:value-of select="user/name"/></xsl:variable>
<HEAD>
	<SCRIPT LANGUAGE="JavaScript" SRC="/gui_js/main.js" TYPE="text/javascript"/>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8"/>
    <META http-equiv="expires" content="0"/>
	<TITLE><xsl:value-of select="name"/> | sTeam</TITLE>
    <xsl:call-template name="browsercss"/>
</HEAD>
<BODY BGCOLOR="#F5F5F5" LINK="#000000" VLINK="#000000" ALINK="#000000">

<xsl:call-template name="header"/>

<MAP NAME="subnav1">
<AREA SHAPE="poly" COORDS="666,2,729,2,715,20,652,20" HREF="/scripts/navigate.pike?object={$room}" ALT="Users"/>
<AREA SHAPE="poly" COORDS="733,2,782,2,782,20,720,20" HREF="JavaScript:open_chat('{/Object/user/name}','{/Object/id}');" ALT="Chat"/>
</MAP>

<MAP NAME="subnav2">
<AREA SHAPE="poly" COORDS="257,2,390,2,375,20,245,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=details" ALT="Browse by List"/>
<AREA SHAPE="poly" COORDS="394,2,527,2,515,20,380,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=icons" ALT="Browser by Icons"/>
<AREA SHAPE="poly" COORDS="531,2,594,2,582,20,518,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=svg" ALT="Map"/>
<AREA SHAPE="poly" COORDS="597,2,648,2,648,20,585,20" HREF="JavaScript:open_ftp('{$user_name}@{$host}:{$port_ftp}{/Object/path/path}');" ALT="FTP"/>
</MAP>

<MAP NAME="subnav3">
<AREA SHAPE="poly" COORDS="392,2,525,2,510,20,380,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=details" ALT="Browse by List"/>
<AREA SHAPE="poly" COORDS="529,2,662,2,650,20,515,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=icons" ALT="Browse by Icons"/>
<AREA SHAPE="poly" COORDS="666,2,729,2,717,20,653,20" HREF="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;browse=svg" ALT="Map"/>
<AREA SHAPE="poly" COORDS="732,2,783,2,783,20,720,20" HREF="JavaScript:open_ftp('{$user_name}@{$host}:{$port_ftp}{/Object/path/path}');" ALT="FTP"/>
</MAP>

<FORM NAME="browser" ACTION="/scripts/browser.pike" CLASS="nomargin">
<INPUT type="hidden" name="id" value="{id}"/>
<INPUT type="hidden" name="_action" value="browser.pike"/>
<INPUT type="hidden" name="room" value="{$room}"/>

<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" CLASS="bginfotext" ALIGN="CENTER">
<TR><TD><BR/><BR/>&nbsp;&nbsp;<SPAN CLASS="text2bb">
<xsl:choose>
<xsl:when test="name=''">
*No Description*
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="name"/>
</xsl:otherwise>
</xsl:choose>
<BR/></SPAN>

&nbsp;&nbsp;<SPAN CLASS="text0sc">No. of Objects: <xsl:value-of select="count(inventory/Object[@type!='Room' and @type!='User' and @type!='Exit'])"/>, Path: 
<xsl:for-each select="path/object"><xsl:choose><xsl:when test="position()=last()"><xsl:value-of select="name"/>/</xsl:when><xsl:otherwise><xsl:choose><xsl:when test="name=''"><a href="/scripts/navigate.pike?object={id}">/root-path/</a></xsl:when><xsl:otherwise><a href="/scripts/navigate.pike?object={id}"><xsl:value-of select="name"/></a>/</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose></xsl:for-each></SPAN><BR/><BR/></TD></TR>
</TABLE>

<xsl:apply-templates select="inventory"/>

<xsl:if test="types!=0">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER">
<TR VALIGN="TOP"><TD><BR/><SPAN CLASS="text0sc">You can show this page as:
<xsl:for-each select="types/struct/member">
<A href="/scripts/navigate.pike?object={$object}&amp;room={$room}&amp;style={value/object/id}"><xsl:value-of select="key/object/name"/></A>&#160;|
</xsl:for-each>
</SPAN><BR/><BR/></TD></TR>
</TABLE>
</xsl:if>
</FORM>
<xsl:call-template name="footer"/>
</BODY>
</xsl:template>


<xsl:template match="inventory">
<xsl:if test="/Object/@type='Room'">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser2">
<TR CLASS="bginfotext"><TD COLSPAN="2"><IMG SRC="/images/nav_subline2a_785.gif" WIDTH="785" HEIGHT="21" BORDER="0" USEMAP="#subnav1"/></TD></TR>
<TR VALIGN="TOP"><TD CLASS="bgbrowser"><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="650" CLASS="bgbrowser">

<xsl:choose>
<xsl:when test="$editgates='yes'">
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="10"><BR/></TD><TD CLASS="header" WIDTH="40"><BR/></TD><TD
CLASS="header" WIDTH="300"><BR/>Gates [<A HREF="/scripts/navigate.pike?object={$room}&amp;editgates=no" CLASS="suburl">Edit off</A>]<SPAN CLASS="fontspacer">&nbsp;</SPAN></TD><TD CLASS="header" WIDTH="75">Annotation</TD><TD
CLASS="header" WIDTH="55">Access</TD><TD CLASS="header"
WIDTH="170">Attributes - Creat./mod. by</TD></TR>
<TR><TD>&nbsp;&nbsp;&nbsp;</TD><TD><A HREF="/home/{/Object/user/name}"><IMG SRC="/images/doctypes/type_exit.gif" WIDTH="32" HEIGHT="32" BORDER="0" VSPACE="2" HSPACE="2"/></A></TD><TD><B><A HREF="/home/{/Object/user/name}">Home</A></B></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD></TR>
<xsl:if test="/Object/environment/object/id>0">
<TR><TD>&nbsp;&nbsp;&nbsp;</TD><TD><A HREF="/scripts/navigate.pike?object={/Object/environment/object/id}"><IMG SRC="/images/doctypes/type_exit.gif" WIDTH="32" HEIGHT="32" BORDER="0"/></A></TD><TD><A HREF="/scripts/navigate.pike?object={/Object/environment/object/id}"><B>root's workroom</B><BR/><SPAN CLASS="text0sc">(Environment)</SPAN></A></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD><TD><SPAN CLASS="text0sc">---</SPAN></TD></TR>
</xsl:if>

<xsl:for-each select="Object[@type='Room']|Object[@type='Exit']">
<xsl:sort select="*[local-name()=/Object/sort-exits]"/>
<xsl:choose>
<xsl:when test="@type='Room'">
<TR><TD ALIGN="RIGHT">
<xsl:choose>
<xsl:when test="@selected='false'">
<INPUT TYPE="CHECKBOX" NAME="gateobjsel" VALUE="{id}"/>
</xsl:when>
<xsl:when test="@selected='true'">
<INPUT TYPE="CHECKBOX" NAME="gateobjsel" VALUE="{id}" CHECKED="true" CLASS="bgcheckedobj"/>
</xsl:when>
</xsl:choose>
</TD><TD><A HREF="/scripts/navigate.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0" VSPACE="2" HSPACE="2"/></A></TD><TD><B><A HREF="/scripts/navigate.pike?object={id}"><xsl:value-of select="name"/></A></B><BR/><SPAN CLASS="text0sc"><xsl:value-of select="description"/></SPAN></TD><TD><xsl:call-template name="show_annotations"/></TD><TD><SPAN CLASS="text0sc"><A HREF="JavaScript:open_access('{id}');" TITLE="(Access-Dialogue)" CLASS="sub2url"><xsl:call-template name="show_access"/></A></SPAN></TD><TD><A HREF="JavaScript:open_attributes('{id}');" TITLE="(Attributes-Dialogue)" CLASS="sub2url"><xsl:value-of select="last-modified/date"/></A>&#160;-&#160;
<A HREF="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" TITLE="(Show user details)" CLASS="sub2url"><xsl:value-of select="owner/object/name"/></A></TD></TR>
<!--<A HREF="JavaScript:open_userdetails('{owner/object/id}');" TITLE="(Show user details)" CLASS="sub2url">-->
</xsl:when>
<xsl:otherwise>
<TR><TD ALIGN="RIGHT">
<xsl:choose>
<xsl:when test="@selected='false'">
<INPUT TYPE="CHECKBOX" NAME="gateobjsel" VALUE="{id}"/>
</xsl:when>
<xsl:when test="@selected='true'">
<INPUT TYPE="CHECKBOX" NAME="gateobjsel" VALUE="{id}" CHECKED="true" CLASS="bgcheckedobj"/>
</xsl:when>
</xsl:choose>
</TD><TD><A HREF="{exit/object/path}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0" VSPACE="2" HSPACE="2"/></A></TD><TD><B><A HREF="{exit/object/path}"><xsl:value-of select="name"/></A></B><BR/><SPAN CLASS="text0sc"><xsl:value-of select="description"/></SPAN></TD><TD><xsl:call-template name="show_annotations"/></TD><TD><SPAN CLASS="text0sc"><A HREF="JavaScript:open_access('{id}');" TITLE="(Access-Dialogue)" CLASS="sub2url"><xsl:call-template name="show_access"/></A></SPAN></TD><TD><A HREF="JavaScript:open_attributes('{id}');" TITLE="(Attributes-Dialogue)" CLASS="sub2url"><xsl:value-of select="last-modified/date"/></A>&#160;-&#160;
<A HREF="/scripts/navigate.pike?object={owner/object/id}&amp;type=details&amp;room={$room}" TITLE="(Show user details)" CLASS="sub2url"><xsl:value-of select="owner/object/name"/></A></TD></TR>
<!--<A HREF="JavaScript:open_userdetails('{owner/object/id}');" TITLE="(Show user details)" CLASS="sub2url">-->
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>

<xsl:if test="count(Object[@type='Room']|Object[@type='Exit'])>0">
<TR><TD>&nbsp;</TD><TD COLSPAN="5"><BR/><BR/><SPAN CLASS="text0sc">P=Public, r=read user, R=read everyone, w=write user, W=write everyone, () Room Administration</SPAN></TD></TR>
<TR><TD COLSPAN="7"><BR/><BR/><xsl:call-template name="takegate"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last command: &gt; <I>
<xsl:choose>
<xsl:when test="$error='ok'">
<xsl:value-of select="$message"/>
</xsl:when>
<xsl:otherwise>
<font color="#FF0000"><A href="#" onClick="show_error('{$error}');"><xsl:value-of select="$message"/></A></font>
</xsl:otherwise>
</xsl:choose>
</I> &lt;</TD></TR>
</xsl:if>


</xsl:when>
<xsl:otherwise>
<TR CLASS="tabhead"><TD CLASS="header"><BR/>&nbsp;Gates [<A HREF="/scripts/navigate.pike?object={$room}&amp;editgates=yes" CLASS="suburl">Edit</A>]<SPAN CLASS="fontspacer">&nbsp;</SPAN></TD></TR>
<TR><TD><BR/><TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70" CLASS="bgbrowser"><A HREF="/scripts/navigate.pike"><IMG SRC="/images/doctypes/type_exit.gif" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="/scripts/navigate.pike" CLASS="sub5url">Home</A></TD></TR>
</TABLE>

<xsl:if test="/Object/environment/object/id>0">
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70" CLASS="bgbrowser"><A HREF="/scripts/navigate.pike?object={/Object/environment/object/id}"><IMG SRC="/images/doctypes/type_exit.gif" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="/scripts/navigate.pike?object={/Object/environment/object/id}" CLASS="sub5url">root's workroom<BR/>(Environment)</A></TD></TR>
</TABLE>
</xsl:if>

<xsl:for-each select="Object[@type='Room']|Object[@type='Exit']">
<xsl:sort select="*[local-name()=/Object/sort-exits]"/>
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR><TD ALIGN="CENTER" WIDTH="70">
<xsl:choose>
<xsl:when test="@type='Room'">
<A HREF="/scripts/navigate.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="/scripts/navigate.pike?object={id}" CLASS="sub5url"><xsl:value-of select="name"/></A>
</xsl:when>
<xsl:otherwise>
<A HREF="{exit/object/path}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="{exit/object/path}" CLASS="sub5url"><xsl:value-of select="name"/></A>
</xsl:otherwise>
</xsl:choose>
</TD></TR>
</TABLE>
<xsl:if test="position() mod 6 = 0">
<BR CLEAR="ALL"/>
</xsl:if>
</xsl:for-each>
</TD></TR>
</xsl:otherwise>
</xsl:choose>

</TABLE><BR CLEAR="ALL"/><BR/><BR/>

<xsl:choose>
<xsl:when test="$browse='details'">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="650" CLASS="bgbrowser">
<TR><TD COLSPAN="7"><IMG SRC="/images/nav_subline1a_650.gif" WIDTH="650" HEIGHT="21" BORDER="0" USEMAP="#subnav2"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="10"><BR/></TD><TD CLASS="header" WIDTH="40"><BR/><BR/></TD><TD
CLASS="header" WIDTH="215">Name</TD><TD CLASS="header"
WIDTH="85">Size</TD><TD CLASS="header" WIDTH="75">Annotation</TD><TD
CLASS="header" WIDTH="55">Access</TD><TD CLASS="header"
WIDTH="170">Attributes - Creat./mod. by</TD></TR>
<xsl:if test="/Object/@type!='Room'">
<xsl:for-each select="Object[@type='Exit' or @type='Room']">
<xsl:sort select="*[local-name()=/Object/sort-exits]"/>
<xsl:call-template name="show_object"/>
</xsl:for-each>
</xsl:if>
<xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_container"/>
</xsl:for-each>
<xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_document"/>
</xsl:for-each>
<xsl:for-each select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_object"/>
</xsl:for-each>
<xsl:variable name="no_objects">
<xsl:choose>
<xsl:when test="count((Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']))=0">true</xsl:when>
<xsl:otherwise>false</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="$no_objects='false'">
<TR><TD>&nbsp;</TD><TD COLSPAN="6"><BR/><BR/><SPAN CLASS="text0sc">P=Public, r=read user, R=read everyone, w=write user, W=write everyone, () Room Administration</SPAN></TD></TR>
<TR><TD COLSPAN="7"><BR/><BR/><xsl:call-template name="take"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last command: &gt; <I>
<xsl:choose>
<xsl:when test="$error='ok'">
<xsl:value-of select="$message"/>
</xsl:when>
<xsl:otherwise>
<font color="#FF0000"><A href="#" onClick="show_error('{$error}');"><xsl:value-of select="$message"/></A></font>
</xsl:otherwise>
</xsl:choose>
</I> &lt;</TD></TR>
</xsl:if>
<xsl:if test="$no_objects='true'">
<TR><TD COLSPAN="7"><BR/><BR/>
&nbsp;&nbsp;<B>... no Documents yet, press 'Upload' to bring in content   ...</B><BR/><BR/><BR/><BR/>
</TD></TR>
</xsl:if>
<xsl:if test="/Object/id!=/Object/user/id">
<TR><TD COLSPAN="7"><BR/><BR/>
<xsl:call-template name="drop"/>
</TD></TR>
</xsl:if>
</TABLE><BR/><BR/><BR/>
</xsl:when>

<xsl:when test="$browse='icons'">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="650">
<TR><TD><IMG SRC="/images/nav_subline1b_650.gif" WIDTH="650" HEIGHT="21" BORDER="0" USEMAP="#subnav2"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="650"><BR/>&nbsp; Objects/Documents</TD></TR>
<TR><TD><BR/>
<xsl:for-each select="Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']">
<xsl:sort select="name"/>
<xsl:choose>
<xsl:when test="@type='Document' and substring-before(content/mime-type, '/') = 'image'">
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70"><A HREF="navimage.pike?object={id}&amp;type=image"><IMG SRC="/scripts/get.pike?object={id}&amp;xsize=32&amp;ysize=32" ALT="{name}"/></A>
<BR/><A HREF="navimage.pike?object={id}&amp;type=image" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:when>
<xsl:when test="@type='Document'">
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70"><A HREF="/scripts/get.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}&amp;xsize=32&amp;ysize=32" ALT="{name}" border="0"/></A>
<BR/><A HREF="/scripts/get.pike?object={id}" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:when>
<xsl:otherwise>
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70">
<A HREF="/scripts/navigate.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="/scripts/navigate.pike?object={id}" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position() mod 7 = 0"><BR CLEAR="ALL"/></xsl:if>
</xsl:for-each>
<BR CLEAR="ALL"/>

<xsl:variable name="no_objects">
<xsl:choose>
<xsl:when test="count((Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']))=0">true</xsl:when>
<xsl:otherwise>false</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:if test="$no_objects='true'">
&nbsp;&nbsp;<B>... no Documents yet, press 'Upload' to bring in content   ...</B>

</xsl:if>

<BR/><BR/><BR/><BR/><BR/></TD></TR>
</TABLE>
<xsl:call-template name="drop"/>
</xsl:when>

<xsl:otherwise>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="650">
<TR><TD><IMG SRC="/images/nav_subline1c_650.gif" WIDTH="650" HEIGHT="21" BORDER="0" USEMAP="#subnav2"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="650"><BR/>&nbsp; SVG-Viewer</TD></TR>
<TR><TD><iframe src="/scripts/svg.svg?object={$object}" width="650" height="450" marginheight="0" marginwidth="0" frameborder="0"/><BR/><BR/><BR/></TD></TR>
</TABLE>
</xsl:otherwise>
</xsl:choose>
</TD><TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="135" CLASS="bgbrowser2">
<TR CLASS="tabhead" VALIGN="TOP"><TD CLASS="header" ALIGN="RIGHT"><BR/>People in this Area<SPAN CLASS="fontspacer">&nbsp;</SPAN></TD></TR>
<TR VALIGN="TOP" CLASS="bgbrowser2"><TD ALIGN="CENTER"><BR/>
<xsl:for-each select="Object[@type='User']">
<A HREF="/scripts/navigate.pike?object={id}&amp;type=details&amp;room={$room}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="60" HEIGHT="70" ALT="User: {name}" BORDER="1"/><BR/><SPAN CLASS="text0sc"><B><xsl:value-of select="name"/></B>&nbsp;<xsl:choose><xsl:when test="status/chat='true'">(Chat)</xsl:when><xsl:when test="status/connected='true'">(Connected)</xsl:when></xsl:choose></SPAN></A><BR/><BR/>
<!--<A HREF="JavaScript:open_userdetails('{id}');">-->
</xsl:for-each>
</TD></TR>
</TABLE></TD></TR>
</TABLE>
</xsl:if>



<xsl:if test="/Object/@type!='Room'">
<xsl:choose>
<xsl:when test="$browse='details'">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" CLASS="bgbrowser" ALIGN="CENTER">
<TR><TD COLSPAN="7" CLASS="bginfotext"><IMG SRC="/images/nav_subline1a_785.gif" WIDTH="785" HEIGHT="21" BORDER="0" USEMAP="#subnav3"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="10"><BR/></TD><TD CLASS="header" WIDTH="40"><BR/><BR/></TD><TD
CLASS="header" WIDTH="350">Name</TD><TD CLASS="header"
WIDTH="85">Size</TD><TD CLASS="header" WIDTH="75">Annotation</TD><TD
CLASS="header" WIDTH="55">Access</TD><TD CLASS="header"
WIDTH="170">Attributes - Creat./mod. by</TD></TR>
<xsl:if test="/Object/@type!='Room'">
<xsl:for-each select="Object[@type='Exit' or @type='Room']">
<xsl:sort select="*[local-name()=/Object/sort-exits]"/>
<xsl:call-template name="show_object"/>
</xsl:for-each>
</xsl:if>
<xsl:for-each select="Object[@type='Container' or @type='Trashbin']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_container"/>
</xsl:for-each>
<xsl:for-each select="Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_document"/>
</xsl:for-each>
<xsl:for-each select="Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']">
<xsl:sort select="*[local-name()=/Object/sort-objects]"/>
<xsl:call-template name="show_object"/>
</xsl:for-each>
<xsl:variable name="no_objects">
<xsl:choose>
<xsl:when test="count((Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']))=0">true</xsl:when>
<xsl:otherwise>false</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="$no_objects='false'">
<TR><TD>&nbsp;</TD><TD COLSPAN="6"><BR/><BR/><SPAN CLASS="text0sc">P=Public, r=read user, R=read everyone, w=write user, W=write everyone, () Room Administration</SPAN></TD></TR>
<TR><TD COLSPAN="7"><BR/><BR/><xsl:call-template name="take"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Last command: &gt; <I>
<xsl:choose>
<xsl:when test="$error='ok'">
<xsl:value-of select="$message"/>
</xsl:when>
<xsl:otherwise>
<font color="#FF0000"><A href="#" onClick="show_error('{$error}');"><xsl:value-of select="$message"/></A></font>
</xsl:otherwise>
</xsl:choose>
</I> &lt;<BR/><BR/><BR/></TD></TR>
</xsl:if>
<xsl:if test="$no_objects='true'">
<TR><TD COLSPAN="7"><BR/><BR/>
&nbsp;&nbsp;<B>... no Documents yet, press 'Upload' to bring in content   ...</B><BR/><BR/><BR/><BR/>
</TD></TR>
</xsl:if>
<xsl:if test="/Object/id!=/Object/user/id">
<TR><TD COLSPAN="7"><BR/><BR/>
<xsl:call-template name="drop"/>
</TD></TR>
</xsl:if>
</TABLE>
</xsl:when>

<xsl:when test="$browse='icons'">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser">
<TR><TD><IMG SRC="/images/nav_subline1b_785.gif" WIDTH="785" HEIGHT="21" BORDER="0" USEMAP="#subnav3"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header"><BR/>&nbsp; Objects/Documents</TD></TR>
<TR><TD><BR/>
<xsl:for-each select="Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']">
<xsl:sort select="name"/>
<xsl:choose>
<xsl:when test="@type='Document' and substring-before(content/mime-type, '/') = 'image'">
<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70"><A HREF="navimage.pike?object={id}&amp;type=image"><IMG SRC="/scripts/get.pike?object={id}&amp;xsize=32&amp;ysize=32" ALT="{name}" WIDTH="80"/></A>
<BR/><A HREF="navimage.pike?object={id}&amp;type=image" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:when>
<xsl:when test="@type='Document'">
<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70"><A HREF="/scripts/get.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}&amp;xsize=32&amp;ysize=32" ALT="{name}" border="0"/></A>
<BR/><A HREF="/scripts/get.pike?object={id}" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:when>
<xsl:otherwise>
<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" ALIGN="LEFT">
<TR VALIGN="TOP"><TD ALIGN="CENTER" WIDTH="70">
<A HREF="/scripts/navigate.pike?object={id}"><IMG SRC="/scripts/get.pike?object={icon/object/id}" WIDTH="32" HEIGHT="32" BORDER="0"/></A><BR/><A HREF="/scripts/navigate.pike?object={id}" CLASS="sub5url"><xsl:value-of select="name"/></A></TD></TR>
</TABLE>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position() mod 7 = 0"><BR CLEAR="ALL"/></xsl:if>
</xsl:for-each>
<BR CLEAR="ALL"/>

<xsl:variable name="no_objects">
<xsl:choose>
<xsl:when test="count((Object[@type='Container']|Object[@type='Document']|Object[@type='DocExtern']|Object[@type='DocLpc']|Object[@type='Object']|Object[@type='Link']|Object[@type='Messageboard']|Object[@type='Trashbin']))=0">true</xsl:when>
<xsl:otherwise>false</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:if test="$no_objects='true'">
&nbsp;&nbsp;<B>... no Documents yet, press 'Upload' to bring in content   ...</B>
</xsl:if>

<BR/><BR/><BR/><BR/><BR/>



</TD></TR>
<TR><TD>
<xsl:call-template name="drop"/>
</TD></TR>
</TABLE>
</xsl:when>

<xsl:otherwise>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="785" ALIGN="CENTER" CLASS="bgbrowser">
<TR><TD><IMG SRC="/images/nav_subline1c_785.gif" WIDTH="785" HEIGHT="21" BORDER="0" USEMAP="#subnav3"/></TD></TR>
<TR VALIGN="BOTTOM" CLASS="tabhead"><TD CLASS="header" WIDTH="785"><BR/>&nbsp; SVG-Viewer</TD></TR>
<TR><TD><iframe src="/scripts/svg.svg?object={$object}" width="785" height="450" marginheight="0" marginwidth="0" frameborder="0"/><BR/><BR/><BR/></TD></TR>
</TABLE>
</xsl:otherwise>
</xsl:choose>
</xsl:if>
</xsl:template>


</xsl:stylesheet>
