<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="obj"/>
<xsl:param name="room"><xsl:value-of select="/Object/path/path"/></xsl:param>
<xsl:param name="nav"/>
<xsl:param name="keywords"/>
<xsl:param name="topnavi"/>
<xsl:param name="nonavi">false</xsl:param>
<xsl:param name="notresult">true</xsl:param>
<xsl:param name="auth">notset</xsl:param>

<xsl:template name="header">
  <xsl:param name="shownavigation">
    <xsl:choose>
      <xsl:when test="$nonavi='false'">true</xsl:when>
      <xsl:otherwise>false</xsl:otherwise>
    </xsl:choose>
  </xsl:param>
  <xsl:param name="notresultpage">
    <xsl:choose>
      <xsl:when test="$notresult='true'">true</xsl:when>
      <xsl:otherwise>false</xsl:otherwise>
    </xsl:choose>
  </xsl:param>

<div id="masthead">
  <!-- Gennav und Adminnav in result.xsl, errors.xsl und notfound.xsl nicht einblenden -->
  <xsl:if test="$notresultpage='true'">
    <div id="gennav">
      <h6 class="off">{GLOBAL_LINKS}</h6>
      <ul>
        <li class="userdetails">
          <a href="/~{user/identifier}?type=details&amp;room={$room}" title="{HEADER_USERDETAILS_TOOLTIP}">
            <img class="usericon_small" src="/scripts/get.pike?object={user/icon/object/id}" alt=""/><br />
            <span class="off">{HEADER_USERDETAILS_OFF}</span><xsl:value-of select="user/name"/>
          </a>
        </li>
        <li>
          <a href="/scripts/navigate.pike?object={user/id}&amp;type=rucksack&amp;room={$room}" title="{HEADER_RUCKSACK_TOOLTIP}">
            <img class="inventory_big" src="/images/rucksack.gif" alt="" />
            <xsl:choose>
              <xsl:when test="/Object/user/inventory != '0'"><br />
				<span class="off">{HEADER_RUCKSACK_OFF_1}</span><xsl:value-of select="/Object/user/inventory"/><span class="off">{HEADER_RUCKSACK_OFF_2}</span>
              </xsl:when>
              <xsl:otherwise><span class="off">{HEADER_RUCKSACK_OFF_1}0{HEADER_RUCKSACK_OFF_2}</span>
              </xsl:otherwise>
            </xsl:choose>
          </a>
        </li>
        <li>
          <a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox" title="{HEADER_MAILBOX_TOOLTIP}">
            <xsl:choose>
              <xsl:when test="/Object/user/mailbox-size/unread != '0'">
                <img class="mailbox_big" src="/images/mailbox_full.gif" alt="" />
              </xsl:when>
              <xsl:otherwise>
                <img class="mailbox_big" src="/images/mailbox_empty.gif" alt="" />
              </xsl:otherwise>
            </xsl:choose>
            <br />
            <span class="off">{HEADER_MAILBOX_OFF}</span>
            <xsl:value-of select="/Object/user/mailbox-size/unread"/>&#160;<img src="/images/slash.gif" alt="" class="slash" /><!--/-->&#160;<xsl:value-of select="/Object/user/mailbox-size/messages"/>
          </a>
        </li>
        <li>
          <a href="{/Object/user/workroom/Object/path}/" title="{HEADER_HOME_TOOLTIP}">
            <img class="home_big" src="/images/nach_hause.gif" alt="" />
            <br />
            <span class="off">{HEADER_HOME_OFF}</span>{HEADER_HOME}
          </a>
        </li>
      </ul>
    </div>

<div id="steamlogo">
<img src="/images/kopfleiste_relative.jpg" alt="{HEADER_LOGO_ALT}" />
    <h6 class="off">{ADMIN_LINKS}</h6>
    <ul><!-- id="adminnav" -->
      <xsl:choose>
		    <xsl:when test="$language='german'"><xsl:attribute name="id">adminnav_de</xsl:attribute></xsl:when>
		    <xsl:otherwise><xsl:attribute name="id">adminnav</xsl:attribute></xsl:otherwise>
      </xsl:choose>
      <xsl:if test="/Object/user/admin='true'">
        <li>[<a href="/scripts/admin.pike?nonavi=true&amp;room={$room}" title="{HEADER_ADMIN_TOOLTIP}">{HEADER_ADMIN}</a>]</li>
        <xsl:if test="$auth != 'cookie'">
          <li>[<a href="/scripts/login.pike" title="{RELOGIN_TOOLTIP}">{RELOGIN}</a>]</li>
        </xsl:if>
      </xsl:if>
      <li>
        <xsl:choose>
          <xsl:when test="$auth = 'cookie'">
            <li>[<a href="http://{$web_server}:{$web_port}/scripts/browser.pike?_action=logout&amp;method=cookie" title="{HEADER_LOGOUT_TOOLTIP}">{HEADER_LOGOUT}</a>]</li>
          </xsl:when>
          <xsl:otherwise>
            <li>[<a href="/scripts/browser.pike?_action=logout&amp;method=http" title="{HEADER_LOGOUT_TOOLTIP}">{HEADER_LOGOUT}</a>]</li>
          </xsl:otherwise>
        </xsl:choose>
      </li>
    </ul>
</div>  
</xsl:if>


</div>

<hr />

<!-- Obere Reiterleiste in einigen Faellen nicht einblenden (zB invite und Server administrieren) -->
<xsl:if test="$shownavigation='true'">
<div id="primnav" class="tabnav">
  <form id="quicksearch" name="quicksearch" action="/scripts/browser.pike" onsubmit="return check_searchfield(document.quicksearch)">
    <fieldset>
      <input type="hidden" name="id" value="{id}" />
      <input type="hidden" name="_action" value="search" />
      <input type="hidden" name="room" value="{$room}" />
      <label class="off" for="quickkeywords">{KEYWORDS}:</label>
      <input accesskey="{ACCESSIBILITY_ACCESS_KEY_4}" type="text" size="15" maxlength="40" id="quickkeywords" name="keywords" value="{KEYWORDS}" onfocus="set_searchfield(document.quicksearch)" />
      <input type="submit" value="{SEARCH}" />
    </fieldset>
  </form>

  <hr />

  <h6 class="off">{PRIMARY_NAVIGATION}</h6>
  <ul>
    <li>
      <xsl:if test="$topnavi='navigation'">
        <xsl:attribute name="class">current</xsl:attribute>
      </xsl:if>
      <a href="{$room}" title="{HEADER_NAVIGATION_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_navigation.gif" alt="" />{HEADER_NAVIGATION_ALT}</a>
    </li>
    <xsl:choose>
      <xsl:when test="count(/Object/properties/searchsupportmodule/object) > 0">
        <li>
          <xsl:if test="$topnavi='search'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/packages/search/package:search" title="{HEADER_SEARCH_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_suche.gif" alt="" />{HEADER_SEARCH_ALT}</a>
        </li>
      </xsl:when>
      <xsl:otherwise>
        <li>
          <xsl:if test="$topnavi='search'">
            <xsl:attribute name="class">current</xsl:attribute>
          </xsl:if>
          <a href="/scripts/browser.pike?_action=search&amp;keywords=suchbegriffbitteeingeben&amp;room={$room}&amp;_perform=new_search" title="{HEADER_SEARCH_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_suche.gif" alt="" />{HEADER_SEARCH_ALT}</a>
        </li>
      </xsl:otherwise>
    </xsl:choose>
    <li>
      <xsl:if test="$topnavi='rucksack'">
        <xsl:attribute name="class">current</xsl:attribute>
      </xsl:if>
      <a href="/scripts/navigate.pike?object={user/id}&amp;type=rucksack&amp;room={$room}" title="{HEADER_RUCKSACK_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_rucksack.gif" alt="" />{HEADER_RUCKSACK_ALT}</a>
    </li>
    <li>
      <xsl:if test="$topnavi='mailbox'">
        <xsl:attribute name="class">current</xsl:attribute>
      </xsl:if>
      <a href="/scripts/navigate.pike?object={user/id}&amp;room={$room}&amp;type=mailbox" title="{HEADER_MAILBOX_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_mailbox.gif" alt="" />{HEADER_MAILBOX_ALT}</a>
    </li>
    <li>
      <xsl:if test="$topnavi='groups'">
        <xsl:attribute name="class">current</xsl:attribute>
      </xsl:if>
      <a href="/scripts/groups.pike?room={$room}" title="{HEADER_GROUPS_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_gruppen.gif" alt="" />{HEADER_GROUPS_ALT}</a>
    </li>
    <xsl:if test="count(/Object/properties/calendarmodule/object) > 0 and count(/Object/properties/user/calendar/object/id)>0">
      <li>
        <xsl:if test="$topnavi='calendar'">
          <xsl:attribute name="class">current</xsl:attribute>
        </xsl:if>
        <a href="/scripts/navigate.pike?object={/Object/properties/user/calendar/object/id}&amp;type=calendar&amp;room={$room}" title="{HEADER_CALENDAR_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_calendar.gif" alt="" />{HEADER_CALENDAR_ALT}</a>
      </li>
    </xsl:if>
    <xsl:if test="count(/Object/properties/surveillancemodule/object) > 0">
      <li>
        <xsl:if test="$topnavi='observation'">
          <xsl:attribute name="class">current</xsl:attribute>
        </xsl:if>
        <a href="{$room}?room={$room}&amp;type=observation" title="{HEADER_OBSERVE_TOOLTIP}"><img class="tabicon" src="/images/tabnav_icon_observation.gif" alt="" />{HEADER_OBSERVE_ALT}</a>
      </li>
    </xsl:if>
  </ul>
</div>
</xsl:if>

</xsl:template>
</xsl:stylesheet>