<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:template name="show_trail_mapview">
<h1><img class="positionicon" src="/scripts/get.pike?object={icon/object/id}" alt=""/>
	<xsl:choose>
		<xsl:when test="@type='Trashbin'">
			{CONTENT_TRASHBIN_NAME}
		</xsl:when>
		<xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
			print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
			//]]&gt;&lt;/script&gt;</xsl:text>			
		</xsl:otherwise>
    </xsl:choose>
</h1>

<p>{PATH}:
<xsl:for-each select="path/object">
  <xsl:choose>
    <xsl:when test="name=''">/<a href="/">root-room</a>/</xsl:when>
    <xsl:when test="name='trashbin'"><a href="{path}">{CONTENT_TRASHBIN_NAME}</a>/</xsl:when>
    <xsl:otherwise><a href="{path}"><xsl:value-of select="name"/></a>/</xsl:otherwise>
  </xsl:choose>
</xsl:for-each>
  <xsl:choose>
    <xsl:when test="name='trashbin'">{CONTENT_TRASHBIN_NAME}</xsl:when>
    <xsl:otherwise><xsl:value-of select="name_nouml"/></xsl:otherwise>
  </xsl:choose>
</p>

<xsl:if test="owner/object/@type='Group'">
  <p>{OWNER}:
  <a href="/scripts/navigate.pike?object={owner/object/id}&amp;room={$room}"><xsl:value-of select="owner/object/name"/></a></p>
</xsl:if>
</xsl:template>


<xsl:template name="group_header">
  <h1>
    <xsl:call-template name="show_trail_position"><xsl:with-param name="text">&#160;{GROUP_GROUP}:
    <xsl:choose>
      <xsl:when test="name=''">{GROUP_UNKNOWN}</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="name"/>
      </xsl:otherwise>
    </xsl:choose>
</xsl:with-param>
    <xsl:with-param name="posicon">false</xsl:with-param></xsl:call-template>
  </h1>

  <p>
    {GROUP_NUMBEROFMEMBERS}: <xsl:value-of select="count(members/Object[@type='User'])"/>, {GROUP_NUMBEROFSUBGROUPS}: <xsl:value-of select="count(members/Object[@type='Group'])" /> ,
    <a href="{workroom/object/path}">{GROUP_WORKAREA}</a>
    <xsl:if test="count(fathergroups/Object) > 0">, {GROUP_SUBGROUPOF}
      <xsl:for-each select="fathergroups/Object">
        <a href="/groups/{URL}?&amp;room={$room}"><xsl:value-of select="name"/></a>&#160;
      </xsl:for-each>
    </xsl:if>
  </p>

  <p><a class="mainurl" href="/scripts/groups.pike?room={$room}"><img class="arrowleft_groups" src="/images/arrow_left_small.gif" alt=""/><span class="linkunderline">{GROUP_BACKTOVERVIEW}</span></a></p>
  <!--<p>&#60;&#60; <a href="/scripts/groups.pike?room={$room}">{GROUP_BACKTOVERVIEW}</a></p>-->

  <xsl:call-template name="nav2"/>
</xsl:template>


<xsl:template name="show_trail_shortername">
<xsl:param name="text"/>
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
  print_shortername("</xsl:text><xsl:value-of select="$text"/><xsl:text disable-output-escaping="yes">");
  //]]&gt;&lt;/script&gt;</xsl:text>			
</xsl:template>


<xsl:template name="show_trail_position">
<xsl:param name="iconpath">notset</xsl:param>
<xsl:param name="shortername">false</xsl:param>
<xsl:param name="text"/>
<xsl:param name="posicon">true</xsl:param>


<xsl:variable name="effective_iconpath"><xsl:choose><xsl:when test="$iconpath!='notset'"><xsl:value-of select="$iconpath"/></xsl:when><xsl:when test="count(icon/object/id)>0">/scripts/get.pike?object=<xsl:value-of select="icon/object/id"/></xsl:when><xsl:otherwise>notset</xsl:otherwise>
</xsl:choose></xsl:variable>

  <xsl:if test="$effective_iconpath != 'notset'">
    <img src="{$effective_iconpath}" alt="">
      <xsl:choose>
        <xsl:when test="$posicon = 'true'">
          <xsl:attribute name="class">positionicon</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="class">positioniconpublic</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
    </img>
  </xsl:if>
  <xsl:choose>
    <xsl:when test="$shortername='true'">
      <xsl:call-template name="show_trail_shortername">
        <xsl:with-param name="text"><xsl:value-of select="$text"/></xsl:with-param>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$text"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="show_trail">
<h1>
<xsl:call-template name="show_trail_position">
  <xsl:with-param name="text">
    <xsl:choose>
      <xsl:when test="@type='Trashbin'">
        {CONTENT_TRASHBIN_NAME}
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="name"/>			
      </xsl:otherwise>
    </xsl:choose>
  </xsl:with-param>
</xsl:call-template>
</h1>

<h6 class="off">{TRAIL}</h6>
<ul id="trail">
  <xsl:for-each select="user/trail/array/object">
    <xsl:variable name="mypath"><xsl:choose><xsl:when test="starts-with(path, '/void')" >/scripts/navigate.pike?object=<xsl:value-of select="id" /></xsl:when><xsl:otherwise ><xsl:value-of select="path" /></xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:choose>
      <xsl:when test="position()!=last()">
      <li>
        <xsl:if test="position()='1'">
          <xsl:attribute name="class">first</xsl:attribute>
        </xsl:if>
        <xsl:if test="position()!='1'">
          <xsl:attribute name="class">middle</xsl:attribute>
          <img class="feeticon" src="/images/feet_small.gif" alt="" />
        </xsl:if>
        <a href="{$mypath}"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
          print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      </li>
      </xsl:when>
      <xsl:otherwise>
      <li class="last">
        <img class="feetstopicon" src="/images/feet_small_stop.gif" alt=""/>
        <a href="{$mypath}"><xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
          print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
//]]&gt;&lt;/script&gt;</xsl:text></a>
      </li>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>
</ul>

<p>{PATH}:
<xsl:for-each select="path/object">
  <xsl:variable name="mypath2"><xsl:choose><xsl:when test="starts-with(path, '/void')" >/scripts/navigate.pike?object=<xsl:value-of select="id" /></xsl:when><xsl:otherwise ><xsl:value-of select="path" /></xsl:otherwise></xsl:choose></xsl:variable>
  <xsl:choose>
    <xsl:when test="name=''">/<a href="/">root-room</a>/</xsl:when>
    <xsl:when test="name='trashbin'"><a href="{$mypath2}">{CONTENT_TRASHBIN_NAME}</a>/</xsl:when>
    <xsl:otherwise><a href="{path}"><xsl:value-of select="name"/></a>/</xsl:otherwise>
  </xsl:choose>
</xsl:for-each>
  <xsl:choose>
    <xsl:when test="name='trashbin'">{CONTENT_TRASHBIN_NAME}</xsl:when>
    <xsl:otherwise><xsl:value-of select="name_nouml"/></xsl:otherwise>
  </xsl:choose>
</p>

<xsl:if test="owner/object/@type='Group'">
  <p>{OWNER}:
  <a href="/scripts/navigate.pike?object={owner/object/id}&amp;room={$room}"><xsl:value-of select="owner/object/name"/></a></p>
</xsl:if>

</xsl:template>

</xsl:stylesheet>
