<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:param name="web_server"/>
<xsl:param name="web_port_http"/>
<xsl:param name="web_port"/>
<xsl:param name="web_mount"/>
<xsl:param name="domain"/>
<xsl:param name="map">navigation</xsl:param>
<xsl:param name="back">no</xsl:param>
<xsl:param name="client">undefined</xsl:param>

<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:include href="steam://stylesheets/steam_header.xsl"/>
<xsl:include href="steam://stylesheets/browsercss2.xsl"/>

<xsl:template match="Object">
<html>
  <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
      <meta http-equiv="expires" content="0"/>
      <title><xsl:value-of select="title"/> | sTeam</title>
    <xsl:value-of select="head" disable-output-escaping="yes"/>
      <xsl:call-template name="browsercss"/>
  </head>
  <body id="url"> 
    <div id="container">
      <xsl:call-template name="header"><xsl:with-param name="shownavigation">false</xsl:with-param></xsl:call-template>
      <div id="content">
        <div id="maincontent">
          <xsl:apply-templates select="sites"/>
        </div>
      </div>
    </div>
  </body>
</html>
</xsl:template>

<xsl:template match="sites">
<br />
<h1>List of registered URIs on sTeam Server</h1><br />
<br />
<table width="100%" cellpadding="0" cellspacing="0">
  <tr>
    <td align="left"><b>{URL_URL}</b>
    </td>
    <td align="left"><b>{URL_OBJECT}</b>
    </td>
    <td align="left"><b>{URL_PROPERTIES}</b>
    </td>
  </tr>
  <xsl:for-each select="site">
      <xsl:if test="starts-with(.,'/')">
        <tr>
          <td height="20" align="left">
            <a href="http://{$web_server}:{$web_port}{url}"><xsl:value-of select="url"/></a>
          </td>
          <td height="20" align="left">
            <a href="/scripts/navigate.pike?object={id}">
              <xsl:choose>
                <xsl:when test="count(path)>0">
                  <xsl:value-of select="path"/>
                </xsl:when>
                <xsl:otherwise>
                  {URL_SOURCEBYID}
                </xsl:otherwise>
              </xsl:choose>
            </a>
          </td>
          <td height="20" align="left">
            <a href="/scripts/navigate.pike?object={id}&amp;type=details"><img border="0" src="/images/icon_infos.gif" height="20"/></a>
          </td>
        </tr>
      </xsl:if>
  </xsl:for-each>
</table>
</xsl:template>

</xsl:stylesheet>









