<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" encoding="utf-8"/>

<xsl:param name="object">undefined</xsl:param>
<xsl:param name="host">undefined</xsl:param>
<xsl:param name="user_id">undefined</xsl:param>
<xsl:param name="user_name">undefined</xsl:param>
<xsl:param name="admin">false</xsl:param>
<xsl:param name="selection">undefined</xsl:param>
<xsl:param name="port_http">undefined</xsl:param>
<xsl:param name="port_ftp">undefined</xsl:param>
<xsl:param name="path">/</xsl:param>
<xsl:param name="show">members</xsl:param>
<xsl:param name="mode">user</xsl:param>
<xsl:param name="client">undefined</xsl:param>
<xsl:param name="domain"/>
<xsl:param name="language"/>

<xsl:include href="steam://stylesheets/browsercss2.xsl"/>
<xsl:include href="steam://stylesheets/footer.xsl"/>
<xsl:include href="steam://stylesheets/include_methods.xsl"/>


<xsl:template name="show_cssconfig">
<fieldset class="hidden">
  <!-- helper field: will be filled by javascript by pressing "submit" -->
  <input type="hidden" name="stylesheet_user_selected" value="" />
</fieldset>

<a accesskey="{ACCESSIBILITY_ACCESS_KEY_2}"></a><h1>{USERDETAILS_CSSCONFIG} <xsl:value-of select="/Object/name"/></h1>

<p>&lt;&lt; <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup">{USERDETAILS_BACKTODETAILS}</a></p>

    <xsl:for-each select="/Object/css_styles/Object/style[count(displayname)>0]">
      <xsl:sort select="displayname"/>
      <fieldset>
        <p class="desc">
          <xsl:choose>
            <xsl:when test="count(description[@language=$language]) > 0">
              <xsl:value-of select="description[@language=$language]"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="description[@language='english']"/>
            </xsl:otherwise>
          </xsl:choose>
        </p>

        <p>
        <xsl:choose>
          <xsl:when test="stylesheet=/Object/css_style/Object/path or (displayname='default' and count(/Object/css_style/Object/path)=0)">
            <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" checked="checked" />
          </xsl:when>
          <xsl:otherwise>
            <input type="radio" id="selected_stylesheet_{stylesheet}" name="selected_stylesheet" value="{stylesheet}" />
          </xsl:otherwise>
        </xsl:choose>
        <label for="selected_stylesheet_{stylesheet}">&#160;<xsl:value-of select="displayname"/></label>
        (<xsl:value-of select="stylesheet"/>)
        </p>
      </fieldset>
    </xsl:for-each>

    <fieldset>
      <p class="desc">{USERDETAILS_CSSCONFIG_USERDEFINED_DESCRIPTION}</p>

      <p>
      <xsl:choose>
        <xsl:when test="count(/Object/css_styles/Object/style[stylesheet=/Object/css_style/Object/path]) = 0 and count(/Object/css_style/Object/path) > 0 and /Object/css_style/Object/path != ''">
          <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" checked="checked" />
        </xsl:when>
        <xsl:otherwise>
          <input type="radio" id="selected_stylesheet_userdefined" name="selected_stylesheet" value="userdefined" />
        </xsl:otherwise>
      </xsl:choose>
      <label for="selected_stylesheet_userdefined">{USERDETAILS_CSSCONFIG_USERDEFINED}:</label>
      <input type="text" id="userdefined_stylesheet" name="userdefined_stylesheet" size="33" maxlength="255" value="{/Object/css_style/Object/path}" />
      </p>
    </fieldset>

    <fieldset>
      <p class="update">
        <input type="button" value="{USERDETAILS_CSSCONFIG_UPDATE}" onclick="update_css_details(this.form);" />
      </p>
    </fieldset>

</xsl:template>


<xsl:template name="show_buddylistconfig">
<fieldset class="hidden">
  <input type="hidden" name="_performdesc" value="Add selected Users to Buddylist" />
  <input type="hidden" name="_context" value="{$object}" />
  <input type="hidden" name="filter_class" value="User" />
  <input type="hidden" name="nav" value="groups" />
</fieldset>

<h1>{USERDETAILS_BUDDYLIST_BUDDYLIST} <xsl:value-of select="/Object/name"/></h1>

<p>&lt;&lt; <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup">{USERDETAILS_BACKTODETAILS}</a></p>

<xsl:choose>
  <xsl:when test="count(/Object/buddylist/array/object)=0">
    <p>{USERDETAILS_BUDDYLISTCONFIG_EMPTY}</p>
  </xsl:when>

  <xsl:otherwise>
    <ul id="buddies">
      <xsl:for-each select="/Object/buddylist/array/object">
        <li>
          <span class="buddyname"><a href="javascript:open_userdetails('{id}')" title="{NEW_WINDOW} {USERDETAILS_USER_OPENPROFILE}"><xsl:value-of select="name"/></a></span>
          <span class="buddyaction">
            (<a href="/scripts/browser.pike?object={$object}&amp;type=user_details_popup&amp;mode=buddylistconfig&amp;_action=removebuddy&amp;buddy1={id}&amp;_script=/scripts/navigate.pike&amp;id={$object}" title="{USERDETAILS_BUDDYLIST_REMOVE}"> - </a>)
          </span>
        </li>
      </xsl:for-each>
    </ul>
  </xsl:otherwise>
</xsl:choose>

<fieldset class="grid">
  <p>
    <label class="grid" for="keywords_addbuddy">{USERDETAILS_BUDDYLIST_ADD_SEARCHUSERS}:</label>
    <input type="hidden" name="_perform" value=""/>
    <input type="text" size="15" id="keywords_addbuddy" name="keywords_addbuddy" />
    <input type="button" value="{USERDETAILS_BUDDYLIST_ADD_SEARCH}" onclick="javascript:check_addbuddy(browser);" />
  </p>

  <p>
    <input type="checkbox" id="quicksearch" name="quicksearch" value="longsearch" title="{USERDETAILS_BUDDYLIST_QUICKSEARCH_HELP}" />
    <label for="quicksearch">{USERDETAILS_BUDDYLIST_QUICKSEARCH}</label>
  </p>
</fieldset>
</xsl:template>


<xsl:template name="show_mailconfig">
<h1>{USERDETAILS_MAILCONFIG_MAILCONFIG} <xsl:value-of select="/Object/name"/></h1>

<p>&lt;&lt; <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup">{USERDETAILS_BACKTODETAILS}</a></p>

<h2>{USERDETAILS_MAILCONFIG_MAIL}</h2>

<fieldset class="grid">
  <p class="desc">
    <xsl:call-template name="print_helptext"><xsl:with-param name="short">{USERDETAILS_MAILCONFIG_MAIL_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{USERDETAILS_MAILCONFIG_MAIL_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template>
  </p>

  <p>
    <label class="grid" for="user_email">{USERDETAILS_MAILCONFIG_MAINEMAIL}:</label>
    <input type="text" id="user_email" name="user_email" value="{attributes/attribute[key/string='USER_EMAIL']/data/string}" size="35" maxlength="128" />
  </p>
</fieldset>

<xsl:if test="forward=1">
  <h2>{USERDETAILS_MAILCONFIG_FORWARDADRESSES}</h2>

  <ul id="fwdadresses">
    <xsl:for-each select="/Object/forwardadresses/array/string">
      <xsl:if test="string(/Object/email) != string(.)">
        <li>
          <span class="fwdaddress"><xsl:value-of select="."/></span>
          <span class="fwdaction"><input type="button" value="{USERDETAILS_MAILCONFIG_REMOVEFORWARD}" onclick="remove_forward(browser, '{.}');" /></span>
        </li>
      </xsl:if>
    </xsl:for-each>
  </ul>

  <fieldset class="grid">
    <p class="desc">
      <xsl:call-template name="print_helptext"><xsl:with-param name="short">{USERDETAILS_MAILCONFIG_ADDFORWARD_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{USERDETAILS_MAILCONFIG_ADDFORWARD_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template>
    </p>

    <p>
      <label class="grid" for="newforward">{USERDETAILS_MAILCONFIG_ADDFORWARD}:</label>
      <input type="text" id="newforward" name="newforward" size="35" maxlength="128" />
      <input type="button" value="{USERDETAILS_MAILCONFIG_ADDFORWARD}" onclick="add_forward(browser);" />
    </p>
  </fieldset>
</xsl:if>

<fieldset class="grid">
  <p class="desc">
    <xsl:call-template name="print_helptext"><xsl:with-param name="short">{USERDETAILS_MAILCONFIG_FORWARD_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{USERDETAILS_MAILCONFIG_FORWARD_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template>
  </p>

  <p>
    <xsl:choose>
      <xsl:when test="forward=1">
        <input type="checkbox" id="forward" name="forward" checked="checked" />
      </xsl:when>
      <xsl:otherwise>
        <input type="checkbox" id="forward" name="forward" />
      </xsl:otherwise>
    </xsl:choose>
    <label for="forward">{FORWARD}</label>
  </p>

  <xsl:if test="forward=1">
    <p class="desc">
      <xsl:call-template name="print_helptext"><xsl:with-param name="short">{USERDETAILS_MAILCONFIG_LOCALCOPY_DEFINITION_SHORT}</xsl:with-param><xsl:with-param name="long"><xsl:text><![CDATA[{USERDETAILS_MAILCONFIG_LOCALCOPY_DEFINITION_LONG}]]></xsl:text></xsl:with-param></xsl:call-template>
    </p>
    <p>
      <xsl:choose>
        <xsl:when test="/Object/localcopy='true'">
          <input type="checkbox" id="localcopy" name="localcopy" checked="checked" />
        </xsl:when>
        <xsl:otherwise>
          <input type="checkbox" id="localcopy" name="localcopy" />
        </xsl:otherwise>
      </xsl:choose>
      <label for="localcopy">{USERDETAILS_MAILCONFIG_LOCALCOPY}</label>
    </p>
  </xsl:if>
</fieldset>

<fieldset class="grid">
  <p><input type="submit" value="{USERDETAILS_MAILCONFIG_UPDATE}" /></p>
</fieldset>
</xsl:template>


<xsl:template match="Object">
<html lang="{LANG}">

<head>
  <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
var language="</xsl:text><xsl:value-of select="$language"/><xsl:text disable-output-escaping="yes">";
//]]&gt;&lt;/script&gt;</xsl:text>
  <script type="text/javascript" src="/gui_js/main.js"></script>
  <script type="text/javascript" src="/gui_js/user_details.js"></script>
  <script type="text/javascript" src="/gui_js/mail.js"></script>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>{USERDETAILS_PAGETITLE} <xsl:value-of select="name"/> - sTeam</title>
  <xsl:call-template name="browsercss"/>
</head>

<body id="userdetails" class="popup" onload="center_frame(); request_focus();">

<div id="container">

<form name="browser" action="/scripts/browser.pike" method="post" enctype="multipart/form-data" onsubmit="return check_passwords(this)">
  <fieldset class="hidden">
    <input type="hidden" name="id" value="{id}" />
    <input type="hidden" name="object" value="{id}" />
    <input type="hidden" name="_action" value="user_details" />
    <input type="hidden" name="type" value="user_details_popup" />
    <input type="hidden" name="mode" value="{$mode}" />
    <input type="hidden" name="touser" value="{id}" />
    <input type="hidden" name="active_group" value="{/Object/active-group/object/id}" />
    <input type="hidden" name="user_language" value="{attributes/attribute[key/string='USER_LANGUAGE']/data/string}" />
    <input type="hidden" name="username" value="{attributes/attribute[key/string='OBJ_NAME']/data/string}" />
    <input type="hidden" name="removeforward" value=""/>
  </fieldset>

  <xsl:choose>
    <xsl:when test="$mode='cssconfig'">
      <xsl:call-template name="show_cssconfig"/>
    </xsl:when>
  
    <xsl:when test="$mode='buddylistconfig'">
      <xsl:call-template name="show_buddylistconfig"/>
    </xsl:when>

    <xsl:when test="$mode='mailconfig'">
      <xsl:call-template name="show_mailconfig"/>
    </xsl:when>

    <xsl:otherwise>
      <h1>
        <xsl:choose>
          <xsl:when test="$mode='image'">
            {USERDETAILS_IMAGE_UPLOADNEWIMAGE} <xsl:value-of select="attributes/attribute[key/string='OBJ_NAME']/data/string"/>
          </xsl:when>
          <xsl:when test="$mode='sendmail'">
            {USERDETAILS_SENDMAIL_SENDMAILTOUSER} <xsl:value-of select="attributes/attribute[key/string='OBJ_NAME']/data/string"/>
          </xsl:when>
          <xsl:otherwise>
            {USERDETAILS_DETAILSOF} <xsl:value-of select="attributes/attribute[key/string='OBJ_NAME']/data/string"/>
          </xsl:otherwise>
        </xsl:choose>
      </h1>

      <xsl:choose>
        <xsl:when test="$mode='image' or $mode='sendmail'">
          <p>&lt;&lt; <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup">{USERDETAILS_BACKTODETAILS}</a></p>
        </xsl:when>
      </xsl:choose>

      <fieldset class="grid" id="userdata">
        <div id="userimage">
          <xsl:choose>
            <xsl:when test="access/writeable/@user='true' and $mode!='image' and $mode!='sendmail'">
              <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup&amp;mode=image" title="{USERDETAILS_CHANGEICON}">
                <img src="/scripts/get.pike?object={attributes/attribute[key/string='OBJ_ICON']/data/object/id}" width="60" height="70" alt="{attributes/attribute[key/string='OBJ_NAME']/data/string}" />
              </a>
              <br />
              (<a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup&amp;mode=image" title="{USERDETAILS_CHANGEICON}">{USERDETAILS_CHANGEICON}</a>)
            </xsl:when>
            <xsl:otherwise>
              <img src="/scripts/get.pike?object={attributes/attribute[key/string='OBJ_ICON']/data/object/id}" width="60" height="70" alt="{attributes/attribute[key/string='OBJ_NAME']/data/string}" />
            </xsl:otherwise>
          </xsl:choose>
        </div>

        <xsl:choose>
          <xsl:when test="access/writeable/@user='true'">
            <p>
              <label class="grid" for="user_firstname">{USERDETAILS_FIRSTNAME}:</label>
              <xsl:choose>
                <xsl:when test="$mode='image' or $mode='sendmail'">
                  <span id="user_firstname"><xsl:value-of select="attributes/attribute[key/string='USER_FIRSTNAME']/data/string"/></span>
                </xsl:when>
                <xsl:otherwise>
                  <input type="text" id="user_firstname" name="user_firstname" value="{attributes/attribute[key/string='USER_FIRSTNAME']/data/string}" size="22" maxlength="40" />
                </xsl:otherwise>
              </xsl:choose>
            </p>

            <p>
              <label class="grid" for="user_name">{USERDETAILS_LASTNAME}:</label>
              <xsl:choose>
                <xsl:when test="$mode='image' or $mode='sendmail'">
                  <span id="user_name"><xsl:value-of select="attributes/attribute[key/string='USER_FULLNAME']/data/string"/></span>
                </xsl:when>
                <xsl:otherwise>
                  <input type="text" id="user_name" name="user_name" value="{attributes/attribute[key/string='USER_FULLNAME']/data/string}" size="22" maxlength="40" />
                </xsl:otherwise>
              </xsl:choose>
            </p>

            <p>
              <label class="grid" for="user_email">{USERDETAILS_MAILCONFIG_MAIL}:</label>
              <xsl:choose>
                <xsl:when test="$mode='image' or $mode='sendmail'">
                  <span id="user_email"><xsl:value-of select="attributes/attribute[key/string='USER_EMAIL']/data/string"/></span>
                </xsl:when>
                <xsl:otherwise>
                  <input type="text" id="user_email" name="user_email" value="{attributes/attribute[key/string='USER_EMAIL']/data/string}" size="22" maxlength="128" />
                </xsl:otherwise>
              </xsl:choose>
            </p>

            <p>
              <label class="grid" for="user_description" title="{DESCR_TOOLTIP}">{DESCR}:</label>
              <xsl:choose>
                <xsl:when test="$mode='image' or $mode='sendmail'">
                  <span id="user_description"><xsl:value-of select="attributes/attribute[key/string='OBJ_DESC']/data/string"/></span>
                </xsl:when>
                <xsl:otherwise>
                  <input type="text" id="user_description" name="user_description" value="{attributes/attribute[key/string='OBJ_DESC']/data/string}" size="22" maxlength="40" />
                </xsl:otherwise>
              </xsl:choose>
            </p>
          </xsl:when>

          <xsl:otherwise>
            <p>
              <label class="grid" for="user_name">{USERDETAILS_LASTNAME}:</label>
              <span id="user_name"><xsl:value-of select="attributes/attribute[key/string='USER_FULLNAME']/data/string"/></span>
            </p>

            <p>
              <label class="grid" for="user_firstname">{USERDETAILS_FIRSTNAME}:</label>
              <span id="user_firstname"><xsl:value-of select="attributes/attribute[key/string='USER_FIRSTNAME']/data/string"/></span>
            </p>

            <p>
              <label class="grid" for="user_email">{USERDETAILS_MAILCONFIG_MAIL}:</label>
              <span id="user_email">
                <xsl:choose>
                  <xsl:when test="attributes/attribute[key/string='USER_EMAIL']/data/string='hidden'">
                     <img src="/images/lines.gif" alt="{DATA_HIDDEN}" class="lines" />
                  </xsl:when>
                  <xsl:otherwise>
                    <a href="mailto:{attributes/attribute[key/string='USER_EMAIL']/data/string}">
                      <xsl:value-of select="attributes/attribute[key/string='USER_EMAIL']/data/string"/>
                    </a>
                  </xsl:otherwise>
                </xsl:choose>
              </span>
            </p>

            <p>
              <label class="grid" for="user_description">{DESCR}:</label>
              <span id="user_description">
                <xsl:choose>
                  <xsl:when test="attributes/attribute[key/string='OBJ_DESC']/data/string='hidden'">
                    <img src="/images/lines.gif" alt="{DATA_HIDDEN}" class="lines" />
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="attributes/attribute[key/string='OBJ_DESC']/data/string"/>
                  </xsl:otherwise>
                </xsl:choose>
              </span>
            </p>
          </xsl:otherwise>
        </xsl:choose>
      </fieldset>

      <xsl:if test="$mode='user'">
        <xsl:if test="/Object/user/Object/id!=/Object/id">
          <p>
            &gt;&gt;
            <a href="/scripts/navigate.pike?object={id}&amp;type=user_details_popup&amp;mode=sendmail">
              {USERDETAILS_SENDMAIL_SENDMAILTOUSER}
              <xsl:value-of select="attributes/attribute[key/string='OBJ_NAME']/data/string"/>
            </a>
          </p>

          <p>
            &gt;&gt;
            <xsl:choose>
              <xsl:when test="count(/Object/my_buddylist/array/object[id=/Object/id]) > 0">
                <a href="/scripts/browser.pike?object={id}&amp;type=user_details_popup&amp;_action=removebuddy&amp;buddy1={id}&amp;_script=/scripts/navigate.pike&amp;id={id}">{USERDETAILS_BUDDYLIST_REMOVE}</a>
              </xsl:when>
              <xsl:otherwise>
                <a href="/scripts/browser.pike?object={id}&amp;type=user_details_popup&amp;_action=addbuddy&amp;buddy1={id}&amp;_script=/scripts/navigate.pike&amp;id={id}">{USERDETAILS_BUDDYLIST_ADD}</a>
              </xsl:otherwise>
            </xsl:choose>
          </p>
        </xsl:if>



        <xsl:if test="count(groups/array/object)>0">
        <h2>{USERDETAILS_GROUPS}</h2>
        <p>{ACTIVE_MEMBER}</p>

          <fieldset class="grid">
            <p>
            <label class="grid" for="memberlist">{USERDETAILS_LABEL_GROUPS}:</label>
            <ul id="memberlist">
              <xsl:for-each select="/Object/groups/array/object">
                <li>
                  <xsl:choose>
                    <xsl:when test="id=/Object/active-group/object/id">
                      <xsl:choose>
                        <xsl:when test="string(/Object/access/writeable/@user)='true'">
                          <input type="radio" id="agroup{id}" name="agroup" value="{id}" checked="checked" />
                        </xsl:when>

                        <xsl:otherwise>
                          <input type="radio" id="agroup{id}" name="agroup" value="{id}" checked="checked" disabled="disabled" readonly="readonly" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:when>
                    

                    <xsl:otherwise>
                      <xsl:choose>
                        <xsl:when test="string(/Object/access/writeable/@user)='true'">
                          <input type="radio" id="agroup{id}" name="agroup" value="{id}" />
                        </xsl:when>

                        <xsl:otherwise>
                          <input type="radio" id="agroup{id}" name="agroup" value="{id}" disabled="disabled" readonly="readonly" />
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:otherwise>
                  </xsl:choose>
                  <label for="agroup{id}">
                    <a href="javascript:open_group('{id}');" title="{NEW_WINDOW} {USERDETAILS_SHOWGROUP}">
                      <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
  print_shortername("</xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">");
  //]]&gt;&lt;/script&gt;</xsl:text>
                    </a>
                  </label>
                </li>
              </xsl:for-each>
            </ul>
            </p>
          </fieldset>
        </xsl:if>

        <!--
        <xsl:if test="user/id!=id">
          <p>&gt;&gt; <a href="javascript:open_groups();">{REQUEST}</a></p>
        </xsl:if>
        -->

	<h2>{USERDETAILS_LOGOUTDATA}</h2>
        <fieldset class="grid">
          <p>
            <label class="grid" for="lastlogin">{LASTLOGIN}:</label>
            <span id="lastlogin">
              <xsl:text disable-output-escaping="yes">&lt;script type="text/javascript"&gt;//&lt;![CDATA[
  var datum=get_date("</xsl:text><xsl:value-of select="attributes/attribute[key/string='USER_LAST_LOGIN']/data/int"/><xsl:text disable-output-escaping="yes">"); document.write(datum);
  //]]&gt;&lt;/script&gt;</xsl:text>
            </span>
          </p>

          <p>
            <label class="grid" for="logout" title="{LOGOUT_TOOLTIP}">{LOGOUT}:</label>
            <span id="logout">
              <xsl:choose>
                <xsl:when test="attributes/attribute[key/string='USER_LOGOUT_PLACE']/data/object/name != ''">
                  <xsl:value-of select="attributes/attribute[key/string='USER_LOGOUT_PLACE']/data/object/name"/>
                </xsl:when>
                <xsl:otherwise>
                  <img src="/images/lines.gif" alt="{LOGOUT_NO_PLACE}" class="lines" />
                </xsl:otherwise>
              </xsl:choose>
            </span>
          </p>

          <p>
            <label class="grid" for="user_quota" title="{USERDETAILS_QUOTA_TOOLTIP}">{USERDETAILS_QUOTA}:</label>
            <span id="user_quota" title="{/Object/usage} {INCLUDEMETHODS_BYTE} {USERDETAILS_FROM} {/Object/maxusage} {INCLUDEMETHODS_BYTE}">
              <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="/Object/usage"/></xsl:with-param></xsl:call-template>
              <xsl:choose>
                <xsl:when test="/Object/maxusage=-1">
                  {USERDETAILS_QUOTA_NOMAXQUOTA}
                </xsl:when>
                <xsl:otherwise>
                  {USERDETAILS_FROM}
                  <xsl:call-template name="show_size"><xsl:with-param name="size"><xsl:value-of select="/Object/maxusage"/></xsl:with-param></xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </span>
          </p>
        </fieldset>

		<h2>{USERDETAILS_SETTINGS}</h2>
        <fieldset class="grid">
          <p>
            <xsl:choose>
              <xsl:when test="forward=1">
                <xsl:choose>
                  <xsl:when test="string(access/writeable/@user)='true'">
                    <input type="checkbox" id="forward" name="forward" checked="checked" />
                  </xsl:when>
                  <xsl:otherwise>
                    <input type="checkbox" id="forward" name="forward" checked="checked" disabled="disabled" readonly="readonly" />
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="string(access/writeable/@user)='true'">
                    <input type="checkbox" id="forward" name="forward" />
                  </xsl:when>
                  <xsl:otherwise>
                    <input type="checkbox" id="forward" name="forward" disabled="disabled" readonly="readonly" />
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
            <label for="forward">{FORWARD}</label>
          </p>

          <xsl:if test="string(access/writeable/@user)='true'">
            <p>
              <a href="/scripts/navigate.pike?object={$object}&amp;type=user_details_popup&amp;mode=mailconfig">{USERDETAILS_MAILCONFIG_OPENMAILCONFIG}</a>
            </p>
            <p>
              <a href="/scripts/navigate.pike?object={$object}&amp;type=user_details_popup&amp;mode=buddylistconfig">{USERDETAILS_BUDDYLISTCONFIG_OPENBUDDYLISTCONFIG}</a>
            </p>
            <p>
              <a href="/scripts/navigate.pike?object={$object}&amp;type=user_details_popup&amp;mode=cssconfig">{USERDETAILS_CSSCONFIG_OPENCSSCONFIG}</a>
            </p>
            </xsl:if>

          <p>
            <xsl:choose>
              <xsl:when test="launcher=1">
                <xsl:choose>
                  <xsl:when test="string(access/writeable/@user)='true'">
                    <input type="checkbox" id="launcher" name="launcher" checked="checked" />
                  </xsl:when>
                  <xsl:otherwise>
                    <input type="checkbox" id="launcher" name="launcher" checked="true" disabled="disabled" readonly="readonly" />
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="string(access/writeable/@user)='true'">
                    <input type="checkbox" id="launcher" name="launcher"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <input type="checkbox" id="launcher" name="launcher" disabled="disabled" readonly="readonly" />
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
            <label for="launcher">{LAUNCHER}</label>
          </p>
        </fieldset>

        <xsl:if test="string(access/writeable/@user)='true'">
          <h2>{USERDETAILS_LANGUAGE}</h2>
          <p>{USERDETAILS_LANGUAGE_DESCRIPTION}</p>

          <fieldset class="grid">
            <p>
              <input type="radio" id="alanguageen" name="alanguage" value="english">
                <xsl:if test="attributes/attribute[key/string='USER_LANGUAGE']/data/string='english'">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
              <label for="alanguageen">{USERDETAILS_ENGLISH}</label>
            </p>
            <p>
              <input type="radio" id="alanguagede" name="alanguage" value="german">
                <xsl:if test="attributes/attribute[key/string='USER_LANGUAGE']/data/string='german'">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
              <label for="alanguagede">{USERDETAILS_GERMAN}</label>
            </p>
            <p>
              <input type="radio" id="alanguagezn" name="alanguage" value="chinese">
                <xsl:if test="attributes/attribute[key/string='USER_LANGUAGE']/data/string='chinese'">
                  <xsl:attribute name="checked">checked</xsl:attribute>
                </xsl:if>
              </input>
              <label for="alanguagezn">{USERDETAILS_CHINESE}</label>
            </p>
          </fieldset>
        </xsl:if>

        <h2><label for="user_adress">{CONTACT}</label></h2>
		<p>{CONTACT_DESCRIPTION}</p>

        <fieldset class="grid">
          <p>            
            <xsl:choose>
              <xsl:when test="access/writeable/@user='true'">
                <textarea id="user_adress" name="user_adress" rows="5" cols="27">
                  <xsl:value-of select="attributes/attribute[key/string='USER_ADRESS']/data/string"/>
                </textarea>
              </xsl:when>
              <xsl:otherwise>
                <span id="user_adress">
                  <xsl:choose>
                    <xsl:when test="attributes/attribute[key/string='USER_ADRESS']/data/string=''">
                      {CONTACT_NODATA}
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="attributes/attribute[key/string='USER_ADRESS']/data/string"/>
                    </xsl:otherwise>
                  </xsl:choose>
                </span>
              </xsl:otherwise>
            </xsl:choose>
          </p>
        </fieldset>

        <xsl:if test="access/writeable/@user='true' and (count(/Object/groups/array/object[name ='DemoUser']) = 0)">
          <h2>{USERDETAILS_PW}</h2>

          <fieldset class="grid">
            <p>
              <label class="grid" for="old_password" title="{USERDETAILS_PW_TOOLTIP}">{USERDETAILS_PW_NOW}:</label>
              <input type="password" id="old_password" name="old_password" size="12" />
            </p>

            <p>
              <label class="grid" for="new_password" title="{USERDETAILS_PW_NEW_TOOLTIP}">{USERDETAILS_PW_NEW}:</label>
              <input type="password" id="new_password" name="new_password" size="12" />
              <span class="infotext">{USERDETAILS_PW_MAXLENGTH}</span>
            </p>

            <p>
              <label class="grid" for="confirm_password">{USERDETAILS_PW_CONFIRM}:</label>
              <input type="password" id="confirm_password" name="confirm_password" size="12" />
            </p>
          </fieldset>

          <fieldset class="grid">
            <p>
              <input type="submit" value="{USERDETAILS_UPDATE}" />
            </p>
          </fieldset>
        </xsl:if>
      </xsl:if>


      <xsl:if test="$mode='sendmail'">
        <h2>{USERDETAILS_SENDMAIL_MESSAGE}</h2>

        <p>{USERDETAILS_SENDMAIL_INFO}</p>

        <fieldset class="grid">
          <p>
            <label class="grid" for="messagesubject">{USERDETAILS_SENDMAIL_SUBJECT}:</label>
            <input type="text" id="messagesubject" name="messagesubject" size="38" maxlength="30" />
          </p>

          <p>
            <label class="grid" for="messagebody">{USERDETAILS_SENDMAIL_MESSAGE}:</label>
            <textarea id="messagebody" name="messagebody" rows="8" cols="28" />
          </p>

          <p>
            <label class="grid" for="annotfile">{USERDETAILS_SENDMAIL_ATTACHEMENT}:</label>
            <input type="file" id="annotfile" name="annotfile" size="20" />
            <span class="infotext">{USERDETAILS_SENDMAIL_ATTACHEMENT_INFO}</span>
          </p>

          <p>
            <input type="button" value="{USERDETAILS_SEND}" onclick="check_sendmail(this.form);" />
          </p>
        </fieldset>
      </xsl:if>


      <xsl:if test="$mode='requests'">
        <h2>{USERDETAILS_GROUP_REQUESTS}</h2>

        <p><label for="groups">{MEMBER}:</label></p>

        <ul id="groups">
          <xsl:for-each select="groups/array/object">
            <li><xsl:value-of select="name"/></li>
          </xsl:for-each>
        </ul>

        <fieldset class="grid">
          <label class="grid" for="memberlist"><strong><xsl:value-of select="name"/></strong> {USERDETAILS_REQUESTED}:</label>

          <ul id="memberlist">
            <xsl:for-each select="memberlist/groups/group[member='false']|memberlist/groups/group[member='requested']">
              <li>
                <xsl:if test="member='requested'">
                  <input type="checkbox" id="request{@id}" name="request" value="{@id}" checked="checked" />
                </xsl:if>
                <xsl:if test="member='false'">
                  <input type="checkbox" id="request{@id}" name="request" value="{@id}" />
                </xsl:if>
                <label for="request{@id}"><xsl:value-of select="@name"/></label>
              </li>
            </xsl:for-each>
          </ul>

          <p>
            <input type="submit" value="{USERDETAILS_START_REQUEST}" />
          </p>
        </fieldset>
      </xsl:if>


      <xsl:if test="$mode='image'">
        <h2>{USERDETAILS_IMAGE_ICON}</h2>

        <p>{IMAGES}</p>

        <fieldset class="grid">
          <p>
            <label class="grid" for="user_image">{SELECT}:</label>
            <input type="file" size="20" maxlength="50000" id="user_image" name="user_image" accept="image/gif,image/jpeg" />
          </p>

          <p>
            <input type="button" value="{USERDETAILS_IMAGE_UPLOADIMAGE}" onclick="return check_filename(this.form)" />
          </p>
        </fieldset>
      </xsl:if>
    </xsl:otherwise>
  </xsl:choose>
</form>

</div>

</body>

</html>
</xsl:template>


<xsl:template match="*"/>


</xsl:stylesheet>