inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>

mapping cache=([]);

string execute(mapping vars)
{
  string body = vars->args->body;
  
  m_delete(vars->args, "body");
  m_delete(vars->args, "oid");
  if ( vars->args->src ) {
    string fname, textmark;
    string href = vars->args->src;
    	
    if (search(href, "http:") == 0 || search(href, "https:") == 0 ||
        search(href, "ftp:") == 0 )
        return htmllib.create_tag("img", vars->args) + body + "</img>";
            
    string params = "";
    sscanf(href, "%s?%s", href, params);

    if ( objectp(vars->env) && strlen(href) > 0 && href[0] != '/' )
      fname = combine_path(vars->fp->object_to_filename(vars->env), href);
    else
      fname = href;

    object obj = vars->fp->path_to_object(fname);
    if ( objectp(obj) && obj->status() == PSTAT_FAIL_DELETED )
      return "<i>This link is invalid, because document has been deleted("+
	       vars->args->body+")</i>";
    if ( !objectp(obj) ) {
      // mismatch
      if ( objectp(vars->obj) && functionp(vars->obj->get_link) ) {
          // lookup get_link using the internal filepath and REAL environment
          object env = vars->obj->get_environment();
          if ( objectp(env) ) {
              fname = _FILEPATH->object_to_filename(env) + "/" + href;
          }
          obj = vars->obj->get_link(fname);
      }
      
      if ( objectp(obj) ) {
        string url = vars->fp->object_to_filename(obj);
        if ( stringp(url) && strlen(url) > 0 ) 
            href = url;
        else 
            href = "/scripts/get.pike?object="+obj->get_object_id();
      }
      else if ( href != "" ) {
          // leave links with JS alone (do not mark as invalid)
        foreach( indices(vars->args), string arg)  
          if ( stringp(vars->args[arg]) && search(lower_case(arg), "on") == 0 )
             return htmllib.create_tag("img", vars->args) + body + "</img>";
	    return "<em>"+body+"("+href + " invalid)</em>";
      }
    }
    if ( objectp(vars->obj) ) {
        vars->obj->exchange_ref(href);
    }
    if ( strlen(params)>0 ) {
        if ( search(href, "?") >= 0 ) 
            href += "&"+params;
        else
            href += "?"+params;
    }
    vars->args->src = href;
  }

  return htmllib.create_tag("img", vars->args);
}

