inherit "/classes/Script";

#include <macros.h>
#include <attributes.h>
#include <database.h>
#include <classes.h>

#define ID(o) o->get_object_id()
#define URL(o) httplib.replace_uml(_FILEPATH->object_to_filename(o))
#define NAME(o) o->query_attribute(OBJ_NAME)
#define PATHNAME(o) _FILEPATH->object_to_filename(o)

string href_user(object user)
{
  if ( !objectp(user) )
    return ""; 
  return "<a href=\"#\" onClick=\"open_userdetails('"+ID(user)+"');\" "+
    "class='sub2url'>"+NAME(user)+"</a>";
}

string func_checkbox(object obj, mapping vars)
{
  return "<INPUT type='checkbox' name='objsel' value='"+ID(obj)+"'/>";
}

string func_icon(object obj, mapping vars)
{
  object icon = obj->query_attribute(OBJ_ICON);
  return "<a href=\""+URL(obj)+"\"><img src=\"/scripts/get.pike?object="+
    ID(icon)+"\" border='0'/></a>";
}

string func_name(object obj, mapping vars)
{
  return "<b><a href=\""+URL(obj)+"\">"+NAME(obj)+"</a></b>";
}

string func_size(object obj, mapping vars)
{
  string sz = "<span class='text0sc'>";
  if ( obj->get_object_class() & CLASS_CONTAINER )
    sz += sizeof(obj->get_inventory()) + " objects";
  else if ( obj->get_object_class() & CLASS_DOCUMENT ) {
    int bytes = obj->get_content_size();
    if ( bytes > 1024*1024 )
      sz += sprintf("%.3f M", ((float)bytes)/(1024*1024));
    else if ( bytes > 9999 )
      sz += (bytes/1024) + " k";
    else 
      sz += bytes + " bytes";
  }
  else
    return "---";
  sz += "</span>";
  return sz;
}

string func_modified(object obj, mapping vars)
{
  object by = obj->query_attribute(DOC_USER_MODIFIED);
  int t = obj->query_attribute(DOC_LAST_MODIFIED);
  if ( t == 0 )
    t = obj->query_attribute(OBJ_CREATION_TIME);
  object cal = Calendar.ISO->set_language(vars->language);
  if ( !objectp(cal) )
    return "Calendar not found !"; 
  return cal->Minute(t)->format_nice() + " - " + href_user(by);
}

string func_description(object obj, mapping vars)
{
  return obj->query_attribute(OBJ_DESC);
}

string func_annotations(object obj, mapping vars)
{
  int annotations = sizeof(obj->get_annotations());
  int unread = 0;
  // !!!fixme, todo: count unread messages and overall messages

  string ann = "<a href='"+URL(obj)+"?type=annotations&room="+vars->room+"'>";
  if ( unread > 0 ) 
    ann += "<img src='/images/icon_messageboard_unread.gif' border='0'/></a>";
  else if ( annotations > 0 )
    ann += "<img src='/images/icon_messageboard_read.gif' border='0'/></a>";
  else
    ann += "<img src='/images/icon_messageboard_empty.gif' border='0'/></a>";
  ann += "</a>";
  return ann;
}

string func_details(object obj, mapping vars)
{
  return 
    "<a href='#' onClick=\"JavaScript:open_attributes('"+ID(obj)+"');\">"+
    "<img src='/images/icon_infos.gif' border='0'/></a>"+
    "<a href='"+URL(obj)+"?type=details&mode=advanced&room="+vars->room+"'>"+
    "<img src='/images/icon_actions.gif' border='0'/></a>"+
    func_annotations(obj, vars)+
    "<a href='"+URL(obj)+"?type=access&mode=common&room="+vars->room+"'>"+
    "<img src='/images/icon_access.gif' border='0'/></a>";
}

string execute(mapping vars)
{
  string html     = "";
  string objrows  = "";
  string controws = "";
  array cols   = ({ });

  vars->language = this_user()->query_attribute(USER_LANGUAGE);

  if ( vars->args->columns ) {
    foreach(vars->args->columns / ",", string col) {
      function f = this_object()["func_"+col];
      if ( functionp(f) )
	cols += ({ f });
      else
	html += "<!-- Function for " + col + " not found !-->\n";
    }
  }

  object obj = find_object((int)vars->args->object);
  foreach ( obj->get_inventory(), object o ) {
    if ( o->get_object_class() & CLASS_ROOM ||
	 o->get_object_class() & CLASS_EXIT ||
	 o->get_object_class() & CLASS_USER )
      continue;
    if ( o->get_object_class() & CLASS_CONTAINER ) {
      controws += "<tr>";
      foreach(cols, function col_function) {
	controws += "<td>"+col_function(o, vars)+"</td>";
      }
      controws += "</tr>";
    }
    else {
      objrows += "<tr>";
      foreach(cols, function col_function) {
	objrows += "<td>"+col_function(o, vars)+"</td>";
      }
      objrows += "</tr>";
    }
  }
  html += controws;
  html += objrows;

  return html;
}
