inherit "/classes/Script";

#include <macros.h>
#include <database.h>
#include <classes.h>
#include <attributes.h>
#include <events.h>
#include <config.h>
#include <web.h>
#include <exception.h>
#include <types.h>

string|array
execute(mapping vars)
{
    int   oid = (int)vars["object"];
    object                      obj;
    string svg;

    obj = find_object(oid);

    if (mappingp(vars->args)) {
      if (stringp(vars->args->prefix))
         vars["prefix"] = vars->args->prefix;
      if (stringp(vars->args->postfix))
         vars["postfix"] = vars->args->postfix;

      float csizex = obj->query_attribute(CONT_SIZE_X);
      float csizey = obj->query_attribute(CONT_SIZE_Y);

      if (floatp(csizex) && csizex > (float)vars->args->width)  vars["x"] = csizex;
      else                                                      vars["x"] = vars->args->width;
      if (floatp(csizey) && csizey > (float)vars->args->height) vars["y"] = csizey;
      else                                                      vars["y"] = vars->args->height;
    }

    object image_mod = _Server->get_module("Converter:IMAGE");

    if ( stringp(vars["enc"]) ) {
	string image = image_mod->get_image(obj, (int)vars["x"],(int)vars["y"],
					    vars["enc"]);
	return ({ image, vars["enc"] });
    }

    string html = image_mod->get_image_map(obj, vars);
    return html;
}

string|array
generate_xml(object objparm, int width, int height)
{
    if (objparm == null) return "objparm is null";

    mapping vars = ([]);

    object obj = objparm;

    string prefix = _Server->get_module("filepath:tree")->object_to_filename(obj);
    if (obj->get_object_class() & (CLASS_ROOM | CLASS_CONTAINER)) prefix += "/";

    vars["prefix"] = prefix;
    vars["postfix"] = "?browse=map";

    float csizex = obj->query_attribute(CONT_SIZE_X);
    float csizey = obj->query_attribute(CONT_SIZE_Y);

    if (floatp(csizex) && csizex > (float)width)  vars["x"] = csizex;
    else                                          vars["x"] = width;
    if (floatp(csizey) && csizey > (float)height) vars["y"] = csizey;
    else                                          vars["y"] = height;

    object image_mod = _Server->get_module("Converter:IMAGE");

    string html = image_mod->get_image_map(obj, vars);

    return html;
}